/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs

/* First part of user prologue.  */
#line 11 "parser_bison.y"


#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static int open_scope(struct parser_state *state, struct scope *scope)
{
	if (state->scope >= array_size(state->scopes) - 1) {
		state->scope_err = true;
		return -1;
	}

	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;

	return 0;
}

static void close_scope(struct parser_state *state)
{
	if (state->scope_err || state->scope == 0) {
		state->scope_err = false;
		return;
	}

	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

static struct expr *ifname_expr_alloc(const struct location *location,
				      struct list_head *queue,
				      const char *name)
{
	unsigned int length = strlen(name);
	struct expr *expr;

	if (length == 0) {
		xfree(name);
		erec_queue(error(location, "empty interface name"), queue);
		return NULL;
	}

	if (length > 16) {
		xfree(name);
		erec_queue(error(location, "interface name too long"), queue);
		return NULL;
	}

	expr = constant_expr_alloc(location, &ifname_type, BYTEORDER_HOST_ENDIAN,
				   length * BITS_PER_BYTE, name);

	xfree(name);

	return expr;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 249 "parser_bison.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    TOKEN_EOF = 0,                 /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    JUNK = 258,                    /* "junk"  */
    NEWLINE = 259,                 /* "newline"  */
    COLON = 260,                   /* "colon"  */
    SEMICOLON = 261,               /* "semicolon"  */
    COMMA = 262,                   /* "comma"  */
    DOT = 263,                     /* "."  */
    EQ = 264,                      /* "=="  */
    NEQ = 265,                     /* "!="  */
    LT = 266,                      /* "<"  */
    GT = 267,                      /* ">"  */
    GTE = 268,                     /* ">="  */
    LTE = 269,                     /* "<="  */
    LSHIFT = 270,                  /* "<<"  */
    RSHIFT = 271,                  /* ">>"  */
    AMPERSAND = 272,               /* "&"  */
    CARET = 273,                   /* "^"  */
    NOT = 274,                     /* "!"  */
    SLASH = 275,                   /* "/"  */
    ASTERISK = 276,                /* "*"  */
    DASH = 277,                    /* "-"  */
    AT = 278,                      /* "@"  */
    VMAP = 279,                    /* "vmap"  */
    PLUS = 280,                    /* "+"  */
    INCLUDE = 281,                 /* "include"  */
    DEFINE = 282,                  /* "define"  */
    REDEFINE = 283,                /* "redefine"  */
    UNDEFINE = 284,                /* "undefine"  */
    FIB = 285,                     /* "fib"  */
    SOCKET = 286,                  /* "socket"  */
    TRANSPARENT = 287,             /* "transparent"  */
    WILDCARD = 288,                /* "wildcard"  */
    CGROUPV2 = 289,                /* "cgroupv2"  */
    TPROXY = 290,                  /* "tproxy"  */
    OSF = 291,                     /* "osf"  */
    SYNPROXY = 292,                /* "synproxy"  */
    MSS = 293,                     /* "mss"  */
    WSCALE = 294,                  /* "wscale"  */
    TYPEOF = 295,                  /* "typeof"  */
    HOOK = 296,                    /* "hook"  */
    HOOKS = 297,                   /* "hooks"  */
    DEVICE = 298,                  /* "device"  */
    DEVICES = 299,                 /* "devices"  */
    TABLE = 300,                   /* "table"  */
    TABLES = 301,                  /* "tables"  */
    CHAIN = 302,                   /* "chain"  */
    CHAINS = 303,                  /* "chains"  */
    RULE = 304,                    /* "rule"  */
    RULES = 305,                   /* "rules"  */
    SETS = 306,                    /* "sets"  */
    SET = 307,                     /* "set"  */
    ELEMENT = 308,                 /* "element"  */
    MAP = 309,                     /* "map"  */
    MAPS = 310,                    /* "maps"  */
    FLOWTABLE = 311,               /* "flowtable"  */
    HANDLE = 312,                  /* "handle"  */
    RULESET = 313,                 /* "ruleset"  */
    TRACE = 314,                   /* "trace"  */
    INET = 315,                    /* "inet"  */
    NETDEV = 316,                  /* "netdev"  */
    ADD = 317,                     /* "add"  */
    UPDATE = 318,                  /* "update"  */
    REPLACE = 319,                 /* "replace"  */
    CREATE = 320,                  /* "create"  */
    INSERT = 321,                  /* "insert"  */
    DELETE = 322,                  /* "delete"  */
    GET = 323,                     /* "get"  */
    LIST = 324,                    /* "list"  */
    RESET = 325,                   /* "reset"  */
    FLUSH = 326,                   /* "flush"  */
    RENAME = 327,                  /* "rename"  */
    DESCRIBE = 328,                /* "describe"  */
    IMPORT = 329,                  /* "import"  */
    EXPORT = 330,                  /* "export"  */
    DESTROY = 331,                 /* "destroy"  */
    MONITOR = 332,                 /* "monitor"  */
    ALL = 333,                     /* "all"  */
    ACCEPT = 334,                  /* "accept"  */
    DROP = 335,                    /* "drop"  */
    CONTINUE = 336,                /* "continue"  */
    JUMP = 337,                    /* "jump"  */
    GOTO = 338,                    /* "goto"  */
    RETURN = 339,                  /* "return"  */
    TO = 340,                      /* "to"  */
    CONSTANT = 341,                /* "constant"  */
    INTERVAL = 342,                /* "interval"  */
    DYNAMIC = 343,                 /* "dynamic"  */
    AUTOMERGE = 344,               /* "auto-merge"  */
    TIMEOUT = 345,                 /* "timeout"  */
    GC_INTERVAL = 346,             /* "gc-interval"  */
    ELEMENTS = 347,                /* "elements"  */
    EXPIRES = 348,                 /* "expires"  */
    POLICY = 349,                  /* "policy"  */
    MEMORY = 350,                  /* "memory"  */
    PERFORMANCE = 351,             /* "performance"  */
    SIZE = 352,                    /* "size"  */
    FLOW = 353,                    /* "flow"  */
    OFFLOAD = 354,                 /* "offload"  */
    METER = 355,                   /* "meter"  */
    METERS = 356,                  /* "meters"  */
    FLOWTABLES = 357,              /* "flowtables"  */
    NUM = 358,                     /* "number"  */
    STRING = 359,                  /* "string"  */
    QUOTED_STRING = 360,           /* "quoted string"  */
    ASTERISK_STRING = 361,         /* "string with a trailing asterisk"  */
    LL_HDR = 362,                  /* "ll"  */
    NETWORK_HDR = 363,             /* "nh"  */
    TRANSPORT_HDR = 364,           /* "th"  */
    BRIDGE = 365,                  /* "bridge"  */
    ETHER = 366,                   /* "ether"  */
    SADDR = 367,                   /* "saddr"  */
    DADDR = 368,                   /* "daddr"  */
    TYPE = 369,                    /* "type"  */
    VLAN = 370,                    /* "vlan"  */
    ID = 371,                      /* "id"  */
    CFI = 372,                     /* "cfi"  */
    DEI = 373,                     /* "dei"  */
    PCP = 374,                     /* "pcp"  */
    ARP = 375,                     /* "arp"  */
    HTYPE = 376,                   /* "htype"  */
    PTYPE = 377,                   /* "ptype"  */
    HLEN = 378,                    /* "hlen"  */
    PLEN = 379,                    /* "plen"  */
    OPERATION = 380,               /* "operation"  */
    IP = 381,                      /* "ip"  */
    HDRVERSION = 382,              /* "version"  */
    HDRLENGTH = 383,               /* "hdrlength"  */
    DSCP = 384,                    /* "dscp"  */
    ECN = 385,                     /* "ecn"  */
    LENGTH = 386,                  /* "length"  */
    FRAG_OFF = 387,                /* "frag-off"  */
    TTL = 388,                     /* "ttl"  */
    PROTOCOL = 389,                /* "protocol"  */
    CHECKSUM = 390,                /* "checksum"  */
    PTR = 391,                     /* "ptr"  */
    VALUE = 392,                   /* "value"  */
    LSRR = 393,                    /* "lsrr"  */
    RR = 394,                      /* "rr"  */
    SSRR = 395,                    /* "ssrr"  */
    RA = 396,                      /* "ra"  */
    ICMP = 397,                    /* "icmp"  */
    CODE = 398,                    /* "code"  */
    SEQUENCE = 399,                /* "seq"  */
    GATEWAY = 400,                 /* "gateway"  */
    MTU = 401,                     /* "mtu"  */
    IGMP = 402,                    /* "igmp"  */
    MRT = 403,                     /* "mrt"  */
    OPTIONS = 404,                 /* "options"  */
    IP6 = 405,                     /* "ip6"  */
    PRIORITY = 406,                /* "priority"  */
    FLOWLABEL = 407,               /* "flowlabel"  */
    NEXTHDR = 408,                 /* "nexthdr"  */
    HOPLIMIT = 409,                /* "hoplimit"  */
    ICMP6 = 410,                   /* "icmpv6"  */
    PPTR = 411,                    /* "param-problem"  */
    MAXDELAY = 412,                /* "max-delay"  */
    AH = 413,                      /* "ah"  */
    RESERVED = 414,                /* "reserved"  */
    SPI = 415,                     /* "spi"  */
    ESP = 416,                     /* "esp"  */
    COMP = 417,                    /* "comp"  */
    FLAGS = 418,                   /* "flags"  */
    CPI = 419,                     /* "cpi"  */
    PORT = 420,                    /* "port"  */
    UDP = 421,                     /* "udp"  */
    SPORT = 422,                   /* "sport"  */
    DPORT = 423,                   /* "dport"  */
    UDPLITE = 424,                 /* "udplite"  */
    CSUMCOV = 425,                 /* "csumcov"  */
    TCP = 426,                     /* "tcp"  */
    ACKSEQ = 427,                  /* "ackseq"  */
    DOFF = 428,                    /* "doff"  */
    WINDOW = 429,                  /* "window"  */
    URGPTR = 430,                  /* "urgptr"  */
    OPTION = 431,                  /* "option"  */
    ECHO = 432,                    /* "echo"  */
    EOL = 433,                     /* "eol"  */
    MPTCP = 434,                   /* "mptcp"  */
    NOP = 435,                     /* "nop"  */
    SACK = 436,                    /* "sack"  */
    SACK0 = 437,                   /* "sack0"  */
    SACK1 = 438,                   /* "sack1"  */
    SACK2 = 439,                   /* "sack2"  */
    SACK3 = 440,                   /* "sack3"  */
    SACK_PERM = 441,               /* "sack-permitted"  */
    FASTOPEN = 442,                /* "fastopen"  */
    MD5SIG = 443,                  /* "md5sig"  */
    TIMESTAMP = 444,               /* "timestamp"  */
    COUNT = 445,                   /* "count"  */
    LEFT = 446,                    /* "left"  */
    RIGHT = 447,                   /* "right"  */
    TSVAL = 448,                   /* "tsval"  */
    TSECR = 449,                   /* "tsecr"  */
    SUBTYPE = 450,                 /* "subtype"  */
    DCCP = 451,                    /* "dccp"  */
    VXLAN = 452,                   /* "vxlan"  */
    VNI = 453,                     /* "vni"  */
    GRE = 454,                     /* "gre"  */
    GRETAP = 455,                  /* "gretap"  */
    GENEVE = 456,                  /* "geneve"  */
    SCTP = 457,                    /* "sctp"  */
    CHUNK = 458,                   /* "chunk"  */
    DATA = 459,                    /* "data"  */
    INIT = 460,                    /* "init"  */
    INIT_ACK = 461,                /* "init-ack"  */
    HEARTBEAT = 462,               /* "heartbeat"  */
    HEARTBEAT_ACK = 463,           /* "heartbeat-ack"  */
    ABORT = 464,                   /* "abort"  */
    SHUTDOWN = 465,                /* "shutdown"  */
    SHUTDOWN_ACK = 466,            /* "shutdown-ack"  */
    ERROR = 467,                   /* "error"  */
    COOKIE_ECHO = 468,             /* "cookie-echo"  */
    COOKIE_ACK = 469,              /* "cookie-ack"  */
    ECNE = 470,                    /* "ecne"  */
    CWR = 471,                     /* "cwr"  */
    SHUTDOWN_COMPLETE = 472,       /* "shutdown-complete"  */
    ASCONF_ACK = 473,              /* "asconf-ack"  */
    FORWARD_TSN = 474,             /* "forward-tsn"  */
    ASCONF = 475,                  /* "asconf"  */
    TSN = 476,                     /* "tsn"  */
    STREAM = 477,                  /* "stream"  */
    SSN = 478,                     /* "ssn"  */
    PPID = 479,                    /* "ppid"  */
    INIT_TAG = 480,                /* "init-tag"  */
    A_RWND = 481,                  /* "a-rwnd"  */
    NUM_OSTREAMS = 482,            /* "num-outbound-streams"  */
    NUM_ISTREAMS = 483,            /* "num-inbound-streams"  */
    INIT_TSN = 484,                /* "initial-tsn"  */
    CUM_TSN_ACK = 485,             /* "cum-tsn-ack"  */
    NUM_GACK_BLOCKS = 486,         /* "num-gap-ack-blocks"  */
    NUM_DUP_TSNS = 487,            /* "num-dup-tsns"  */
    LOWEST_TSN = 488,              /* "lowest-tsn"  */
    SEQNO = 489,                   /* "seqno"  */
    NEW_CUM_TSN = 490,             /* "new-cum-tsn"  */
    VTAG = 491,                    /* "vtag"  */
    RT = 492,                      /* "rt"  */
    RT0 = 493,                     /* "rt0"  */
    RT2 = 494,                     /* "rt2"  */
    RT4 = 495,                     /* "srh"  */
    SEG_LEFT = 496,                /* "seg-left"  */
    ADDR = 497,                    /* "addr"  */
    LAST_ENT = 498,                /* "last-entry"  */
    TAG = 499,                     /* "tag"  */
    SID = 500,                     /* "sid"  */
    HBH = 501,                     /* "hbh"  */
    FRAG = 502,                    /* "frag"  */
    RESERVED2 = 503,               /* "reserved2"  */
    MORE_FRAGMENTS = 504,          /* "more-fragments"  */
    DST = 505,                     /* "dst"  */
    MH = 506,                      /* "mh"  */
    META = 507,                    /* "meta"  */
    MARK = 508,                    /* "mark"  */
    IIF = 509,                     /* "iif"  */
    IIFNAME = 510,                 /* "iifname"  */
    IIFTYPE = 511,                 /* "iiftype"  */
    OIF = 512,                     /* "oif"  */
    OIFNAME = 513,                 /* "oifname"  */
    OIFTYPE = 514,                 /* "oiftype"  */
    SKUID = 515,                   /* "skuid"  */
    SKGID = 516,                   /* "skgid"  */
    NFTRACE = 517,                 /* "nftrace"  */
    RTCLASSID = 518,               /* "rtclassid"  */
    IBRIPORT = 519,                /* "ibriport"  */
    OBRIPORT = 520,                /* "obriport"  */
    IBRIDGENAME = 521,             /* "ibrname"  */
    OBRIDGENAME = 522,             /* "obrname"  */
    PKTTYPE = 523,                 /* "pkttype"  */
    CPU = 524,                     /* "cpu"  */
    IIFGROUP = 525,                /* "iifgroup"  */
    OIFGROUP = 526,                /* "oifgroup"  */
    CGROUP = 527,                  /* "cgroup"  */
    TIME = 528,                    /* "time"  */
    CLASSID = 529,                 /* "classid"  */
    NEXTHOP = 530,                 /* "nexthop"  */
    CT = 531,                      /* "ct"  */
    L3PROTOCOL = 532,              /* "l3proto"  */
    PROTO_SRC = 533,               /* "proto-src"  */
    PROTO_DST = 534,               /* "proto-dst"  */
    ZONE = 535,                    /* "zone"  */
    DIRECTION = 536,               /* "direction"  */
    EVENT = 537,                   /* "event"  */
    EXPECTATION = 538,             /* "expectation"  */
    EXPIRATION = 539,              /* "expiration"  */
    HELPER = 540,                  /* "helper"  */
    LABEL = 541,                   /* "label"  */
    STATE = 542,                   /* "state"  */
    STATUS = 543,                  /* "status"  */
    ORIGINAL = 544,                /* "original"  */
    REPLY = 545,                   /* "reply"  */
    COUNTER = 546,                 /* "counter"  */
    NAME = 547,                    /* "name"  */
    PACKETS = 548,                 /* "packets"  */
    BYTES = 549,                   /* "bytes"  */
    AVGPKT = 550,                  /* "avgpkt"  */
    LAST = 551,                    /* "last"  */
    NEVER = 552,                   /* "never"  */
    COUNTERS = 553,                /* "counters"  */
    QUOTAS = 554,                  /* "quotas"  */
    LIMITS = 555,                  /* "limits"  */
    SYNPROXYS = 556,               /* "synproxys"  */
    HELPERS = 557,                 /* "helpers"  */
    LOG = 558,                     /* "log"  */
    PREFIX = 559,                  /* "prefix"  */
    GROUP = 560,                   /* "group"  */
    SNAPLEN = 561,                 /* "snaplen"  */
    QUEUE_THRESHOLD = 562,         /* "queue-threshold"  */
    LEVEL = 563,                   /* "level"  */
    LIMIT = 564,                   /* "limit"  */
    RATE = 565,                    /* "rate"  */
    BURST = 566,                   /* "burst"  */
    OVER = 567,                    /* "over"  */
    UNTIL = 568,                   /* "until"  */
    QUOTA = 569,                   /* "quota"  */
    USED = 570,                    /* "used"  */
    SECMARK = 571,                 /* "secmark"  */
    SECMARKS = 572,                /* "secmarks"  */
    SECOND = 573,                  /* "second"  */
    MINUTE = 574,                  /* "minute"  */
    HOUR = 575,                    /* "hour"  */
    DAY = 576,                     /* "day"  */
    WEEK = 577,                    /* "week"  */
    _REJECT = 578,                 /* "reject"  */
    WITH = 579,                    /* "with"  */
    ICMPX = 580,                   /* "icmpx"  */
    SNAT = 581,                    /* "snat"  */
    DNAT = 582,                    /* "dnat"  */
    MASQUERADE = 583,              /* "masquerade"  */
    REDIRECT = 584,                /* "redirect"  */
    RANDOM = 585,                  /* "random"  */
    FULLY_RANDOM = 586,            /* "fully-random"  */
    PERSISTENT = 587,              /* "persistent"  */
    QUEUE = 588,                   /* "queue"  */
    QUEUENUM = 589,                /* "num"  */
    BYPASS = 590,                  /* "bypass"  */
    FANOUT = 591,                  /* "fanout"  */
    DUP = 592,                     /* "dup"  */
    FWD = 593,                     /* "fwd"  */
    NUMGEN = 594,                  /* "numgen"  */
    INC = 595,                     /* "inc"  */
    MOD = 596,                     /* "mod"  */
    OFFSET = 597,                  /* "offset"  */
    JHASH = 598,                   /* "jhash"  */
    SYMHASH = 599,                 /* "symhash"  */
    SEED = 600,                    /* "seed"  */
    POSITION = 601,                /* "position"  */
    INDEX = 602,                   /* "index"  */
    COMMENT = 603,                 /* "comment"  */
    XML = 604,                     /* "xml"  */
    JSON = 605,                    /* "json"  */
    VM = 606,                      /* "vm"  */
    NOTRACK = 607,                 /* "notrack"  */
    EXISTS = 608,                  /* "exists"  */
    MISSING = 609,                 /* "missing"  */
    EXTHDR = 610,                  /* "exthdr"  */
    IPSEC = 611,                   /* "ipsec"  */
    REQID = 612,                   /* "reqid"  */
    SPNUM = 613,                   /* "spnum"  */
    IN = 614,                      /* "in"  */
    OUT = 615,                     /* "out"  */
    XT = 616                       /* "xt"  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define TOKEN_EOF 0
#define YYerror 256
#define YYUNDEF 257
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define WILDCARD 288
#define CGROUPV2 289
#define TPROXY 290
#define OSF 291
#define SYNPROXY 292
#define MSS 293
#define WSCALE 294
#define TYPEOF 295
#define HOOK 296
#define HOOKS 297
#define DEVICE 298
#define DEVICES 299
#define TABLE 300
#define TABLES 301
#define CHAIN 302
#define CHAINS 303
#define RULE 304
#define RULES 305
#define SETS 306
#define SET 307
#define ELEMENT 308
#define MAP 309
#define MAPS 310
#define FLOWTABLE 311
#define HANDLE 312
#define RULESET 313
#define TRACE 314
#define INET 315
#define NETDEV 316
#define ADD 317
#define UPDATE 318
#define REPLACE 319
#define CREATE 320
#define INSERT 321
#define DELETE 322
#define GET 323
#define LIST 324
#define RESET 325
#define FLUSH 326
#define RENAME 327
#define DESCRIBE 328
#define IMPORT 329
#define EXPORT 330
#define DESTROY 331
#define MONITOR 332
#define ALL 333
#define ACCEPT 334
#define DROP 335
#define CONTINUE 336
#define JUMP 337
#define GOTO 338
#define RETURN 339
#define TO 340
#define CONSTANT 341
#define INTERVAL 342
#define DYNAMIC 343
#define AUTOMERGE 344
#define TIMEOUT 345
#define GC_INTERVAL 346
#define ELEMENTS 347
#define EXPIRES 348
#define POLICY 349
#define MEMORY 350
#define PERFORMANCE 351
#define SIZE 352
#define FLOW 353
#define OFFLOAD 354
#define METER 355
#define METERS 356
#define FLOWTABLES 357
#define NUM 358
#define STRING 359
#define QUOTED_STRING 360
#define ASTERISK_STRING 361
#define LL_HDR 362
#define NETWORK_HDR 363
#define TRANSPORT_HDR 364
#define BRIDGE 365
#define ETHER 366
#define SADDR 367
#define DADDR 368
#define TYPE 369
#define VLAN 370
#define ID 371
#define CFI 372
#define DEI 373
#define PCP 374
#define ARP 375
#define HTYPE 376
#define PTYPE 377
#define HLEN 378
#define PLEN 379
#define OPERATION 380
#define IP 381
#define HDRVERSION 382
#define HDRLENGTH 383
#define DSCP 384
#define ECN 385
#define LENGTH 386
#define FRAG_OFF 387
#define TTL 388
#define PROTOCOL 389
#define CHECKSUM 390
#define PTR 391
#define VALUE 392
#define LSRR 393
#define RR 394
#define SSRR 395
#define RA 396
#define ICMP 397
#define CODE 398
#define SEQUENCE 399
#define GATEWAY 400
#define MTU 401
#define IGMP 402
#define MRT 403
#define OPTIONS 404
#define IP6 405
#define PRIORITY 406
#define FLOWLABEL 407
#define NEXTHDR 408
#define HOPLIMIT 409
#define ICMP6 410
#define PPTR 411
#define MAXDELAY 412
#define AH 413
#define RESERVED 414
#define SPI 415
#define ESP 416
#define COMP 417
#define FLAGS 418
#define CPI 419
#define PORT 420
#define UDP 421
#define SPORT 422
#define DPORT 423
#define UDPLITE 424
#define CSUMCOV 425
#define TCP 426
#define ACKSEQ 427
#define DOFF 428
#define WINDOW 429
#define URGPTR 430
#define OPTION 431
#define ECHO 432
#define EOL 433
#define MPTCP 434
#define NOP 435
#define SACK 436
#define SACK0 437
#define SACK1 438
#define SACK2 439
#define SACK3 440
#define SACK_PERM 441
#define FASTOPEN 442
#define MD5SIG 443
#define TIMESTAMP 444
#define COUNT 445
#define LEFT 446
#define RIGHT 447
#define TSVAL 448
#define TSECR 449
#define SUBTYPE 450
#define DCCP 451
#define VXLAN 452
#define VNI 453
#define GRE 454
#define GRETAP 455
#define GENEVE 456
#define SCTP 457
#define CHUNK 458
#define DATA 459
#define INIT 460
#define INIT_ACK 461
#define HEARTBEAT 462
#define HEARTBEAT_ACK 463
#define ABORT 464
#define SHUTDOWN 465
#define SHUTDOWN_ACK 466
#define ERROR 467
#define COOKIE_ECHO 468
#define COOKIE_ACK 469
#define ECNE 470
#define CWR 471
#define SHUTDOWN_COMPLETE 472
#define ASCONF_ACK 473
#define FORWARD_TSN 474
#define ASCONF 475
#define TSN 476
#define STREAM 477
#define SSN 478
#define PPID 479
#define INIT_TAG 480
#define A_RWND 481
#define NUM_OSTREAMS 482
#define NUM_ISTREAMS 483
#define INIT_TSN 484
#define CUM_TSN_ACK 485
#define NUM_GACK_BLOCKS 486
#define NUM_DUP_TSNS 487
#define LOWEST_TSN 488
#define SEQNO 489
#define NEW_CUM_TSN 490
#define VTAG 491
#define RT 492
#define RT0 493
#define RT2 494
#define RT4 495
#define SEG_LEFT 496
#define ADDR 497
#define LAST_ENT 498
#define TAG 499
#define SID 500
#define HBH 501
#define FRAG 502
#define RESERVED2 503
#define MORE_FRAGMENTS 504
#define DST 505
#define MH 506
#define META 507
#define MARK 508
#define IIF 509
#define IIFNAME 510
#define IIFTYPE 511
#define OIF 512
#define OIFNAME 513
#define OIFTYPE 514
#define SKUID 515
#define SKGID 516
#define NFTRACE 517
#define RTCLASSID 518
#define IBRIPORT 519
#define OBRIPORT 520
#define IBRIDGENAME 521
#define OBRIDGENAME 522
#define PKTTYPE 523
#define CPU 524
#define IIFGROUP 525
#define OIFGROUP 526
#define CGROUP 527
#define TIME 528
#define CLASSID 529
#define NEXTHOP 530
#define CT 531
#define L3PROTOCOL 532
#define PROTO_SRC 533
#define PROTO_DST 534
#define ZONE 535
#define DIRECTION 536
#define EVENT 537
#define EXPECTATION 538
#define EXPIRATION 539
#define HELPER 540
#define LABEL 541
#define STATE 542
#define STATUS 543
#define ORIGINAL 544
#define REPLY 545
#define COUNTER 546
#define NAME 547
#define PACKETS 548
#define BYTES 549
#define AVGPKT 550
#define LAST 551
#define NEVER 552
#define COUNTERS 553
#define QUOTAS 554
#define LIMITS 555
#define SYNPROXYS 556
#define HELPERS 557
#define LOG 558
#define PREFIX 559
#define GROUP 560
#define SNAPLEN 561
#define QUEUE_THRESHOLD 562
#define LEVEL 563
#define LIMIT 564
#define RATE 565
#define BURST 566
#define OVER 567
#define UNTIL 568
#define QUOTA 569
#define USED 570
#define SECMARK 571
#define SECMARKS 572
#define SECOND 573
#define MINUTE 574
#define HOUR 575
#define DAY 576
#define WEEK 577
#define _REJECT 578
#define WITH 579
#define ICMPX 580
#define SNAT 581
#define DNAT 582
#define MASQUERADE 583
#define REDIRECT 584
#define RANDOM 585
#define FULLY_RANDOM 586
#define PERSISTENT 587
#define QUEUE 588
#define QUEUENUM 589
#define BYPASS 590
#define FANOUT 591
#define DUP 592
#define FWD 593
#define NUMGEN 594
#define INC 595
#define MOD 596
#define OFFSET 597
#define JHASH 598
#define SYMHASH 599
#define SEED 600
#define POSITION 601
#define INDEX 602
#define COMMENT 603
#define XML 604
#define JSON 605
#define VM 606
#define NOTRACK 607
#define EXISTS 608
#define MISSING 609
#define EXTHDR 610
#define IPSEC 611
#define REQID 612
#define SPNUM 613
#define IN 614
#define OUT 615
#define XT 616

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 204 "parser_bison.y"

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;

#line 1053 "parser_bison.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif




int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);


#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_JUNK = 3,                       /* "junk"  */
  YYSYMBOL_NEWLINE = 4,                    /* "newline"  */
  YYSYMBOL_COLON = 5,                      /* "colon"  */
  YYSYMBOL_SEMICOLON = 6,                  /* "semicolon"  */
  YYSYMBOL_COMMA = 7,                      /* "comma"  */
  YYSYMBOL_DOT = 8,                        /* "."  */
  YYSYMBOL_EQ = 9,                         /* "=="  */
  YYSYMBOL_NEQ = 10,                       /* "!="  */
  YYSYMBOL_LT = 11,                        /* "<"  */
  YYSYMBOL_GT = 12,                        /* ">"  */
  YYSYMBOL_GTE = 13,                       /* ">="  */
  YYSYMBOL_LTE = 14,                       /* "<="  */
  YYSYMBOL_LSHIFT = 15,                    /* "<<"  */
  YYSYMBOL_RSHIFT = 16,                    /* ">>"  */
  YYSYMBOL_AMPERSAND = 17,                 /* "&"  */
  YYSYMBOL_CARET = 18,                     /* "^"  */
  YYSYMBOL_NOT = 19,                       /* "!"  */
  YYSYMBOL_SLASH = 20,                     /* "/"  */
  YYSYMBOL_ASTERISK = 21,                  /* "*"  */
  YYSYMBOL_DASH = 22,                      /* "-"  */
  YYSYMBOL_AT = 23,                        /* "@"  */
  YYSYMBOL_VMAP = 24,                      /* "vmap"  */
  YYSYMBOL_PLUS = 25,                      /* "+"  */
  YYSYMBOL_INCLUDE = 26,                   /* "include"  */
  YYSYMBOL_DEFINE = 27,                    /* "define"  */
  YYSYMBOL_REDEFINE = 28,                  /* "redefine"  */
  YYSYMBOL_UNDEFINE = 29,                  /* "undefine"  */
  YYSYMBOL_FIB = 30,                       /* "fib"  */
  YYSYMBOL_SOCKET = 31,                    /* "socket"  */
  YYSYMBOL_TRANSPARENT = 32,               /* "transparent"  */
  YYSYMBOL_WILDCARD = 33,                  /* "wildcard"  */
  YYSYMBOL_CGROUPV2 = 34,                  /* "cgroupv2"  */
  YYSYMBOL_TPROXY = 35,                    /* "tproxy"  */
  YYSYMBOL_OSF = 36,                       /* "osf"  */
  YYSYMBOL_SYNPROXY = 37,                  /* "synproxy"  */
  YYSYMBOL_MSS = 38,                       /* "mss"  */
  YYSYMBOL_WSCALE = 39,                    /* "wscale"  */
  YYSYMBOL_TYPEOF = 40,                    /* "typeof"  */
  YYSYMBOL_HOOK = 41,                      /* "hook"  */
  YYSYMBOL_HOOKS = 42,                     /* "hooks"  */
  YYSYMBOL_DEVICE = 43,                    /* "device"  */
  YYSYMBOL_DEVICES = 44,                   /* "devices"  */
  YYSYMBOL_TABLE = 45,                     /* "table"  */
  YYSYMBOL_TABLES = 46,                    /* "tables"  */
  YYSYMBOL_CHAIN = 47,                     /* "chain"  */
  YYSYMBOL_CHAINS = 48,                    /* "chains"  */
  YYSYMBOL_RULE = 49,                      /* "rule"  */
  YYSYMBOL_RULES = 50,                     /* "rules"  */
  YYSYMBOL_SETS = 51,                      /* "sets"  */
  YYSYMBOL_SET = 52,                       /* "set"  */
  YYSYMBOL_ELEMENT = 53,                   /* "element"  */
  YYSYMBOL_MAP = 54,                       /* "map"  */
  YYSYMBOL_MAPS = 55,                      /* "maps"  */
  YYSYMBOL_FLOWTABLE = 56,                 /* "flowtable"  */
  YYSYMBOL_HANDLE = 57,                    /* "handle"  */
  YYSYMBOL_RULESET = 58,                   /* "ruleset"  */
  YYSYMBOL_TRACE = 59,                     /* "trace"  */
  YYSYMBOL_INET = 60,                      /* "inet"  */
  YYSYMBOL_NETDEV = 61,                    /* "netdev"  */
  YYSYMBOL_ADD = 62,                       /* "add"  */
  YYSYMBOL_UPDATE = 63,                    /* "update"  */
  YYSYMBOL_REPLACE = 64,                   /* "replace"  */
  YYSYMBOL_CREATE = 65,                    /* "create"  */
  YYSYMBOL_INSERT = 66,                    /* "insert"  */
  YYSYMBOL_DELETE = 67,                    /* "delete"  */
  YYSYMBOL_GET = 68,                       /* "get"  */
  YYSYMBOL_LIST = 69,                      /* "list"  */
  YYSYMBOL_RESET = 70,                     /* "reset"  */
  YYSYMBOL_FLUSH = 71,                     /* "flush"  */
  YYSYMBOL_RENAME = 72,                    /* "rename"  */
  YYSYMBOL_DESCRIBE = 73,                  /* "describe"  */
  YYSYMBOL_IMPORT = 74,                    /* "import"  */
  YYSYMBOL_EXPORT = 75,                    /* "export"  */
  YYSYMBOL_DESTROY = 76,                   /* "destroy"  */
  YYSYMBOL_MONITOR = 77,                   /* "monitor"  */
  YYSYMBOL_ALL = 78,                       /* "all"  */
  YYSYMBOL_ACCEPT = 79,                    /* "accept"  */
  YYSYMBOL_DROP = 80,                      /* "drop"  */
  YYSYMBOL_CONTINUE = 81,                  /* "continue"  */
  YYSYMBOL_JUMP = 82,                      /* "jump"  */
  YYSYMBOL_GOTO = 83,                      /* "goto"  */
  YYSYMBOL_RETURN = 84,                    /* "return"  */
  YYSYMBOL_TO = 85,                        /* "to"  */
  YYSYMBOL_CONSTANT = 86,                  /* "constant"  */
  YYSYMBOL_INTERVAL = 87,                  /* "interval"  */
  YYSYMBOL_DYNAMIC = 88,                   /* "dynamic"  */
  YYSYMBOL_AUTOMERGE = 89,                 /* "auto-merge"  */
  YYSYMBOL_TIMEOUT = 90,                   /* "timeout"  */
  YYSYMBOL_GC_INTERVAL = 91,               /* "gc-interval"  */
  YYSYMBOL_ELEMENTS = 92,                  /* "elements"  */
  YYSYMBOL_EXPIRES = 93,                   /* "expires"  */
  YYSYMBOL_POLICY = 94,                    /* "policy"  */
  YYSYMBOL_MEMORY = 95,                    /* "memory"  */
  YYSYMBOL_PERFORMANCE = 96,               /* "performance"  */
  YYSYMBOL_SIZE = 97,                      /* "size"  */
  YYSYMBOL_FLOW = 98,                      /* "flow"  */
  YYSYMBOL_OFFLOAD = 99,                   /* "offload"  */
  YYSYMBOL_METER = 100,                    /* "meter"  */
  YYSYMBOL_METERS = 101,                   /* "meters"  */
  YYSYMBOL_FLOWTABLES = 102,               /* "flowtables"  */
  YYSYMBOL_NUM = 103,                      /* "number"  */
  YYSYMBOL_STRING = 104,                   /* "string"  */
  YYSYMBOL_QUOTED_STRING = 105,            /* "quoted string"  */
  YYSYMBOL_ASTERISK_STRING = 106,          /* "string with a trailing asterisk"  */
  YYSYMBOL_LL_HDR = 107,                   /* "ll"  */
  YYSYMBOL_NETWORK_HDR = 108,              /* "nh"  */
  YYSYMBOL_TRANSPORT_HDR = 109,            /* "th"  */
  YYSYMBOL_BRIDGE = 110,                   /* "bridge"  */
  YYSYMBOL_ETHER = 111,                    /* "ether"  */
  YYSYMBOL_SADDR = 112,                    /* "saddr"  */
  YYSYMBOL_DADDR = 113,                    /* "daddr"  */
  YYSYMBOL_TYPE = 114,                     /* "type"  */
  YYSYMBOL_VLAN = 115,                     /* "vlan"  */
  YYSYMBOL_ID = 116,                       /* "id"  */
  YYSYMBOL_CFI = 117,                      /* "cfi"  */
  YYSYMBOL_DEI = 118,                      /* "dei"  */
  YYSYMBOL_PCP = 119,                      /* "pcp"  */
  YYSYMBOL_ARP = 120,                      /* "arp"  */
  YYSYMBOL_HTYPE = 121,                    /* "htype"  */
  YYSYMBOL_PTYPE = 122,                    /* "ptype"  */
  YYSYMBOL_HLEN = 123,                     /* "hlen"  */
  YYSYMBOL_PLEN = 124,                     /* "plen"  */
  YYSYMBOL_OPERATION = 125,                /* "operation"  */
  YYSYMBOL_IP = 126,                       /* "ip"  */
  YYSYMBOL_HDRVERSION = 127,               /* "version"  */
  YYSYMBOL_HDRLENGTH = 128,                /* "hdrlength"  */
  YYSYMBOL_DSCP = 129,                     /* "dscp"  */
  YYSYMBOL_ECN = 130,                      /* "ecn"  */
  YYSYMBOL_LENGTH = 131,                   /* "length"  */
  YYSYMBOL_FRAG_OFF = 132,                 /* "frag-off"  */
  YYSYMBOL_TTL = 133,                      /* "ttl"  */
  YYSYMBOL_PROTOCOL = 134,                 /* "protocol"  */
  YYSYMBOL_CHECKSUM = 135,                 /* "checksum"  */
  YYSYMBOL_PTR = 136,                      /* "ptr"  */
  YYSYMBOL_VALUE = 137,                    /* "value"  */
  YYSYMBOL_LSRR = 138,                     /* "lsrr"  */
  YYSYMBOL_RR = 139,                       /* "rr"  */
  YYSYMBOL_SSRR = 140,                     /* "ssrr"  */
  YYSYMBOL_RA = 141,                       /* "ra"  */
  YYSYMBOL_ICMP = 142,                     /* "icmp"  */
  YYSYMBOL_CODE = 143,                     /* "code"  */
  YYSYMBOL_SEQUENCE = 144,                 /* "seq"  */
  YYSYMBOL_GATEWAY = 145,                  /* "gateway"  */
  YYSYMBOL_MTU = 146,                      /* "mtu"  */
  YYSYMBOL_IGMP = 147,                     /* "igmp"  */
  YYSYMBOL_MRT = 148,                      /* "mrt"  */
  YYSYMBOL_OPTIONS = 149,                  /* "options"  */
  YYSYMBOL_IP6 = 150,                      /* "ip6"  */
  YYSYMBOL_PRIORITY = 151,                 /* "priority"  */
  YYSYMBOL_FLOWLABEL = 152,                /* "flowlabel"  */
  YYSYMBOL_NEXTHDR = 153,                  /* "nexthdr"  */
  YYSYMBOL_HOPLIMIT = 154,                 /* "hoplimit"  */
  YYSYMBOL_ICMP6 = 155,                    /* "icmpv6"  */
  YYSYMBOL_PPTR = 156,                     /* "param-problem"  */
  YYSYMBOL_MAXDELAY = 157,                 /* "max-delay"  */
  YYSYMBOL_AH = 158,                       /* "ah"  */
  YYSYMBOL_RESERVED = 159,                 /* "reserved"  */
  YYSYMBOL_SPI = 160,                      /* "spi"  */
  YYSYMBOL_ESP = 161,                      /* "esp"  */
  YYSYMBOL_COMP = 162,                     /* "comp"  */
  YYSYMBOL_FLAGS = 163,                    /* "flags"  */
  YYSYMBOL_CPI = 164,                      /* "cpi"  */
  YYSYMBOL_PORT = 165,                     /* "port"  */
  YYSYMBOL_UDP = 166,                      /* "udp"  */
  YYSYMBOL_SPORT = 167,                    /* "sport"  */
  YYSYMBOL_DPORT = 168,                    /* "dport"  */
  YYSYMBOL_UDPLITE = 169,                  /* "udplite"  */
  YYSYMBOL_CSUMCOV = 170,                  /* "csumcov"  */
  YYSYMBOL_TCP = 171,                      /* "tcp"  */
  YYSYMBOL_ACKSEQ = 172,                   /* "ackseq"  */
  YYSYMBOL_DOFF = 173,                     /* "doff"  */
  YYSYMBOL_WINDOW = 174,                   /* "window"  */
  YYSYMBOL_URGPTR = 175,                   /* "urgptr"  */
  YYSYMBOL_OPTION = 176,                   /* "option"  */
  YYSYMBOL_ECHO = 177,                     /* "echo"  */
  YYSYMBOL_EOL = 178,                      /* "eol"  */
  YYSYMBOL_MPTCP = 179,                    /* "mptcp"  */
  YYSYMBOL_NOP = 180,                      /* "nop"  */
  YYSYMBOL_SACK = 181,                     /* "sack"  */
  YYSYMBOL_SACK0 = 182,                    /* "sack0"  */
  YYSYMBOL_SACK1 = 183,                    /* "sack1"  */
  YYSYMBOL_SACK2 = 184,                    /* "sack2"  */
  YYSYMBOL_SACK3 = 185,                    /* "sack3"  */
  YYSYMBOL_SACK_PERM = 186,                /* "sack-permitted"  */
  YYSYMBOL_FASTOPEN = 187,                 /* "fastopen"  */
  YYSYMBOL_MD5SIG = 188,                   /* "md5sig"  */
  YYSYMBOL_TIMESTAMP = 189,                /* "timestamp"  */
  YYSYMBOL_COUNT = 190,                    /* "count"  */
  YYSYMBOL_LEFT = 191,                     /* "left"  */
  YYSYMBOL_RIGHT = 192,                    /* "right"  */
  YYSYMBOL_TSVAL = 193,                    /* "tsval"  */
  YYSYMBOL_TSECR = 194,                    /* "tsecr"  */
  YYSYMBOL_SUBTYPE = 195,                  /* "subtype"  */
  YYSYMBOL_DCCP = 196,                     /* "dccp"  */
  YYSYMBOL_VXLAN = 197,                    /* "vxlan"  */
  YYSYMBOL_VNI = 198,                      /* "vni"  */
  YYSYMBOL_GRE = 199,                      /* "gre"  */
  YYSYMBOL_GRETAP = 200,                   /* "gretap"  */
  YYSYMBOL_GENEVE = 201,                   /* "geneve"  */
  YYSYMBOL_SCTP = 202,                     /* "sctp"  */
  YYSYMBOL_CHUNK = 203,                    /* "chunk"  */
  YYSYMBOL_DATA = 204,                     /* "data"  */
  YYSYMBOL_INIT = 205,                     /* "init"  */
  YYSYMBOL_INIT_ACK = 206,                 /* "init-ack"  */
  YYSYMBOL_HEARTBEAT = 207,                /* "heartbeat"  */
  YYSYMBOL_HEARTBEAT_ACK = 208,            /* "heartbeat-ack"  */
  YYSYMBOL_ABORT = 209,                    /* "abort"  */
  YYSYMBOL_SHUTDOWN = 210,                 /* "shutdown"  */
  YYSYMBOL_SHUTDOWN_ACK = 211,             /* "shutdown-ack"  */
  YYSYMBOL_ERROR = 212,                    /* "error"  */
  YYSYMBOL_COOKIE_ECHO = 213,              /* "cookie-echo"  */
  YYSYMBOL_COOKIE_ACK = 214,               /* "cookie-ack"  */
  YYSYMBOL_ECNE = 215,                     /* "ecne"  */
  YYSYMBOL_CWR = 216,                      /* "cwr"  */
  YYSYMBOL_SHUTDOWN_COMPLETE = 217,        /* "shutdown-complete"  */
  YYSYMBOL_ASCONF_ACK = 218,               /* "asconf-ack"  */
  YYSYMBOL_FORWARD_TSN = 219,              /* "forward-tsn"  */
  YYSYMBOL_ASCONF = 220,                   /* "asconf"  */
  YYSYMBOL_TSN = 221,                      /* "tsn"  */
  YYSYMBOL_STREAM = 222,                   /* "stream"  */
  YYSYMBOL_SSN = 223,                      /* "ssn"  */
  YYSYMBOL_PPID = 224,                     /* "ppid"  */
  YYSYMBOL_INIT_TAG = 225,                 /* "init-tag"  */
  YYSYMBOL_A_RWND = 226,                   /* "a-rwnd"  */
  YYSYMBOL_NUM_OSTREAMS = 227,             /* "num-outbound-streams"  */
  YYSYMBOL_NUM_ISTREAMS = 228,             /* "num-inbound-streams"  */
  YYSYMBOL_INIT_TSN = 229,                 /* "initial-tsn"  */
  YYSYMBOL_CUM_TSN_ACK = 230,              /* "cum-tsn-ack"  */
  YYSYMBOL_NUM_GACK_BLOCKS = 231,          /* "num-gap-ack-blocks"  */
  YYSYMBOL_NUM_DUP_TSNS = 232,             /* "num-dup-tsns"  */
  YYSYMBOL_LOWEST_TSN = 233,               /* "lowest-tsn"  */
  YYSYMBOL_SEQNO = 234,                    /* "seqno"  */
  YYSYMBOL_NEW_CUM_TSN = 235,              /* "new-cum-tsn"  */
  YYSYMBOL_VTAG = 236,                     /* "vtag"  */
  YYSYMBOL_RT = 237,                       /* "rt"  */
  YYSYMBOL_RT0 = 238,                      /* "rt0"  */
  YYSYMBOL_RT2 = 239,                      /* "rt2"  */
  YYSYMBOL_RT4 = 240,                      /* "srh"  */
  YYSYMBOL_SEG_LEFT = 241,                 /* "seg-left"  */
  YYSYMBOL_ADDR = 242,                     /* "addr"  */
  YYSYMBOL_LAST_ENT = 243,                 /* "last-entry"  */
  YYSYMBOL_TAG = 244,                      /* "tag"  */
  YYSYMBOL_SID = 245,                      /* "sid"  */
  YYSYMBOL_HBH = 246,                      /* "hbh"  */
  YYSYMBOL_FRAG = 247,                     /* "frag"  */
  YYSYMBOL_RESERVED2 = 248,                /* "reserved2"  */
  YYSYMBOL_MORE_FRAGMENTS = 249,           /* "more-fragments"  */
  YYSYMBOL_DST = 250,                      /* "dst"  */
  YYSYMBOL_MH = 251,                       /* "mh"  */
  YYSYMBOL_META = 252,                     /* "meta"  */
  YYSYMBOL_MARK = 253,                     /* "mark"  */
  YYSYMBOL_IIF = 254,                      /* "iif"  */
  YYSYMBOL_IIFNAME = 255,                  /* "iifname"  */
  YYSYMBOL_IIFTYPE = 256,                  /* "iiftype"  */
  YYSYMBOL_OIF = 257,                      /* "oif"  */
  YYSYMBOL_OIFNAME = 258,                  /* "oifname"  */
  YYSYMBOL_OIFTYPE = 259,                  /* "oiftype"  */
  YYSYMBOL_SKUID = 260,                    /* "skuid"  */
  YYSYMBOL_SKGID = 261,                    /* "skgid"  */
  YYSYMBOL_NFTRACE = 262,                  /* "nftrace"  */
  YYSYMBOL_RTCLASSID = 263,                /* "rtclassid"  */
  YYSYMBOL_IBRIPORT = 264,                 /* "ibriport"  */
  YYSYMBOL_OBRIPORT = 265,                 /* "obriport"  */
  YYSYMBOL_IBRIDGENAME = 266,              /* "ibrname"  */
  YYSYMBOL_OBRIDGENAME = 267,              /* "obrname"  */
  YYSYMBOL_PKTTYPE = 268,                  /* "pkttype"  */
  YYSYMBOL_CPU = 269,                      /* "cpu"  */
  YYSYMBOL_IIFGROUP = 270,                 /* "iifgroup"  */
  YYSYMBOL_OIFGROUP = 271,                 /* "oifgroup"  */
  YYSYMBOL_CGROUP = 272,                   /* "cgroup"  */
  YYSYMBOL_TIME = 273,                     /* "time"  */
  YYSYMBOL_CLASSID = 274,                  /* "classid"  */
  YYSYMBOL_NEXTHOP = 275,                  /* "nexthop"  */
  YYSYMBOL_CT = 276,                       /* "ct"  */
  YYSYMBOL_L3PROTOCOL = 277,               /* "l3proto"  */
  YYSYMBOL_PROTO_SRC = 278,                /* "proto-src"  */
  YYSYMBOL_PROTO_DST = 279,                /* "proto-dst"  */
  YYSYMBOL_ZONE = 280,                     /* "zone"  */
  YYSYMBOL_DIRECTION = 281,                /* "direction"  */
  YYSYMBOL_EVENT = 282,                    /* "event"  */
  YYSYMBOL_EXPECTATION = 283,              /* "expectation"  */
  YYSYMBOL_EXPIRATION = 284,               /* "expiration"  */
  YYSYMBOL_HELPER = 285,                   /* "helper"  */
  YYSYMBOL_LABEL = 286,                    /* "label"  */
  YYSYMBOL_STATE = 287,                    /* "state"  */
  YYSYMBOL_STATUS = 288,                   /* "status"  */
  YYSYMBOL_ORIGINAL = 289,                 /* "original"  */
  YYSYMBOL_REPLY = 290,                    /* "reply"  */
  YYSYMBOL_COUNTER = 291,                  /* "counter"  */
  YYSYMBOL_NAME = 292,                     /* "name"  */
  YYSYMBOL_PACKETS = 293,                  /* "packets"  */
  YYSYMBOL_BYTES = 294,                    /* "bytes"  */
  YYSYMBOL_AVGPKT = 295,                   /* "avgpkt"  */
  YYSYMBOL_LAST = 296,                     /* "last"  */
  YYSYMBOL_NEVER = 297,                    /* "never"  */
  YYSYMBOL_COUNTERS = 298,                 /* "counters"  */
  YYSYMBOL_QUOTAS = 299,                   /* "quotas"  */
  YYSYMBOL_LIMITS = 300,                   /* "limits"  */
  YYSYMBOL_SYNPROXYS = 301,                /* "synproxys"  */
  YYSYMBOL_HELPERS = 302,                  /* "helpers"  */
  YYSYMBOL_LOG = 303,                      /* "log"  */
  YYSYMBOL_PREFIX = 304,                   /* "prefix"  */
  YYSYMBOL_GROUP = 305,                    /* "group"  */
  YYSYMBOL_SNAPLEN = 306,                  /* "snaplen"  */
  YYSYMBOL_QUEUE_THRESHOLD = 307,          /* "queue-threshold"  */
  YYSYMBOL_LEVEL = 308,                    /* "level"  */
  YYSYMBOL_LIMIT = 309,                    /* "limit"  */
  YYSYMBOL_RATE = 310,                     /* "rate"  */
  YYSYMBOL_BURST = 311,                    /* "burst"  */
  YYSYMBOL_OVER = 312,                     /* "over"  */
  YYSYMBOL_UNTIL = 313,                    /* "until"  */
  YYSYMBOL_QUOTA = 314,                    /* "quota"  */
  YYSYMBOL_USED = 315,                     /* "used"  */
  YYSYMBOL_SECMARK = 316,                  /* "secmark"  */
  YYSYMBOL_SECMARKS = 317,                 /* "secmarks"  */
  YYSYMBOL_SECOND = 318,                   /* "second"  */
  YYSYMBOL_MINUTE = 319,                   /* "minute"  */
  YYSYMBOL_HOUR = 320,                     /* "hour"  */
  YYSYMBOL_DAY = 321,                      /* "day"  */
  YYSYMBOL_WEEK = 322,                     /* "week"  */
  YYSYMBOL__REJECT = 323,                  /* "reject"  */
  YYSYMBOL_WITH = 324,                     /* "with"  */
  YYSYMBOL_ICMPX = 325,                    /* "icmpx"  */
  YYSYMBOL_SNAT = 326,                     /* "snat"  */
  YYSYMBOL_DNAT = 327,                     /* "dnat"  */
  YYSYMBOL_MASQUERADE = 328,               /* "masquerade"  */
  YYSYMBOL_REDIRECT = 329,                 /* "redirect"  */
  YYSYMBOL_RANDOM = 330,                   /* "random"  */
  YYSYMBOL_FULLY_RANDOM = 331,             /* "fully-random"  */
  YYSYMBOL_PERSISTENT = 332,               /* "persistent"  */
  YYSYMBOL_QUEUE = 333,                    /* "queue"  */
  YYSYMBOL_QUEUENUM = 334,                 /* "num"  */
  YYSYMBOL_BYPASS = 335,                   /* "bypass"  */
  YYSYMBOL_FANOUT = 336,                   /* "fanout"  */
  YYSYMBOL_DUP = 337,                      /* "dup"  */
  YYSYMBOL_FWD = 338,                      /* "fwd"  */
  YYSYMBOL_NUMGEN = 339,                   /* "numgen"  */
  YYSYMBOL_INC = 340,                      /* "inc"  */
  YYSYMBOL_MOD = 341,                      /* "mod"  */
  YYSYMBOL_OFFSET = 342,                   /* "offset"  */
  YYSYMBOL_JHASH = 343,                    /* "jhash"  */
  YYSYMBOL_SYMHASH = 344,                  /* "symhash"  */
  YYSYMBOL_SEED = 345,                     /* "seed"  */
  YYSYMBOL_POSITION = 346,                 /* "position"  */
  YYSYMBOL_INDEX = 347,                    /* "index"  */
  YYSYMBOL_COMMENT = 348,                  /* "comment"  */
  YYSYMBOL_XML = 349,                      /* "xml"  */
  YYSYMBOL_JSON = 350,                     /* "json"  */
  YYSYMBOL_VM = 351,                       /* "vm"  */
  YYSYMBOL_NOTRACK = 352,                  /* "notrack"  */
  YYSYMBOL_EXISTS = 353,                   /* "exists"  */
  YYSYMBOL_MISSING = 354,                  /* "missing"  */
  YYSYMBOL_EXTHDR = 355,                   /* "exthdr"  */
  YYSYMBOL_IPSEC = 356,                    /* "ipsec"  */
  YYSYMBOL_REQID = 357,                    /* "reqid"  */
  YYSYMBOL_SPNUM = 358,                    /* "spnum"  */
  YYSYMBOL_IN = 359,                       /* "in"  */
  YYSYMBOL_OUT = 360,                      /* "out"  */
  YYSYMBOL_XT = 361,                       /* "xt"  */
  YYSYMBOL_362_ = 362,                     /* '='  */
  YYSYMBOL_363_ = 363,                     /* '{'  */
  YYSYMBOL_364_ = 364,                     /* '}'  */
  YYSYMBOL_365_ = 365,                     /* '('  */
  YYSYMBOL_366_ = 366,                     /* ')'  */
  YYSYMBOL_367_ = 367,                     /* '|'  */
  YYSYMBOL_368_ = 368,                     /* '$'  */
  YYSYMBOL_369_ = 369,                     /* '['  */
  YYSYMBOL_370_ = 370,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 371,                 /* $accept  */
  YYSYMBOL_input = 372,                    /* input  */
  YYSYMBOL_stmt_separator = 373,           /* stmt_separator  */
  YYSYMBOL_opt_newline = 374,              /* opt_newline  */
  YYSYMBOL_close_scope_ah = 375,           /* close_scope_ah  */
  YYSYMBOL_close_scope_arp = 376,          /* close_scope_arp  */
  YYSYMBOL_close_scope_at = 377,           /* close_scope_at  */
  YYSYMBOL_close_scope_comp = 378,         /* close_scope_comp  */
  YYSYMBOL_close_scope_ct = 379,           /* close_scope_ct  */
  YYSYMBOL_close_scope_counter = 380,      /* close_scope_counter  */
  YYSYMBOL_close_scope_last = 381,         /* close_scope_last  */
  YYSYMBOL_close_scope_dccp = 382,         /* close_scope_dccp  */
  YYSYMBOL_close_scope_destroy = 383,      /* close_scope_destroy  */
  YYSYMBOL_close_scope_dst = 384,          /* close_scope_dst  */
  YYSYMBOL_close_scope_dup = 385,          /* close_scope_dup  */
  YYSYMBOL_close_scope_esp = 386,          /* close_scope_esp  */
  YYSYMBOL_close_scope_eth = 387,          /* close_scope_eth  */
  YYSYMBOL_close_scope_export = 388,       /* close_scope_export  */
  YYSYMBOL_close_scope_fib = 389,          /* close_scope_fib  */
  YYSYMBOL_close_scope_frag = 390,         /* close_scope_frag  */
  YYSYMBOL_close_scope_fwd = 391,          /* close_scope_fwd  */
  YYSYMBOL_close_scope_gre = 392,          /* close_scope_gre  */
  YYSYMBOL_close_scope_hash = 393,         /* close_scope_hash  */
  YYSYMBOL_close_scope_hbh = 394,          /* close_scope_hbh  */
  YYSYMBOL_close_scope_ip = 395,           /* close_scope_ip  */
  YYSYMBOL_close_scope_ip6 = 396,          /* close_scope_ip6  */
  YYSYMBOL_close_scope_vlan = 397,         /* close_scope_vlan  */
  YYSYMBOL_close_scope_icmp = 398,         /* close_scope_icmp  */
  YYSYMBOL_close_scope_igmp = 399,         /* close_scope_igmp  */
  YYSYMBOL_close_scope_import = 400,       /* close_scope_import  */
  YYSYMBOL_close_scope_ipsec = 401,        /* close_scope_ipsec  */
  YYSYMBOL_close_scope_list = 402,         /* close_scope_list  */
  YYSYMBOL_close_scope_limit = 403,        /* close_scope_limit  */
  YYSYMBOL_close_scope_meta = 404,         /* close_scope_meta  */
  YYSYMBOL_close_scope_mh = 405,           /* close_scope_mh  */
  YYSYMBOL_close_scope_monitor = 406,      /* close_scope_monitor  */
  YYSYMBOL_close_scope_nat = 407,          /* close_scope_nat  */
  YYSYMBOL_close_scope_numgen = 408,       /* close_scope_numgen  */
  YYSYMBOL_close_scope_osf = 409,          /* close_scope_osf  */
  YYSYMBOL_close_scope_policy = 410,       /* close_scope_policy  */
  YYSYMBOL_close_scope_quota = 411,        /* close_scope_quota  */
  YYSYMBOL_close_scope_queue = 412,        /* close_scope_queue  */
  YYSYMBOL_close_scope_reject = 413,       /* close_scope_reject  */
  YYSYMBOL_close_scope_reset = 414,        /* close_scope_reset  */
  YYSYMBOL_close_scope_rt = 415,           /* close_scope_rt  */
  YYSYMBOL_close_scope_sctp = 416,         /* close_scope_sctp  */
  YYSYMBOL_close_scope_sctp_chunk = 417,   /* close_scope_sctp_chunk  */
  YYSYMBOL_close_scope_secmark = 418,      /* close_scope_secmark  */
  YYSYMBOL_close_scope_socket = 419,       /* close_scope_socket  */
  YYSYMBOL_close_scope_tcp = 420,          /* close_scope_tcp  */
  YYSYMBOL_close_scope_tproxy = 421,       /* close_scope_tproxy  */
  YYSYMBOL_close_scope_type = 422,         /* close_scope_type  */
  YYSYMBOL_close_scope_th = 423,           /* close_scope_th  */
  YYSYMBOL_close_scope_udp = 424,          /* close_scope_udp  */
  YYSYMBOL_close_scope_udplite = 425,      /* close_scope_udplite  */
  YYSYMBOL_close_scope_log = 426,          /* close_scope_log  */
  YYSYMBOL_close_scope_synproxy = 427,     /* close_scope_synproxy  */
  YYSYMBOL_close_scope_xt = 428,           /* close_scope_xt  */
  YYSYMBOL_common_block = 429,             /* common_block  */
  YYSYMBOL_line = 430,                     /* line  */
  YYSYMBOL_base_cmd = 431,                 /* base_cmd  */
  YYSYMBOL_add_cmd = 432,                  /* add_cmd  */
  YYSYMBOL_replace_cmd = 433,              /* replace_cmd  */
  YYSYMBOL_create_cmd = 434,               /* create_cmd  */
  YYSYMBOL_insert_cmd = 435,               /* insert_cmd  */
  YYSYMBOL_table_or_id_spec = 436,         /* table_or_id_spec  */
  YYSYMBOL_chain_or_id_spec = 437,         /* chain_or_id_spec  */
  YYSYMBOL_set_or_id_spec = 438,           /* set_or_id_spec  */
  YYSYMBOL_obj_or_id_spec = 439,           /* obj_or_id_spec  */
  YYSYMBOL_delete_cmd = 440,               /* delete_cmd  */
  YYSYMBOL_destroy_cmd = 441,              /* destroy_cmd  */
  YYSYMBOL_get_cmd = 442,                  /* get_cmd  */
  YYSYMBOL_list_cmd = 443,                 /* list_cmd  */
  YYSYMBOL_basehook_device_name = 444,     /* basehook_device_name  */
  YYSYMBOL_basehook_spec = 445,            /* basehook_spec  */
  YYSYMBOL_reset_cmd = 446,                /* reset_cmd  */
  YYSYMBOL_flush_cmd = 447,                /* flush_cmd  */
  YYSYMBOL_rename_cmd = 448,               /* rename_cmd  */
  YYSYMBOL_import_cmd = 449,               /* import_cmd  */
  YYSYMBOL_export_cmd = 450,               /* export_cmd  */
  YYSYMBOL_monitor_cmd = 451,              /* monitor_cmd  */
  YYSYMBOL_monitor_event = 452,            /* monitor_event  */
  YYSYMBOL_monitor_object = 453,           /* monitor_object  */
  YYSYMBOL_monitor_format = 454,           /* monitor_format  */
  YYSYMBOL_markup_format = 455,            /* markup_format  */
  YYSYMBOL_describe_cmd = 456,             /* describe_cmd  */
  YYSYMBOL_table_block_alloc = 457,        /* table_block_alloc  */
  YYSYMBOL_table_options = 458,            /* table_options  */
  YYSYMBOL_table_block = 459,              /* table_block  */
  YYSYMBOL_chain_block_alloc = 460,        /* chain_block_alloc  */
  YYSYMBOL_chain_block = 461,              /* chain_block  */
  YYSYMBOL_subchain_block = 462,           /* subchain_block  */
  YYSYMBOL_typeof_data_expr = 463,         /* typeof_data_expr  */
  YYSYMBOL_typeof_expr = 464,              /* typeof_expr  */
  YYSYMBOL_set_block_alloc = 465,          /* set_block_alloc  */
  YYSYMBOL_set_block = 466,                /* set_block  */
  YYSYMBOL_set_block_expr = 467,           /* set_block_expr  */
  YYSYMBOL_set_flag_list = 468,            /* set_flag_list  */
  YYSYMBOL_set_flag = 469,                 /* set_flag  */
  YYSYMBOL_map_block_alloc = 470,          /* map_block_alloc  */
  YYSYMBOL_map_block_obj_type = 471,       /* map_block_obj_type  */
  YYSYMBOL_map_block = 472,                /* map_block  */
  YYSYMBOL_set_mechanism = 473,            /* set_mechanism  */
  YYSYMBOL_set_policy_spec = 474,          /* set_policy_spec  */
  YYSYMBOL_flowtable_block_alloc = 475,    /* flowtable_block_alloc  */
  YYSYMBOL_flowtable_block = 476,          /* flowtable_block  */
  YYSYMBOL_flowtable_expr = 477,           /* flowtable_expr  */
  YYSYMBOL_flowtable_list_expr = 478,      /* flowtable_list_expr  */
  YYSYMBOL_flowtable_expr_member = 479,    /* flowtable_expr_member  */
  YYSYMBOL_data_type_atom_expr = 480,      /* data_type_atom_expr  */
  YYSYMBOL_data_type_expr = 481,           /* data_type_expr  */
  YYSYMBOL_obj_block_alloc = 482,          /* obj_block_alloc  */
  YYSYMBOL_counter_block = 483,            /* counter_block  */
  YYSYMBOL_quota_block = 484,              /* quota_block  */
  YYSYMBOL_ct_helper_block = 485,          /* ct_helper_block  */
  YYSYMBOL_ct_timeout_block = 486,         /* ct_timeout_block  */
  YYSYMBOL_ct_expect_block = 487,          /* ct_expect_block  */
  YYSYMBOL_limit_block = 488,              /* limit_block  */
  YYSYMBOL_secmark_block = 489,            /* secmark_block  */
  YYSYMBOL_synproxy_block = 490,           /* synproxy_block  */
  YYSYMBOL_type_identifier = 491,          /* type_identifier  */
  YYSYMBOL_hook_spec = 492,                /* hook_spec  */
  YYSYMBOL_prio_spec = 493,                /* prio_spec  */
  YYSYMBOL_extended_prio_name = 494,       /* extended_prio_name  */
  YYSYMBOL_extended_prio_spec = 495,       /* extended_prio_spec  */
  YYSYMBOL_int_num = 496,                  /* int_num  */
  YYSYMBOL_dev_spec = 497,                 /* dev_spec  */
  YYSYMBOL_flags_spec = 498,               /* flags_spec  */
  YYSYMBOL_policy_spec = 499,              /* policy_spec  */
  YYSYMBOL_policy_expr = 500,              /* policy_expr  */
  YYSYMBOL_chain_policy = 501,             /* chain_policy  */
  YYSYMBOL_identifier = 502,               /* identifier  */
  YYSYMBOL_string = 503,                   /* string  */
  YYSYMBOL_time_spec = 504,                /* time_spec  */
  YYSYMBOL_family_spec = 505,              /* family_spec  */
  YYSYMBOL_family_spec_explicit = 506,     /* family_spec_explicit  */
  YYSYMBOL_table_spec = 507,               /* table_spec  */
  YYSYMBOL_tableid_spec = 508,             /* tableid_spec  */
  YYSYMBOL_chain_spec = 509,               /* chain_spec  */
  YYSYMBOL_chainid_spec = 510,             /* chainid_spec  */
  YYSYMBOL_chain_identifier = 511,         /* chain_identifier  */
  YYSYMBOL_set_spec = 512,                 /* set_spec  */
  YYSYMBOL_setid_spec = 513,               /* setid_spec  */
  YYSYMBOL_set_identifier = 514,           /* set_identifier  */
  YYSYMBOL_flowtable_spec = 515,           /* flowtable_spec  */
  YYSYMBOL_flowtableid_spec = 516,         /* flowtableid_spec  */
  YYSYMBOL_flowtable_identifier = 517,     /* flowtable_identifier  */
  YYSYMBOL_obj_spec = 518,                 /* obj_spec  */
  YYSYMBOL_objid_spec = 519,               /* objid_spec  */
  YYSYMBOL_obj_identifier = 520,           /* obj_identifier  */
  YYSYMBOL_handle_spec = 521,              /* handle_spec  */
  YYSYMBOL_position_spec = 522,            /* position_spec  */
  YYSYMBOL_index_spec = 523,               /* index_spec  */
  YYSYMBOL_rule_position = 524,            /* rule_position  */
  YYSYMBOL_ruleid_spec = 525,              /* ruleid_spec  */
  YYSYMBOL_comment_spec = 526,             /* comment_spec  */
  YYSYMBOL_ruleset_spec = 527,             /* ruleset_spec  */
  YYSYMBOL_rule = 528,                     /* rule  */
  YYSYMBOL_rule_alloc = 529,               /* rule_alloc  */
  YYSYMBOL_stmt_list = 530,                /* stmt_list  */
  YYSYMBOL_stateful_stmt_list = 531,       /* stateful_stmt_list  */
  YYSYMBOL_stateful_stmt = 532,            /* stateful_stmt  */
  YYSYMBOL_stmt = 533,                     /* stmt  */
  YYSYMBOL_xt_stmt = 534,                  /* xt_stmt  */
  YYSYMBOL_chain_stmt_type = 535,          /* chain_stmt_type  */
  YYSYMBOL_chain_stmt = 536,               /* chain_stmt  */
  YYSYMBOL_verdict_stmt = 537,             /* verdict_stmt  */
  YYSYMBOL_verdict_map_stmt = 538,         /* verdict_map_stmt  */
  YYSYMBOL_verdict_map_expr = 539,         /* verdict_map_expr  */
  YYSYMBOL_verdict_map_list_expr = 540,    /* verdict_map_list_expr  */
  YYSYMBOL_verdict_map_list_member_expr = 541, /* verdict_map_list_member_expr  */
  YYSYMBOL_connlimit_stmt = 542,           /* connlimit_stmt  */
  YYSYMBOL_counter_stmt = 543,             /* counter_stmt  */
  YYSYMBOL_counter_stmt_alloc = 544,       /* counter_stmt_alloc  */
  YYSYMBOL_counter_args = 545,             /* counter_args  */
  YYSYMBOL_counter_arg = 546,              /* counter_arg  */
  YYSYMBOL_last_stmt = 547,                /* last_stmt  */
  YYSYMBOL_log_stmt = 548,                 /* log_stmt  */
  YYSYMBOL_log_stmt_alloc = 549,           /* log_stmt_alloc  */
  YYSYMBOL_log_args = 550,                 /* log_args  */
  YYSYMBOL_log_arg = 551,                  /* log_arg  */
  YYSYMBOL_level_type = 552,               /* level_type  */
  YYSYMBOL_log_flags = 553,                /* log_flags  */
  YYSYMBOL_log_flags_tcp = 554,            /* log_flags_tcp  */
  YYSYMBOL_log_flag_tcp = 555,             /* log_flag_tcp  */
  YYSYMBOL_limit_stmt = 556,               /* limit_stmt  */
  YYSYMBOL_quota_mode = 557,               /* quota_mode  */
  YYSYMBOL_quota_unit = 558,               /* quota_unit  */
  YYSYMBOL_quota_used = 559,               /* quota_used  */
  YYSYMBOL_quota_stmt = 560,               /* quota_stmt  */
  YYSYMBOL_limit_mode = 561,               /* limit_mode  */
  YYSYMBOL_limit_burst_pkts = 562,         /* limit_burst_pkts  */
  YYSYMBOL_limit_rate_pkts = 563,          /* limit_rate_pkts  */
  YYSYMBOL_limit_burst_bytes = 564,        /* limit_burst_bytes  */
  YYSYMBOL_limit_rate_bytes = 565,         /* limit_rate_bytes  */
  YYSYMBOL_limit_bytes = 566,              /* limit_bytes  */
  YYSYMBOL_time_unit = 567,                /* time_unit  */
  YYSYMBOL_reject_stmt = 568,              /* reject_stmt  */
  YYSYMBOL_reject_stmt_alloc = 569,        /* reject_stmt_alloc  */
  YYSYMBOL_reject_with_expr = 570,         /* reject_with_expr  */
  YYSYMBOL_reject_opts = 571,              /* reject_opts  */
  YYSYMBOL_nat_stmt = 572,                 /* nat_stmt  */
  YYSYMBOL_nat_stmt_alloc = 573,           /* nat_stmt_alloc  */
  YYSYMBOL_tproxy_stmt = 574,              /* tproxy_stmt  */
  YYSYMBOL_synproxy_stmt = 575,            /* synproxy_stmt  */
  YYSYMBOL_synproxy_stmt_alloc = 576,      /* synproxy_stmt_alloc  */
  YYSYMBOL_synproxy_args = 577,            /* synproxy_args  */
  YYSYMBOL_synproxy_arg = 578,             /* synproxy_arg  */
  YYSYMBOL_synproxy_config = 579,          /* synproxy_config  */
  YYSYMBOL_synproxy_obj = 580,             /* synproxy_obj  */
  YYSYMBOL_synproxy_ts = 581,              /* synproxy_ts  */
  YYSYMBOL_synproxy_sack = 582,            /* synproxy_sack  */
  YYSYMBOL_primary_stmt_expr = 583,        /* primary_stmt_expr  */
  YYSYMBOL_shift_stmt_expr = 584,          /* shift_stmt_expr  */
  YYSYMBOL_and_stmt_expr = 585,            /* and_stmt_expr  */
  YYSYMBOL_exclusive_or_stmt_expr = 586,   /* exclusive_or_stmt_expr  */
  YYSYMBOL_inclusive_or_stmt_expr = 587,   /* inclusive_or_stmt_expr  */
  YYSYMBOL_basic_stmt_expr = 588,          /* basic_stmt_expr  */
  YYSYMBOL_concat_stmt_expr = 589,         /* concat_stmt_expr  */
  YYSYMBOL_map_stmt_expr_set = 590,        /* map_stmt_expr_set  */
  YYSYMBOL_map_stmt_expr = 591,            /* map_stmt_expr  */
  YYSYMBOL_prefix_stmt_expr = 592,         /* prefix_stmt_expr  */
  YYSYMBOL_range_stmt_expr = 593,          /* range_stmt_expr  */
  YYSYMBOL_multiton_stmt_expr = 594,       /* multiton_stmt_expr  */
  YYSYMBOL_stmt_expr = 595,                /* stmt_expr  */
  YYSYMBOL_nat_stmt_args = 596,            /* nat_stmt_args  */
  YYSYMBOL_masq_stmt = 597,                /* masq_stmt  */
  YYSYMBOL_masq_stmt_alloc = 598,          /* masq_stmt_alloc  */
  YYSYMBOL_masq_stmt_args = 599,           /* masq_stmt_args  */
  YYSYMBOL_redir_stmt = 600,               /* redir_stmt  */
  YYSYMBOL_redir_stmt_alloc = 601,         /* redir_stmt_alloc  */
  YYSYMBOL_redir_stmt_arg = 602,           /* redir_stmt_arg  */
  YYSYMBOL_dup_stmt = 603,                 /* dup_stmt  */
  YYSYMBOL_fwd_stmt = 604,                 /* fwd_stmt  */
  YYSYMBOL_nf_nat_flags = 605,             /* nf_nat_flags  */
  YYSYMBOL_nf_nat_flag = 606,              /* nf_nat_flag  */
  YYSYMBOL_queue_stmt = 607,               /* queue_stmt  */
  YYSYMBOL_queue_stmt_compat = 608,        /* queue_stmt_compat  */
  YYSYMBOL_queue_stmt_alloc = 609,         /* queue_stmt_alloc  */
  YYSYMBOL_queue_stmt_args = 610,          /* queue_stmt_args  */
  YYSYMBOL_queue_stmt_arg = 611,           /* queue_stmt_arg  */
  YYSYMBOL_queue_expr = 612,               /* queue_expr  */
  YYSYMBOL_queue_stmt_expr_simple = 613,   /* queue_stmt_expr_simple  */
  YYSYMBOL_queue_stmt_expr = 614,          /* queue_stmt_expr  */
  YYSYMBOL_queue_stmt_flags = 615,         /* queue_stmt_flags  */
  YYSYMBOL_queue_stmt_flag = 616,          /* queue_stmt_flag  */
  YYSYMBOL_set_elem_expr_stmt = 617,       /* set_elem_expr_stmt  */
  YYSYMBOL_set_elem_expr_stmt_alloc = 618, /* set_elem_expr_stmt_alloc  */
  YYSYMBOL_set_stmt = 619,                 /* set_stmt  */
  YYSYMBOL_set_stmt_op = 620,              /* set_stmt_op  */
  YYSYMBOL_map_stmt = 621,                 /* map_stmt  */
  YYSYMBOL_meter_stmt = 622,               /* meter_stmt  */
  YYSYMBOL_flow_stmt_legacy_alloc = 623,   /* flow_stmt_legacy_alloc  */
  YYSYMBOL_flow_stmt_opts = 624,           /* flow_stmt_opts  */
  YYSYMBOL_flow_stmt_opt = 625,            /* flow_stmt_opt  */
  YYSYMBOL_meter_stmt_alloc = 626,         /* meter_stmt_alloc  */
  YYSYMBOL_match_stmt = 627,               /* match_stmt  */
  YYSYMBOL_variable_expr = 628,            /* variable_expr  */
  YYSYMBOL_symbol_expr = 629,              /* symbol_expr  */
  YYSYMBOL_set_ref_expr = 630,             /* set_ref_expr  */
  YYSYMBOL_set_ref_symbol_expr = 631,      /* set_ref_symbol_expr  */
  YYSYMBOL_integer_expr = 632,             /* integer_expr  */
  YYSYMBOL_primary_expr = 633,             /* primary_expr  */
  YYSYMBOL_fib_expr = 634,                 /* fib_expr  */
  YYSYMBOL_fib_result = 635,               /* fib_result  */
  YYSYMBOL_fib_flag = 636,                 /* fib_flag  */
  YYSYMBOL_fib_tuple = 637,                /* fib_tuple  */
  YYSYMBOL_osf_expr = 638,                 /* osf_expr  */
  YYSYMBOL_osf_ttl = 639,                  /* osf_ttl  */
  YYSYMBOL_shift_expr = 640,               /* shift_expr  */
  YYSYMBOL_and_expr = 641,                 /* and_expr  */
  YYSYMBOL_exclusive_or_expr = 642,        /* exclusive_or_expr  */
  YYSYMBOL_inclusive_or_expr = 643,        /* inclusive_or_expr  */
  YYSYMBOL_basic_expr = 644,               /* basic_expr  */
  YYSYMBOL_concat_expr = 645,              /* concat_expr  */
  YYSYMBOL_prefix_rhs_expr = 646,          /* prefix_rhs_expr  */
  YYSYMBOL_range_rhs_expr = 647,           /* range_rhs_expr  */
  YYSYMBOL_multiton_rhs_expr = 648,        /* multiton_rhs_expr  */
  YYSYMBOL_map_expr = 649,                 /* map_expr  */
  YYSYMBOL_expr = 650,                     /* expr  */
  YYSYMBOL_set_expr = 651,                 /* set_expr  */
  YYSYMBOL_set_list_expr = 652,            /* set_list_expr  */
  YYSYMBOL_set_list_member_expr = 653,     /* set_list_member_expr  */
  YYSYMBOL_meter_key_expr = 654,           /* meter_key_expr  */
  YYSYMBOL_meter_key_expr_alloc = 655,     /* meter_key_expr_alloc  */
  YYSYMBOL_set_elem_expr = 656,            /* set_elem_expr  */
  YYSYMBOL_set_elem_key_expr = 657,        /* set_elem_key_expr  */
  YYSYMBOL_set_elem_expr_alloc = 658,      /* set_elem_expr_alloc  */
  YYSYMBOL_set_elem_options = 659,         /* set_elem_options  */
  YYSYMBOL_set_elem_option = 660,          /* set_elem_option  */
  YYSYMBOL_set_elem_expr_options = 661,    /* set_elem_expr_options  */
  YYSYMBOL_set_elem_stmt_list = 662,       /* set_elem_stmt_list  */
  YYSYMBOL_set_elem_stmt = 663,            /* set_elem_stmt  */
  YYSYMBOL_set_elem_expr_option = 664,     /* set_elem_expr_option  */
  YYSYMBOL_set_lhs_expr = 665,             /* set_lhs_expr  */
  YYSYMBOL_set_rhs_expr = 666,             /* set_rhs_expr  */
  YYSYMBOL_initializer_expr = 667,         /* initializer_expr  */
  YYSYMBOL_counter_config = 668,           /* counter_config  */
  YYSYMBOL_counter_obj = 669,              /* counter_obj  */
  YYSYMBOL_quota_config = 670,             /* quota_config  */
  YYSYMBOL_quota_obj = 671,                /* quota_obj  */
  YYSYMBOL_secmark_config = 672,           /* secmark_config  */
  YYSYMBOL_secmark_obj = 673,              /* secmark_obj  */
  YYSYMBOL_ct_obj_type = 674,              /* ct_obj_type  */
  YYSYMBOL_ct_cmd_type = 675,              /* ct_cmd_type  */
  YYSYMBOL_ct_l4protoname = 676,           /* ct_l4protoname  */
  YYSYMBOL_ct_helper_config = 677,         /* ct_helper_config  */
  YYSYMBOL_timeout_states = 678,           /* timeout_states  */
  YYSYMBOL_timeout_state = 679,            /* timeout_state  */
  YYSYMBOL_ct_timeout_config = 680,        /* ct_timeout_config  */
  YYSYMBOL_ct_expect_config = 681,         /* ct_expect_config  */
  YYSYMBOL_ct_obj_alloc = 682,             /* ct_obj_alloc  */
  YYSYMBOL_limit_config = 683,             /* limit_config  */
  YYSYMBOL_limit_obj = 684,                /* limit_obj  */
  YYSYMBOL_relational_expr = 685,          /* relational_expr  */
  YYSYMBOL_list_rhs_expr = 686,            /* list_rhs_expr  */
  YYSYMBOL_rhs_expr = 687,                 /* rhs_expr  */
  YYSYMBOL_shift_rhs_expr = 688,           /* shift_rhs_expr  */
  YYSYMBOL_and_rhs_expr = 689,             /* and_rhs_expr  */
  YYSYMBOL_exclusive_or_rhs_expr = 690,    /* exclusive_or_rhs_expr  */
  YYSYMBOL_inclusive_or_rhs_expr = 691,    /* inclusive_or_rhs_expr  */
  YYSYMBOL_basic_rhs_expr = 692,           /* basic_rhs_expr  */
  YYSYMBOL_concat_rhs_expr = 693,          /* concat_rhs_expr  */
  YYSYMBOL_boolean_keys = 694,             /* boolean_keys  */
  YYSYMBOL_boolean_expr = 695,             /* boolean_expr  */
  YYSYMBOL_keyword_expr = 696,             /* keyword_expr  */
  YYSYMBOL_primary_rhs_expr = 697,         /* primary_rhs_expr  */
  YYSYMBOL_relational_op = 698,            /* relational_op  */
  YYSYMBOL_verdict_expr = 699,             /* verdict_expr  */
  YYSYMBOL_chain_expr = 700,               /* chain_expr  */
  YYSYMBOL_meta_expr = 701,                /* meta_expr  */
  YYSYMBOL_meta_key = 702,                 /* meta_key  */
  YYSYMBOL_meta_key_qualified = 703,       /* meta_key_qualified  */
  YYSYMBOL_meta_key_unqualified = 704,     /* meta_key_unqualified  */
  YYSYMBOL_meta_stmt = 705,                /* meta_stmt  */
  YYSYMBOL_socket_expr = 706,              /* socket_expr  */
  YYSYMBOL_socket_key = 707,               /* socket_key  */
  YYSYMBOL_offset_opt = 708,               /* offset_opt  */
  YYSYMBOL_numgen_type = 709,              /* numgen_type  */
  YYSYMBOL_numgen_expr = 710,              /* numgen_expr  */
  YYSYMBOL_xfrm_spnum = 711,               /* xfrm_spnum  */
  YYSYMBOL_xfrm_dir = 712,                 /* xfrm_dir  */
  YYSYMBOL_xfrm_state_key = 713,           /* xfrm_state_key  */
  YYSYMBOL_xfrm_state_proto_key = 714,     /* xfrm_state_proto_key  */
  YYSYMBOL_xfrm_expr = 715,                /* xfrm_expr  */
  YYSYMBOL_hash_expr = 716,                /* hash_expr  */
  YYSYMBOL_nf_key_proto = 717,             /* nf_key_proto  */
  YYSYMBOL_rt_expr = 718,                  /* rt_expr  */
  YYSYMBOL_rt_key = 719,                   /* rt_key  */
  YYSYMBOL_ct_expr = 720,                  /* ct_expr  */
  YYSYMBOL_ct_dir = 721,                   /* ct_dir  */
  YYSYMBOL_ct_key = 722,                   /* ct_key  */
  YYSYMBOL_ct_key_dir = 723,               /* ct_key_dir  */
  YYSYMBOL_ct_key_proto_field = 724,       /* ct_key_proto_field  */
  YYSYMBOL_ct_key_dir_optional = 725,      /* ct_key_dir_optional  */
  YYSYMBOL_symbol_stmt_expr = 726,         /* symbol_stmt_expr  */
  YYSYMBOL_list_stmt_expr = 727,           /* list_stmt_expr  */
  YYSYMBOL_ct_stmt = 728,                  /* ct_stmt  */
  YYSYMBOL_payload_stmt = 729,             /* payload_stmt  */
  YYSYMBOL_payload_expr = 730,             /* payload_expr  */
  YYSYMBOL_payload_raw_expr = 731,         /* payload_raw_expr  */
  YYSYMBOL_payload_base_spec = 732,        /* payload_base_spec  */
  YYSYMBOL_eth_hdr_expr = 733,             /* eth_hdr_expr  */
  YYSYMBOL_eth_hdr_field = 734,            /* eth_hdr_field  */
  YYSYMBOL_vlan_hdr_expr = 735,            /* vlan_hdr_expr  */
  YYSYMBOL_vlan_hdr_field = 736,           /* vlan_hdr_field  */
  YYSYMBOL_arp_hdr_expr = 737,             /* arp_hdr_expr  */
  YYSYMBOL_arp_hdr_field = 738,            /* arp_hdr_field  */
  YYSYMBOL_ip_hdr_expr = 739,              /* ip_hdr_expr  */
  YYSYMBOL_ip_hdr_field = 740,             /* ip_hdr_field  */
  YYSYMBOL_ip_option_type = 741,           /* ip_option_type  */
  YYSYMBOL_ip_option_field = 742,          /* ip_option_field  */
  YYSYMBOL_icmp_hdr_expr = 743,            /* icmp_hdr_expr  */
  YYSYMBOL_icmp_hdr_field = 744,           /* icmp_hdr_field  */
  YYSYMBOL_igmp_hdr_expr = 745,            /* igmp_hdr_expr  */
  YYSYMBOL_igmp_hdr_field = 746,           /* igmp_hdr_field  */
  YYSYMBOL_ip6_hdr_expr = 747,             /* ip6_hdr_expr  */
  YYSYMBOL_ip6_hdr_field = 748,            /* ip6_hdr_field  */
  YYSYMBOL_icmp6_hdr_expr = 749,           /* icmp6_hdr_expr  */
  YYSYMBOL_icmp6_hdr_field = 750,          /* icmp6_hdr_field  */
  YYSYMBOL_auth_hdr_expr = 751,            /* auth_hdr_expr  */
  YYSYMBOL_auth_hdr_field = 752,           /* auth_hdr_field  */
  YYSYMBOL_esp_hdr_expr = 753,             /* esp_hdr_expr  */
  YYSYMBOL_esp_hdr_field = 754,            /* esp_hdr_field  */
  YYSYMBOL_comp_hdr_expr = 755,            /* comp_hdr_expr  */
  YYSYMBOL_comp_hdr_field = 756,           /* comp_hdr_field  */
  YYSYMBOL_udp_hdr_expr = 757,             /* udp_hdr_expr  */
  YYSYMBOL_udp_hdr_field = 758,            /* udp_hdr_field  */
  YYSYMBOL_udplite_hdr_expr = 759,         /* udplite_hdr_expr  */
  YYSYMBOL_udplite_hdr_field = 760,        /* udplite_hdr_field  */
  YYSYMBOL_tcp_hdr_expr = 761,             /* tcp_hdr_expr  */
  YYSYMBOL_inner_inet_expr = 762,          /* inner_inet_expr  */
  YYSYMBOL_inner_eth_expr = 763,           /* inner_eth_expr  */
  YYSYMBOL_inner_expr = 764,               /* inner_expr  */
  YYSYMBOL_vxlan_hdr_expr = 765,           /* vxlan_hdr_expr  */
  YYSYMBOL_vxlan_hdr_field = 766,          /* vxlan_hdr_field  */
  YYSYMBOL_geneve_hdr_expr = 767,          /* geneve_hdr_expr  */
  YYSYMBOL_geneve_hdr_field = 768,         /* geneve_hdr_field  */
  YYSYMBOL_gre_hdr_expr = 769,             /* gre_hdr_expr  */
  YYSYMBOL_gre_hdr_field = 770,            /* gre_hdr_field  */
  YYSYMBOL_gretap_hdr_expr = 771,          /* gretap_hdr_expr  */
  YYSYMBOL_optstrip_stmt = 772,            /* optstrip_stmt  */
  YYSYMBOL_tcp_hdr_field = 773,            /* tcp_hdr_field  */
  YYSYMBOL_tcp_hdr_option_kind_and_field = 774, /* tcp_hdr_option_kind_and_field  */
  YYSYMBOL_tcp_hdr_option_sack = 775,      /* tcp_hdr_option_sack  */
  YYSYMBOL_tcp_hdr_option_type = 776,      /* tcp_hdr_option_type  */
  YYSYMBOL_tcpopt_field_sack = 777,        /* tcpopt_field_sack  */
  YYSYMBOL_tcpopt_field_window = 778,      /* tcpopt_field_window  */
  YYSYMBOL_tcpopt_field_tsopt = 779,       /* tcpopt_field_tsopt  */
  YYSYMBOL_tcpopt_field_maxseg = 780,      /* tcpopt_field_maxseg  */
  YYSYMBOL_tcpopt_field_mptcp = 781,       /* tcpopt_field_mptcp  */
  YYSYMBOL_dccp_hdr_expr = 782,            /* dccp_hdr_expr  */
  YYSYMBOL_dccp_hdr_field = 783,           /* dccp_hdr_field  */
  YYSYMBOL_sctp_chunk_type = 784,          /* sctp_chunk_type  */
  YYSYMBOL_sctp_chunk_common_field = 785,  /* sctp_chunk_common_field  */
  YYSYMBOL_sctp_chunk_data_field = 786,    /* sctp_chunk_data_field  */
  YYSYMBOL_sctp_chunk_init_field = 787,    /* sctp_chunk_init_field  */
  YYSYMBOL_sctp_chunk_sack_field = 788,    /* sctp_chunk_sack_field  */
  YYSYMBOL_sctp_chunk_alloc = 789,         /* sctp_chunk_alloc  */
  YYSYMBOL_sctp_hdr_expr = 790,            /* sctp_hdr_expr  */
  YYSYMBOL_sctp_hdr_field = 791,           /* sctp_hdr_field  */
  YYSYMBOL_th_hdr_expr = 792,              /* th_hdr_expr  */
  YYSYMBOL_th_hdr_field = 793,             /* th_hdr_field  */
  YYSYMBOL_exthdr_expr = 794,              /* exthdr_expr  */
  YYSYMBOL_hbh_hdr_expr = 795,             /* hbh_hdr_expr  */
  YYSYMBOL_hbh_hdr_field = 796,            /* hbh_hdr_field  */
  YYSYMBOL_rt_hdr_expr = 797,              /* rt_hdr_expr  */
  YYSYMBOL_rt_hdr_field = 798,             /* rt_hdr_field  */
  YYSYMBOL_rt0_hdr_expr = 799,             /* rt0_hdr_expr  */
  YYSYMBOL_rt0_hdr_field = 800,            /* rt0_hdr_field  */
  YYSYMBOL_rt2_hdr_expr = 801,             /* rt2_hdr_expr  */
  YYSYMBOL_rt2_hdr_field = 802,            /* rt2_hdr_field  */
  YYSYMBOL_rt4_hdr_expr = 803,             /* rt4_hdr_expr  */
  YYSYMBOL_rt4_hdr_field = 804,            /* rt4_hdr_field  */
  YYSYMBOL_frag_hdr_expr = 805,            /* frag_hdr_expr  */
  YYSYMBOL_frag_hdr_field = 806,           /* frag_hdr_field  */
  YYSYMBOL_dst_hdr_expr = 807,             /* dst_hdr_expr  */
  YYSYMBOL_dst_hdr_field = 808,            /* dst_hdr_field  */
  YYSYMBOL_mh_hdr_expr = 809,              /* mh_hdr_expr  */
  YYSYMBOL_mh_hdr_field = 810,             /* mh_hdr_field  */
  YYSYMBOL_exthdr_exists_expr = 811,       /* exthdr_exists_expr  */
  YYSYMBOL_exthdr_key = 812                /* exthdr_key  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8766

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  371
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  442
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1362
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2348

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   616


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   368,     2,     2,     2,
     365,   366,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   362,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   369,     2,   370,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   363,   367,   364,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   976,   976,   977,   986,   987,   990,   991,   994,   995,
     996,   997,   998,   999,  1000,  1001,  1002,  1003,  1004,  1005,
    1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,
    1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1046,
    1047,  1048,  1050,  1058,  1073,  1080,  1092,  1100,  1101,  1102,
    1103,  1123,  1124,  1125,  1126,  1127,  1128,  1129,  1130,  1131,
    1132,  1133,  1134,  1135,  1136,  1137,  1138,  1141,  1145,  1152,
    1156,  1164,  1168,  1172,  1179,  1186,  1190,  1197,  1206,  1210,
    1214,  1218,  1222,  1226,  1230,  1234,  1238,  1242,  1246,  1250,
    1254,  1260,  1266,  1270,  1277,  1281,  1289,  1296,  1303,  1307,
    1314,  1323,  1327,  1331,  1335,  1339,  1343,  1347,  1351,  1357,
    1363,  1364,  1367,  1368,  1371,  1372,  1375,  1376,  1379,  1383,
    1387,  1394,  1398,  1402,  1406,  1410,  1414,  1418,  1425,  1429,
    1433,  1439,  1443,  1447,  1453,  1457,  1461,  1465,  1469,  1473,
    1477,  1481,  1485,  1492,  1496,  1500,  1506,  1510,  1514,  1521,
    1527,  1531,  1535,  1539,  1543,  1547,  1551,  1555,  1559,  1563,
    1567,  1571,  1575,  1579,  1583,  1587,  1591,  1595,  1599,  1603,
    1607,  1611,  1615,  1619,  1623,  1627,  1631,  1635,  1639,  1643,
    1647,  1651,  1655,  1659,  1665,  1671,  1675,  1685,  1689,  1693,
    1698,  1702,  1706,  1710,  1715,  1719,  1723,  1727,  1732,  1736,
    1741,  1745,  1749,  1753,  1759,  1763,  1767,  1771,  1775,  1779,
    1783,  1789,  1796,  1802,  1810,  1816,  1824,  1833,  1834,  1837,
    1838,  1839,  1840,  1841,  1842,  1843,  1844,  1847,  1848,  1851,
    1852,  1853,  1856,  1865,  1875,  1890,  1900,  1901,  1902,  1903,
    1904,  1915,  1925,  1936,  1946,  1957,  1968,  1977,  1986,  1995,
    2006,  2017,  2031,  2041,  2042,  2043,  2044,  2045,  2046,  2047,
    2052,  2061,  2071,  2072,  2073,  2080,  2101,  2112,  2123,  2136,
    2141,  2142,  2143,  2144,  2149,  2155,  2160,  2165,  2170,  2176,
    2181,  2186,  2187,  2198,  2199,  2202,  2206,  2209,  2210,  2211,
    2212,  2216,  2221,  2222,  2223,  2224,  2225,  2228,  2229,  2230,
    2231,  2236,  2246,  2257,  2268,  2280,  2289,  2294,  2300,  2305,
    2314,  2317,  2321,  2327,  2328,  2332,  2337,  2338,  2339,  2340,
    2354,  2358,  2362,  2368,  2373,  2380,  2385,  2390,  2393,  2402,
    2411,  2418,  2431,  2438,  2439,  2451,  2456,  2457,  2458,  2459,
    2463,  2473,  2474,  2475,  2476,  2480,  2490,  2491,  2492,  2493,
    2497,  2508,  2513,  2514,  2515,  2519,  2529,  2530,  2531,  2532,
    2536,  2546,  2547,  2548,  2549,  2553,  2563,  2564,  2565,  2566,
    2570,  2580,  2581,  2582,  2583,  2587,  2597,  2598,  2599,  2600,
    2601,  2604,  2635,  2642,  2646,  2649,  2659,  2666,  2677,  2690,
    2705,  2706,  2709,  2720,  2726,  2730,  2733,  2739,  2752,  2757,
    2766,  2767,  2770,  2771,  2774,  2775,  2776,  2779,  2794,  2795,
    2798,  2799,  2800,  2801,  2802,  2803,  2806,  2815,  2824,  2832,
    2840,  2848,  2856,  2864,  2872,  2880,  2888,  2896,  2904,  2912,
    2920,  2928,  2936,  2944,  2948,  2953,  2961,  2968,  2975,  2989,
    2993,  3000,  3004,  3010,  3022,  3028,  3035,  3041,  3048,  3049,
    3050,  3051,  3052,  3055,  3056,  3057,  3058,  3059,  3060,  3061,
    3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,
    3072,  3073,  3074,  3075,  3076,  3079,  3090,  3091,  3094,  3103,
    3107,  3113,  3119,  3124,  3127,  3132,  3137,  3140,  3146,  3151,
    3159,  3160,  3162,  3166,  3174,  3178,  3181,  3185,  3191,  3195,
    3199,  3207,  3208,  3211,  3217,  3221,  3224,  3349,  3354,  3359,
    3364,  3369,  3375,  3405,  3409,  3413,  3417,  3421,  3427,  3431,
    3434,  3438,  3444,  3458,  3467,  3475,  3476,  3477,  3480,  3481,
    3484,  3485,  3500,  3516,  3524,  3525,  3526,  3529,  3530,  3533,
    3540,  3541,  3544,  3558,  3565,  3566,  3581,  3582,  3583,  3584,
    3585,  3588,  3591,  3597,  3603,  3607,  3611,  3618,  3625,  3632,
    3639,  3645,  3651,  3657,  3660,  3661,  3664,  3670,  3676,  3682,
    3689,  3696,  3704,  3705,  3708,  3712,  3720,  3724,  3727,  3732,
    3737,  3741,  3747,  3763,  3782,  3788,  3789,  3795,  3796,  3802,
    3803,  3804,  3805,  3806,  3807,  3808,  3809,  3810,  3811,  3812,
    3813,  3814,  3817,  3818,  3822,  3828,  3829,  3835,  3836,  3842,
    3843,  3849,  3852,  3853,  3864,  3865,  3868,  3872,  3875,  3881,
    3887,  3888,  3891,  3892,  3893,  3896,  3900,  3904,  3909,  3914,
    3919,  3925,  3929,  3933,  3937,  3943,  3948,  3952,  3960,  3969,
    3970,  3973,  3976,  3980,  3985,  3991,  3992,  3995,  3998,  4002,
    4006,  4010,  4015,  4022,  4027,  4035,  4040,  4049,  4050,  4056,
    4057,  4058,  4061,  4062,  4066,  4070,  4076,  4077,  4080,  4086,
    4090,  4093,  4098,  4104,  4105,  4108,  4109,  4110,  4116,  4117,
    4118,  4119,  4122,  4123,  4129,  4130,  4133,  4134,  4137,  4143,
    4150,  4157,  4168,  4169,  4170,  4173,  4181,  4193,  4200,  4203,
    4209,  4213,  4216,  4222,  4231,  4242,  4248,  4274,  4275,  4284,
    4285,  4288,  4297,  4308,  4309,  4310,  4311,  4312,  4313,  4314,
    4315,  4316,  4317,  4318,  4319,  4320,  4321,  4322,  4325,  4348,
    4349,  4350,  4353,  4354,  4355,  4356,  4357,  4360,  4364,  4367,
    4371,  4378,  4381,  4397,  4398,  4402,  4408,  4409,  4415,  4416,
    4422,  4423,  4429,  4432,  4433,  4444,  4450,  4456,  4457,  4460,
    4466,  4467,  4468,  4471,  4478,  4483,  4488,  4491,  4495,  4499,
    4505,  4506,  4513,  4519,  4520,  4523,  4524,  4527,  4533,  4539,
    4543,  4546,  4550,  4554,  4564,  4568,  4571,  4577,  4584,  4588,
    4594,  4608,  4622,  4627,  4633,  4649,  4653,  4661,  4665,  4669,
    4679,  4682,  4683,  4686,  4687,  4688,  4689,  4700,  4711,  4717,
    4738,  4744,  4761,  4767,  4768,  4769,  4772,  4773,  4774,  4777,
    4778,  4781,  4804,  4810,  4816,  4823,  4837,  4845,  4853,  4859,
    4863,  4867,  4871,  4875,  4882,  4887,  4898,  4912,  4918,  4922,
    4926,  4930,  4934,  4938,  4942,  4946,  4952,  4958,  4966,  4967,
    4968,  4971,  4972,  4976,  4982,  4983,  4989,  4990,  4996,  4997,
    5003,  5006,  5007,  5008,  5017,  5028,  5029,  5032,  5040,  5041,
    5042,  5043,  5044,  5045,  5046,  5047,  5048,  5049,  5050,  5051,
    5052,  5053,  5056,  5057,  5058,  5059,  5060,  5067,  5074,  5081,
    5088,  5095,  5102,  5109,  5116,  5123,  5130,  5137,  5144,  5151,
    5154,  5155,  5156,  5157,  5158,  5159,  5160,  5163,  5167,  5171,
    5175,  5179,  5183,  5189,  5190,  5200,  5204,  5208,  5224,  5225,
    5228,  5229,  5230,  5231,  5232,  5235,  5236,  5237,  5238,  5239,
    5240,  5241,  5242,  5243,  5244,  5245,  5246,  5247,  5248,  5249,
    5250,  5251,  5252,  5253,  5254,  5255,  5256,  5257,  5258,  5261,
    5281,  5285,  5300,  5304,  5308,  5314,  5318,  5324,  5325,  5326,
    5329,  5330,  5333,  5334,  5337,  5343,  5344,  5347,  5348,  5351,
    5352,  5355,  5356,  5359,  5367,  5394,  5399,  5404,  5410,  5411,
    5414,  5418,  5438,  5439,  5440,  5441,  5444,  5448,  5452,  5458,
    5459,  5462,  5463,  5464,  5465,  5466,  5467,  5468,  5469,  5470,
    5471,  5472,  5473,  5474,  5475,  5476,  5477,  5478,  5481,  5482,
    5483,  5484,  5485,  5486,  5487,  5490,  5491,  5492,  5493,  5496,
    5497,  5498,  5499,  5502,  5503,  5506,  5512,  5520,  5533,  5540,
    5546,  5552,  5561,  5562,  5563,  5564,  5565,  5566,  5567,  5568,
    5569,  5570,  5571,  5572,  5573,  5574,  5575,  5576,  5577,  5578,
    5579,  5580,  5581,  5582,  5585,  5594,  5595,  5596,  5597,  5610,
    5616,  5617,  5618,  5621,  5627,  5628,  5629,  5630,  5631,  5634,
    5640,  5641,  5642,  5643,  5644,  5645,  5646,  5647,  5648,  5651,
    5655,  5663,  5670,  5671,  5672,  5673,  5674,  5675,  5676,  5677,
    5678,  5679,  5680,  5681,  5684,  5685,  5686,  5687,  5690,  5691,
    5692,  5693,  5694,  5697,  5703,  5704,  5705,  5706,  5707,  5708,
    5709,  5712,  5718,  5719,  5720,  5721,  5724,  5730,  5731,  5732,
    5733,  5734,  5735,  5736,  5737,  5738,  5740,  5746,  5747,  5748,
    5749,  5750,  5751,  5752,  5753,  5756,  5762,  5763,  5764,  5765,
    5766,  5769,  5775,  5776,  5779,  5785,  5786,  5787,  5790,  5796,
    5797,  5798,  5799,  5802,  5808,  5809,  5810,  5811,  5814,  5818,
    5823,  5827,  5834,  5835,  5836,  5837,  5838,  5839,  5840,  5841,
    5842,  5843,  5844,  5845,  5846,  5847,  5850,  5851,  5852,  5855,
    5856,  5859,  5867,  5875,  5876,  5879,  5887,  5895,  5896,  5899,
    5903,  5910,  5911,  5912,  5915,  5922,  5929,  5930,  5931,  5932,
    5933,  5934,  5935,  5936,  5937,  5938,  5941,  5946,  5951,  5956,
    5961,  5966,  5973,  5974,  5975,  5976,  5977,  5980,  5981,  5982,
    5983,  5984,  5985,  5986,  5987,  5988,  5989,  5990,  5991,  6000,
    6001,  6004,  6007,  6008,  6011,  6014,  6017,  6021,  6032,  6033,
    6034,  6037,  6038,  6039,  6040,  6041,  6042,  6043,  6044,  6045,
    6046,  6047,  6048,  6049,  6050,  6051,  6052,  6053,  6054,  6057,
    6058,  6059,  6062,  6063,  6064,  6065,  6068,  6069,  6070,  6071,
    6072,  6075,  6076,  6077,  6078,  6081,  6086,  6090,  6094,  6098,
    6102,  6106,  6111,  6116,  6121,  6126,  6131,  6138,  6142,  6148,
    6149,  6150,  6151,  6154,  6162,  6163,  6166,  6167,  6168,  6169,
    6170,  6171,  6172,  6173,  6176,  6182,  6183,  6186,  6192,  6193,
    6194,  6195,  6198,  6204,  6210,  6216,  6219,  6225,  6226,  6227,
    6228,  6234,  6240,  6241,  6242,  6243,  6244,  6245,  6248,  6254,
    6255,  6258,  6264,  6265,  6266,  6267,  6268,  6271,  6285,  6286,
    6287,  6288,  6289
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"junk\"",
  "\"newline\"", "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"",
  "\"==\"", "\"!=\"", "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"",
  "\">>\"", "\"&\"", "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"",
  "\"vmap\"", "\"+\"", "\"include\"", "\"define\"", "\"redefine\"",
  "\"undefine\"", "\"fib\"", "\"socket\"", "\"transparent\"",
  "\"wildcard\"", "\"cgroupv2\"", "\"tproxy\"", "\"osf\"", "\"synproxy\"",
  "\"mss\"", "\"wscale\"", "\"typeof\"", "\"hook\"", "\"hooks\"",
  "\"device\"", "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"",
  "\"chains\"", "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"",
  "\"element\"", "\"map\"", "\"maps\"", "\"flowtable\"", "\"handle\"",
  "\"ruleset\"", "\"trace\"", "\"inet\"", "\"netdev\"", "\"add\"",
  "\"update\"", "\"replace\"", "\"create\"", "\"insert\"", "\"delete\"",
  "\"get\"", "\"list\"", "\"reset\"", "\"flush\"", "\"rename\"",
  "\"describe\"", "\"import\"", "\"export\"", "\"destroy\"", "\"monitor\"",
  "\"all\"", "\"accept\"", "\"drop\"", "\"continue\"", "\"jump\"",
  "\"goto\"", "\"return\"", "\"to\"", "\"constant\"", "\"interval\"",
  "\"dynamic\"", "\"auto-merge\"", "\"timeout\"", "\"gc-interval\"",
  "\"elements\"", "\"expires\"", "\"policy\"", "\"memory\"",
  "\"performance\"", "\"size\"", "\"flow\"", "\"offload\"", "\"meter\"",
  "\"meters\"", "\"flowtables\"", "\"number\"", "\"string\"",
  "\"quoted string\"", "\"string with a trailing asterisk\"", "\"ll\"",
  "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"", "\"daddr\"",
  "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"", "\"pcp\"",
  "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"ah\"", "\"reserved\"",
  "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"", "\"port\"",
  "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"", "\"csumcov\"",
  "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"", "\"urgptr\"",
  "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"", "\"nop\"", "\"sack\"",
  "\"sack0\"", "\"sack1\"", "\"sack2\"", "\"sack3\"", "\"sack-permitted\"",
  "\"fastopen\"", "\"md5sig\"", "\"timestamp\"", "\"count\"", "\"left\"",
  "\"right\"", "\"tsval\"", "\"tsecr\"", "\"subtype\"", "\"dccp\"",
  "\"vxlan\"", "\"vni\"", "\"gre\"", "\"gretap\"", "\"geneve\"",
  "\"sctp\"", "\"chunk\"", "\"data\"", "\"init\"", "\"init-ack\"",
  "\"heartbeat\"", "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"",
  "\"shutdown-ack\"", "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"",
  "\"ecne\"", "\"cwr\"", "\"shutdown-complete\"", "\"asconf-ack\"",
  "\"forward-tsn\"", "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"",
  "\"ppid\"", "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"last\"", "\"never\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "\"xt\"", "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'",
  "$accept", "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_last",
  "close_scope_dccp", "close_scope_destroy", "close_scope_dst",
  "close_scope_dup", "close_scope_esp", "close_scope_eth",
  "close_scope_export", "close_scope_fib", "close_scope_frag",
  "close_scope_fwd", "close_scope_gre", "close_scope_hash",
  "close_scope_hbh", "close_scope_ip", "close_scope_ip6",
  "close_scope_vlan", "close_scope_icmp", "close_scope_igmp",
  "close_scope_import", "close_scope_ipsec", "close_scope_list",
  "close_scope_limit", "close_scope_meta", "close_scope_mh",
  "close_scope_monitor", "close_scope_nat", "close_scope_numgen",
  "close_scope_osf", "close_scope_policy", "close_scope_quota",
  "close_scope_queue", "close_scope_reject", "close_scope_reset",
  "close_scope_rt", "close_scope_sctp", "close_scope_sctp_chunk",
  "close_scope_secmark", "close_scope_socket", "close_scope_tcp",
  "close_scope_tproxy", "close_scope_type", "close_scope_th",
  "close_scope_udp", "close_scope_udplite", "close_scope_log",
  "close_scope_synproxy", "close_scope_xt", "common_block", "line",
  "base_cmd", "add_cmd", "replace_cmd", "create_cmd", "insert_cmd",
  "table_or_id_spec", "chain_or_id_spec", "set_or_id_spec",
  "obj_or_id_spec", "delete_cmd", "destroy_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_block", "chain_block_alloc",
  "chain_block", "subchain_block", "typeof_data_expr", "typeof_expr",
  "set_block_alloc", "set_block", "set_block_expr", "set_flag_list",
  "set_flag", "map_block_alloc", "map_block_obj_type", "map_block",
  "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "family_spec", "family_spec_explicit",
  "table_spec", "tableid_spec", "chain_spec", "chainid_spec",
  "chain_identifier", "set_spec", "setid_spec", "set_identifier",
  "flowtable_spec", "flowtableid_spec", "flowtable_identifier", "obj_spec",
  "objid_spec", "obj_identifier", "handle_spec", "position_spec",
  "index_spec", "rule_position", "ruleid_spec", "comment_spec",
  "ruleset_spec", "rule", "rule_alloc", "stmt_list", "stateful_stmt_list",
  "stateful_stmt", "stmt", "xt_stmt", "chain_stmt_type", "chain_stmt",
  "verdict_stmt", "verdict_map_stmt", "verdict_map_expr",
  "verdict_map_list_expr", "verdict_map_list_member_expr",
  "connlimit_stmt", "counter_stmt", "counter_stmt_alloc", "counter_args",
  "counter_arg", "last_stmt", "log_stmt", "log_stmt_alloc", "log_args",
  "log_arg", "level_type", "log_flags", "log_flags_tcp", "log_flag_tcp",
  "limit_stmt", "quota_mode", "quota_unit", "quota_used", "quota_stmt",
  "limit_mode", "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "flow_stmt_legacy_alloc",
  "flow_stmt_opts", "flow_stmt_opt", "meter_stmt_alloc", "match_stmt",
  "variable_expr", "symbol_expr", "set_ref_expr", "set_ref_symbol_expr",
  "integer_expr", "primary_expr", "fib_expr", "fib_result", "fib_flag",
  "fib_tuple", "osf_expr", "osf_ttl", "shift_expr", "and_expr",
  "exclusive_or_expr", "inclusive_or_expr", "basic_expr", "concat_expr",
  "prefix_rhs_expr", "range_rhs_expr", "multiton_rhs_expr", "map_expr",
  "expr", "set_expr", "set_list_expr", "set_list_member_expr",
  "meter_key_expr", "meter_key_expr_alloc", "set_elem_expr",
  "set_elem_key_expr", "set_elem_expr_alloc", "set_elem_options",
  "set_elem_option", "set_elem_expr_options", "set_elem_stmt_list",
  "set_elem_stmt", "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "inner_inet_expr", "inner_eth_expr", "inner_expr", "vxlan_hdr_expr",
  "vxlan_hdr_field", "geneve_hdr_expr", "geneve_hdr_field", "gre_hdr_expr",
  "gre_hdr_field", "gretap_hdr_expr", "optstrip_stmt", "tcp_hdr_field",
  "tcp_hdr_option_kind_and_field", "tcp_hdr_option_sack",
  "tcp_hdr_option_type", "tcpopt_field_sack", "tcpopt_field_window",
  "tcpopt_field_tsopt", "tcpopt_field_maxseg", "tcpopt_field_mptcp",
  "dccp_hdr_expr", "dccp_hdr_field", "sctp_chunk_type",
  "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1801)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1045)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1801,  8032, -1801,   655, -1801, -1801,   175,   194,   194,   194,
     969,   969,   969,   969,   969,   969,   969,   969, -1801, -1801,
    3439,   282,   903,   296,  3304,   349,  8449,   395,  1537,   383,
    7643,   144,   416,  3490,   304, -1801, -1801, -1801, -1801,   515,
     969,   969,   969,   969, -1801, -1801, -1801,  1493, -1801,   194,
   -1801,   194,   245,  6798, -1801,   655, -1801, -1801,    94,   248,
     655,   194, -1801,   258,   267,  6798,   194, -1801,    89, -1801,
     194, -1801, -1801,   969, -1801,   969,   969,   969,   969,   969,
     969,   969,   722,   969,   969,   969,   969, -1801,   969, -1801,
     969,   969,   969,   969,   969,   969,   969,   969,   802,   969,
     969,   969,   969, -1801,   969, -1801,   969,   969,   969,   969,
     969,   969,  1678,   969,   969,   969,   969,   969,   433,   969,
     969,   969,   918,   969,  1835,  1861,  1893,  1977,   969,   969,
     969,  1994, -1801,   969,  1496,   969,   969,   969,   969,   775,
    1736,   969, -1801,   969,   969,   969,   969,   969,   647,   969,
   -1801,   969, -1801,  1429,  1170,   940,   589, -1801, -1801, -1801,
   -1801,   609,  1060,  1912,  2147,  2849,  2219,   924,  2256,  2501,
    1556,   514,  1149,   699,  1251,  2533,  1143,  3931,   251, -1801,
    4328,   779,  1352,   489,   519,   886,   517,  1316,   632,  1874,
    4620, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,  5167, -1801, -1801,   499,  7272,   466,  1727,   845,
    7643,   194, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1087, -1801, -1801,   525, -1801, -1801,  1087, -1801, -1801,
     969,   969,   969,   969,   969,   969,   969,   969,   802,   969,
     969,   969,   969, -1801, -1801, -1801,  1813, -1801, -1801, -1801,
     969,   969,   969,    35, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,   787,   803,   824, -1801, -1801, -1801,   905,   638,  1081,
   -1801, -1801, -1801,   768, -1801, -1801, -1801,   138,   138, -1801,
     329,   194,  4956,  5373,   668,   660, -1801,    78,   843, -1801,
   -1801, -1801, -1801, -1801,   214,   907,   956, -1801,   897,   992,
   -1801,   661,  6798, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,  1003, -1801, -1801,  1083, -1801, -1801, -1801,   695,
   -1801,  5269, -1801, -1801,  1089, -1801,   542, -1801,   581, -1801,
   -1801, -1801, -1801,  1138, -1801,   183, -1801, -1801,  1008, -1801,
   -1801, -1801,  1354,  1031,  1050,   725, -1801,   608, -1801,  6309,
   -1801, -1801, -1801,  1059, -1801, -1801, -1801,  1099, -1801, -1801,
    6653,  6653, -1801, -1801,   207,   758,   791, -1801, -1801,   815,
   -1801, -1801, -1801,   822, -1801,   832,  1140,  6798, -1801,   258,
     267, -1801,    89, -1801, -1801,   969,   969,   969,   930, -1801,
   -1801, -1801,  6798, -1801,   244, -1801, -1801, -1801,   303, -1801,
   -1801, -1801,   361,   267, -1801, -1801, -1801,   706, -1801, -1801,
      89, -1801,   707,   848, -1801, -1801, -1801, -1801,   969, -1801,
   -1801, -1801, -1801,    89, -1801, -1801, -1801,  1187, -1801, -1801,
   -1801, -1801,   969, -1801, -1801, -1801, -1801, -1801, -1801,   969,
     969, -1801, -1801, -1801,  1196,  1199, -1801,   969,  1202, -1801,
     969, -1801,   969, -1801,   969, -1801,   969, -1801, -1801, -1801,
   -1801,   969, -1801, -1801, -1801,   969,   969,   243,   194, -1801,
   -1801, -1801,    89, -1801, -1801,   969, -1801, -1801,   969, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,   969, -1801,
     194, -1801, -1801, -1801, -1801,  1265, -1801, -1801, -1801, -1801,
   -1801,  1224,   625, -1801, -1801,   979, -1801, -1801,  1186,   314,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,   268,   603, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  1787, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
    3697, -1801, -1801, -1801, -1801,  1174, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  2981, -1801,  5708, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  4962, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,   566, -1801, -1801,   915,
   -1801, -1801, -1801, -1801, -1801, -1801,   923, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1433,
   -1801, -1801, -1801, -1801,   958,   275,   967,  1203, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,   960,   948, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,    89, -1801,   848, -1801,   969, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
    1087, -1801, -1801, -1801, -1801,    72,   -40,   392,   711, -1801,
   -1801, -1801,  5477,  1236,  7064,  7643,  1163, -1801, -1801, -1801,
   -1801,  1319,  1322,   126,  1305,  1312,  1314,   128,  1341,  1433,
    1365,  7064,   153,  7064,  1173,  7064, -1801, -1801,  1317,  7643,
    1115,  7064,  7064,  1337,  1446, -1801,  6398,   178, -1801,  1446,
   -1801, -1801, -1801,  1063, -1801,  1326,  1328,  1003, -1801, -1801,
   -1801,   998,  1446,  1340,  1343,  1351,  1446,  1083, -1801, -1801,
     946, -1801, -1801,  7064, -1801, -1801,  5685,  1374,  1060,  1912,
    2147,  2849, -1801,  2256,   908, -1801, -1801, -1801, -1801,  1376,
   -1801, -1801, -1801, -1801,  7064, -1801,  1473,  1459,  1463,  1133,
     965,   276, -1801, -1801, -1801, -1801,  1478,  1300,  1503, -1801,
   -1801, -1801, -1801,  1505, -1801, -1801, -1801, -1801,   892, -1801,
   -1801,  1507,  1510, -1801, -1801, -1801,  1400,  1417, -1801, -1801,
    1089, -1801, -1801,  1526, -1801, -1801, -1801, -1801,  1533, -1801,
   -1801,  5893, -1801,  1533, -1801, -1801, -1801,   100, -1801, -1801,
    1138, -1801,  1535, -1801,   194, -1801,  1215, -1801,   194,   191,
   -1801,  8189,  8189,  8189,  8189,  8189,  7643,   154,  7854, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  8189, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,   763, -1801,  1508,  1545,  1536,  1237,   841,  1573,
   -1801, -1801, -1801,  7854,  7064,  7064,  1504,   165,   655,  1559,
   -1801,  1125,   655,  1511, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  1554,  1254,  1256,  1258, -1801,  1261,  1273,
   -1801, -1801, -1801, -1801,  1356,  1334,  1214,  1446, -1801, -1801,
    1563,  1616,  1626,  1284,  1628, -1801,  1632,  1373, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  1636, -1801, -1801, -1801, -1801,
   -1801,   969, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1645,  1170, -1801, -1801, -1801, -1801,  1648, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,  1191, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1656, -1801,  1564, -1801, -1801,  1567, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,  1377, -1801,  1384,  1627,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1151,  1728,  1452,
    1452, -1801, -1801, -1801,  1534, -1801, -1801, -1801, -1801,  1541,
    1542, -1801,  1546,  1532,  1552,   745, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  1667, -1801, -1801,  1673, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1485, -1801,  1489, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1676,  1684,  1447, -1801, -1801, -1801, -1801, -1801,  1687,
     143, -1801, -1801, -1801,  1428, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,  1430,  1432,  1436,  1697, -1801, -1801,  1173, -1801,
   -1801, -1801,  1700, -1801, -1801, -1801, -1801,  7064,  2849,  2256,
    1800,  6101, -1801,   183,   225,  1798,  2567,  1446,  1446,  1707,
    7643,  7064,  7064,  7064, -1801,  1708,  7064,  1765,  7064, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,  1716, -1801,   186,  1799,
   -1801, -1801,   927,   996,   275, -1801,   421,   561,   241,  1777,
   -1801,  7064, -1801, -1801,   992,  1635,  1225,   271, -1801,  1116,
    1573,   992, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
    1682,   749, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,   767,   942, -1801,  1166, -1801, -1801, -1801,  7064,  1822,
    7064, -1801, -1801, -1801,   935,   938, -1801,  7064, -1801, -1801,
    1464, -1801, -1801,  7064,  7064,  7064,  7064,  7064,  1734,  7064,
    7064,   167,  7064,  1533,  7064,  1754,  1830,  1756,  3402,  3402,
   -1801, -1801, -1801,  7064,  1300,  7064,  1300, -1801,  1821,  1826,
   -1801,  1115, -1801,  7643, -1801,  7643, -1801, -1801, -1801,  1508,
    1545,  1536, -1801,   992, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1486,  8189,  8189,  8189,  8189,  8189,  8189,  8189,  8189,
    8291,  8189,  8189,   837, -1801,  1130, -1801, -1801, -1801, -1801,
   -1801,  1741, -1801,  1069,   530, -1801,  1239,  3596,  2913,  2810,
     752, -1801, -1801, -1801, -1801, -1801, -1801,  1490,  1491,  1514,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  1875, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  2567, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1519,  1522, -1801,
   -1801, -1801, -1801, -1801, -1801,  1447,   -63,  1778, -1801, -1801,
   -1801, -1801, -1801,  1544, -1801, -1801, -1801, -1801, -1801,  1590,
    1303, -1801,  1716,  2066, -1801,   925,   186, -1801,   746, -1801,
   -1801,  7064,  7064,  1888, -1801,  1794,  1794, -1801,   225, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1538,  1798,
    6798,   225, -1801, -1801, -1801, -1801, -1801, -1801,  7064, -1801,
   -1801,   215,  1589,  1592,  1891, -1801, -1801, -1801,  1593,   100,
   -1801,  7643,   100,  7064,  1869, -1801,  8083, -1801,  1724,  1623,
    1600,  1608,  1214,  1225, -1801,  1794,  1794, -1801,   271, -1801,
    6398, -1801,  4994, -1801, -1801, -1801, -1801,  1913, -1801, -1801,
    1565, -1801, -1801,  1565, -1801,  1849,  1565, -1801, -1801,  7064,
   -1801, -1801, -1801, -1801, -1801,  1473,  1459,  1463, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  1926,  7064,  1769,  7064, -1801,
   -1801, -1801, -1801,  1300, -1801,  1300,  1533, -1801, -1801,   229,
    6798,  6416,   197, -1801, -1801, -1801,  1559,  1929, -1801, -1801,
    1508,  1545,  1536, -1801,   320,  1559, -1801, -1801,  1116,  8189,
    8291, -1801,  1836,  1902, -1801, -1801, -1801, -1801, -1801,   194,
     194,   194,   194,   194,  1838,   976,   194,   194,   194,   194,
   -1801, -1801, -1801,   655, -1801,  1581,   148, -1801,  1847, -1801,
   -1801, -1801,   655,   655,   655,   655,   655,  7643, -1801,  1794,
    1794,  1594,  1622,  1856,  1106,  1308,  1801, -1801, -1801, -1801,
     655,   655,   730, -1801,  7643,  1794,  1634,  1106,  1308, -1801,
   -1801, -1801,   655,   655,   730,  1890,  1637,  1898, -1801, -1801,
   -1801, -1801, -1801,  2351,  3949,  3166,  4136,  1180, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  4305,  1297, -1801, -1801,  1897,
   -1801, -1801, -1801,  2003, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801,  1909, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1644, -1801,   520,  1989,   458,  1911, -1801, -1801, -1801,
   -1801, -1801,  1589,  1592, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  1593, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,  7064, -1801, -1801, -1801, -1801, -1801, -1801,  7643,
    1659,   225, -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1383,
    1981, -1801,  1921, -1801,  1932, -1801,  1383,  1937, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801,  7064,   138,   138,   992,  1573,
   -1801,   171,  1939, -1801,   204,  1173,  1941, -1801, -1801, -1801,
   -1801, -1801, -1801,   655, -1801,   749, -1801, -1801, -1801, -1801,
   -1801, -1801,  7064, -1801,  1961, -1801,  1533,  1533,  7643, -1801,
     523,  1695,  2055,   992, -1801,  1559,  1559,  1872,  1962, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
     194,   194,   194, -1801, -1801, -1801, -1801, -1801,   570, -1801,
   -1801, -1801, -1801, -1801,  1960, -1801, -1801, -1801, -1801, -1801,
   -1801,  1184, -1801,   655,   655,    89, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1210, -1801, -1801,
   -1801, -1801, -1801,  1397, -1801, -1801, -1801, -1801, -1801,   796,
     655,    89,   881,  1397, -1801, -1801, -1801,  1917,   570,   655,
   -1801, -1801, -1801, -1801, -1801, -1801,   827,  2412,  2200, -1801,
   -1801, -1801,  1968, -1801,  1447, -1801, -1801, -1801,  1715,   812,
     969, -1801, -1801, -1801, -1801, -1801,  1794,  1975,   812,  1978,
     969, -1801, -1801, -1801, -1801, -1801,  1979,   969, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801,  6798, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,  1789, -1801,   319, -1801, -1801, -1801,   186, -1801, -1801,
   -1801, -1801, -1801, -1801,  1986,  1796, -1801, -1801,  1716,   186,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,  7064,  1738,  7643,
   -1801, -1801,  1786,  6416, -1801, -1801,  1894,   655,  1737,  1742,
    1743,  1744,  1746, -1801, -1801, -1801,  1749,  1750,  1752,  1755,
     151,   655, -1801, -1801,  2078,  7643, -1801, -1801, -1801, -1801,
   -1801,  1106, -1801,  1308, -1801,  7463, -1801, -1801,  2927, -1801,
     531,   655,   655, -1801, -1801, -1801, -1801, -1801,  2114, -1801,
    1759, -1801, -1801,   655,   655, -1801,   655,   655,   655,   655,
     655, -1801,  1990,   655, -1801,  1761, -1801, -1801, -1801, -1801,
   -1801,  2023, -1801, -1801,  1589,  1592,  1593, -1801, -1801, -1801,
   -1801,  1768,   992, -1801, -1801,  1872, -1801, -1801, -1801, -1801,
   -1801,  1766,  1770,  1771, -1801, -1801, -1801, -1801, -1801, -1801,
     201, -1801, -1801, -1801,  2031, -1801, -1801, -1801, -1801,  7643,
     655,  2128,  2130, -1801,  1106, -1801, -1801, -1801, -1801,   655,
    1210,  2037, -1801, -1801, -1801,   898, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  2038, -1801,  2046, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,   812, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801,  1894,  2167,  4658,  3206,
    4492,  2625, -1801, -1801, -1801,  2047,  2561,  2155,  1036,   184,
   -1801,  1681,  1184, -1801,  7643, -1801,  1210, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  2048,  2050, -1801,  2150,   217, -1801,
     655, -1801, -1801, -1801, -1801, -1801,   655,   655,   655,   655,
     655,  2736,  2445,  2557,   655,   655,   655,   655, -1801, -1801,
     134,  1802,  1917, -1801,  2152, -1801, -1801, -1801, -1801, -1801,
    2059,  2046,   655, -1801, -1801, -1801, -1801, -1801, -1801,   655,
     655,   655, -1801, -1801, -1801, -1801, -1801, -1801,   570, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     428,   428,   428,   428,   428,   428,   428,   428,   432,   435,
     428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   434,     9,    28,    29,     0,
     428,   428,   428,   428,    68,    67,     3,     0,    71,     0,
     429,     0,   453,     0,    66,     0,   422,   423,     0,     0,
       0,     0,   604,    87,    89,     0,     0,   289,     0,   311,
       0,   335,    72,   428,    73,   428,   428,   428,   428,   428,
     428,   428,     0,   428,   428,   428,   428,    74,   428,    75,
     428,   428,   428,   428,   428,   428,   428,   428,     0,   428,
     428,   428,   428,    76,   428,    77,   428,   459,   428,   459,
     428,   459,   459,   428,   428,   459,   428,   459,     0,   428,
     459,   459,     0,   428,   459,   459,   459,   459,   428,   428,
     428,   459,    35,   428,   459,   428,   428,   428,   428,   459,
     459,   428,    47,   428,   428,   428,   428,   459,     0,   428,
      80,   428,    81,     0,     0,     0,   761,   732,   424,   425,
     426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    25,    25,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   945,   946,   947,   948,   949,   950,   951,   952,   953,
     954,   955,   956,   957,   958,   959,   960,   961,   962,   963,
     964,   966,     0,   968,   967,     0,     0,     0,     0,    34,
       0,     0,    85,   728,   727,   733,   734,   252,   744,   745,
     738,   936,   739,   742,   746,   743,   740,   741,   735,  1052,
    1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,  1062,
    1063,  1064,  1065,    53,  1070,  1071,  1072,  1073,  1067,  1068,
    1069,   736,  1316,  1317,  1318,  1319,  1320,  1321,  1322,  1323,
     737,     0,   249,   250,     0,    33,   233,     0,    21,   235,
     428,   428,   428,   428,   428,   428,   428,   428,     0,   428,
     428,   428,   428,    16,   238,    39,   239,   433,   430,   431,
     428,   428,   428,    13,   857,   830,   832,    70,    69,   436,
     438,     0,     0,     0,   455,   454,   456,     0,   594,     0,
     712,   713,   714,     0,   927,   928,   929,   496,   497,   932,
     719,     0,     0,     0,   512,   518,   523,     0,   547,   572,
     584,   585,   661,   667,   688,     0,     0,   972,     0,     7,
      92,   461,   463,   477,   464,    61,   272,   492,   473,   500,
     471,    13,   510,    14,    59,   521,   469,   470,    46,   575,
      40,     0,    54,    60,   592,    40,   660,    40,   666,    18,
      24,   483,    45,   686,   489,     0,   490,   475,     0,   718,
     474,   763,   766,   768,   770,   772,   773,   780,   782,     0,
     781,   725,   499,   936,   478,   484,   476,   735,   493,    62,
       0,     0,    65,   447,     0,     0,     0,    91,   441,     0,
      95,   304,   303,     0,   444,     0,     0,     0,   604,   112,
     114,   289,     0,   311,   335,   428,   428,   428,    13,   857,
     830,   832,     0,    60,     0,   136,   137,   138,     0,   130,
     131,   139,     0,   132,   133,   141,   142,     0,   134,   135,
       0,   143,     0,   145,   146,   834,   835,   833,   428,    13,
      36,    44,    51,     0,    60,   203,   460,   205,   170,   171,
     172,   173,   428,   174,   176,   200,   199,   198,   192,   428,
     459,   196,   195,   197,   834,   835,   836,   428,     0,    13,
     428,   177,   428,   180,   428,   183,   428,   189,    36,    44,
      51,   428,   186,    78,   220,   428,   428,   460,   216,   218,
     215,   222,     0,   223,    13,   428,   208,   207,   428,   213,
     211,    44,    79,   224,   225,   226,   227,   230,   428,   229,
       0,  1078,  1075,  1076,    56,     0,   752,   753,   754,   755,
     756,   758,     0,   977,   979,     0,   978,    52,     0,     0,
    1314,  1315,    56,  1080,  1081,    55,    20,    55,  1084,  1085,
    1086,  1087,    30,     0,     0,  1090,  1091,  1092,  1093,  1094,
       9,  1112,  1113,  1107,  1102,  1103,  1104,  1105,  1106,  1108,
    1109,  1110,  1111,     0,    28,    55,  1127,  1126,  1125,  1128,
    1129,  1130,    31,    55,  1133,  1134,  1135,    32,  1144,  1145,
    1137,  1138,  1139,  1141,  1140,  1142,  1143,    29,    55,  1152,
    1149,  1148,  1153,  1151,  1150,  1154,    31,  1157,  1160,  1156,
    1158,  1159,     8,  1163,  1162,    19,  1165,  1166,  1167,    11,
    1171,  1172,  1169,  1170,    57,  1177,  1174,  1175,  1176,    58,
    1224,  1218,  1221,  1222,  1216,  1217,  1219,  1220,  1223,  1225,
       0,  1178,    55,  1258,  1259,     0,    15,  1204,  1203,  1196,
    1197,  1198,  1182,  1183,  1184,  1185,  1186,  1187,  1188,  1189,
    1190,  1191,    53,  1200,  1199,  1202,  1201,  1193,  1194,  1195,
    1211,  1213,  1212,     0,    25,     0,  1208,  1207,  1206,  1205,
    1312,  1309,  1310,     0,  1311,    49,    55,    28,  1329,  1004,
      29,  1328,  1331,  1002,  1003,    34,     0,    48,    48,     0,
      48,  1335,    48,  1338,  1337,  1339,     0,    48,  1326,  1325,
      27,  1347,  1344,  1342,  1343,  1345,  1346,    23,  1350,  1349,
      17,    55,  1353,  1356,  1352,  1355,    38,    37,   940,   941,
     942,    51,   943,    34,    37,   938,   939,  1019,  1020,  1026,
    1012,  1013,  1011,  1021,  1022,  1042,  1015,  1024,  1017,  1018,
    1023,  1014,  1016,  1009,  1010,  1040,  1039,  1041,    51,     0,
      12,  1027,   983,   982,     0,   780,     0,     0,    48,    27,
      23,    17,    38,  1357,   987,   988,   965,   986,     0,   726,
    1066,   232,   251,    82,   234,    83,    60,   154,   155,   132,
     156,   157,     0,   158,   160,   161,   428,    13,    36,    44,
      51,    86,    84,   240,   241,   243,   242,   245,   246,   244,
     247,   854,   854,   854,    97,     0,     0,   547,     0,   450,
     451,   452,     0,     0,     0,     0,     0,   934,   933,   930,
     931,     0,     0,     0,    37,    37,     0,     0,     0,     0,
      12,     0,     0,     0,   556,     0,   545,   546,     0,     0,
       0,     0,     0,     0,     0,     6,     0,     0,   784,     0,
     462,   465,   494,     0,   468,     0,     0,   511,   514,   472,
     479,     0,     0,     0,     0,     0,     0,   522,   524,   480,
       0,   571,   481,     0,    47,    16,     0,     0,    20,    30,
       9,    28,   895,    29,     0,   900,   898,   899,    14,     0,
      40,    40,   885,   886,     0,   622,   625,   627,   629,   631,
     632,   637,   642,   640,   641,   643,   645,   583,   609,   610,
     620,   887,   611,   618,   612,   619,   615,   616,     0,   613,
     614,     0,   644,   617,   482,   491,     0,     0,   601,   600,
     593,   596,   485,     0,   679,   680,   681,   659,   664,   677,
     486,     0,   665,   670,   487,   488,   682,     0,   704,   705,
     687,   689,   692,   702,     0,   730,     0,   729,     0,     0,
     720,     0,     0,     0,     0,     0,     0,     0,     0,   920,
     921,   922,   923,   924,   925,   926,    20,    30,     9,    28,
      31,   912,    29,    31,     8,    19,    11,    57,    58,    53,
      15,    25,    49,    40,     0,   902,   870,   903,   777,   778,
     882,   869,   859,   858,   874,   876,   878,   880,   881,   868,
     904,   905,   871,     0,     0,     0,     0,     7,     0,   824,
     823,   881,     0,     0,   391,    60,   256,   273,   290,   317,
     336,   457,   111,     0,     0,     0,     0,   118,     0,     0,
     854,   854,   854,   120,     0,     0,   547,     0,   129,   153,
       0,     0,     0,     0,     0,   144,     0,     0,   854,   148,
     151,   149,   152,   169,   191,     0,   206,   175,   194,   193,
      12,   428,   179,   178,   181,   184,   190,   185,   182,   188,
     187,   217,   219,   221,   210,   209,   212,   214,   228,   231,
    1077,     0,     0,    55,   749,   750,    22,     0,   975,   762,
      42,    42,  1313,  1082,  1079,  1088,  1083,    20,    28,    20,
      28,  1089,  1114,  1115,  1116,  1117,    28,  1099,  1124,  1123,
    1132,  1131,  1136,  1147,  1146,  1155,  1161,  1164,  1168,  1173,
      10,  1242,  1248,  1246,  1237,  1238,  1241,  1243,  1232,  1233,
    1234,  1235,  1236,  1244,  1239,  1240,  1245,  1180,  1247,  1179,
    1260,    15,  1256,  1192,  1210,  1209,  1214,  1264,  1261,  1262,
    1263,  1265,  1266,  1267,  1268,  1269,  1270,  1271,  1272,  1273,
    1274,  1275,  1276,  1277,  1278,  1295,    50,  1307,  1330,   998,
     999,  1005,    48,  1000,  1327,     0,  1332,  1334,     0,  1336,
    1324,  1341,  1348,  1354,  1351,   937,   944,   935,  1025,  1028,
    1029,     0,  1031,     0,  1030,  1032,  1033,    12,    12,  1034,
    1006,     0,     0,   980,  1359,  1358,  1360,  1361,  1362,     0,
       0,   747,   168,   159,     0,   854,   163,   166,   164,   167,
     236,   248,     0,     0,     0,     0,   356,    13,   556,   381,
      36,   361,     0,    44,   386,   831,    51,     0,    28,    29,
     586,     0,   595,     0,   706,   708,     0,     0,     0,     0,
       0,     0,     0,     0,    12,     0,     0,  1034,     0,   513,
     427,   519,   520,    36,   554,   555,     0,    44,     0,     0,
     701,    45,   696,   695,     0,   700,   698,   699,     0,   673,
     675,     0,   495,   796,     7,     7,   798,   793,   795,   881,
     820,     7,   783,   458,   282,   516,   517,   515,   537,    20,
       0,     0,   535,   531,   526,   527,   528,   529,   532,   530,
     525,     0,     0,    53,     0,   651,   896,   897,     0,   646,
       0,   888,   891,   892,   889,   890,   901,     0,   894,   893,
       0,   609,   618,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   653,     0,     0,     0,     0,     0,     0,
     598,   599,   597,     0,     0,     0,   668,   691,   696,   695,
     690,     0,    10,     0,   722,     0,   721,   764,   765,   767,
     769,   771,   774,     7,   501,   503,   779,   889,   911,   890,
     913,   910,   909,   915,   907,   908,   906,   916,   914,   917,
     918,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   865,   864,   881,   970,  1051,   826,   825,
      63,     0,    64,     0,     0,   109,     0,     0,     0,     0,
       0,    60,   256,   273,   290,   317,   336,     0,     0,     0,
      13,    36,    44,    51,   448,   437,   439,   273,   442,   445,
     336,    12,   204,   201,    12,     0,   757,   751,   748,    52,
     759,   760,  1095,  1097,  1096,  1098,    55,  1119,  1121,  1120,
    1122,  1101,    28,     0,  1254,  1226,  1251,  1228,  1255,  1231,
    1252,  1253,  1229,  1249,  1250,  1227,  1230,  1257,  1292,  1291,
    1293,  1294,  1300,  1282,  1283,  1284,  1285,  1297,  1286,  1287,
    1288,  1289,  1290,  1298,  1299,  1301,  1302,  1303,  1304,  1305,
    1306,    55,  1281,  1280,  1296,    49,  1001,     0,     0,    28,
      28,    29,    29,  1007,  1008,   980,   980,     0,    26,   985,
     989,   990,    34,     0,   336,    12,   371,   376,   366,     0,
       0,    98,     0,     0,   105,     0,     0,   100,     0,   107,
     588,     0,     0,   587,   709,     0,     0,   803,   707,   799,
    1242,  1246,  1241,  1245,  1247,    53,    10,    10,     0,   792,
       0,   790,    37,    37,    12,   508,    12,    12,     0,    12,
     544,     0,   557,   560,     0,   553,   549,   548,   550,     0,
     683,     0,     0,     0,     0,   787,     0,   788,     0,    13,
       0,     0,   547,   797,   806,     0,     0,   819,   794,   804,
     786,   785,     0,   536,    28,   540,   541,    53,   539,   573,
       0,   577,   574,     0,   579,     0,     0,   581,   652,     0,
     656,   658,   621,   623,   624,   626,   628,   630,   638,   639,
     633,   636,   635,   634,   648,   647,     0,     0,     0,  1043,
    1044,  1045,  1046,   662,   678,   669,   671,   703,   731,     0,
       0,     0,     0,   504,   919,   867,   861,     0,   872,   873,
     875,   877,   879,   866,   775,   860,   776,   883,   884,     0,
       0,   775,     0,     0,    60,   393,   392,   395,   394,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      88,   258,   257,     0,   255,     0,     0,    55,     0,    90,
     275,   274,     0,     0,     0,     0,     0,     0,   300,     0,
       0,     0,     0,     0,     0,     0,     0,    93,   292,   291,
       0,     0,     0,   466,     0,     0,     0,     0,     0,    94,
     319,   318,     0,     0,     0,     0,     0,     0,    13,    96,
     338,   337,   128,     0,     0,     0,     0,     0,   371,   376,
     366,   121,   126,   122,   127,     0,     0,   150,   202,     0,
     976,  1118,  1100,     0,  1279,  1308,  1333,  1340,  1035,  1036,
    1037,  1038,    41,     0,    26,   981,   997,   993,   992,   991,
      34,     0,   165,     0,     0,     0,     0,    13,   358,   357,
     360,   359,   557,   560,    36,   383,   382,   385,   384,    44,
     363,   362,   365,   364,   550,    51,   388,   387,   390,   389,
     589,   591,     0,   801,   802,   800,  1215,   974,   973,     0,
       0,   791,   971,   969,  1048,   509,  1049,    12,  1047,     0,
     562,   564,     0,    36,     0,    36,     0,     0,    44,   697,
     693,   694,    45,    45,   674,     0,     0,     0,     7,   821,
     822,     0,     0,   808,     0,   556,     0,   807,   817,   818,
     805,   498,   283,     0,   534,     0,   533,    55,    55,    47,
      55,   649,     0,   655,     0,   657,   663,   672,     0,   710,
       0,     0,     0,     7,   502,   863,   862,   605,     0,   110,
     449,   355,   440,   272,   443,   289,   311,   446,   335,   254,
       0,     0,     0,   355,   355,   355,   355,   259,     0,   420,
     421,    43,   419,   418,     0,   416,   276,   278,   277,   281,
     279,     0,   287,     0,     0,     0,   334,   333,    43,   332,
     396,   398,   399,   397,   352,   400,   353,     0,   351,   307,
     308,   310,   309,     0,   306,   301,   302,   298,   467,     0,
       0,     0,     0,     0,   330,   329,   327,     0,     0,     0,
     341,   113,   115,   116,   117,   119,     0,     0,     0,   140,
     147,    10,     0,   984,   980,   996,   994,   162,     0,     0,
       0,    12,   373,   372,   375,   374,     0,     0,     0,     0,
       0,    12,   378,   377,   380,   379,     0,     0,    12,   368,
     367,   370,   369,   827,    99,   855,   856,   106,   101,   829,
     108,   590,     0,   723,  1050,   566,   567,   568,   569,   570,
     559,     0,   542,     0,   561,   543,   563,     0,   552,   684,
     685,   676,   789,    12,     0,     0,    14,    14,     0,     0,
     284,   538,    31,    31,   582,   580,   650,     0,     0,     0,
     711,   717,     0,   506,   505,   606,   607,     0,     0,     0,
       0,     0,     0,   355,   355,   355,     0,     0,     0,     0,
       0,     0,   344,   417,     0,     0,   294,   296,   297,   299,
     331,     0,    55,     0,   295,     0,   320,   328,     0,   326,
       0,     0,     0,   342,    12,    12,    12,  1074,     0,    26,
       0,    57,    53,     0,     0,   103,     0,     0,     0,     0,
       0,   104,     0,     0,   102,     0,   558,   565,   551,   812,
      12,     0,   815,   816,   557,   560,   550,   576,   578,   654,
     715,     0,     7,   608,   602,   605,   391,   273,   290,   317,
     336,     0,     0,     0,   356,   381,   361,   386,   349,   348,
       0,   345,   350,   280,     0,   288,   354,   293,   305,     0,
       0,     0,   285,    60,     0,    13,    36,    44,    51,     0,
       0,     0,   410,   404,   403,   407,   402,   405,   406,   339,
     340,   124,   125,   123,     0,   995,     0,   840,   839,   846,
     848,   851,   852,   849,   850,   853,     0,   842,   724,   813,
      13,    36,    36,    44,   716,   507,   607,     0,     0,     0,
       0,     0,   371,   376,   366,     0,     0,     0,     0,     7,
     343,   415,     0,   323,     0,   316,     0,   312,   314,   313,
     315,    55,    55,   411,     0,     0,  1181,     0,     0,   843,
       0,   809,   810,   811,   814,   603,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   347,   346,
       0,     0,     0,   324,   286,    55,   325,   321,   409,   408,
       0,     0,     0,    55,    60,   260,   261,   262,   263,     0,
       0,     0,    13,    36,    44,    51,   412,   413,     0,   401,
     322,   845,   844,    43,   841,   271,    12,    12,    12,   264,
     269,   265,   270,   414,   847,   267,   268,   266
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1801, -1801,    -1, -1235,  1144,    62, -1290,  1150, -1021,  -350,
    -878,  -615,  1262,  1378, -1801,  1155,  -496, -1801, -1801,  1387,
   -1801,  -114, -1565,  1385,    30,   -33,  1607,  -591, -1801, -1801,
    -674, -1801,  -476,  -698,  1394, -1801,  -269, -1801,  1056, -1800,
    -349, -1218, -1801,  -852,  -581,  -919, -1801,  -474,   700,  -663,
   -1801,  -463,  1629,  -970,  1179, -1801,  -426, -1801,    50, -1801,
   -1801,  2168, -1801, -1801, -1801,  1919,  1910,   686,  1363, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,    34, -1801,  1773, -1801,   748,  -348,
   -1386, -1801, -1801, -1617,  -422, -1389,  -379,   439,    88,  -408,
   -1801, -1387, -1385, -1801,  -403, -1393, -1766, -1801,   -47,    92,
   -1601,  -609,    31,    28, -1657, -1650, -1641,    37,    38,    42,
   -1801, -1801,   -83, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801,    93,  -816, -1323,   564,   -97,  3301, -1801,   199, -1801,
   -1801,   101, -1801,   498,   335,  1944, -1801,   211, -1801,  -501,
    1806, -1801, -1801,   308,   313,  1034,   242,   -52, -1801, -1801,
   -1373, -1331,  -346, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
     301, -1801, -1801, -1801, -1801,  1346, -1801, -1801, -1801, -1801,
    1338, -1801, -1801, -1801,   331, -1801,  -299, -1404, -1643, -1801,
   -1171, -1646, -1461, -1633, -1458,   360,   362, -1801, -1801,  -570,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801,  1280,  -322,  1815,
      66,    -2,  -471,   870,   875,   876, -1801,  -779, -1801, -1801,
   -1801, -1801, -1801, -1801,  1753, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  -329,   858, -1801, -1801, -1801, -1801,
    1293,   656,  -892,   653,  1406,   877, -1320, -1801, -1801,  1958,
   -1801, -1801, -1801, -1801,  1292, -1801, -1801,   -61,   -27,  -814,
    -321,   257,   -14, -1801, -1801, -1801,  1160,    65, -1801, -1801,
   -1801, -1801, -1801,  -149,  -172, -1801, -1801,   860,  -797,  2067,
      -7, -1801,   972, -1255, -1801, -1530, -1801, -1801,   703, -1370,
   -1801, -1801,   677,   674, -1801, -1801,  1904,  -616,  1878,  -577,
    1877,  -573,  1880,   222, -1801, -1760, -1801, -1801,    12, -1801,
   -1801,  -574,  -572,  1885, -1801,  -337,  -300,  -829,  -819,  -801,
   -1801,  -342,  -831, -1801,  -275,  1558,  -840, -1801, -1505,  -324,
     344,  1993, -1801,   -32, -1801,   642, -1801, -1364, -1801,   680,
   -1801, -1801, -1801, -1801, -1801,   760,  -262,   773,  1610,   933,
    1995,  1998, -1801, -1801,  -504,   333, -1801, -1801, -1801,  1040,
   -1801, -1801,   -55, -1801,   -51, -1801,   -46, -1801,   -70, -1801,
   -1801, -1801,   -57, -1801,   -24, -1801,   -15, -1801,   -10, -1801,
      -4, -1801,     7, -1801,    18, -1801,    32, -1801,    33, -1801,
      45,  1641, -1801,   -67, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801,  1679, -1015, -1801, -1801, -1801, -1801,
   -1801,    49, -1801, -1801, -1801, -1801,  1137, -1801, -1801,    53,
   -1801,    64, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801, -1801,
   -1801, -1801
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,  1780,   876,  1155,  1363,  1503,  1157,  1240,   834,
     889,  1182,   821,  1222,   974,  1156,  1361,   805,  1488,  1221,
     975,   693,  1816,  1220,  1417,  1419,  1362,  1149,  1151,   803,
     796,   513,  1090,  1225,  1224,   822,   902,  2013,  1490,  2113,
    1091,   976,   899,   532,  1213,  1207,  1545,  1092,  1128,   800,
     954,  1133,  1120,  1158,  1159,   890,   955,   882,  1781,    46,
      47,    48,    74,    87,    89,   447,   451,   456,   443,   103,
     293,   105,   132,  1096,   475,   142,   150,   152,   275,   278,
     295,   296,   830,  1260,   276,   222,   415,  1733,  1456,   416,
    1457,  1642,  2200,  1961,   419,  1458,   420,  1983,  1984,   423,
    2209,  1459,  1760,  1968,   425,  1460,  2111,  2190,  2191,  1976,
    1977,  2098,  1570,  1575,  1825,  1823,  1824,  1573,  1578,  1454,
    1978,  1742,  2131,  2215,  2216,  2217,  2302,  1743,  1744,  1951,
    1952,  1930,   223,  1302,    49,    50,    61,   450,    52,   454,
    1933,   458,   459,  1935,    71,   464,  1938,   445,   446,  1931,
     314,   315,   316,    53,   427,  1587,   477,  1746,   351,   352,
    1762,   353,   354,   355,   356,   357,   358,   359,  1414,  1692,
    1693,   360,   361,   362,   887,   888,   363,   364,   365,   897,
     898,  1349,  1343,  1647,  1648,   366,  1272,  1618,  1878,   367,
    1306,  1873,  1612,  1875,  1613,  1614,  2060,   368,   369,  1651,
     901,   370,   371,   372,   373,   374,   960,   961,  1718,   414,
    2096,  2174,   925,   926,   927,   928,   929,   930,   931,  1671,
     932,   933,   934,   935,   936,   937,   375,   376,   967,   377,
     378,   972,   379,   380,   968,   969,   381,   382,   383,   980,
     981,  1309,  1310,  1311,   982,   983,  1283,  1284,   384,   385,
     386,   387,   388,   989,   990,   389,   390,   224,   938,   986,
    1026,   939,   391,   228,  1126,   551,   552,   940,   559,   392,
     393,   394,   395,   396,   397,  1028,  1029,  1030,   398,   399,
     400,   877,   878,  1600,  1601,  1325,  1326,  1327,  1588,  1589,
    1638,  1633,  1634,  1639,  1328,  1888,  1048,  1831,   835,  1843,
     837,  1849,   838,   468,   498,  2143,  2042,  2278,  2279,  2025,
    2035,  1262,  1838,   836,   401,  1049,  1050,  1034,  1035,  1036,
    1037,  1329,  1039,   941,   942,   943,  1042,  1043,   402,   849,
     944,   754,   755,   231,   404,   945,   557,  1558,   784,   946,
    1250,   797,  1562,  1820,   234,   947,   716,   949,   717,   950,
     779,   780,  1237,  1238,   781,   951,   952,   405,   406,   953,
     239,   545,   240,   566,   241,   572,   242,   580,   243,   594,
    1146,  1502,   244,   602,   245,   607,   246,   617,   247,   626,
     248,   632,   249,   635,   250,   639,   251,   644,   252,   649,
     253,   683,   684,   685,   254,   686,   255,   699,   256,   694,
     257,   408,   661,  1177,  1594,  1179,  1515,  1507,  1512,  1505,
    1509,   258,   666,  1205,  1544,  1527,  1533,  1522,  1206,   259,
     705,   260,   562,   261,   262,   730,   263,   718,   264,   720,
     265,   722,   266,   727,   267,   737,   268,   740,   269,   746,
     270,   793
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      44,   350,    54,   225,   850,   299,   881,   421,   883,  1066,
     476,   884,   476,   417,   476,   476,   227,  1079,   476,  1183,
     476,   403,  1275,   476,   476,  1068,   225,   476,   476,   476,
     476,  1069,  1107,   403,   476,  1154,  1109,   517,   225,   868,
    1366,  1211,   517,   517,   785,  1330,   308,  1424,  1094,   973,
     476,    45,  1356,  1067,   409,   843,  1227,  1038,  1322,   412,
    1087,   422,  1032,  1333,   987,   695,   279,   298,  1051,  1051,
    1134,   798,  1315,  1787,  1772,  1785,  1344,  1784,  1786,  1483,
    1348,  1085,  1065,  1689,   873,  1397,  1774,  1796,  1073,  1625,
    1627,  1795,  1055,  1620,  1093,   229,  1640,  1572,   297,  1033,
      58,    59,    60,  1429,  1135,  1083,   962,   672,   970,   948,
     672,  1832,  1688,   698,  1833,    67,    68,    69,   229,  1089,
     673,  1890,   669,   673,  1040,   669,   670,  1763,  1763,   670,
     229,   671,  1148,  2008,   671,  1040,  1040,  1214,  2006,  1216,
    1150,  1217,   309,  1113,   310,  1370,  1219,  1989,  2007,  1102,
    1690,  1407,  1408,   674,   413,  1153,   674,  1227,   756,   418,
    1108,  1922,   675,   424,  1409,   675,  1992,   676,  2120,   875,
     676,  1821,  1844,   677,  1114,  1410,   677,   984,  1691,   431,
     432,   433,  1117,  1415,   678,  1331,  2045,   678,   875,   225,
     984,  1812,  1814,   225,  1411,   679,   460,   461,   679,  1180,
    2046,  2049,   271,   157,  1923,   473,   984,  1244,  2259,   680,
     681,    64,   680,   681,   484,   485,  1553,  1554,  1855,  1267,
     491,    62,   682,  1289,  2311,   682,   687,  1949,  1950,   687,
     688,  1294,  2132,   688,  1918,  1869,   988,   522,   158,   159,
     160,   689,    56,  1208,   689,  1053,   535,   536,  1401,  2015,
     539,   303,   304,   305,   306,  2188,  2189,  1300,  1263,  1264,
    1273,  1275,  1853,  1854,  1270,  1276,   848,   848,  2148,   707,
    1268,  1595,   426,  1605,  2073,  1239,   430,  1226,  1223,  1557,
      55,   229,  1813,   996,  1380,   229,   428,   226,  2188,  2189,
    1616,   453,   426,   710,   438,   439,   440,   441,    56,   869,
     756,  1080,   311,  1560,  1228,   801,  1857,  1858,  1300,   480,
     226,   804,  1898,  1899,   799,  1585,  1920,   474,  1586,  1870,
     403,    65,   226,  1269,   985,   225,  1621,  -732,  -828,   998,
    1381,    73,   426,   519,   499,  -732,  -732,  -732,  -732,   508,
     509,   510,  1257,   534,   497,    88,  1259,  -429,    56,   524,
     540,   479,   531,   481,   483,  1297,  1426,   486,  1763,   488,
    1081,  1635,   492,   493,  1636,  1265,   501,   503,   505,   507,
     863,   421,  1025,   512,   230,  1062,   520,   870,   690,  1137,
    1252,   527,   530,  1025,  1025,   691,   812,   813,   864,   537,
    1078,   851,  1031,   476,  1138,   403,   442,   230,  -828,   421,
     225,  1772,   104,  1031,  1031,  1427,   455,    56,   294,   230,
     403,  1254,   421,  1774,   692,   225,   434,   229,  1082,  1418,
     847,   847,  1420,  2157,   853,   422,  1963,  1964,   852,  -742,
     151,  1988,   463,  1253,    57,  1266,  -742,  -742,  -742,  -742,
    1295,  1130,  1990,  1988,   133,   134,   514,   135,   136,   137,
    1301,   487,   349,   422,  1763,  1763,   410,   221,  1470,     3,
    1797,   421,     4,  1798,     5,    56,   422,  1256,   221,  1584,
    1258,  1596,  1597,   226,   277,  -742,  2280,   226,   489,   490,
    1617,   809,   426,  2074,     6,     7,     8,     9,  1803,  1290,
      57,  1855,   229,   272,   273,   274,  1467,  1468,  1469,  1472,
    1561,  2076,   221,  1471,  1473,  1756,   221,   229,  2201,  1871,
     816,   831,   832,   833,  1481,   422,   221,  1413,  2241,   221,
     334,     3,   221,  2243,     4,   335,     5,  2210,  2089,  1449,
     349,     3,  2242,  2344,     4,   221,     5,   413,   337,  -429,
      57,   309,  1332,   338,  1822,   310,     6,     7,     8,     9,
     418,   221,   221,  2211,  1405,   424,     6,     7,     8,     9,
     230,  1924,  2343,  1922,   230,  2260,  1517,  1672,  1053,  -743,
    1054,  2077,  2036,   879,  2225,  1622,  -743,  -743,  -743,  -743,
    1185,  2312,  2262,  1864,  1152,  1865,  1866,  2172,  1868,  1988,
    1098,   312,   313,  1919,  1698,  1699,   810,  2293,  2088,    57,
    1669,  1040,  2291,  2266,  2052,   300,  1131,  1700,  1383,   226,
     411,   310,  2292,  1871,  2018,  -743,   996,  2164,  1701,   879,
    2165,  -253,   814,   672,  1147,   672,  1805,   963,  1186,  1455,
    -272,  1546,   997,  1119,  2212,  2213,   673,  1702,   673,  1118,
     669,  1492,  1141,  1494,   670,   728,  1070,  1071,  1072,   671,
    2139,  1368,  1369,  2072,  2019,   448,  1027,    57,   633,     4,
    1487,     5,   998,  2158,  2069,  2070,   971,  1027,  1027,   674,
     729,   674,   232,  1285,   634,  2166,   987,  1210,   675,  1088,
     675,  1565,  1431,   676,   226,   676,   138,  -732,  2093,   677,
    1655,   677,   538,   139,   140,   232,   230,  1314,  1416,   226,
     678,  1445,   678,  2146,   866,   867,  1443,   232,  1100,   141,
     233,   679,   709,   679,  1139,  1112,  1040,  1040,  1040,  1040,
    1040,  2137,   558,  1040,  2078,   680,   681,   680,   681,  1140,
    1883,   719,  1099,   233,     4,  2037,     5,  1209,   682,  1123,
     682,  1461,   687,  1444,   687,   233,   688,     3,   688,  1040,
       4,   421,     5,     3,  1430,  1271,     4,   689,     5,   689,
     738,   721,  1275,  1084,  1086,   272,   273,   274,  1040,  2171,
    1432,   230,     6,     7,     8,     9,   560,   561,     6,     7,
       8,     9,  1654,  1433,  1657,   739,   230,  2251,  -742,  2249,
     235,  2248,  2250,  1775,  1574,  1889,  1776,  2020,   301,  1756,
     302,  2125,  1579,   236,  2115,   422,   879,   787,  1312,  1330,
      56,    56,   435,   235,   334,   158,   159,   160,   225,   335,
     525,   521,  2038,   523,  1315,   235,   236,  1610,     3,   782,
     640,     4,   337,     5,   641,    18,    19,   338,   236,   783,
     713,   714,   225,  1643,  1432,   448,  2054,  1412,  1439,  1025,
     158,   159,   160,     6,     7,     8,     9,  1709,   232,  1541,
    1330,  1440,   232,  1441,  1261,  1772,   642,   643,   879,  1324,
     157,  1649,   964,   965,   966,   802,  1542,  1774,   879,  -428,
    1365,  1650,  1124,  1125,  2021,    35,  2128,  2090,  1817,  2121,
     839,  2214,   465,  1645,  1714,    36,   233,  1371,  1646,   221,
     233,    37,  1663,  1664,  1862,  1863,   840,  1428,  1543,  1670,
     229,   964,   965,   966,   700,  1777,  1398,  1571,  1763,  1763,
    2274,  2018,   715,  2275,  1577,    38,     3,   841,  -743,     4,
     844,     5,  1856,  2110,   229,  -727,   985,  2245,   221,   846,
      75,  1364,  -727,  -727,  -727,  -727,   701,   702,    76,  -693,
      77,     6,     7,     8,     9,    78,    79,    80,  1615,    81,
     861,  2019,   987,   237,  1025,  1025,  1025,  1025,  1025,   225,
     811,  1025,   553,   554,   555,   862,   235,  1384,  2141,  1385,
     235,  -727,   703,  2142,  1906,  1378,   237,  1379,  1563,   236,
     842,  1031,   871,   236,   232,  1792,   875,  1025,   237,  1794,
    2145,   874,    57,    57,  -734,   436,  1756,   437,   494,   879,
    2151,  -734,  -734,  -734,  -734,   704,  1025,  2154,  -694,   900,
    -998,   334,  -998,  -999,  2298,  -999,   335,  1255,  -547,    18,
      19,   707,   233,  1801,   707,  1782,  1031,     3,   603,   337,
       4,   872,     5,  1778,   338,   157,  1649,  1450,   993,   723,
    -734,  1452,  2159,   988,   709,   710,  1653,  2084,   710,   604,
     987,   229,     6,     7,     8,     9,  1940,  1686,   994,   232,
     238,  -428,   605,     4,  1274,     5,  1338,  1402,  1804,    35,
    1907,  1404,   707,  1908,   232,   466,  1910,   467,  1351,    36,
    1695,  1697,   995,   407,   879,    37,  1696,  1703,  1697,  1706,
    1708,  1352,   226,  1705,  2020,   407,   710,   233,  1712,  1339,
    1845,  1044,   235,  2221,  2222,  2223,  1779,  1353,  1599,    38,
    1791,  1056,   233,  1793,  1340,   236,  1313,   956,   957,   724,
     725,   726,  1439,  1027,  1386,   865,  1451,  1439,  1441,  2239,
     158,   159,   160,   320,   321,  1451,  2016,  1441,   322,   237,
    1710,  1045,  1441,   237,  1057,   866,   867,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1493,  1341,
    1495,  2227,   563,   564,   565,   879,  1501,  -998,  1058,    82,
    -999,     3,   713,   714,     4,  1059,     5,   235,     4,   230,
       5,  2134,  2115,   556,    83,  1060,  1387,   311,  2162,  2163,
     236,   495,   235,   467,   794,   795,     6,     7,     8,     9,
    1970,  -335,    84,   230,     4,   236,     5,    85,  2121,    86,
     496,  1775,   985,  -828,  1776,  1943,  1944,  1945,  1946,   606,
    1095,  1285,  1122,  1599,  1399,  1971,  1972,   866,   867,  -998,
       3,  -837,  -999,     4,  -838,     5,   891,  1101,  1027,  1027,
    1027,  1027,  1027,   226,  1860,  1027,   238,   662,  1342,  1941,
     238,  1942,  1330,   225,   715,     6,     7,     8,     9,   157,
    1649,  1354,  1121,   879,  1954,   958,  1719,  1181,   959,  1893,
    1656,  1027,   546,   547,  1215,   237,  1720,  1127,  1929,  1839,
    1129,  1721,  1218,  1722,  -727,  1723,   885,   886,     3,  1241,
    1027,     4,   636,     5,     3,  1496,  1243,     4,  1242,     5,
     663,   664,   637,   638,  1251,  2345,  2346,  2347,  1249,   665,
     985,  1281,  1497,     6,     7,     8,     9,  1498,  1499,     6,
       7,     8,     9,  1896,  2106,  2107,  2108,  2109,  1775,  1286,
     230,  1776,  1287,  1777,  1921,  1288,  1371,  1371,  1371,  1371,
    1371,  1040,  1371,  1371,  1916,   229,  1917,  1291,  2047,  1973,
     237,  1679,  1679,  -734,  1292,  1040,  1293,  1697,  1697,   991,
     992,  2050,  1925,  1926,  1673,   237,   225,  1518,   225,  1974,
    1975,  1519,  1520,  1521,   879,   880,   645,   892,   893,   894,
     895,   896,   407,  1296,  1979,  1980,  1981,  2062,  1982,  2065,
    2297,     4,  1724,     5,  2123,  1025,  1025,  1025,  1025,  1025,
    1025,  1025,  1025,  1025,  1025,  1025,  1040,  1298,   646,   647,
    1308,   648,  1321,   548,   549,   403,  1334,   550,  2000,  1335,
     225,  1336,   731,  1500,  1040,  1040,   272,   273,   274,  2103,
    2104,  2105,  1275,  1345,  2082,  2083,  1346,  2085,   732,  1314,
     978,   979,  1713,  1715,  1347,  1731,  1740,  1758,  1770,  1360,
    1777,  1367,   469,   470,   471,   472,   706,   407,   229,   733,
     229,  1778,   977,   978,   979,   734,  1375,  2044,   707,  2228,
     708,  1376,   407,  1382,  2326,  1304,  1305,   232,  1373,  1374,
    2048,  2167,  2168,   307,  2181,  2182,  2183,     4,   709,     5,
    1377,  1628,   710,  1390,  1716,   711,  1732,  1741,  1759,  1771,
   -1043,   232, -1044,  2100,  1388,  1725,  1629,  1389,  1810,  1811,
    1391,  1630,   229,  1434,  1435,   233,   866,   867,  2101,  2068,
    1726,  1393,  1802,   541,  1631,  2102,   542,   543,   544,  1632,
    1394,   515,  1401,   516,  2005,  1229,  1230,   226,  1727,  1316,
     158,   159,   160,  1728,  1437,  1729,    18,    19,  1880,  1231,
    1312,  1398,  1436,   850,   735,   736,  1432,  1232,   403,  1828,
    1510,  1511,  1835,   225,  1840,  1513,  1514,  1846,  1403,  1808,
    1809,  1442,   143,  1233,   144,  2099,  2119,   879,  1778,   145,
    1903,   146,  1053,   712,   225,   147,  1265,  1549,  1550,  1025,
    -428,  1551,  1552,  1730,  1438,   235,    35,  1448,  1652,  1652,
     403,  1652,  2127,  1025,  1453,   225,    36,  1462,   236,  1463,
    1829,  1464,    37,  1836,  1465,  1841,   713,   714,  1847,  1317,
     964,   965,   966,  1324,   230,   148,  1466,   149,   232,   875,
    1626,  1902,   236,   806,  1268,     3,    38,  1477,     4,  1265,
       5,   879,   817,   818,   819,   820,  1818,  1819,   403,  2197,
     226,  2010,   226,   225,  1025,   229,  1474,  1827,   157,  1649,
       6,     7,     8,     9,  1904,  1953,   233,  1528,  1529,  1530,
    1531,  1532,  1025,  1025,   627,  1775,   229,  1599,  1776,  1027,
    1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
     628,  2055,  2056,  2057,  2058,  2059,  2155,   229,   715,   629,
    1234,  1235,  1236,   765,   226,   630,   631,  1966,  1967,  1475,
     225,  1681,  1682,   482,  2300,  2301,   775,   776,   777,  1476,
    2268,  1478,  1947,  1962,  2270,  1479,  1480,   225,    18,    19,
    1482,  1956,  1957,  1958,  1959,  1960,  1285,   230,  1485,   230,
    1962,  1489,   403,  1504,  1506,   229,   235,   225,  1516,  1985,
    1986,  1987,  1508,   403,  1535,  2282,  2283,  1539,   225,   236,
    1547,  1994,  1995,  1996,  1536,  1537,  1548,  2265,   237,  1555,
    1538,   528,  1731,  1740,  1758,  1770,  1540,  1556,    35,  1557,
    1559,  1564,  -428,  1566,  1740,  1567,    18,    19,    36,  1568,
    1569,   230,   237,  1576,    37,  1581,   996,  1777,  2306,  2307,
    1598,  1606,   229,  1932,  1934,  1934,  1937,  1608,  1040,  1611,
    1623,  1619,  2022,  2032,  2039,   848,   848,  1659,    38,   229,
    1662,  1644,   225,  1732,  1741,  1759,  1771,  1668,  1677,  1676,
    -428,  1678,  2330,  -693,  1711,  1741,    35,  2340,  -694,   229,
    2334,  2342,  1694,  1788,  1789,  2267,    36,   226,  2269,   823,
     229,   824,    37,   825,   826,   324,   325,   326,  1886,  1887,
     329,   827,   828,  2023,  2033,  2040,  1881,  1790,  1313,  1399,
     500,  1815,  1799,  1027,  1826,   238,    38,  2112,  2335,  1806,
    2281,   225,  1807,  1852,  2284,    18,    19,  1027,  1300,   226,
    1872,  1859,  2080,  1874,   421,   829,   502,  1652,  1877,   238,
    1652,  1876,  1885,  1652,  1891,  1894,  1892,  1285,  1895,  1909,
    1905,    18,    19,  2144,   229,  1142,  1143,  1144,  1145,   237,
     421,  1912,   232,  2150,  1914,  1778,  1439,  2112,   504,  1927,
    2153,  1928,  1939,  1948,   230,    35,  1955,   226,  1027,  1523,
    1524,  1525,  1526,    18,    19,    36,  1965,  1041,   422,  1969,
    2116,    37,  2117,  2118,   788,   230,  1027,  1027,  1041,  1041,
     233,    35,  2339,   789,   790,  2341,  2122,   791,   792,   847,
     847,    36,  2124,   229,   422,    38,   230,    37,   741,  2126,
       3,   857,  2129,     4,  1997,     5,  1991,  1999,  2133,  1998,
    2011,  -565,   742,    35,   226,  2022,  2032,  2039,  2017,   743,
    2012,    38,  2014,    36,  2043,     6,     7,     8,     9,    37,
     403,   226,   506,  2053,  2061,   225,   567,   744,   568,   569,
     570,   571,  -428,   745,   230,  2063,   238,    18,    19,   511,
    2067,   226,  2075,    38,  2079,   232,  2087,   232,     3,  2192,
     235,     4,   226,     5,    18,    19,  2023,  2033,  2040,  2091,
    2092,  2095,   225,   236,  2114,  2097,  1025,     3,  2130,  2218,
       4,  2138,     5,     6,     7,     8,     9,  2140,  2147,  2026,
    2173,  2149,  2156,   233,  2152,   233,  2027,    35,   225,  2160,
    2161,   230,     6,     7,     8,     9,  2175,    36,   225,   232,
    2176,  2195,  2170,    37,    35,  2177,  2178,  2179,   230,  2180,
    2193,  2202,  2184,  2185,    36,  2186,   226,   229,  2187,  2194,
      37,  2224,  2226,  2028,  2236,  2238,  2240,    38,   230,  2252,
    2219,  2220,  2244,  2253,  2254,  2261,  2264,   233,  -287,   230,
    2273,  2276,  2229,  2230,    38,  2231,  2232,  2233,  2234,  2235,
    2277,  2308,  2237,  2309,   229,  2310,     3,  2029,  1421,     4,
    -288,     5,  2331,   235,  2328,   235,  1423,  1357,     3,  1247,
    1422,     4,   225,     5,  1245,   226,   236,  1246,   236,  1136,
     229,     6,     7,     8,     9,  1962,  1248,  1491,    72,  1800,
     229,  1132,   808,     6,     7,     8,     9,  1425,  2192,  2263,
     807,     3,  1064,   230,     4,  1053,     5,  1993,  2271,  2272,
    1783,  2198,  2299,  2196,  2257,  2255,   403,   235,  2247,  2329,
    1936,   225,  2256,   237,  2094,  2258,     6,     7,     8,     9,
     236,   815,  1061,  1337,  2064,  1350,  2081,   225,  2066,  2327,
    1392,  2246,   232,  1063,  2285,  1665,  1715,  1740,  1758,  1770,
    2304,  1666,  1684,  1667,  1828,  1835,  1840,  1846,  -547,   573,
     574,  2303,   230,   232,   229,  2305,  2030,  2112,   575,   576,
     577,   578,   579,  1400,  1882,  1879,  1318,   845,  1687,  2313,
     233,  1406,  1486,   786,   232,  2314,  2315,  2316,  2317,  2318,
    2022,  2032,  2039,  2322,  2323,  2324,  2325,  1716,  1741,  1759,
    1771,  1316,  1707,  1641,  1861,  1829,  1836,  1841,  1847,   226,
    1897,  2333,  1900,   229,  2036,  1052,  1074,  1076,  2336,  2337,
    2338,  1077,   233,  2332,  1075,   855,  1212,  1534,   859,   229,
     238,   860,   232,   595,  1184,   596,   237,   879,   237,  1178,
    1265,  2023,  2033,  2040,     0,     0,   226,     0,     0,     0,
    1027,     0,     3,  2031,   597,     4,     0,     5,     0,     0,
     235,  1637,   598,   599,   600,   601,     0,     0,   608,   609,
     233,     0,   226,   236,     0,     0,  1268,     6,     7,     8,
       9,  1317,   226,   610,     0,   611,   612,   613,  1719,   232,
     237,     0,     0,     0,   236,   879,   230,     0,  1720,     0,
       0,     0,   235,  1721,     0,  1722,   232,  1723,   614,   615,
     616,  2294,     0,     3,   879,   236,     4,     0,     5,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,     0,
    1834,     0,     0,   230,  1041,     0,     0,   232,     6,     7,
       8,     9,     0,   238,   233,   238,     3,     0,     0,     4,
     235,     5,     0,     0,     0,     0,   226,     0,     0,   230,
       0,     0,     0,   236,   233,     0,     0,   866,   867,   230,
       0,     6,     7,     8,     9,   233,     0,  2037,     0,     0,
       0,     0,  1372,     0,     0,     0,     0,     0,  1717,     0,
    1734,  1745,  1761,  1773,     0,     0,     0,   407,     0,     0,
       0,   232,  2026,   879,     0,   226,     0,   235,     0,  2027,
       0,     0,     0,     0,  1724,   879,     0,     0,     0,  2296,
     236,   226,     0,     0,   235,     0,     0,     0,     0,     0,
       0,  2286,     0,   237,     0,  2026,     0,   236,     0,   233,
       0,     0,  2027,   230,   235,     0,  2028,     0,   879,  1041,
    1041,  1041,  1041,  1041,   237,   235,  1041,   236,     3,     0,
     232,     4,     3,     5,  2136,     4,     0,     5,   236,     0,
       0,     0,     0,     0,     0,   237,     0,     0,     0,  2028,
    2029,     0,  1041,     6,     7,     8,     9,     6,     7,     8,
       9,     0,   230,     0,     0,  1280,     0,  1282,   233,     0,
       0,  1041,     0,     0,  1830,  1590,     0,  1837,   230,  1842,
       0,     0,  1848,  2029,  1299,   618,  1303,   619,  1307,   235,
       0,     0,     0,   237,  1319,  1320,     3,  1725,     0,     4,
       0,     5,   236,     0,     0,     0,   620,     0,     0,     0,
     407,     0,  1726,     0,   621,   622,     0,   623,     0,     0,
       0,     6,     7,     8,     9,     0,  1355,   624,   625,  1359,
    1727,   238,     0,     0,     0,  1728,  1775,  1729,   650,  1776,
    1162,  2036,  1637,     0,     0,     0,     0,   651,   235,     0,
     237,     0,   407,     0,     0,     0,     0,     0,     0,  2030,
       0,   236,   652,     0,   232,     0,   653,   237,     0,   879,
     654,   655,     0,     0,     0,   656,   657,   658,   659,   660,
       0,     0,     0,     0,     0,  2001,     0,   237,     0,     0,
       0,     0,  2030,     0,  1396,     0,     0,     0,   237,     0,
     407,   232,   233,     0,     0,     0,     0,     3,     0,     0,
       4,  1591,     5,     0,  1164,  1165,  1592,  1167,  1168,  1169,
    1170,  1171,  1172,  1173,  1174,  1175,  1593,   232,     0,     0,
     879,     0,     6,     7,     8,     9,     0,   232,     0,   233,
       0,     0,     0,     0,     0,     0,  2135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,  1777,     0,
       0,     0,   237,   879,     0,   233,     0,  1446,  1447,     0,
       0,     0,     0,     0,   238,   233,     0,     0,     0,  2320,
       0,     3,   235,     0,     4,     0,     5,  1734,  1745,  1761,
    1773,     0,     0,     0,   407,   236,     0,     0,     0,  1745,
    2018,     0,     0,     0,  2037,   407,     6,     7,     8,     9,
       0,   232,     0,     0,     0,     0,     0,     0,     0,   235,
    1764,   237,     0,     0,     0,     0,     0,  2024,  2034,  2041,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
    2019,  1268,     0,     0,     0,   235,     0,     0,     0,   233,
       0,     0,     0,     0,     0,   235,     0,     0,   236,     0,
     232,     0,     0,     0,     0,     0,     0,     0,   236,   238,
    1765,     0,  1766,     0,  1752,   879,   232,  1753,     0,   879,
       0,     0,     0,     0,     3,     0,  1778,     4,     0,     5,
       0,  2321,     0,     0,  1767,  2295,     0,     0,   233,     0,
       0,  1372,  1372,  1372,  1372,  1372,     0,  1372,  1372,     6,
       7,     8,     9,     0,   233,     0,  1680,  1680,     0,     0,
       0,     0,     0,  1747,     0,     0,     0,     0,   238,   235,
       0,   581,   582,     0,  2203,   583,     0,     0,     0,     0,
       0,     0,   236,  1768,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   237,     0,     0,     0,  2290,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,     0,  1748,  1749,  1750,  1751,     0,  1752,   235,     0,
    1753,     0,     0,  2020,  2204,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   235,   593,     0,  1754,     0,     0,
    1580,  1970,     0,     0,  1583,     0,     0,   236,     0,     0,
    2024,  2034,  2041,     0,  1602,  1603,  1604,     0,   237,  1607,
       0,  1609,     0,     0,     0,     0,  1971,  1972,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1624,     0,  1755,     0,     0,     0,
       0,     0,     0,     0,   879,     0,  1756,     0,     0,     0,
     161,     0,   407,     0,     0,     0,     0,     0,     0,     0,
    2319,   334,     0,     0,     0,     0,   335,   165,     0,     0,
       0,  1658,     0,  1660,     0,     0,     0,     0,     0,   337,
    1661,     0,     0,   166,   338,     0,     0,     0,   167,   238,
       0,   168,   237,     0,     0,  1674,   169,  1675,     0,   170,
       0,     0,   171,   172,     0,     0,  1683,   173,  1685,     0,
     174,     0,   175,     0,     0,   238,     0,     0,   879,     0,
       0,     0,     0,     0,     0,   238,     0,     3,     0,     0,
       4,     0,     5,     0,  1769,     0,     0,   176,     0,     0,
    1973,   237,     0,   181,  1041,     0,     0,     0,     0,  1756,
       0,     0,     6,     7,     8,     9,     0,   237,  1041,     0,
    1974,  1975,     0,     0,   334,     0,  1747,     3,     0,   335,
       4,     0,     5,     0,     0,     0,     0,     0,  2205,     0,
       0,     0,   337,     0,     0,     0,     0,   338,     0,     0,
       0,     0,     6,     7,     8,     9,  2206,     0,     0,   238,
       0,  2207,     0,  2208,     0,     0,  1747,     0,     0,  1041,
       0,     0,     0,     0,     0,  1748,  1749,  1750,  1751,     0,
    1752,   879,     0,  1753,     0,     0,     0,  1041,  1041,     0,
       0,     0,     0,     0,     0,     0,     0,  1757,     0,     0,
    1754,  1717,  1745,  1761,  1773,     0,     0,     0,   407,  1830,
    1837,  1842,  1848,     0,     0,  1748,  1749,  1750,  1751,     0,
    1752,     0,    51,  1753,   238,     0,     0,     0,     0,     0,
       0,     0,    63,    51,    51,    66,    66,    66,    70,     0,
    1754,    51,     0,     0,     0,  2024,  2034,  2041,     0,  1755,
       0,     0,     0,     0,  1850,  1851,     0,     0,     0,     0,
       0,    90,     0,     0,     0,     0,     0,     0,     0,    91,
       0,    92,     0,    93,     0,     0,    94,    95,    96,     0,
      97,  1867,     0,     0,     0,     0,     0,     0,     0,  1755,
       0,     0,     0,     0,    51,     0,  1884,   429,    51,    66,
      66,    66,    70,     0,     0,     0,     0,     0,     0,    51,
       0,   444,   449,   452,    51,   457,    66,    66,   462,     0,
     444,   444,   444,   444,     0,    66,     0,     0,     0,   478,
       0,    51,  1911,     0,    66,    66,     0,    70,     0,     0,
      66,     0,     0,     0,     0,     0,     0,     0,     0,  1913,
       0,  1915,     0,     0,    51,   518,   457,    66,   457,     0,
     526,   529,  1756,     0,   533,    51,    66,    66,     0,     0,
      66,     0,    51,     0,     0,     0,     0,   334,     0,     0,
       0,     0,   335,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   904,     0,     0,   337,    10,     0,   905,     0,
     338,     0,  1756,     0,    11,     0,    12,     0,    13,     0,
       0,    14,    15,    16,     0,    17,     0,   334,     0,    18,
      19,     0,   335,     0,     0,     0,   158,   159,   160,     0,
       0,     0,     0,  1006,   879,   337,     0,  1007,     0,     0,
     338,     0,  1008,     0,     0,     0,     0,   280,  1009,     0,
    2003,     0,   912,     0,     0,   281,     0,   282,     0,   283,
       0,     0,   284,   285,   286,     0,   287,     0,     0,    35,
       0,     0,  1012,     0,   879,     0,     0,     0,     0,    36,
       0,     0,     0,     0,     0,    37,     0,     0,     0,     0,
    2288,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      98,   444,   449,   452,    51,   457,    66,    66,   462,    38,
     444,   444,   444,   444,     0,    99,     0,     3,     0,     0,
       4,     0,     5,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,   100,     0,     0,     0,     0,   101,   153,
     102,     0,     6,     7,     8,     9,   154,   155,     0,     0,
       0,   317,   156,   318,     0,     0,     0,     0,  2071,     0,
    1735,     0,     0,     0,     0,     0,     0,     0,   319,     0,
       0,  1041,     0,     0,     0,     0,     0,     0,   320,   321,
       0,     0,     0,   322,     0,  2086,   323,     0,     0,     0,
       0,     0,     0,     0,     0,   324,   325,   326,   327,   328,
     329,     0,     0,     0,     0,     0,     0,     0,   915,     0,
    1736,   916,   917,     0,   330,     0,   331,     0,   918,   157,
     158,   159,   160,     0,     0,   161,     0,   162,     0,     0,
    1737,   163,     0,     0,     0,    39,   164,     0,     0,     0,
    1160,     0,   165,     0,     0,     0,     0,     0,   920,   921,
      40,     0,     0,     0,     0,  1161,     0,     0,   166,     0,
       0,     0,     0,   167,     0,     0,   168,     0,    41,     0,
       0,   169,     0,    42,   170,    43,     0,   171,   172,  1738,
       0,     0,   173,     0,     0,   174,   288,   175,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   289,     0,  1097,     0,     0,     0,     0,     0,     0,
      66,     0,   176,   177,     0,   178,   179,   180,   181,   290,
    1162,  1103,     0,  1104,   291,  1105,   292,  1106,     0,     0,
       0,     0,  1110,     0,     0,     0,  1111,    51,     0,     0,
       0,     0,     0,     0,     0,     0,  1115,     0,     0,  1116,
       0,     0,     0,   182,   183,   184,   185,     0,     0,    66,
    2169,     0,   186,   187,     0,     0,   188,   189,   332,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,  1163,   333,     0,  1164,  1165,  1166,  1167,  1168,  1169,
    1170,  1171,  1172,  1173,  1174,  1175,  1176,   334,     0,     0,
       0,     0,   335,     0,     0,     0,     0,     0,     0,   336,
       0,     0,     0,     0,     0,   337,     0,     0,     0,     0,
     338,     0,     0,     0,     0,     0,   213,   214,     0,   339,
       0,     0,   340,   341,   342,   343,     0,     0,     0,   344,
       0,     0,     0,   345,   346,   215,     0,     0,     0,   216,
     217,     0,     0,     0,   879,     0,     0,     0,   347,     0,
       3,   218,   219,     4,     0,     5,     0,   348,     0,   349,
    1739,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,   153,     0,     0,     6,     7,     8,     9,   154,
     155,     0,     0,     0,   317,   156,   318,     0,     0,     0,
       0,     0,     0,  1735,     0,     0,     0,     0,     0,     0,
       0,   319,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   320,   321,     0,     0,     0,   322,     0,     0,   323,
       0,     0,     0,     0,     0,     0,     0,     0,   324,   325,
     326,   327,   328,   329,     0,     0,     0,     0,     0,     0,
     161,     0,   162,  1736,     0,     0,   163,   330,     0,   331,
       0,   164,   157,   158,   159,   160,     0,   165,   161,     0,
     162,     0,     0,  1737,   163,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,   165,     0,     0,   167,     0,
       0,   168,     0,     0,     0,     0,   169,     0,     0,   170,
       0,   166,   171,   172,   667,     0,   167,   173,     0,   168,
     174,     0,   175,     0,   169,     0,     0,   170,     0,     0,
     171,   172,  1738,     0,     0,   173,     0,     0,   174,     0,
     175,     0,     0,     0,     0,     0,     0,   176,     0,   668,
       0,     0,     0,   181,     0,     0,     0,     3,     0,     0,
       4,     0,     5,     0,     0,   176,   177,     0,   178,   179,
     180,   181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     8,     9,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1764,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,   184,   185,
       0,     0,     0,     0,     0,   186,   187,     0,     0,   188,
     189,   332,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,     0,     0,   333,  1765,     0,  1766,     0,
    1752,     0,     0,  1753,     0,     0,     0,     0,     0,     0,
     334,     0,     0,     0,     0,   335,     0,     0,     0,     0,
    1767,     0,   336,     0,     0,     0,     0,     0,   337,     0,
       0,     0,     0,   338,     0,     0,     0,     0,     0,   213,
     214,     0,   339,     0,     0,   340,   341,   342,   343,     0,
       0,     0,   344,     0,     0,     0,   345,   346,   215,     0,
       0,     0,   216,   217,     0,     0,     0,   879,     0,  1768,
       0,   347,     0,     0,   218,   219,     3,     0,     0,     4,
     348,     5,   349,  2002,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   153,     0,
       0,     6,     7,     8,     9,   154,   155,     0,     0,     0,
     317,   156,   318,     0,     0,     0,     0,     0,     0,  1735,
       0,     0,     0,     0,     0,     0,     0,   319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   320,   321,     0,
       0,     0,   322,     0,     0,   323,     0,     0,     0,     0,
       0,     0,     0,     0,   324,   325,   326,   327,   328,   329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1736,
       0,     0,  1484,   330,     0,   331,     0,     0,   157,   158,
     159,   160,  1756,     0,   161,     0,   162,     0,     0,  1737,
     163,     0,     0,     0,     0,   164,     0,   334,     0,     0,
       0,   165,   335,     0,     0,     0,     0,   161,     0,   162,
       0,     0,   696,   163,     0,   337,     0,   166,   164,     0,
     338,     0,   167,     0,   165,   168,     0,     0,     0,     0,
     169,     0,     0,   170,     0,     0,   171,   172,  1738,     0,
     166,   173,     0,     0,   174,   167,   175,     0,   168,     0,
       0,     0,     0,   169,   879,     0,   170,     0,     0,   171,
     172,     0,     0,     3,   173,     0,     4,   174,     5,   175,
    2004,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,     0,     0,   176,     0,   697,     0,     0,     0,
     181,     0,  1764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,   184,   185,     0,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,   332,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   333,  1765,     0,  1766,     0,  1752,     0,     0,  1753,
       0,     0,     0,     0,     0,     0,   334,     0,     0,     0,
       0,   335,     0,     0,     0,     0,  1767,     0,   336,     0,
       0,     0,     0,     0,   337,     0,     0,     0,     0,   338,
       0,     0,     0,     0,     0,   213,   214,     0,   339,     0,
       0,   340,   341,   342,   343,     0,     0,     0,   344,     0,
       0,     0,   345,   346,   215,     0,     0,     0,   216,   217,
       0,     0,     0,   879,     0,  1768,     0,   347,     0,     3,
     218,   219,     4,     0,     5,     0,   348,     0,   349,  2009,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   153,     0,     0,     6,     7,     8,     9,   154,   155,
       0,     0,     0,   317,   156,   318,     0,     0,     0,     0,
       0,     0,  1735,     0,     0,     0,     0,     0,     0,     0,
     319,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     320,   321,     0,     0,   747,   322,     0,     0,   323,     0,
       0,     0,     0,     0,     0,     0,     0,   324,   325,   326,
     327,   328,   329,     0,     0,     0,     0,     0,     0,     0,
       0,   748,  1736,     0,   749,     0,   330,     0,   331,     0,
       0,   157,   158,   159,   160,     0,     0,   161,  1756,   162,
       0,   750,  1737,   163,     0,     0,     0,     0,   164,     0,
       0,     0,     0,   334,   165,     0,     0,     0,   335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,   337,     0,     0,     0,   167,   338,     0,   168,     0,
       0,     0,     0,   169,     0,     0,   170,     0,     0,   171,
     172,  1738,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   176,   177,  2289,   178,   179,   180,
     181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,     0,   182,   183,   184,   185,     0,
       0,     0,     0,     0,   186,   187,     0,     0,   188,   189,
     332,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   333,     0,   751,     0,     0,     0,
     213,   214,     0,     0,     0,     0,     0,     0,     0,   334,
     752,     0,     0,     0,   335,     0,     0,     0,     0,     0,
       0,   336,     0,     0,     0,     0,     0,   337,     0,     0,
       0,     0,   338,     0,     0,     0,   753,     0,   213,   214,
       0,   339,     0,     0,   340,   341,   342,   343,     0,     0,
       0,   344,     0,     0,     0,   345,   346,   215,     4,     0,
       5,   216,   217,     0,     0,     0,   879,     0,     0,     0,
     347,     0,     0,   218,   219,     0,     0,   153,     0,   348,
       0,   349,  2287,   220,   154,   155,   221,     0,     0,   317,
     156,   318,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   319,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   320,   321,     0,     0,
     854,   322,     0,     0,   323,     0,     0,     0,     0,     0,
       0,     0,     0,   324,   325,   326,   327,   328,   329,     0,
       0,     0,     0,     0,     0,     0,     0,   748,     0,     0,
     749,     0,   330,     0,   331,     0,     0,   157,   158,   159,
     160,     0,     0,   161,     0,   162,     0,   750,     0,   163,
       0,     0,     0,     0,   164,     0,     0,     0,     0,     0,
     165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   166,     0,     0,     0,
       0,   167,     0,  1187,   168,     0,     0,     0,     0,   169,
       0,     0,   170,     0,     0,   171,   172,     0,     0,     0,
     173,     0,     0,   174,     0,   175,  1188,  1189,  1190,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,  1203,  1204,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,   182,   183,   184,   185,     0,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,   332,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     333,     0,   751,     0,   903,     0,   213,   214,     0,   757,
     758,     0,     0,   759,     0,   334,   752,     0,     0,     0,
     335,     0,   153,     0,     0,     0,     0,   336,     0,     0,
     155,   760,     0,   337,     0,   156,     0,     0,   338,     0,
       0,     0,   753,     0,   213,   214,     0,   339,     0,     0,
     340,   341,   342,   343,     0,     0,     0,   344,     0,     0,
       0,   345,   346,   215,     0,     0,     0,   216,   217,   904,
       0,     0,     0,     0,     0,   905,   347,     0,     0,   218,
     219,     0,     0,     0,   906,   348,   907,   349,  1901,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,   161,     0,
     908,     0,     0,     0,   909,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,   911,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   166,     0,     0,     0,     0,   167,     0,     0,   913,
     761,     0,     0,     0,   169,     0,     0,   170,     0,     0,
     171,   172,     0,     0,     0,   173,     0,     0,   174,     0,
     175,     0,     0,     0,   762,   763,   764,   765,   766,   767,
       0,   768,   769,   770,   771,   772,   773,   774,     0,     0,
     775,   776,   777,   856,     0,   176,   177,     0,   178,   179,
     180,   181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,   778,     0,   757,   758,     0,     0,   759,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     153,     0,     0,     0,     0,     0,   914,   760,   155,     0,
       0,     0,     0,   156,     0,     0,     0,     0,     0,     0,
       0,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,     0,     0,   212,     0,   904,     0,     0,
       0,     0,     0,   905,     0,   915,     0,     0,   916,   917,
       0,     0,     0,   857,     0,   918,     0,     0,     0,     0,
       0,     0,     0,   919,     0,     0,     0,     0,     0,     0,
     157,   158,   159,   160,     0,     0,   161,     0,   908,   213,
     214,     0,   909,     0,     0,   920,   921,   910,     0,     0,
       0,     0,     0,  1278,     0,     0,     0,   912,   215,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,   166,
       0,     0,   922,   923,   167,   753,   761,  1279,     0,     0,
       0,     0,   169,     0,   924,   170,     0,   221,   171,   172,
       0,     0,     0,   173,     0,     0,   174,     0,   175,     0,
     762,   763,   764,   765,   766,   767,   858,   768,   769,   770,
     771,   772,   773,   774,     0,     0,   775,   776,   777,     0,
       0,     0,     0,   176,   177,     0,   178,   179,   180,   181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   778,
    1358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   153,     0,
       0,     0,     0,     0,   914,     0,   155,     0,     0,     0,
       0,   156,     0,     0,     0,     0,     0,     0,     0,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,   212,     0,   904,     0,     0,     0,     0,
       0,   905,     0,   915,     0,     0,   916,   917,     0,     0,
       0,     0,     0,   918,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   157,   158,
     159,   160,     0,     0,   161,     0,   908,   213,   214,     0,
     909,     0,     0,   920,   921,   910,     0,     0,     0,     0,
       0,  1278,     0,     0,     0,   912,   215,   161,     0,   162,
     216,   217,     0,   163,     0,     0,     0,   166,   164,     0,
     922,   923,   167,   753,   165,  1279,     0,     0,     0,     0,
     169,     0,   924,   170,     0,   221,   171,   172,     0,     0,
     166,   173,     0,     0,   174,   167,   175,     0,   168,     0,
       0,     0,     0,   169,     0,     0,   170,     0,     0,   171,
     172,     0,     0,     0,   173,     0,     0,   174,     0,   175,
       0,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1395,     0,
       0,     0,     0,     0,   176,     0,     0,     0,     0,     0,
     181,     0,     0,     0,     0,     0,   153,     0,     0,     0,
       0,     0,   914,     0,   155,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   212,     0,   904,     0,     0,     0,     0,     0,   905,
       0,   915,     0,     0,   916,   917,     0,     0,     0,     0,
       0,   918,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   908,   213,   214,     0,   909,     0,
       0,   920,   921,   910,     0,     0,     0,     0,     0,  1278,
       0,     0,     0,   912,   215,     0,     0,     0,   216,   217,
       0,     0,     0,     0,     0,   166,     0,     0,   922,   923,
     167,   753,     0,  1279,     0,     0,     0,     0,   169,     0,
     924,   170,     0,   221,   171,   172,     0,     0,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
     177,     0,   178,   179,   180,   181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   153,     0,     0,     0,     0,     0,
     914,     0,   155,     0,     0,     0,     0,   156,     0,     0,
       0,     0,     0,     0,     0,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   212,
       0,   904,     0,     0,     0,     0,     0,   905,     0,   915,
       0,     0,   916,   917,     0,     0,     0,     0,     0,   918,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   157,   158,   159,   160,     0,     0,
     161,     0,   908,   213,   214,     0,   909,     0,     0,   920,
     921,   910,     0,     0,     0,     0,     0,  1278,     0,     0,
       0,   912,   215,     0,     0,     0,   216,   217,     0,     0,
       0,     0,     0,   166,     0,     0,   922,   923,   167,   753,
       0,  1279,     0,     0,     0,     0,   169,     0,   924,   170,
       0,   221,   171,   172,     0,     0,     0,   173,     0,     0,
     174,     0,   175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   999,  1000,
    1001,  1002,  1003,  1004,     0,     0,     0,     0,  1005,     0,
       0,     0,   984,     0,     0,     0,     0,     0,   914,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   212,     0,   904,
       0,     0,     0,     0,     0,   905,     0,   915,     0,     0,
     916,   917,     0,     0,     0,     0,     0,   918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,     0,  1323,
    1006,   213,   214,     0,  1007,     0,     0,   920,   921,  1008,
       0,     0,     0,     0,     0,  1009,     0,  1323,     0,   912,
     215,     0,     0,     0,   216,   217,     0,     0,     0,     0,
       0,  1010,     0,     0,   922,   923,  1011,   753,     0,  1012,
       0,     0,     0,     0,  1013,     0,   924,  1014,   904,   221,
    1015,  1016,     0,     0,   905,  1017,     0,     0,  1018,     0,
    1019,     0,     0,     0,     0,     0,   904,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,   157,   158,   159,   160,  1020,     0,     0,  1021,  1006,
       0,  1022,     0,  1007,     0,     0,     0,     0,  1008,   157,
     158,   159,   160,     0,  1009,     0,     0,  1006,   912,     0,
       0,  1007,     0,     0,     0,     0,  1008,     0,     0,     0,
    1010,     0,  1009,     0,     0,  1011,   912,     0,  1012,     0,
       0,     0,     0,  1013,     0,     0,  1014,     0,  1010,  1015,
    1016,     0,     0,  1011,  1017,     0,  1012,  1018,     0,  1019,
       0,  1013,     0,     0,  1014,     0,     0,  1015,  1016,     0,
       0,     0,  1017,     0,     0,  1018,     0,  1019,     0,     0,
       0,     0,     0,     0,  1020,   915,     0,  1021,   916,   917,
    1022,     0,     0,     0,     0,   918,     0,     0,     0,     0,
       0,     0,  1020,     0,     0,  1021,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   920,   921,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   922,   923,     0,     0,     0,     0,     0,     0,
       0,     0,   349,     0,  1024,  1046,   984,   221,     0,     0,
       0,     0,     0,     0,   915,     0,     0,   916,   917,     0,
       0,     0,     0,     0,   918,     0,     0,     0,     0,     0,
       0,     0,   915,     0,     0,   916,   917,     0,     0,     0,
       0,     0,   918,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,   920,   921,     0,  1023,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   920,   921,     0,  1023,     0,     0,     0,     0,
       0,   922,   923,     0,     0,     0,   157,   158,   159,   160,
       0,   349,     0,  1024,  1006,     0,   221,     0,  1007,   922,
     923,     0,     0,  1008,     0,     0,     0,     0,     0,  1009,
       0,  1024,     0,   912,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1010,     0,     0,     0,     0,
    1011,     0,     0,  1012,     0,     0,     0,     0,  1013,     0,
       0,  1014,     0,     0,  1015,  1016,     0,     0,     0,  1017,
       0,   153,  1018,     0,  1019,     0,     0,     0,   154,   155,
       0,     0,     0,   317,   156,   318,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
     319,     0,  1021,     0,     0,  1022,     0,     0,     0,     0,
     320,   321,     0,     0,     0,   322,     0,     0,   323,     0,
       0,     0,     0,     0,     0,     0,     0,   324,   325,   326,
     327,   328,   329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   330,     0,   331,     0,
       0,   157,   158,   159,   160,     0,     0,   161,     0,   162,
       0,     0,     0,   163,     0,     0,     0,     0,   164,     0,
       0,     0,     0,     0,   165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   915,
     166,     0,   916,   917,     0,   167,     0,     0,   168,   918,
       0,     0,     0,   169,     0,     0,   170,     0,     0,   171,
     172,     0,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   920,
     921,     0,  1023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   176,   177,     0,   178,   179,   180,
     181,     0,     0,     0,     0,     0,   922,   923,     0,     0,
       0,     0,     0,     0,     0,     0,  1047,     0,  1024,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,   184,   185,     0,
       0,     0,     0,     0,   186,   187,     0,     0,   188,   189,
     332,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   153,     0,   334,
       0,     0,     0,     0,   335,   155,     0,     0,     0,     0,
     156,   336,     0,     0,     0,     0,     0,   337,     0,     0,
       0,     0,   338,     0,     0,     0,     0,     0,   213,   214,
       0,   339,     0,     0,   340,   341,   342,   343,     0,     0,
       0,   344,     0,     0,   904,   345,   346,   215,     0,     0,
     905,   216,   217,     0,     0,     0,     0,     0,     0,     0,
     347,     0,     0,   218,   219,     0,     0,     0,     0,   348,
       0,   349,     0,   220,     0,     0,   221,   157,   158,   159,
     160,     0,     0,   161,     0,   908,     0,     0,     0,   909,
       0,     0,     0,     0,   910,     0,     0,     0,     0,     0,
    1278,     0,     0,     0,   912,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   166,     0,     0,     0,
       0,   167,     0,     0,  1279,     0,     0,     0,     0,   169,
       0,     0,   170,     0,     0,   171,   172,     0,     0,     0,
     173,     0,     0,   174,     0,   175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,   177,     0,   178,   179,   180,   181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,     0,     0,     0,     0,
       0,   914,   154,   155,     0,     0,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     915,     0,     0,   916,   917,     0,     0,     0,     0,     0,
     918,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   157,   158,   159,   160,     0,
       0,   161,     0,   162,   213,   214,     0,   163,     0,     0,
     920,   921,   164,     0,     0,     0,     0,     0,   165,     0,
       0,     0,     0,   215,     0,     0,     0,   216,   217,     0,
       0,     0,     0,     0,   166,     0,     0,   922,   923,   167,
     753,     0,   168,     0,     0,     0,     0,   169,     0,   924,
     170,     0,   221,   171,   172,     0,     0,     0,   173,     0,
       0,   174,     0,   175,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   176,   177,
       0,   178,   179,   180,   181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   153,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,   184,   185,     0,     0,     0,     0,     0,   186,   187,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,     0,     0,   212,     0,
    2199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,     0,   163,     0,
       0,     0,     0,   164,     0,     0,     0,     0,     0,   165,
       0,     0,   213,   214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   166,     0,     0,     0,     0,
     167,   215,     0,   168,     0,   216,   217,     0,   169,     0,
       0,   170,     0,     0,   171,   172,     0,   218,   219,   173,
       0,     0,   174,     0,   175,   349,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
     177,     0,   178,   179,   180,   181,   153,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,   184,   185,     0,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   212,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,   161,     0,   162,     0,     0,     0,   163,     0,
       0,     0,     0,   164,     0,     0,     0,     0,     0,   165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,   214,   166,     0,     0,     0,     0,
     167,     0,     0,   168,     0,     0,     0,     0,   169,     0,
       0,   170,   215,     0,   171,   172,   216,   217,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,   218,   219,
       0,     0,     0,     0,     0,     0,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,   176,
     177,     0,   178,   179,   180,   181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   984,     0,     0,
     182,   183,   184,   185,     0,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   212,
       0,     0,     0,     0,   904,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,   213,   214,  1006,     0,     0,     0,  1007,
       0,     0,     0,     0,  1008,     0,     0,     0,     0,     0,
    1009,     0,   215,     0,   912,     0,   216,   217,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,   218,   219,
       0,  1011,     0,     0,  1012,     0,     0,     0,   220,  1013,
       0,   221,  1014,     0,     0,  1015,  1016,     0,     0,     0,
    1017,     0,     0,  1018,     0,  1019,     0,     0,     0,     0,
       0,     0,     2,     3,     0,     0,     4,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1020,     0,     0,  1021,     0,     0,  1022,     0,     6,     7,
       8,     9,     0,     0,     0,     0,     0,     0,     0,    10,
       0,     0,     0,     0,     0,     0,     0,    11,     0,    12,
       0,    13,     0,     0,    14,    15,    16,     0,    17,     0,
       0,     0,    18,    19,    20,     0,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -428,     0,     0,     0,
     915,     0,    35,   916,   917,     0,     0,     0,     0,     0,
     918,     0,    36,   904,     0,     0,     0,     0,    37,   905,
       0,     0,   324,   325,   326,  1886,  1887,   329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     920,   921,    38,  1023,     0,     0,   157,   158,   159,   160,
       0,     0,     0,     0,  1006,     0,     0,     0,  1007,     0,
       0,     0,     0,  1008,     0,     0,     0,   922,   923,  1009,
       0,     0,     0,   912,     0,     0,     0,   349,     0,  1024,
       0,     0,   221,     0,     0,  1010,     0,     0,     0,     0,
    1011,     0,     0,  1012,     0,     0,     0,     0,  1013,     0,
       0,  1014,     0,     0,  1015,  1016,     0,     0,     0,  1017,
       0,     0,  1018,     0,  1019,     0,     0,     0,     0,   904,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1020,
       0,     0,  1021,     0,     0,  1022,     0,     0,     0,     0,
       0,     0,   157,   158,   159,   160,     0,     0,     0,     0,
    1006,     0,     0,     0,  1007,     0,     0,     0,    39,  1008,
       0,     0,     0,     0,     0,  1009,     0,     0,     0,   912,
       0,     0,     0,    40,     0,     0,     0,     0,  -428,     0,
       0,  1010,     0,     0,     0,     0,  1011,     0,     0,  1012,
       0,    41,     0,     0,  1013,     0,    42,  1014,    43,     0,
    1015,  1016,     0,     0,     0,  1017,     0,     0,  1018,     0,
    1019,   904,     0,     0,     0,     0,     0,   905,     0,   915,
       0,     0,   916,   917,     0,     0,     0,     0,     0,   918,
       0,     0,     0,     0,     0,  1020,     0,     0,  1021,     0,
       0,  1022,     0,     0,  1704,   158,   159,   160,     0,     0,
       0,     0,  1006,     0,     0,     0,  1007,     0,     0,   920,
     921,  1008,  1023,     0,     0,     0,     0,  1009,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1010,     0,     0,   922,   923,  1011,     0,
       0,  1012,     0,     0,     0,     0,  1013,     0,  1024,  1014,
       0,   221,  1015,  1016,     0,     0,     0,  1017,     0,     0,
    1018,     0,  1019,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   915,     0,     0,   916,   917,
       0,     0,     0,     0,     0,   918,   106,  1020,     0,     0,
    1021,   107,     0,  1022,   108,   109,   110,   111,     0,     0,
     112,   113,     0,   114,   115,   116,     0,   117,     0,     0,
       0,     0,     0,     0,     0,   920,   921,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   922,   923,     0,     0,     0,   118,     0,   119,
     120,   121,     0,     0,  1024,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   915,     0,     0,
     916,   917,     0,     0,     0,     0,     0,   918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   920,   921,     0,
    1023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   922,   923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1024,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,   124,   125,   126,
     127,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,     0,     0,   129,     0,   130,   131
};

static const yytype_int16 yycheck[] =
{
       1,    53,     3,    30,   328,    38,   352,    68,   356,   431,
     107,   361,   109,    65,   111,   112,    30,   443,   115,   682,
     117,    53,   838,   120,   121,   433,    53,   124,   125,   126,
     127,   434,   508,    65,   131,   626,   510,   134,    65,   338,
     918,   715,   139,   140,   216,   876,    47,  1017,   474,   378,
     147,     1,   904,   432,    55,   317,   754,   399,   874,    60,
     463,    68,   399,   879,   385,   179,    32,    37,   410,   411,
     566,   220,   869,  1466,  1459,  1464,   892,  1463,  1465,  1100,
     896,   460,   430,  1403,   346,   977,  1459,  1480,   438,  1324,
    1325,  1477,   414,  1311,   473,    30,  1331,  1268,    36,   399,
       7,     8,     9,  1022,   567,   453,   375,   177,   377,   371,
     180,  1572,  1402,   180,  1572,    14,    15,    16,    53,   469,
     177,  1626,   177,   180,   399,   180,   177,  1458,  1459,   180,
      65,   177,   595,  1790,   180,   410,   411,   718,  1788,   720,
     603,   722,    49,   522,    51,   924,   727,  1764,  1789,   499,
    1405,   991,   992,   177,    61,   618,   180,   855,   190,    66,
     509,  1691,   177,    70,   993,   180,  1767,   177,  1968,     4,
     180,  1564,  1576,   177,   524,   994,   180,    23,  1413,    78,
      79,    80,   531,   997,   177,     7,  1832,   180,     4,   216,
      23,  1555,  1556,   220,   995,   177,    95,    96,   180,   662,
    1833,  1844,    58,   103,     7,   104,    23,   788,     7,   177,
     177,    12,   180,   180,   113,   114,  1237,  1238,  1588,   835,
     119,    10,   177,    97,     7,   180,   177,    79,    80,   180,
     177,   103,  1998,   180,     5,    20,    45,   136,   104,   105,
     106,   177,   104,   706,   180,    38,   145,   146,     7,  1814,
     149,    40,    41,    42,    43,   104,   105,   104,   832,   833,
     837,  1077,  1585,  1586,   836,   838,   327,   328,  2028,   126,
     310,  1286,    73,  1294,   103,   779,    77,   751,   741,   342,
     105,   216,   345,     8,     8,   220,    75,    30,   104,   105,
     104,    92,    93,   150,    83,    84,    85,    86,   104,    85,
     332,    57,    57,   160,   778,   271,  1596,  1597,   104,   110,
      53,   277,  1635,  1636,   221,    90,  1689,   106,    93,   104,
     352,    13,    65,   363,   385,   352,    85,     7,   293,    54,
      54,    49,   133,   134,   123,    15,    16,    17,    18,   128,
     129,   130,   818,   144,   122,    49,   820,   104,   104,   138,
     151,   109,   141,   111,   112,   859,  1019,   115,  1689,   117,
      57,    90,   120,   121,    93,   293,   124,   125,   126,   127,
     292,   432,   399,   131,    30,   427,   134,   163,   127,   111,
     806,   139,   140,   410,   411,   134,   285,   286,   310,   147,
     442,    62,   399,   490,   126,   427,    88,    53,   363,   460,
     427,  1786,    53,   410,   411,  1020,    93,   104,   104,    65,
     442,   814,   473,  1786,   163,   442,    81,   352,    57,  1010,
     327,   328,  1013,   104,   331,   432,  1749,  1750,    99,     8,
      47,  1762,    97,   812,   296,   363,    15,    16,    17,    18,
     312,   127,  1765,  1774,    49,    50,   133,    52,    53,    54,
     297,   116,   363,   460,  1785,  1786,   362,   368,  1074,     1,
    1481,   522,     4,  1484,     6,   104,   473,   817,   368,  1283,
     819,  1287,  1288,   216,    58,    54,  2236,   220,    45,    46,
     294,   282,   283,   312,    26,    27,    28,    29,  1503,   363,
     296,  1861,   427,   349,   350,   351,  1070,  1071,  1072,  1076,
     357,   297,   368,  1075,  1077,   276,   368,   442,  2125,   294,
     288,   300,   301,   302,  1088,   522,   368,   363,  2164,   368,
     291,     1,   368,  2166,     4,   296,     6,  2128,     5,   364,
     363,     1,  2165,  2333,     4,   368,     6,   444,   309,   296,
     296,   448,   364,   314,  1565,   452,    26,    27,    28,    29,
     457,   368,   368,    22,   363,   462,    26,    27,    28,    29,
     216,   364,  2328,  2093,   220,   364,  1181,  1381,    38,     8,
     363,  1894,   114,   348,  2139,   334,    15,    16,    17,    18,
     694,   364,  2199,  1604,   617,  1606,  1607,  2092,  1609,  1920,
     489,   346,   347,   364,  1434,  1435,   283,  2254,  1918,   296,
    1379,   876,  2252,  2204,  1859,    90,   292,  1436,   937,   352,
     362,   518,  2253,   294,    94,    54,     8,  2078,  1437,   348,
    2078,   363,   287,   693,   594,   695,  1545,    85,   695,  1055,
     363,  1212,    24,   540,   103,   104,   693,  1438,   695,   538,
     695,  1137,   580,  1139,   695,   128,   435,   436,   437,   695,
    2014,   920,   921,  1888,   134,    91,   399,   296,   144,     4,
    1123,     6,    54,  2067,  1882,  1883,    85,   410,   411,   693,
     153,   695,    30,   845,   160,  2079,   997,   710,   693,   468,
     695,  1255,  1024,   693,   427,   695,   291,   367,  1923,   693,
    1353,   695,    45,   298,   299,    53,   352,   869,   998,   442,
     693,  1043,   695,  2026,   312,   313,  1043,    65,   497,   314,
      30,   693,   146,   695,   111,   516,   991,   992,   993,   994,
     995,  2011,   133,   998,  1895,   693,   693,   695,   695,   126,
    1622,   242,   490,    53,     4,   277,     6,   707,   693,   114,
     695,  1063,   693,  1043,   695,    65,   693,     1,   695,  1024,
       4,   812,     6,     1,  1023,   363,     4,   693,     6,   695,
     128,   242,  1578,    57,    57,   349,   350,   351,  1043,  2089,
       7,   427,    26,    27,    28,    29,   167,   168,    26,    27,
      28,    29,  1352,    20,  1354,   153,   442,  2180,   367,  2178,
      30,  2177,  2179,    41,  1270,  1626,    44,   277,   283,   276,
     285,     5,  1276,    30,     8,   812,   348,   341,   869,  1640,
     104,   104,    90,    53,   291,   104,   105,   106,   845,   296,
      45,   135,   364,   137,  1621,    65,    53,  1303,     1,   330,
     131,     4,   309,     6,   135,    60,    61,   314,    65,   340,
     274,   275,   869,  1339,     7,   281,  1867,   996,     7,   876,
     104,   105,   106,    26,    27,    28,    29,    20,   216,   114,
    1691,    20,   220,    22,   830,  2250,   167,   168,   348,   876,
     103,   104,   330,   331,   332,   350,   131,  2250,   348,   104,
     913,   114,   257,   258,   364,   110,     5,   364,  1562,     8,
     103,   360,    90,   144,   364,   120,   216,   924,   149,   368,
     220,   126,  1373,  1374,  1602,  1603,   103,  1021,   163,  1380,
     845,   330,   331,   332,   135,   163,   977,  1267,  2249,  2250,
      22,    94,   356,    25,  1273,   150,     1,   103,   367,     4,
     292,     6,  1595,   363,   869,     8,   997,  2172,   368,   171,
      37,   911,    15,    16,    17,    18,   167,   168,    45,    22,
      47,    26,    27,    28,    29,    52,    53,    54,  1307,    56,
     292,   134,  1283,    30,   991,   992,   993,   994,   995,   996,
     284,   998,    32,    33,    34,   315,   216,    85,   166,    87,
     220,    54,   203,   171,  1647,    20,    53,    22,  1250,   216,
      85,   998,    85,   220,   352,  1471,     4,  1024,    65,  1473,
    2021,   104,   296,   296,     8,   283,   276,   285,    90,   348,
    2031,    15,    16,    17,    18,   236,  1043,  2038,    22,   324,
      85,   291,    87,    85,  2259,    87,   296,   816,   103,    60,
      61,   126,   352,  1496,   126,  1461,  1043,     1,   114,   309,
       4,    85,     6,   291,   314,   103,   104,  1048,    17,   163,
      54,  1052,  2073,    45,   146,   150,   114,  1909,   150,   135,
    1381,   996,    26,    27,    28,    29,    90,  1396,    18,   427,
      30,   296,   148,     4,   363,     6,    78,   984,  1541,   110,
    1650,   988,   126,  1653,   442,   283,  1656,   285,   142,   120,
    1432,  1433,   367,    53,   348,   126,  1433,  1439,  1440,  1441,
    1442,   155,   845,  1440,   277,    65,   150,   427,    39,   111,
     364,    52,   352,  2134,  2135,  2136,   364,   171,  1290,   150,
    1470,   363,   442,  1472,   126,   352,   869,    38,    39,   243,
     244,   245,     7,   876,   242,   292,    20,     7,    22,  2160,
     104,   105,   106,    62,    63,    20,  1820,    22,    67,   216,
      20,    52,    22,   220,   363,   312,   313,  1432,  1433,  1434,
    1435,  1436,  1437,  1438,  1439,  1440,  1441,  1442,  1138,   171,
    1140,  2141,   112,   113,   114,   348,  1146,   242,   363,   276,
     242,     1,   274,   275,     4,   363,     6,   427,     4,   845,
       6,   364,     8,   253,   291,   363,   304,    57,  2076,  2077,
     427,   283,   442,   285,   359,   360,    26,    27,    28,    29,
     104,   363,   309,   869,     4,   442,     6,   314,     8,   316,
     302,    41,  1283,   293,    44,  1726,  1727,  1728,  1729,   305,
      43,  1403,     8,  1405,   977,   129,   130,   312,   313,   304,
       1,    45,   304,     4,    45,     6,   163,    45,   991,   992,
     993,   994,   995,   996,  1600,   998,   216,   114,   260,   283,
     220,   285,  2093,  1290,   356,    26,    27,    28,    29,   103,
     104,   325,     7,   348,  1737,   186,    37,   103,   189,  1629,
     114,  1024,   112,   113,   369,   352,    47,   308,  1714,   364,
     104,    52,   369,    54,   367,    56,   293,   294,     1,   341,
    1043,     4,   153,     6,     1,   114,   103,     4,   341,     6,
     167,   168,   163,   164,   366,  2336,  2337,  2338,   358,   176,
    1381,    85,   131,    26,    27,    28,    29,   136,   137,    26,
      27,    28,    29,  1632,  1943,  1944,  1945,  1946,    41,   176,
     996,    44,    23,   163,  1690,    23,  1373,  1374,  1375,  1376,
    1377,  1626,  1379,  1380,  1683,  1290,  1685,    52,  1834,   253,
     427,  1388,  1389,   367,    52,  1640,    52,  1709,  1710,    15,
      16,  1845,  1709,  1710,  1381,   442,  1403,   226,  1405,   273,
     274,   230,   231,   232,   348,   351,   135,   304,   305,   306,
     307,   308,   352,    52,    86,    87,    88,  1873,    90,  1875,
     364,     4,   163,     6,     7,  1432,  1433,  1434,  1435,  1436,
    1437,  1438,  1439,  1440,  1441,  1442,  1691,    52,   167,   168,
     103,   170,    85,   253,   254,  1457,   363,   257,  1778,   103,
    1457,   103,   116,   242,  1709,  1710,   349,   350,   351,  1940,
    1941,  1942,  2258,   103,  1907,  1908,   103,  1910,   132,  1621,
     335,   336,  1453,  1454,   103,  1456,  1457,  1458,  1459,    85,
     163,    85,    99,   100,   101,   102,   114,   427,  1403,   153,
    1405,   291,   334,   335,   336,   159,    17,  1827,   126,  2142,
     128,    18,   442,     5,  2300,   312,   313,   845,    15,    16,
    1839,  2082,  2083,     0,  2103,  2104,  2105,     4,   146,     6,
     367,   276,   150,   103,  1454,   153,  1456,  1457,  1458,  1459,
       7,   869,     7,  1935,     7,   276,   291,     7,  1551,  1552,
     103,   296,  1457,    15,    16,   845,   312,   313,  1936,  1878,
     291,     5,  1502,   104,   309,  1938,   107,   108,   109,   314,
       7,    45,     7,    47,   364,   112,   113,  1290,   309,   869,
     104,   105,   106,   314,    18,   316,    60,    61,  1619,   126,
    1621,  1622,    17,  1887,   248,   249,     7,   134,  1600,  1570,
     193,   194,  1573,  1600,  1575,   191,   192,  1578,   363,  1549,
    1550,     8,    45,   150,    47,  1933,  1965,   348,   291,    52,
    1642,    54,    38,   241,  1621,    58,   293,   112,   113,  1626,
     104,   112,   113,   364,   367,   845,   110,   103,  1351,  1352,
    1642,  1354,  1991,  1640,   103,  1642,   120,   363,   845,   363,
    1570,   363,   126,  1573,   363,  1575,   274,   275,  1578,   869,
     330,   331,   332,  1640,  1290,    98,   363,   100,   996,     4,
       5,  1642,   869,   280,   310,     1,   150,   363,     4,   293,
       6,   348,   289,   290,   291,   292,   112,   113,  1690,  2122,
    1403,   364,  1405,  1690,  1691,  1600,   103,   364,   103,   104,
      26,    27,    28,    29,  1644,  1736,   996,   225,   226,   227,
     228,   229,  1709,  1710,   128,    41,  1621,  1859,    44,  1432,
    1433,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,  1442,
     144,   318,   319,   320,   321,   322,  2052,  1642,   356,   153,
     277,   278,   279,   280,  1457,   159,   160,    95,    96,   103,
    1747,  1388,  1389,    45,    43,    44,   293,   294,   295,   103,
    2206,   103,  1733,  1747,  2208,   103,   363,  1764,    60,    61,
     104,  1742,  1743,  1744,  1745,  1746,  1918,  1403,   103,  1405,
    1764,   103,  1784,    97,   190,  1690,   996,  1784,   131,  1760,
    1761,  1762,   195,  1795,   230,  2241,  2242,   235,  1795,   996,
     103,  1772,  1773,  1774,   233,   233,   103,  2203,   845,   103,
     234,    45,  1783,  1784,  1785,  1786,   234,   103,   110,   342,
     103,   363,   296,   363,  1795,   363,    60,    61,   120,   363,
     103,  1457,   869,   103,   126,     5,     8,   163,  2271,  2272,
     103,   103,  1747,  1720,  1721,  1722,  1723,    52,  2093,   103,
      43,    22,  1823,  1824,  1825,  1886,  1887,     5,   150,  1764,
     366,   149,  1859,  1783,  1784,  1785,  1786,   103,     8,    85,
     104,    85,  2305,    22,   103,  1795,   110,  2323,    22,  1784,
    2313,  2325,   366,   363,   363,  2205,   120,  1600,  2207,    46,
    1795,    48,   126,    50,    51,    79,    80,    81,    82,    83,
      84,    58,    59,  1823,  1824,  1825,  1619,   363,  1621,  1622,
      45,   103,     7,  1626,   294,   845,   150,  1948,  2314,   370,
    2240,  1918,   370,     5,  2243,    60,    61,  1640,   104,  1642,
     311,   363,  1903,   311,  1965,    92,    45,  1650,   315,   869,
    1653,    20,    43,  1656,   190,   315,   293,  2089,   310,    70,
       7,    60,    61,  2020,  1859,   138,   139,   140,   141,   996,
    1991,     5,  1290,  2030,   165,   291,     7,  1998,    45,   103,
    2037,    39,   104,   362,  1600,   110,    99,  1690,  1691,   221,
     222,   223,   224,    60,    61,   120,   362,   399,  1965,   103,
    1961,   126,  1963,  1964,   237,  1621,  1709,  1710,   410,   411,
    1290,   110,  2322,   246,   247,  2324,  1977,   250,   251,  1886,
    1887,   120,  1983,  1918,  1991,   150,  1642,   126,   114,  1990,
       1,   190,  1993,     4,   104,     6,   362,    99,  1999,   362,
     103,    20,   128,   110,  1747,  2006,  2007,  2008,   364,   135,
       7,   150,   103,   120,   103,    26,    27,    28,    29,   126,
    2052,  1764,    45,   364,   103,  2052,   114,   153,   116,   117,
     118,   119,   296,   159,  1690,   103,   996,    60,    61,    45,
     103,  1784,   103,   150,   103,  1403,    85,  1405,     1,  2110,
    1290,     4,  1795,     6,    60,    61,  2006,  2007,  2008,   364,
       5,   189,  2089,  1290,   104,   103,  2093,     1,   151,  2130,
       4,   103,     6,    26,    27,    28,    29,   362,   103,    90,
     186,   103,   293,  1403,   105,  1405,    97,   110,  2115,   103,
     294,  1747,    26,    27,    28,    29,  2097,   120,  2125,  1457,
     363,  2115,   364,   126,   110,   363,   363,   363,  1764,   363,
    2111,  2125,   363,   363,   120,   363,  1859,  2052,   363,    41,
     126,     7,   363,   134,   134,   364,   103,   150,  1784,   363,
    2131,  2132,   364,   363,   363,   104,     8,  1457,     8,  1795,
     103,   103,  2143,  2144,   150,  2146,  2147,  2148,  2149,  2150,
     104,   103,  2153,   103,  2089,     5,     1,   168,  1014,     4,
       8,     6,   103,  1403,   362,  1405,  1016,   905,     1,   791,
    1015,     4,  2199,     6,   789,  1918,  1403,   790,  1405,   572,
    2115,    26,    27,    28,    29,  2199,   792,  1131,    20,  1489,
    2125,   562,   282,    26,    27,    28,    29,  1018,  2259,  2200,
     281,     1,   429,  1859,     4,    38,     6,  1768,  2209,  2210,
    1462,  2123,  2259,  2121,  2186,  2184,  2248,  1457,  2176,  2302,
    1722,  2248,  2185,  1290,  1923,  2187,    26,    27,    28,    29,
    1457,   287,   426,   887,  1874,   897,  1905,  2264,  1876,  2300,
     960,  2175,  1600,   428,  2246,  1375,  2247,  2248,  2249,  2250,
    2264,  1376,  1394,  1377,  2255,  2256,  2257,  2258,   103,   112,
     113,  2262,  1918,  1621,  2199,  2266,   277,  2328,   121,   122,
     123,   124,   125,   980,  1621,  1619,   870,   319,  1401,  2280,
    1600,   989,  1122,   216,  1642,  2286,  2287,  2288,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2247,  2248,  2249,
    2250,  1621,  1442,  1331,  1601,  2255,  2256,  2257,  2258,  2052,
    1633,  2312,  1638,  2248,   114,   411,   438,   440,  2319,  2320,
    2321,   441,  1642,  2311,   439,   332,   716,  1190,   333,  2264,
    1290,   333,  1690,   114,   693,   116,  1403,   348,  1405,   660,
     293,  2291,  2292,  2293,    -1,    -1,  2089,    -1,    -1,    -1,
    2093,    -1,     1,   364,   135,     4,    -1,     6,    -1,    -1,
    1600,  1327,   143,   144,   145,   146,    -1,    -1,   112,   113,
    1690,    -1,  2115,  1600,    -1,    -1,   310,    26,    27,    28,
      29,  1621,  2125,   127,    -1,   129,   130,   131,    37,  1747,
    1457,    -1,    -1,    -1,  1621,   348,  2052,    -1,    47,    -1,
      -1,    -1,  1642,    52,    -1,    54,  1764,    56,   152,   153,
     154,   364,    -1,     1,   348,  1642,     4,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1784,  1747,    -1,    -1,
     364,    -1,    -1,  2089,   876,    -1,    -1,  1795,    26,    27,
      28,    29,    -1,  1403,  1764,  1405,     1,    -1,    -1,     4,
    1690,     6,    -1,    -1,    -1,    -1,  2199,    -1,    -1,  2115,
      -1,    -1,    -1,  1690,  1784,    -1,    -1,   312,   313,  2125,
      -1,    26,    27,    28,    29,  1795,    -1,   277,    -1,    -1,
      -1,    -1,   924,    -1,    -1,    -1,    -1,    -1,  1454,    -1,
    1456,  1457,  1458,  1459,    -1,    -1,    -1,  1457,    -1,    -1,
      -1,  1859,    90,   348,    -1,  2248,    -1,  1747,    -1,    97,
      -1,    -1,    -1,    -1,   163,   348,    -1,    -1,    -1,   364,
    1747,  2264,    -1,    -1,  1764,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,  1600,    -1,    90,    -1,  1764,    -1,  1859,
      -1,    -1,    97,  2199,  1784,    -1,   134,    -1,   348,   991,
     992,   993,   994,   995,  1621,  1795,   998,  1784,     1,    -1,
    1918,     4,     1,     6,   364,     4,    -1,     6,  1795,    -1,
      -1,    -1,    -1,    -1,    -1,  1642,    -1,    -1,    -1,   134,
     168,    -1,  1024,    26,    27,    28,    29,    26,    27,    28,
      29,    -1,  2248,    -1,    -1,   842,    -1,   844,  1918,    -1,
      -1,  1043,    -1,    -1,  1570,    38,    -1,  1573,  2264,  1575,
      -1,    -1,  1578,   168,   861,   114,   863,   116,   865,  1859,
      -1,    -1,    -1,  1690,   871,   872,     1,   276,    -1,     4,
      -1,     6,  1859,    -1,    -1,    -1,   135,    -1,    -1,    -1,
    1600,    -1,   291,    -1,   143,   144,    -1,   146,    -1,    -1,
      -1,    26,    27,    28,    29,    -1,   903,   156,   157,   906,
     309,  1621,    -1,    -1,    -1,   314,    41,   316,   135,    44,
     103,   114,  1638,    -1,    -1,    -1,    -1,   144,  1918,    -1,
    1747,    -1,  1642,    -1,    -1,    -1,    -1,    -1,    -1,   277,
      -1,  1918,   159,    -1,  2052,    -1,   163,  1764,    -1,   348,
     167,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
      -1,    -1,    -1,    -1,    -1,   364,    -1,  1784,    -1,    -1,
      -1,    -1,   277,    -1,   971,    -1,    -1,    -1,  1795,    -1,
    1690,  2089,  2052,    -1,    -1,    -1,    -1,     1,    -1,    -1,
       4,   174,     6,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,  2115,    -1,    -1,
     348,    -1,    26,    27,    28,    29,    -1,  2125,    -1,  2089,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1747,   163,    -1,
      -1,    -1,  1859,   348,    -1,  2115,    -1,  1044,  1045,    -1,
      -1,    -1,    -1,    -1,  1764,  2125,    -1,    -1,    -1,   364,
      -1,     1,  2052,    -1,     4,    -1,     6,  1783,  1784,  1785,
    1786,    -1,    -1,    -1,  1784,  2052,    -1,    -1,    -1,  1795,
      94,    -1,    -1,    -1,   277,  1795,    26,    27,    28,    29,
      -1,  2199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2089,
      40,  1918,    -1,    -1,    -1,    -1,    -1,  1823,  1824,  1825,
      -1,    -1,  2089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,   310,    -1,    -1,    -1,  2115,    -1,    -1,    -1,  2199,
      -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,  2115,    -1,
    2248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,  1859,
      90,    -1,    92,    -1,    94,   348,  2264,    97,    -1,   348,
      -1,    -1,    -1,    -1,     1,    -1,   291,     4,    -1,     6,
      -1,   364,    -1,    -1,   114,   364,    -1,    -1,  2248,    -1,
      -1,  1373,  1374,  1375,  1376,  1377,    -1,  1379,  1380,    26,
      27,    28,    29,    -1,  2264,    -1,  1388,  1389,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,  1918,  2199,
      -1,   112,   113,    -1,    37,   116,    -1,    -1,    -1,    -1,
      -1,    -1,  2199,   163,    -1,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,  2052,    -1,    -1,    -1,   364,
    1432,  1433,  1434,  1435,  1436,  1437,  1438,  1439,  1440,  1441,
    1442,    -1,    89,    90,    91,    92,    -1,    94,  2248,    -1,
      97,    -1,    -1,   277,    87,    -1,    -1,    -1,    -1,    -1,
      -1,  2248,  2089,    -1,  2264,   176,    -1,   114,    -1,    -1,
    1277,   104,    -1,    -1,  1281,    -1,    -1,  2264,    -1,    -1,
    2006,  2007,  2008,    -1,  1291,  1292,  1293,    -1,  2115,  1296,
      -1,  1298,    -1,    -1,    -1,    -1,   129,   130,  2125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1321,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   348,    -1,   276,    -1,    -1,    -1,
     109,    -1,  2052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,   291,    -1,    -1,    -1,    -1,   296,   126,    -1,    -1,
      -1,  1358,    -1,  1360,    -1,    -1,    -1,    -1,    -1,   309,
    1367,    -1,    -1,   142,   314,    -1,    -1,    -1,   147,  2089,
      -1,   150,  2199,    -1,    -1,  1382,   155,  1384,    -1,   158,
      -1,    -1,   161,   162,    -1,    -1,  1393,   166,  1395,    -1,
     169,    -1,   171,    -1,    -1,  2115,    -1,    -1,   348,    -1,
      -1,    -1,    -1,    -1,    -1,  2125,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,   364,    -1,    -1,   196,    -1,    -1,
     253,  2248,    -1,   202,  1626,    -1,    -1,    -1,    -1,   276,
      -1,    -1,    26,    27,    28,    29,    -1,  2264,  1640,    -1,
     273,   274,    -1,    -1,   291,    -1,    40,     1,    -1,   296,
       4,    -1,     6,    -1,    -1,    -1,    -1,    -1,   291,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    26,    27,    28,    29,   309,    -1,    -1,  2199,
      -1,   314,    -1,   316,    -1,    -1,    40,    -1,    -1,  1691,
      -1,    -1,    -1,    -1,    -1,    89,    90,    91,    92,    -1,
      94,   348,    -1,    97,    -1,    -1,    -1,  1709,  1710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,
     114,  2247,  2248,  2249,  2250,    -1,    -1,    -1,  2248,  2255,
    2256,  2257,  2258,    -1,    -1,    89,    90,    91,    92,    -1,
      94,    -1,     1,    97,  2264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    16,    17,    -1,
     114,    20,    -1,    -1,    -1,  2291,  2292,  2293,    -1,   163,
      -1,    -1,    -1,    -1,  1581,  1582,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    47,    -1,    49,    -1,    -1,    52,    53,    54,    -1,
      56,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   163,
      -1,    -1,    -1,    -1,    73,    -1,  1623,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,   104,    -1,    -1,    -1,   108,
      -1,   110,  1659,    -1,   113,   114,    -1,   116,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1676,
      -1,  1678,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   276,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,    -1,    -1,    -1,    -1,   291,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,   309,    37,    -1,    76,    -1,
     314,    -1,   276,    -1,    45,    -1,    47,    -1,    49,    -1,
      -1,    52,    53,    54,    -1,    56,    -1,   291,    -1,    60,
      61,    -1,   296,    -1,    -1,    -1,   104,   105,   106,    -1,
      -1,    -1,    -1,   111,   348,   309,    -1,   115,    -1,    -1,
     314,    -1,   120,    -1,    -1,    -1,    -1,    37,   126,    -1,
     364,    -1,   130,    -1,    -1,    45,    -1,    47,    -1,    49,
      -1,    -1,    52,    53,    54,    -1,    56,    -1,    -1,   110,
      -1,    -1,   150,    -1,   348,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,   280,   281,   282,   283,   284,   285,   286,   287,   150,
     289,   290,   291,   292,    -1,   291,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,  1852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,   314,    23,
     316,    -1,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    35,    36,    37,    -1,    -1,    -1,    -1,  1885,    -1,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,  2093,    -1,    -1,    -1,    -1,    -1,    -1,    62,    63,
      -1,    -1,    -1,    67,    -1,  1912,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    81,    82,    83,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
      94,   289,   290,    -1,    98,    -1,   100,    -1,   296,   103,
     104,   105,   106,    -1,    -1,   109,    -1,   111,    -1,    -1,
     114,   115,    -1,    -1,    -1,   276,   120,    -1,    -1,    -1,
      23,    -1,   126,    -1,    -1,    -1,    -1,    -1,   326,   327,
     291,    -1,    -1,    -1,    -1,    38,    -1,    -1,   142,    -1,
      -1,    -1,    -1,   147,    -1,    -1,   150,    -1,   309,    -1,
      -1,   155,    -1,   314,   158,   316,    -1,   161,   162,   163,
      -1,    -1,   166,    -1,    -1,   169,   276,   171,    -1,    -1,
     368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   291,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
     489,    -1,   196,   197,    -1,   199,   200,   201,   202,   309,
     103,   500,    -1,   502,   314,   504,   316,   506,    -1,    -1,
      -1,    -1,   511,    -1,    -1,    -1,   515,   516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   525,    -1,    -1,   528,
      -1,    -1,    -1,   237,   238,   239,   240,    -1,    -1,   538,
    2087,    -1,   246,   247,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
      -1,   174,   276,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   291,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,   320,   321,    -1,   323,
      -1,    -1,   326,   327,   328,   329,    -1,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,    -1,    -1,    -1,   343,
     344,    -1,    -1,    -1,   348,    -1,    -1,    -1,   352,    -1,
       1,   355,   356,     4,    -1,     6,    -1,   361,    -1,   363,
     364,   365,    -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,    -1,    -1,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    35,    36,    37,    -1,    -1,    -1,
      -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    62,    63,    -1,    -1,    -1,    67,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      81,    82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
     109,    -1,   111,    94,    -1,    -1,   115,    98,    -1,   100,
      -1,   120,   103,   104,   105,   106,    -1,   126,   109,    -1,
     111,    -1,    -1,   114,   115,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,   142,    -1,   126,    -1,    -1,   147,    -1,
      -1,   150,    -1,    -1,    -1,    -1,   155,    -1,    -1,   158,
      -1,   142,   161,   162,   163,    -1,   147,   166,    -1,   150,
     169,    -1,   171,    -1,   155,    -1,    -1,   158,    -1,    -1,
     161,   162,   163,    -1,    -1,   166,    -1,    -1,   169,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,   198,
      -1,    -1,    -1,   202,    -1,    -1,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,    -1,    -1,    -1,   246,   247,    -1,    -1,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,    -1,    -1,   276,    90,    -1,    92,    -1,
      94,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,
     291,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,
     114,    -1,   303,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,   320,
     321,    -1,   323,    -1,    -1,   326,   327,   328,   329,    -1,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,    -1,
      -1,    -1,   343,   344,    -1,    -1,    -1,   348,    -1,   163,
      -1,   352,    -1,    -1,   355,   356,     1,    -1,    -1,     4,
     361,     6,   363,   364,   365,    -1,    -1,   368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,    63,    -1,
      -1,    -1,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,  1101,    98,    -1,   100,    -1,    -1,   103,   104,
     105,   106,   276,    -1,   109,    -1,   111,    -1,    -1,   114,
     115,    -1,    -1,    -1,    -1,   120,    -1,   291,    -1,    -1,
      -1,   126,   296,    -1,    -1,    -1,    -1,   109,    -1,   111,
      -1,    -1,   114,   115,    -1,   309,    -1,   142,   120,    -1,
     314,    -1,   147,    -1,   126,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,   158,    -1,    -1,   161,   162,   163,    -1,
     142,   166,    -1,    -1,   169,   147,   171,    -1,   150,    -1,
      -1,    -1,    -1,   155,   348,    -1,   158,    -1,    -1,   161,
     162,    -1,    -1,     1,   166,    -1,     4,   169,     6,   171,
     364,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,    27,
      28,    29,    -1,    -1,   196,    -1,   198,    -1,    -1,    -1,
     202,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,    -1,    -1,
      -1,   246,   247,    -1,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
      -1,   276,    90,    -1,    92,    -1,    94,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,    -1,   291,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,   114,    -1,   303,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,   314,
      -1,    -1,    -1,    -1,    -1,   320,   321,    -1,   323,    -1,
      -1,   326,   327,   328,   329,    -1,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,    -1,    -1,    -1,   343,   344,
      -1,    -1,    -1,   348,    -1,   163,    -1,   352,    -1,     1,
     355,   356,     4,    -1,     6,    -1,   361,    -1,   363,   364,
     365,    -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    35,    36,    37,    -1,    -1,    -1,    -1,
      -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      62,    63,    -1,    -1,   104,    67,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    94,    -1,   134,    -1,    98,    -1,   100,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,   109,   276,   111,
      -1,   151,   114,   115,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,   291,   126,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,   309,    -1,    -1,    -1,   147,   314,    -1,   150,    -1,
      -1,    -1,    -1,   155,    -1,    -1,   158,    -1,    -1,   161,
     162,   163,    -1,    -1,   166,    -1,    -1,   169,    -1,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,   197,   364,   199,   200,   201,
     202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   237,   238,   239,   240,    -1,
      -1,    -1,    -1,    -1,   246,   247,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,    -1,    -1,   276,    -1,   316,    -1,    -1,    -1,
     320,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   291,
     330,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,   314,    -1,    -1,    -1,   356,    -1,   320,   321,
      -1,   323,    -1,    -1,   326,   327,   328,   329,    -1,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,     4,    -1,
       6,   343,   344,    -1,    -1,    -1,   348,    -1,    -1,    -1,
     352,    -1,    -1,   355,   356,    -1,    -1,    23,    -1,   361,
      -1,   363,   364,   365,    30,    31,   368,    -1,    -1,    35,
      36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    62,    63,    -1,    -1,
     104,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    81,    82,    83,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
     134,    -1,    98,    -1,   100,    -1,    -1,   103,   104,   105,
     106,    -1,    -1,   109,    -1,   111,    -1,   151,    -1,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,   147,    -1,   181,   150,    -1,    -1,    -1,    -1,   155,
      -1,    -1,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,
     166,    -1,    -1,   169,    -1,   171,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
      -1,   237,   238,   239,   240,    -1,    -1,    -1,    -1,    -1,
     246,   247,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,    -1,
     276,    -1,   316,    -1,     5,    -1,   320,   321,    -1,   112,
     113,    -1,    -1,   116,    -1,   291,   330,    -1,    -1,    -1,
     296,    -1,    23,    -1,    -1,    -1,    -1,   303,    -1,    -1,
      31,   134,    -1,   309,    -1,    36,    -1,    -1,   314,    -1,
      -1,    -1,   356,    -1,   320,   321,    -1,   323,    -1,    -1,
     326,   327,   328,   329,    -1,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,    -1,    -1,    -1,   343,   344,    70,
      -1,    -1,    -1,    -1,    -1,    76,   352,    -1,    -1,   355,
     356,    -1,    -1,    -1,    85,   361,    87,   363,   364,   365,
      -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,
     111,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,
     253,    -1,    -1,    -1,   155,    -1,    -1,   158,    -1,    -1,
     161,   162,    -1,    -1,    -1,   166,    -1,    -1,   169,    -1,
     171,    -1,    -1,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,    90,    -1,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,   316,    -1,   112,   113,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,   237,   134,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,    -1,    -1,   276,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    76,    -1,   286,    -1,    -1,   289,   290,
      -1,    -1,    -1,   190,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,    -1,    -1,   109,    -1,   111,   320,
     321,    -1,   115,    -1,    -1,   326,   327,   120,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,   130,   339,    -1,
      -1,    -1,   343,   344,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,   353,   354,   147,   356,   253,   150,    -1,    -1,
      -1,    -1,   155,    -1,   365,   158,    -1,   368,   161,   162,
      -1,    -1,    -1,   166,    -1,    -1,   169,    -1,   171,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,    -1,
      -1,    -1,    -1,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,   237,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,    -1,    -1,   276,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    76,    -1,   286,    -1,    -1,   289,   290,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,   109,    -1,   111,   320,   321,    -1,
     115,    -1,    -1,   326,   327,   120,    -1,    -1,    -1,    -1,
      -1,   126,    -1,    -1,    -1,   130,   339,   109,    -1,   111,
     343,   344,    -1,   115,    -1,    -1,    -1,   142,   120,    -1,
     353,   354,   147,   356,   126,   150,    -1,    -1,    -1,    -1,
     155,    -1,   365,   158,    -1,   368,   161,   162,    -1,    -1,
     142,   166,    -1,    -1,   169,   147,   171,    -1,   150,    -1,
      -1,    -1,    -1,   155,    -1,    -1,   158,    -1,    -1,   161,
     162,    -1,    -1,    -1,   166,    -1,    -1,   169,    -1,   171,
      -1,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,
     202,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    -1,   237,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
      -1,   276,    -1,    70,    -1,    -1,    -1,    -1,    -1,    76,
      -1,   286,    -1,    -1,   289,   290,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,   109,    -1,   111,   320,   321,    -1,   115,    -1,
      -1,   326,   327,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,   130,   339,    -1,    -1,    -1,   343,   344,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   353,   354,
     147,   356,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
     365,   158,    -1,   368,   161,   162,    -1,    -1,    -1,   166,
      -1,    -1,   169,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,    -1,   276,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    76,    -1,   286,
      -1,    -1,   289,   290,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,    -1,    -1,
     109,    -1,   111,   320,   321,    -1,   115,    -1,    -1,   326,
     327,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,
      -1,   130,   339,    -1,    -1,    -1,   343,   344,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,   353,   354,   147,   356,
      -1,   150,    -1,    -1,    -1,    -1,   155,    -1,   365,   158,
      -1,   368,   161,   162,    -1,    -1,    -1,   166,    -1,    -1,
     169,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     9,    10,
      11,    12,    13,    14,    -1,    -1,    -1,    -1,    19,    -1,
      -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,    -1,    -1,   276,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    76,    -1,   286,    -1,    -1,
     289,   290,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,    -1,    21,
     111,   320,   321,    -1,   115,    -1,    -1,   326,   327,   120,
      -1,    -1,    -1,    -1,    -1,   126,    -1,    21,    -1,   130,
     339,    -1,    -1,    -1,   343,   344,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,   353,   354,   147,   356,    -1,   150,
      -1,    -1,    -1,    -1,   155,    -1,   365,   158,    70,   368,
     161,   162,    -1,    -1,    76,   166,    -1,    -1,   169,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   196,    -1,    -1,   199,   111,
      -1,   202,    -1,   115,    -1,    -1,    -1,    -1,   120,   103,
     104,   105,   106,    -1,   126,    -1,    -1,   111,   130,    -1,
      -1,   115,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     142,    -1,   126,    -1,    -1,   147,   130,    -1,   150,    -1,
      -1,    -1,    -1,   155,    -1,    -1,   158,    -1,   142,   161,
     162,    -1,    -1,   147,   166,    -1,   150,   169,    -1,   171,
      -1,   155,    -1,    -1,   158,    -1,    -1,   161,   162,    -1,
      -1,    -1,   166,    -1,    -1,   169,    -1,   171,    -1,    -1,
      -1,    -1,    -1,    -1,   196,   286,    -1,   199,   289,   290,
     202,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,   199,    -1,    -1,   202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,   327,    -1,   329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   363,    -1,   365,    22,    23,   368,    -1,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,   289,   290,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,   289,   290,    -1,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,   326,   327,    -1,   329,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,   327,    -1,   329,    -1,    -1,    -1,    -1,
      -1,   353,   354,    -1,    -1,    -1,   103,   104,   105,   106,
      -1,   363,    -1,   365,   111,    -1,   368,    -1,   115,   353,
     354,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,   365,    -1,   130,   368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
     147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
      -1,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,   166,
      -1,    23,   169,    -1,   171,    -1,    -1,    -1,    30,    31,
      -1,    -1,    -1,    35,    36,    37,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      52,    -1,   199,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      62,    63,    -1,    -1,    -1,    67,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,   100,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
     142,    -1,   289,   290,    -1,   147,    -1,    -1,   150,   296,
      -1,    -1,    -1,   155,    -1,    -1,   158,    -1,    -1,   161,
     162,    -1,    -1,    -1,   166,    -1,    -1,   169,    -1,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,
     327,    -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,    -1,    -1,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,   365,    -1,
      -1,   368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,    -1,
      -1,    -1,    -1,    -1,   246,   247,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,   291,
      -1,    -1,    -1,    -1,   296,    31,    -1,    -1,    -1,    -1,
      36,   303,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,   320,   321,
      -1,   323,    -1,    -1,   326,   327,   328,   329,    -1,    -1,
      -1,   333,    -1,    -1,    70,   337,   338,   339,    -1,    -1,
      76,   343,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     352,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,   361,
      -1,   363,    -1,   365,    -1,    -1,   368,   103,   104,   105,
     106,    -1,    -1,   109,    -1,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,    -1,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,
     166,    -1,    -1,   169,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
      -1,   237,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,   289,   290,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,    -1,
      -1,   109,    -1,   111,   320,   321,    -1,   115,    -1,    -1,
     326,   327,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,   343,   344,    -1,
      -1,    -1,    -1,    -1,   142,    -1,    -1,   353,   354,   147,
     356,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,   365,
     158,    -1,   368,   161,   162,    -1,    -1,    -1,   166,    -1,
      -1,   169,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    -1,    -1,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,    -1,    -1,    -1,   246,   247,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,    -1,    -1,   276,    -1,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,   109,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,   320,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
     147,   339,    -1,   150,    -1,   343,   344,    -1,   155,    -1,
      -1,   158,    -1,    -1,   161,   162,    -1,   355,   356,   166,
      -1,    -1,   169,    -1,   171,   363,    -1,   365,    -1,    -1,
     368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
     197,    -1,   199,   200,   201,   202,    23,    -1,    -1,    -1,
      -1,    -1,    -1,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,   238,   239,   240,    -1,    -1,    -1,    -1,    -1,   246,
     247,    -1,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,    -1,   276,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,   109,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   142,    -1,    -1,    -1,    -1,
     147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
      -1,   158,   339,    -1,   161,   162,   343,   344,    -1,   166,
      -1,    -1,   169,    -1,   171,    -1,    -1,    -1,   355,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,   368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
     237,   238,   239,   240,    -1,    -1,    -1,    -1,    -1,   246,
     247,    -1,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,    -1,   276,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,    -1,    -1,   320,   321,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,   339,    -1,   130,    -1,   343,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   355,   356,
      -1,   147,    -1,    -1,   150,    -1,    -1,    -1,   365,   155,
      -1,   368,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,
     166,    -1,    -1,   169,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,     0,     1,    -1,    -1,     4,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,   199,    -1,    -1,   202,    -1,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    47,
      -1,    49,    -1,    -1,    52,    53,    54,    -1,    56,    -1,
      -1,    -1,    60,    61,    62,    -1,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
     286,    -1,   110,   289,   290,    -1,    -1,    -1,    -1,    -1,
     296,    -1,   120,    70,    -1,    -1,    -1,    -1,   126,    76,
      -1,    -1,    79,    80,    81,    82,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,   327,   150,   329,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,   353,   354,   126,
      -1,    -1,    -1,   130,    -1,    -1,    -1,   363,    -1,   365,
      -1,    -1,   368,    -1,    -1,   142,    -1,    -1,    -1,    -1,
     147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
      -1,   158,    -1,    -1,   161,   162,    -1,    -1,    -1,   166,
      -1,    -1,   169,    -1,   171,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,    -1,   199,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,    -1,    -1,    -1,    -1,
     111,    -1,    -1,    -1,   115,    -1,    -1,    -1,   276,   120,
      -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,
      -1,    -1,    -1,   291,    -1,    -1,    -1,    -1,   296,    -1,
      -1,   142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,
      -1,   309,    -1,    -1,   155,    -1,   314,   158,   316,    -1,
     161,   162,    -1,    -1,    -1,   166,    -1,    -1,   169,    -1,
     171,    70,    -1,    -1,    -1,    -1,    -1,    76,    -1,   286,
      -1,    -1,   289,   290,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,   199,    -1,
      -1,   202,    -1,    -1,   103,   104,   105,   106,    -1,    -1,
      -1,    -1,   111,    -1,    -1,    -1,   115,    -1,    -1,   326,
     327,   120,   329,    -1,    -1,    -1,    -1,   126,    -1,    -1,
      -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,   353,   354,   147,    -1,
      -1,   150,    -1,    -1,    -1,    -1,   155,    -1,   365,   158,
      -1,   368,   161,   162,    -1,    -1,    -1,   166,    -1,    -1,
     169,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,   289,   290,
      -1,    -1,    -1,    -1,    -1,   296,    37,   196,    -1,    -1,
     199,    42,    -1,   202,    45,    46,    47,    48,    -1,    -1,
      51,    52,    -1,    54,    55,    56,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,   327,    -1,   329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   353,   354,    -1,    -1,    -1,    98,    -1,   100,
     101,   102,    -1,    -1,   365,    -1,    -1,   368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
     289,   290,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,   327,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,   368,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     291,    -1,    -1,    -1,    -1,    -1,    -1,   298,   299,   300,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,   314,    -1,   316,   317
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   372,     0,     1,     4,     6,    26,    27,    28,    29,
      37,    45,    47,    49,    52,    53,    54,    56,    60,    61,
      62,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,   110,   120,   126,   150,   276,
     291,   309,   314,   316,   373,   429,   430,   431,   432,   505,
     506,   507,   509,   524,   373,   105,   104,   296,   502,   502,
     502,   507,   518,   507,   509,   524,   507,   512,   512,   512,
     507,   515,   432,    49,   433,    37,    45,    47,    52,    53,
      54,    56,   276,   291,   309,   314,   316,   434,    49,   435,
      37,    45,    47,    49,    52,    53,    54,    56,   276,   291,
     309,   314,   316,   440,    53,   442,    37,    42,    45,    46,
      47,    48,    51,    52,    54,    55,    56,    58,    98,   100,
     101,   102,   276,   291,   298,   299,   300,   301,   309,   314,
     316,   317,   443,    49,    50,    52,    53,    54,   291,   298,
     299,   314,   446,    45,    47,    52,    54,    58,    98,   100,
     447,    47,   448,    23,    30,    31,    36,   103,   104,   105,
     106,   109,   111,   115,   120,   126,   142,   147,   150,   155,
     158,   161,   162,   166,   169,   171,   196,   197,   199,   200,
     201,   202,   237,   238,   239,   240,   246,   247,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   276,   320,   321,   339,   343,   344,   355,   356,
     365,   368,   456,   503,   628,   629,   632,   633,   634,   638,
     701,   704,   706,   710,   715,   716,   718,   720,   730,   731,
     733,   735,   737,   739,   743,   745,   747,   749,   751,   753,
     755,   757,   759,   761,   765,   767,   769,   771,   782,   790,
     792,   794,   795,   797,   799,   801,   803,   805,   807,   809,
     811,    58,   349,   350,   351,   449,   455,    58,   450,   455,
      37,    45,    47,    49,    52,    53,    54,    56,   276,   291,
     309,   314,   316,   441,   104,   451,   452,   376,   395,   396,
      90,   283,   285,   518,   518,   518,   518,     0,   373,   502,
     502,    57,   346,   347,   521,   522,   523,    35,    37,    52,
      62,    63,    67,    70,    79,    80,    81,    82,    83,    84,
      98,   100,   252,   276,   291,   296,   303,   309,   314,   323,
     326,   327,   328,   329,   333,   337,   338,   352,   361,   363,
     528,   529,   530,   532,   533,   534,   535,   536,   537,   538,
     542,   543,   544,   547,   548,   549,   556,   560,   568,   569,
     572,   573,   574,   575,   576,   597,   598,   600,   601,   603,
     604,   607,   608,   609,   619,   620,   621,   622,   623,   626,
     627,   633,   640,   641,   642,   643,   644,   645,   649,   650,
     651,   685,   699,   704,   705,   728,   729,   730,   772,   373,
     362,   362,   373,   502,   580,   457,   460,   528,   502,   465,
     467,   628,   651,   470,   502,   475,   509,   525,   518,   507,
     509,   512,   512,   512,   515,    90,   283,   285,   518,   518,
     518,   518,   524,   439,   507,   518,   519,   436,   505,   507,
     508,   437,   507,   509,   510,   525,   438,   507,   512,   513,
     512,   512,   507,   515,   516,    90,   283,   285,   674,   439,
     439,   439,   439,   512,   518,   445,   506,   527,   507,   527,
     509,   527,    45,   527,   512,   512,   527,   515,   527,    45,
      46,   512,   527,   527,    90,   283,   302,   674,   675,   518,
      45,   527,    45,   527,    45,   527,    45,   527,   518,   518,
     518,    45,   527,   402,   525,    45,    47,   506,   507,   509,
     527,   438,   512,   438,   518,    45,   507,   527,    45,   507,
     527,   518,   414,   507,   509,   512,   512,   527,    45,   512,
     509,   104,   107,   108,   109,   732,   112,   113,   253,   254,
     257,   636,   637,    32,    33,    34,   253,   707,   133,   639,
     167,   168,   793,   112,   113,   114,   734,   114,   116,   117,
     118,   119,   736,   112,   113,   121,   122,   123,   124,   125,
     738,   112,   113,   116,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   176,   740,   114,   116,   135,   143,   144,
     145,   146,   744,   114,   135,   148,   305,   746,   112,   113,
     127,   129,   130,   131,   152,   153,   154,   748,   114,   116,
     135,   143,   144,   146,   156,   157,   750,   128,   144,   153,
     159,   160,   752,   144,   160,   754,   153,   163,   164,   756,
     131,   135,   167,   168,   758,   135,   167,   168,   170,   760,
     135,   144,   159,   163,   167,   168,   172,   173,   174,   175,
     176,   773,   114,   167,   168,   176,   783,   163,   198,   733,
     735,   737,   739,   743,   745,   747,   749,   751,   753,   755,
     757,   759,   761,   762,   763,   764,   766,   782,   790,   792,
     127,   134,   163,   392,   770,   392,   114,   198,   764,   768,
     135,   167,   168,   203,   236,   791,   114,   126,   128,   146,
     150,   153,   241,   274,   275,   356,   717,   719,   798,   242,
     800,   242,   802,   163,   243,   244,   245,   804,   128,   153,
     796,   116,   132,   153,   159,   248,   249,   806,   128,   153,
     808,   114,   128,   135,   153,   159,   810,   104,   131,   134,
     151,   316,   330,   356,   702,   703,   704,   112,   113,   116,
     134,   253,   277,   278,   279,   280,   281,   282,   284,   285,
     286,   287,   288,   289,   290,   293,   294,   295,   316,   721,
     722,   725,   330,   340,   709,   645,   650,   341,   237,   246,
     247,   250,   251,   812,   359,   360,   401,   712,   644,   502,
     420,   455,   350,   400,   455,   388,   439,   436,   437,   509,
     525,   438,   512,   512,   515,   516,   674,   439,   439,   439,
     439,   383,   406,    46,    48,    50,    51,    58,    59,    92,
     453,   518,   518,   518,   380,   669,   684,   671,   673,   103,
     103,   103,    85,   717,   292,   620,   171,   502,   628,   700,
     700,    62,    99,   502,   104,   702,    90,   190,   283,   721,
     722,   292,   315,   292,   310,   292,   312,   313,   557,    85,
     163,    85,    85,   717,   104,     4,   374,   652,   653,   348,
     526,   533,   428,   460,   380,   293,   294,   545,   546,   381,
     426,   163,   304,   305,   306,   307,   308,   550,   551,   413,
     324,   571,   407,     5,    70,    76,    85,    87,   111,   115,
     120,   126,   130,   150,   237,   286,   289,   290,   296,   304,
     326,   327,   353,   354,   365,   583,   584,   585,   586,   587,
     588,   589,   591,   592,   593,   594,   595,   596,   629,   632,
     638,   694,   695,   696,   701,   706,   710,   716,   717,   718,
     720,   726,   727,   730,   421,   427,    38,    39,   186,   189,
     577,   578,   407,    85,   330,   331,   332,   599,   605,   606,
     407,    85,   602,   605,   385,   391,   412,   334,   335,   336,
     610,   611,   615,   616,    23,   628,   630,   631,    45,   624,
     625,    15,    16,    17,    18,   367,     8,    24,    54,     9,
      10,    11,    12,    13,    14,    19,   111,   115,   120,   126,
     142,   147,   150,   155,   158,   161,   162,   166,   169,   171,
     196,   199,   202,   329,   365,   629,   631,   632,   646,   647,
     648,   651,   686,   687,   688,   689,   690,   691,   692,   693,
     695,   696,   697,   698,    52,    52,    22,   363,   667,   686,
     687,   692,   667,    38,   363,   579,   363,   363,   363,   363,
     363,   521,   528,   580,   457,   460,   465,   467,   470,   475,
     518,   518,   518,   380,   669,   684,   671,   673,   528,   427,
      57,    57,    57,   460,    57,   467,    57,   475,   518,   380,
     403,   411,   418,   467,   427,    43,   444,   507,   512,   527,
     518,    45,   380,   507,   507,   507,   507,   403,   411,   418,
     507,   507,   509,   467,   380,   507,   507,   411,   512,   502,
     423,     7,     8,   114,   257,   258,   635,   308,   419,   104,
     127,   292,   423,   422,   387,   422,   397,   111,   126,   111,
     126,   376,   138,   139,   140,   141,   741,   395,   422,   398,
     422,   399,   396,   422,   398,   375,   386,   378,   424,   425,
      23,    38,   103,   174,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   774,   775,   776,
     422,   103,   382,   420,   762,   392,   764,   181,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   784,   789,   416,   422,   395,
     396,   401,   719,   415,   415,   369,   415,   415,   369,   415,
     394,   390,   384,   422,   405,   404,   418,   404,   418,   112,
     113,   126,   134,   150,   277,   278,   279,   723,   724,   725,
     379,   341,   341,   103,   415,   394,   390,   384,   405,   358,
     711,   366,   427,   467,   475,   518,   380,   403,   411,   418,
     454,   455,   682,   682,   682,   293,   363,   668,   310,   363,
     683,   363,   557,   670,   363,   503,   672,     5,   126,   150,
     595,    85,   595,   617,   618,   645,   176,    23,    23,    97,
     363,    52,    52,    52,   103,   312,    52,   725,    52,   595,
     104,   297,   504,   595,   312,   313,   561,   595,   103,   612,
     613,   614,   628,   632,   645,   649,   710,   716,   615,   595,
     595,    85,   503,    21,   651,   656,   657,   658,   665,   692,
     693,     7,   364,   503,   363,   103,   103,   546,    78,   111,
     126,   171,   260,   553,   503,   103,   103,   103,   503,   552,
     551,   142,   155,   171,   325,   595,   414,   383,     5,   595,
      85,   387,   397,   376,   395,   396,   381,    85,   407,   407,
     588,   629,   696,    15,    16,    17,    18,   367,    20,    22,
       8,    54,     5,   605,    85,    87,   242,   304,     7,     7,
     103,   103,   578,     5,     7,     5,   595,   613,   628,   632,
     611,     7,   502,   363,   502,   363,   625,   697,   697,   688,
     689,   690,   644,   363,   539,   630,   687,   395,   398,   396,
     398,   375,   386,   378,   424,   425,   420,   382,   392,   416,
     407,   692,     7,    20,    15,    16,    17,    18,   367,     7,
      20,    22,     8,   686,   687,   692,   595,   595,   103,   364,
     373,    20,   373,   103,   490,   427,   459,   461,   466,   472,
     476,   579,   363,   363,   363,   363,   363,   682,   682,   682,
     668,   683,   670,   672,   103,   103,   103,   363,   103,   103,
     363,   682,   104,   379,   507,   103,   637,   422,   389,   103,
     409,   409,   387,   395,   387,   395,   114,   131,   136,   137,
     242,   395,   742,   377,    97,   780,   190,   778,   195,   781,
     193,   194,   779,   191,   192,   777,   131,   382,   226,   230,
     231,   232,   788,   221,   222,   223,   224,   786,   225,   226,
     227,   228,   229,   787,   787,   230,   233,   233,   234,   235,
     234,   114,   131,   163,   785,   417,   415,   103,   103,   112,
     113,   112,   113,   379,   379,   103,   103,   342,   708,   103,
     160,   357,   713,   717,   363,   682,   363,   363,   363,   103,
     483,   380,   561,   488,   403,   484,   103,   411,   489,   418,
     595,     5,     5,   595,   630,    90,    93,   526,   659,   660,
      38,   174,   179,   189,   775,   776,   503,   503,   103,   645,
     654,   655,   595,   595,   595,   379,   103,   595,    52,   595,
     403,   103,   563,   565,   566,   411,   104,   294,   558,    22,
     412,    85,   334,    43,   595,   374,     5,   374,   276,   291,
     296,   309,   314,   662,   663,    90,    93,   526,   661,   664,
     374,   653,   462,   387,   149,   144,   149,   554,   555,   104,
     114,   570,   632,   114,   570,   420,   114,   570,   595,     5,
     595,   595,   366,   583,   583,   584,   585,   586,   103,   588,
     583,   590,   630,   651,   595,   595,    85,     8,    85,   629,
     696,   726,   726,   595,   606,   595,   605,   616,   377,   617,
     654,   374,   540,   541,   366,   692,   686,   692,   697,   697,
     688,   689,   690,   692,   103,   686,   692,   648,   692,    20,
      20,   103,    39,   373,   364,   373,   429,   526,   579,    37,
      47,    52,    54,    56,   163,   276,   291,   309,   314,   316,
     364,   373,   429,   458,   526,    44,    94,   114,   163,   364,
     373,   429,   492,   498,   499,   526,   528,    40,    89,    90,
      91,    92,    94,    97,   114,   163,   276,   364,   373,   429,
     473,   526,   531,   532,    40,    90,    92,   114,   163,   364,
     373,   429,   473,   526,   531,    41,    44,   163,   291,   364,
     373,   429,   427,   459,   461,   466,   472,   476,   363,   363,
     363,   380,   403,   411,   418,   461,   476,   379,   379,     7,
     419,   422,   395,   776,   422,   416,   370,   370,   395,   395,
     396,   396,   708,   345,   708,   103,   393,   401,   112,   113,
     714,   476,   379,   486,   487,   485,   294,   364,   373,   429,
     526,   668,   563,   565,   364,   373,   429,   526,   683,   364,
     373,   429,   526,   670,   558,   364,   373,   429,   526,   672,
     595,   595,     5,   504,   504,   660,   420,   377,   377,   363,
     533,   659,   404,   404,   379,   379,   379,   595,   379,    20,
     104,   294,   311,   562,   311,   564,    20,   315,   559,   612,
     628,   632,   614,   613,   595,    43,    82,    83,   666,   693,
     699,   190,   293,   380,   315,   310,   557,   663,   504,   504,
     664,   364,   373,   528,   395,     7,   420,   570,   570,    70,
     570,   595,     5,   595,   165,   595,   605,   605,     5,   364,
     531,   533,   656,     7,   364,   686,   686,   103,    39,   427,
     502,   520,   502,   511,   502,   514,   514,   502,   517,   104,
      90,   283,   285,   520,   520,   520,   520,   373,   362,    79,
      80,   500,   501,   628,   422,    99,   373,   373,   373,   373,
     373,   464,   633,   504,   504,   362,    95,    96,   474,   103,
     104,   129,   130,   253,   273,   274,   480,   481,   491,    86,
      87,    88,    90,   468,   469,   373,   373,   373,   532,   464,
     504,   362,   481,   468,   373,   373,   373,   104,   362,    99,
     380,   364,   364,   364,   364,   364,   486,   487,   485,   364,
     364,   103,     7,   408,   103,   393,   401,   364,    94,   134,
     277,   364,   373,   429,   526,   680,    90,    97,   134,   168,
     277,   364,   373,   429,   526,   681,   114,   277,   364,   373,
     429,   526,   677,   103,   380,   562,   564,   403,   411,   559,
     418,   595,   654,   364,   379,   318,   319,   320,   321,   322,
     567,   103,   403,   103,   566,   403,   567,   103,   411,   412,
     412,   595,   374,   103,   312,   103,   297,   504,   561,   103,
     373,   555,   422,   422,   414,   422,   595,    85,   617,     5,
     364,   364,     5,   374,   541,   189,   581,   103,   482,   460,
     465,   470,   475,   520,   520,   520,   482,   482,   482,   482,
     363,   477,   628,   410,   104,     8,   373,   373,   373,   467,
     410,     8,   373,     7,   373,     5,   373,   467,     5,   373,
     151,   493,   477,   373,   364,   364,   364,   377,   103,   708,
     362,   166,   171,   676,   506,   379,   504,   103,   676,   103,
     506,   379,   105,   506,   379,   533,   293,   104,   558,   379,
     103,   294,   381,   381,   563,   565,   558,   398,   398,   595,
     364,   617,   699,   186,   582,   373,   363,   363,   363,   363,
     363,   482,   482,   482,   363,   363,   363,   363,   104,   105,
     478,   479,   628,   373,    41,   633,   480,   422,   469,    87,
     463,   464,   633,    37,    87,   291,   309,   314,   316,   471,
     481,    22,   103,   104,   360,   494,   495,   496,   628,   373,
     373,   379,   379,   379,     7,   393,   363,   424,   420,   373,
     373,   373,   373,   373,   373,   373,   134,   373,   364,   379,
     103,   562,   564,   559,   364,   374,   581,   490,   461,   466,
     472,   476,   363,   363,   363,   483,   488,   484,   489,     7,
     364,   104,   464,   373,     8,   427,   481,   380,   403,   411,
     418,   373,   373,   103,    22,    25,   103,   104,   678,   679,
     676,   380,   403,   403,   411,   582,   364,   364,   364,   364,
     364,   486,   487,   485,   364,   364,   364,   364,   374,   479,
      43,    44,   497,   373,   633,   373,   422,   422,   103,   103,
       5,     7,   364,   373,   373,   373,   373,   373,   373,   364,
     364,   364,   373,   373,   373,   373,   503,   628,   362,   493,
     422,   103,   679,   373,   422,   427,   373,   373,   373,   380,
     403,   411,   418,   477,   410,   379,   379,   379
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   371,   372,   372,   373,   373,   374,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   429,   429,   429,   429,   430,   430,   430,
     430,   431,   431,   431,   431,   431,   431,   431,   431,   431,
     431,   431,   431,   431,   431,   431,   431,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   433,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   435,
     436,   436,   437,   437,   438,   438,   439,   439,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   442,
     443,   443,   443,   443,   443,   443,   443,   443,   443,   443,
     443,   443,   443,   443,   443,   443,   443,   443,   443,   443,
     443,   443,   443,   443,   443,   443,   443,   443,   443,   443,
     443,   443,   443,   443,   444,   445,   445,   446,   446,   446,
     446,   446,   446,   446,   446,   446,   446,   446,   446,   446,
     446,   446,   446,   446,   447,   447,   447,   447,   447,   447,
     447,   448,   449,   449,   450,   450,   451,   452,   452,   453,
     453,   453,   453,   453,   453,   453,   453,   454,   454,   455,
     455,   455,   456,   457,   458,   458,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   460,   461,   461,   461,   461,   461,   461,   461,
     461,   461,   462,   462,   462,   463,   463,   464,   464,   465,
     466,   466,   466,   466,   466,   466,   466,   466,   466,   466,
     466,   466,   466,   467,   467,   468,   468,   469,   469,   469,
     469,   470,   471,   471,   471,   471,   471,   472,   472,   472,
     472,   472,   472,   472,   472,   472,   472,   472,   472,   472,
     472,   473,   473,   474,   474,   475,   476,   476,   476,   476,
     476,   476,   476,   477,   477,   478,   478,   478,   479,   479,
     479,   480,   480,   481,   481,   482,   483,   483,   483,   483,
     483,   484,   484,   484,   484,   484,   485,   485,   485,   485,
     485,   486,   486,   486,   486,   486,   487,   487,   487,   487,
     487,   488,   488,   488,   488,   488,   489,   489,   489,   489,
     489,   490,   490,   490,   490,   490,   491,   491,   491,   491,
     491,   492,   493,   494,   494,   495,   495,   495,   495,   495,
     496,   496,   497,   497,   497,   497,   498,   499,   500,   500,
     501,   501,   502,   502,   503,   503,   503,   504,   505,   505,
     506,   506,   506,   506,   506,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   524,   524,   524,   525,   526,   527,
     527,   528,   528,   529,   530,   530,   531,   531,   532,   532,
     532,   532,   532,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   534,   535,   535,   536,   537,
     537,   538,   539,   539,   540,   540,   540,   541,   542,   542,
     543,   543,   544,   544,   545,   545,   546,   546,   547,   547,
     547,   548,   548,   549,   550,   550,   551,   551,   551,   551,
     551,   551,   552,   553,   553,   553,   553,   553,   554,   554,
     555,   555,   556,   556,   556,   557,   557,   557,   558,   558,
     559,   559,   560,   560,   561,   561,   561,   562,   562,   563,
     564,   564,   565,   565,   566,   566,   567,   567,   567,   567,
     567,   568,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   572,   573,   573,   574,   574,   574,   574,
     574,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     578,   578,   579,   579,   580,   581,   581,   582,   582,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   584,   584,   584,   585,   585,   586,   586,   587,
     587,   588,   589,   589,   590,   590,   591,   591,   592,   593,
     594,   594,   595,   595,   595,   596,   596,   596,   596,   596,
     596,   596,   596,   596,   596,   596,   596,   596,   596,   597,
     597,   598,   599,   599,   599,   600,   600,   601,   602,   602,
     602,   602,   602,   603,   603,   604,   604,   605,   605,   606,
     606,   606,   607,   607,   607,   607,   608,   608,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   614,   614,
     614,   614,   615,   615,   616,   616,   617,   617,   618,   619,
     619,   619,   620,   620,   620,   621,   621,   622,   622,   623,
     624,   624,   625,   626,   626,   627,   628,   629,   629,   630,
     630,   631,   632,   633,   633,   633,   633,   633,   633,   633,
     633,   633,   633,   633,   633,   633,   633,   633,   634,   635,
     635,   635,   636,   636,   636,   636,   636,   637,   637,   638,
     638,   639,   639,   640,   640,   640,   641,   641,   642,   642,
     643,   643,   644,   645,   645,   646,   647,   648,   648,   649,
     650,   650,   650,   651,   652,   652,   652,   653,   653,   653,
     654,   654,   655,   656,   656,   657,   657,   658,   658,   659,
     659,   660,   660,   660,   661,   661,   662,   662,   663,   663,
     663,   663,   663,   663,   663,   663,   663,   664,   664,   664,
     665,   666,   666,   667,   667,   667,   667,   668,   669,   670,
     671,   672,   673,   674,   674,   674,   675,   675,   675,   676,
     676,   677,   677,   678,   678,   679,   680,   680,   680,   681,
     681,   681,   681,   681,   682,   683,   683,   684,   685,   685,
     685,   685,   685,   685,   685,   685,   686,   686,   687,   687,
     687,   688,   688,   688,   689,   689,   690,   690,   691,   691,
     692,   693,   693,   693,   693,   694,   694,   695,   696,   696,
     696,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   697,   697,   697,   697,   697,   697,   697,   697,
     697,   697,   697,   697,   697,   697,   697,   697,   697,   697,
     698,   698,   698,   698,   698,   698,   698,   699,   699,   699,
     699,   699,   699,   700,   700,   701,   701,   701,   702,   702,
     703,   703,   703,   703,   703,   704,   704,   704,   704,   704,
     704,   704,   704,   704,   704,   704,   704,   704,   704,   704,
     704,   704,   704,   704,   704,   704,   704,   704,   704,   705,
     705,   705,   705,   705,   705,   706,   706,   707,   707,   707,
     708,   708,   709,   709,   710,   711,   711,   712,   712,   713,
     713,   714,   714,   715,   715,   716,   716,   716,   717,   717,
     718,   718,   719,   719,   719,   719,   720,   720,   720,   721,
     721,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   723,   723,
     723,   723,   723,   723,   723,   724,   724,   724,   724,   725,
     725,   725,   725,   726,   726,   727,   727,   728,   728,   728,
     728,   729,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   731,   732,   732,   732,   732,   733,
     734,   734,   734,   735,   736,   736,   736,   736,   736,   737,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   739,
     739,   739,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   741,   741,   741,   741,   742,   742,
     742,   742,   742,   743,   744,   744,   744,   744,   744,   744,
     744,   745,   746,   746,   746,   746,   747,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   749,   750,   750,   750,
     750,   750,   750,   750,   750,   751,   752,   752,   752,   752,
     752,   753,   754,   754,   755,   756,   756,   756,   757,   758,
     758,   758,   758,   759,   760,   760,   760,   760,   761,   761,
     761,   761,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   763,   763,   763,   764,
     764,   765,   765,   766,   766,   767,   767,   768,   768,   769,
     769,   770,   770,   770,   771,   772,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   774,   774,   774,   774,
     774,   774,   775,   775,   775,   775,   775,   776,   776,   776,
     776,   776,   776,   776,   776,   776,   776,   776,   776,   777,
     777,   778,   779,   779,   780,   781,   782,   782,   783,   783,
     783,   784,   784,   784,   784,   784,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   784,   784,   784,   785,
     785,   785,   786,   786,   786,   786,   787,   787,   787,   787,
     787,   788,   788,   788,   788,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   789,   789,   789,   790,   790,   791,
     791,   791,   791,   792,   793,   793,   794,   794,   794,   794,
     794,   794,   794,   794,   795,   796,   796,   797,   798,   798,
     798,   798,   799,   800,   801,   802,   803,   804,   804,   804,
     804,   805,   806,   806,   806,   806,   806,   806,   807,   808,
     808,   809,   810,   810,   810,   810,   810,   811,   812,   812,
     812,   812,   812
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     3,     3,
       2,     2,     3,     3,     3,     2,     3,     2,     6,     2,
       6,     3,     2,     6,     6,     3,     6,     3,     5,     7,
       5,     7,     8,     8,     8,     5,     7,     5,     7,     5,
       7,     3,     2,     6,     2,     6,     6,     6,     3,     6,
       3,     5,     5,     8,     8,     8,     5,     5,     5,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       6,     2,     2,     2,     3,     2,     2,     6,     3,     3,
       5,     3,     3,     3,     2,     2,     2,     2,     2,     3,
       2,     2,     6,     3,     3,     5,     3,     3,     3,     3,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     2,
       2,     4,     5,     2,     2,     1,     2,     2,     2,     3,
       3,     2,     3,     2,     3,     2,     2,     3,     2,     3,
       2,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     2,     1,     0,     2,     2,     3,
       8,     8,     8,     8,     9,     9,    10,    10,    10,     9,
       9,     9,     0,     0,     2,     2,     3,     3,     3,     3,
       5,     3,     0,     2,     3,     1,     3,     1,     3,     0,
       0,     2,     2,     5,     4,     4,     4,     4,     3,     4,
       2,     3,     3,     1,     1,     3,     1,     1,     1,     1,
       1,     0,     2,     2,     2,     2,     2,     0,     2,     2,
       4,     7,     8,     6,     7,     7,     4,     3,     4,     3,
       3,     3,     2,     1,     1,     0,     0,     2,     2,     5,
       5,     3,     4,     3,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     3,     0,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     0,     2,     2,     2,
       2,     0,     2,     2,     2,     2,     1,     1,     1,     1,
       1,     7,     2,     1,     1,     1,     1,     1,     3,     3,
       1,     2,     2,     2,     3,     0,     2,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       2,     2,     1,     2,     1,     1,     2,     3,     2,     3,
       1,     2,     3,     1,     2,     3,     1,     2,     3,     1,
       2,     2,     2,     1,     2,     2,     2,     2,     2,     0,
       1,     1,     2,     1,     1,     2,     1,     2,     2,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     2,     2,     2,     2,     1,
       1,     2,     1,     1,     2,     3,     1,     1,     5,     1,
       1,     3,     3,     1,     1,     3,     3,     5,     4,     5,
       1,     2,     1,     3,     1,     2,     2,     2,     1,     3,
       3,     1,     2,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     1,     3,     3,     1,     2,     1,     3,     1,
       1,     1,     6,     6,     4,     1,     1,     0,     1,     1,
       0,     3,     6,     4,     1,     1,     0,     0,     3,     3,
       0,     2,     2,     3,     2,     2,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     0,     6,     3,     6,     3,
       5,     3,     5,     2,     1,     1,     3,     4,     4,     5,
       6,     5,     1,     2,     1,     3,     1,     2,     2,     2,
       1,     1,     6,     8,     0,     0,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     3,     1,     3,     1,
       3,     1,     1,     3,     1,     1,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     4,
       5,     2,     3,     2,     6,     4,     3,     4,     3,     2,
       1,     1,     3,     4,     1,     2,     1,     1,     2,     3,
       1,     3,     4,     3,     5,     3,     6,     1,     3,     1,
       1,     1,     2,     4,     6,     6,     1,     2,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     2,     1,     4,
       5,     6,     1,     1,     1,     7,     8,     6,     1,     1,
       1,     2,     2,     6,     8,     1,     2,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     4,     1,
       1,     2,     1,     1,     1,     1,     1,     3,     1,     4,
       4,     0,     2,     1,     3,     3,     1,     3,     1,     3,
       1,     3,     1,     1,     3,     3,     3,     1,     1,     3,
       1,     1,     1,     3,     1,     3,     3,     3,     3,     5,
       1,     2,     1,     1,     2,     1,     1,     2,     1,     1,
       2,     2,     2,     1,     1,     2,     1,     2,     2,     6,
       6,     6,     4,     5,     6,     4,     4,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     4,     0,     4,
       0,     1,     0,     1,     1,     1,     1,     1,     1,     2,
       2,     6,     3,     1,     3,     3,     3,     7,     3,     3,
       3,     3,     3,     3,     0,     4,     4,     0,     2,     2,
       4,     4,     5,     5,     3,     3,     3,     3,     1,     1,
       1,     1,     3,     3,     1,     3,     1,     3,     1,     3,
       1,     1,     1,     3,     3,     1,     1,     1,     2,     2,
       2,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     2,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     2,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     5,
       3,     5,     1,     5,     5,     3,     5,     1,     1,     1,
       0,     2,     1,     1,     6,     2,     0,     1,     1,     1,
       1,     1,     1,     5,     6,     8,     6,     5,     2,     2,
       3,     4,     1,     1,     1,     2,     3,     4,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     5,     5,     5,
       6,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     7,     1,     1,     2,     1,     3,
       1,     1,     2,     3,     1,     1,     1,     1,     2,     3,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       5,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     3,     1,     1,     3,     1,     1,     1,     3,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     2,     3,
       3,     9,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     2,     2,     1,     1,     3,
       3,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     4,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     5,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       2,     1,     3,     4,     3,     1,     3,     1,     1,     1,
       4,     3,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     3,     1,     1,     2,     1,     1,     2,     2,     2,
       2,     2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_STRING: /* "string"  */
#line 359 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6124 "parser_bison.c"
        break;

    case YYSYMBOL_QUOTED_STRING: /* "quoted string"  */
#line 359 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6130 "parser_bison.c"
        break;

    case YYSYMBOL_ASTERISK_STRING: /* "string with a trailing asterisk"  */
#line 359 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6136 "parser_bison.c"
        break;

    case YYSYMBOL_line: /* line  */
#line 682 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6142 "parser_bison.c"
        break;

    case YYSYMBOL_base_cmd: /* base_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6148 "parser_bison.c"
        break;

    case YYSYMBOL_add_cmd: /* add_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6154 "parser_bison.c"
        break;

    case YYSYMBOL_replace_cmd: /* replace_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6160 "parser_bison.c"
        break;

    case YYSYMBOL_create_cmd: /* create_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6166 "parser_bison.c"
        break;

    case YYSYMBOL_insert_cmd: /* insert_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6172 "parser_bison.c"
        break;

    case YYSYMBOL_table_or_id_spec: /* table_or_id_spec  */
#line 688 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6178 "parser_bison.c"
        break;

    case YYSYMBOL_chain_or_id_spec: /* chain_or_id_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6184 "parser_bison.c"
        break;

    case YYSYMBOL_set_or_id_spec: /* set_or_id_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6190 "parser_bison.c"
        break;

    case YYSYMBOL_obj_or_id_spec: /* obj_or_id_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6196 "parser_bison.c"
        break;

    case YYSYMBOL_delete_cmd: /* delete_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6202 "parser_bison.c"
        break;

    case YYSYMBOL_destroy_cmd: /* destroy_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6208 "parser_bison.c"
        break;

    case YYSYMBOL_get_cmd: /* get_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6214 "parser_bison.c"
        break;

    case YYSYMBOL_list_cmd: /* list_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6220 "parser_bison.c"
        break;

    case YYSYMBOL_basehook_device_name: /* basehook_device_name  */
#line 709 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6226 "parser_bison.c"
        break;

    case YYSYMBOL_basehook_spec: /* basehook_spec  */
#line 703 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6232 "parser_bison.c"
        break;

    case YYSYMBOL_reset_cmd: /* reset_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6238 "parser_bison.c"
        break;

    case YYSYMBOL_flush_cmd: /* flush_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6244 "parser_bison.c"
        break;

    case YYSYMBOL_rename_cmd: /* rename_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6250 "parser_bison.c"
        break;

    case YYSYMBOL_import_cmd: /* import_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6256 "parser_bison.c"
        break;

    case YYSYMBOL_export_cmd: /* export_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6262 "parser_bison.c"
        break;

    case YYSYMBOL_monitor_cmd: /* monitor_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6268 "parser_bison.c"
        break;

    case YYSYMBOL_monitor_event: /* monitor_event  */
#line 928 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6274 "parser_bison.c"
        break;

    case YYSYMBOL_describe_cmd: /* describe_cmd  */
#line 685 "parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6280 "parser_bison.c"
        break;

    case YYSYMBOL_table_block_alloc: /* table_block_alloc  */
#line 715 "parser_bison.y"
            { close_scope(state); table_free(((*yyvaluep).table)); }
#line 6286 "parser_bison.c"
        break;

    case YYSYMBOL_chain_block_alloc: /* chain_block_alloc  */
#line 717 "parser_bison.y"
            { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 6292 "parser_bison.c"
        break;

    case YYSYMBOL_typeof_data_expr: /* typeof_data_expr  */
#line 789 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6298 "parser_bison.c"
        break;

    case YYSYMBOL_typeof_expr: /* typeof_expr  */
#line 789 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6304 "parser_bison.c"
        break;

    case YYSYMBOL_set_block_alloc: /* set_block_alloc  */
#line 726 "parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6310 "parser_bison.c"
        break;

    case YYSYMBOL_set_block_expr: /* set_block_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6316 "parser_bison.c"
        break;

    case YYSYMBOL_map_block_alloc: /* map_block_alloc  */
#line 729 "parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6322 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_block_alloc: /* flowtable_block_alloc  */
#line 733 "parser_bison.y"
            { flowtable_free(((*yyvaluep).flowtable)); }
#line 6328 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr: /* flowtable_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6334 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_list_expr: /* flowtable_list_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6340 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr_member: /* flowtable_expr_member  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6346 "parser_bison.c"
        break;

    case YYSYMBOL_data_type_atom_expr: /* data_type_atom_expr  */
#line 679 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6352 "parser_bison.c"
        break;

    case YYSYMBOL_data_type_expr: /* data_type_expr  */
#line 679 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6358 "parser_bison.c"
        break;

    case YYSYMBOL_obj_block_alloc: /* obj_block_alloc  */
#line 736 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6364 "parser_bison.c"
        break;

    case YYSYMBOL_type_identifier: /* type_identifier  */
#line 674 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6370 "parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_name: /* extended_prio_name  */
#line 709 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6376 "parser_bison.c"
        break;

    case YYSYMBOL_dev_spec: /* dev_spec  */
#line 712 "parser_bison.y"
            { xfree(((*yyvaluep).expr)); }
#line 6382 "parser_bison.c"
        break;

    case YYSYMBOL_policy_expr: /* policy_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6388 "parser_bison.c"
        break;

    case YYSYMBOL_identifier: /* identifier  */
#line 674 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6394 "parser_bison.c"
        break;

    case YYSYMBOL_string: /* string  */
#line 674 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6400 "parser_bison.c"
        break;

    case YYSYMBOL_table_spec: /* table_spec  */
#line 688 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6406 "parser_bison.c"
        break;

    case YYSYMBOL_tableid_spec: /* tableid_spec  */
#line 688 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6412 "parser_bison.c"
        break;

    case YYSYMBOL_chain_spec: /* chain_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6418 "parser_bison.c"
        break;

    case YYSYMBOL_chainid_spec: /* chainid_spec  */
#line 690 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6424 "parser_bison.c"
        break;

    case YYSYMBOL_chain_identifier: /* chain_identifier  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6430 "parser_bison.c"
        break;

    case YYSYMBOL_set_spec: /* set_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6436 "parser_bison.c"
        break;

    case YYSYMBOL_setid_spec: /* setid_spec  */
#line 695 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6442 "parser_bison.c"
        break;

    case YYSYMBOL_set_identifier: /* set_identifier  */
#line 700 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6448 "parser_bison.c"
        break;

    case YYSYMBOL_flowtable_spec: /* flowtable_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6454 "parser_bison.c"
        break;

    case YYSYMBOL_flowtableid_spec: /* flowtableid_spec  */
#line 700 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6460 "parser_bison.c"
        break;

    case YYSYMBOL_obj_spec: /* obj_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6466 "parser_bison.c"
        break;

    case YYSYMBOL_objid_spec: /* objid_spec  */
#line 697 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6472 "parser_bison.c"
        break;

    case YYSYMBOL_obj_identifier: /* obj_identifier  */
#line 700 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6478 "parser_bison.c"
        break;

    case YYSYMBOL_handle_spec: /* handle_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6484 "parser_bison.c"
        break;

    case YYSYMBOL_position_spec: /* position_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6490 "parser_bison.c"
        break;

    case YYSYMBOL_index_spec: /* index_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6496 "parser_bison.c"
        break;

    case YYSYMBOL_rule_position: /* rule_position  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6502 "parser_bison.c"
        break;

    case YYSYMBOL_ruleid_spec: /* ruleid_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6508 "parser_bison.c"
        break;

    case YYSYMBOL_comment_spec: /* comment_spec  */
#line 674 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6514 "parser_bison.c"
        break;

    case YYSYMBOL_ruleset_spec: /* ruleset_spec  */
#line 693 "parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6520 "parser_bison.c"
        break;

    case YYSYMBOL_rule: /* rule  */
#line 719 "parser_bison.y"
            { rule_free(((*yyvaluep).rule)); }
#line 6526 "parser_bison.c"
        break;

    case YYSYMBOL_stmt_list: /* stmt_list  */
#line 739 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 6532 "parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt_list: /* stateful_stmt_list  */
#line 739 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 6538 "parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt: /* stateful_stmt  */
#line 743 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6544 "parser_bison.c"
        break;

    case YYSYMBOL_stmt: /* stmt  */
#line 741 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6550 "parser_bison.c"
        break;

    case YYSYMBOL_xt_stmt: /* xt_stmt  */
#line 952 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6556 "parser_bison.c"
        break;

    case YYSYMBOL_chain_stmt: /* chain_stmt  */
#line 766 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6562 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_stmt: /* verdict_stmt  */
#line 741 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6568 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_stmt: /* verdict_map_stmt  */
#line 824 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6574 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_expr: /* verdict_map_expr  */
#line 827 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6580 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_expr: /* verdict_map_list_expr  */
#line 827 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6586 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_member_expr: /* verdict_map_list_member_expr  */
#line 827 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6592 "parser_bison.c"
        break;

    case YYSYMBOL_connlimit_stmt: /* connlimit_stmt  */
#line 754 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6598 "parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt: /* counter_stmt  */
#line 743 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6604 "parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt_alloc: /* counter_stmt_alloc  */
#line 743 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6610 "parser_bison.c"
        break;

    case YYSYMBOL_last_stmt: /* last_stmt  */
#line 743 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6616 "parser_bison.c"
        break;

    case YYSYMBOL_log_stmt: /* log_stmt  */
#line 751 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6622 "parser_bison.c"
        break;

    case YYSYMBOL_log_stmt_alloc: /* log_stmt_alloc  */
#line 751 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6628 "parser_bison.c"
        break;

    case YYSYMBOL_limit_stmt: /* limit_stmt  */
#line 754 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6634 "parser_bison.c"
        break;

    case YYSYMBOL_quota_unit: /* quota_unit  */
#line 709 "parser_bison.y"
            { xfree(((*yyvaluep).string)); }
#line 6640 "parser_bison.c"
        break;

    case YYSYMBOL_quota_stmt: /* quota_stmt  */
#line 754 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6646 "parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt: /* reject_stmt  */
#line 757 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6652 "parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt_alloc: /* reject_stmt_alloc  */
#line 757 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6658 "parser_bison.c"
        break;

    case YYSYMBOL_reject_with_expr: /* reject_with_expr  */
#line 772 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6664 "parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt: /* nat_stmt  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6670 "parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt_alloc: /* nat_stmt_alloc  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6676 "parser_bison.c"
        break;

    case YYSYMBOL_tproxy_stmt: /* tproxy_stmt  */
#line 762 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6682 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt: /* synproxy_stmt  */
#line 764 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6688 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt_alloc: /* synproxy_stmt_alloc  */
#line 764 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6694 "parser_bison.c"
        break;

    case YYSYMBOL_synproxy_obj: /* synproxy_obj  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6700 "parser_bison.c"
        break;

    case YYSYMBOL_primary_stmt_expr: /* primary_stmt_expr  */
#line 811 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6706 "parser_bison.c"
        break;

    case YYSYMBOL_shift_stmt_expr: /* shift_stmt_expr  */
#line 813 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6712 "parser_bison.c"
        break;

    case YYSYMBOL_and_stmt_expr: /* and_stmt_expr  */
#line 815 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6718 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_stmt_expr: /* exclusive_or_stmt_expr  */
#line 815 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6724 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_stmt_expr: /* inclusive_or_stmt_expr  */
#line 815 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6730 "parser_bison.c"
        break;

    case YYSYMBOL_basic_stmt_expr: /* basic_stmt_expr  */
#line 811 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6736 "parser_bison.c"
        break;

    case YYSYMBOL_concat_stmt_expr: /* concat_stmt_expr  */
#line 803 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6742 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr_set: /* map_stmt_expr_set  */
#line 803 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6748 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr: /* map_stmt_expr  */
#line 803 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6754 "parser_bison.c"
        break;

    case YYSYMBOL_prefix_stmt_expr: /* prefix_stmt_expr  */
#line 808 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6760 "parser_bison.c"
        break;

    case YYSYMBOL_range_stmt_expr: /* range_stmt_expr  */
#line 808 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6766 "parser_bison.c"
        break;

    case YYSYMBOL_multiton_stmt_expr: /* multiton_stmt_expr  */
#line 806 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6772 "parser_bison.c"
        break;

    case YYSYMBOL_stmt_expr: /* stmt_expr  */
#line 803 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6778 "parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt: /* masq_stmt  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6784 "parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt_alloc: /* masq_stmt_alloc  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6790 "parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt: /* redir_stmt  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6796 "parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt_alloc: /* redir_stmt_alloc  */
#line 759 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6802 "parser_bison.c"
        break;

    case YYSYMBOL_dup_stmt: /* dup_stmt  */
#line 775 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6808 "parser_bison.c"
        break;

    case YYSYMBOL_fwd_stmt: /* fwd_stmt  */
#line 777 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6814 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt: /* queue_stmt  */
#line 770 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6820 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_compat: /* queue_stmt_compat  */
#line 770 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6826 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_alloc: /* queue_stmt_alloc  */
#line 770 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6832 "parser_bison.c"
        break;

    case YYSYMBOL_queue_expr: /* queue_expr  */
#line 772 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6838 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr_simple: /* queue_stmt_expr_simple  */
#line 772 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6844 "parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr: /* queue_stmt_expr  */
#line 772 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6850 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt: /* set_elem_expr_stmt  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6856 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt_alloc: /* set_elem_expr_stmt_alloc  */
#line 834 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6862 "parser_bison.c"
        break;

    case YYSYMBOL_set_stmt: /* set_stmt  */
#line 779 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6868 "parser_bison.c"
        break;

    case YYSYMBOL_map_stmt: /* map_stmt  */
#line 782 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6874 "parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt: /* meter_stmt  */
#line 784 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6880 "parser_bison.c"
        break;

    case YYSYMBOL_flow_stmt_legacy_alloc: /* flow_stmt_legacy_alloc  */
#line 784 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6886 "parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt_alloc: /* meter_stmt_alloc  */
#line 784 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6892 "parser_bison.c"
        break;

    case YYSYMBOL_match_stmt: /* match_stmt  */
#line 741 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6898 "parser_bison.c"
        break;

    case YYSYMBOL_variable_expr: /* variable_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6904 "parser_bison.c"
        break;

    case YYSYMBOL_symbol_expr: /* symbol_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6910 "parser_bison.c"
        break;

    case YYSYMBOL_set_ref_expr: /* set_ref_expr  */
#line 795 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6916 "parser_bison.c"
        break;

    case YYSYMBOL_set_ref_symbol_expr: /* set_ref_symbol_expr  */
#line 795 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6922 "parser_bison.c"
        break;

    case YYSYMBOL_integer_expr: /* integer_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6928 "parser_bison.c"
        break;

    case YYSYMBOL_primary_expr: /* primary_expr  */
#line 789 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6934 "parser_bison.c"
        break;

    case YYSYMBOL_fib_expr: /* fib_expr  */
#line 919 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6940 "parser_bison.c"
        break;

    case YYSYMBOL_osf_expr: /* osf_expr  */
#line 924 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6946 "parser_bison.c"
        break;

    case YYSYMBOL_shift_expr: /* shift_expr  */
#line 789 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6952 "parser_bison.c"
        break;

    case YYSYMBOL_and_expr: /* and_expr  */
#line 789 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6958 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_expr: /* exclusive_or_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6964 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_expr: /* inclusive_or_expr  */
#line 791 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6970 "parser_bison.c"
        break;

    case YYSYMBOL_basic_expr: /* basic_expr  */
#line 793 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6976 "parser_bison.c"
        break;

    case YYSYMBOL_concat_expr: /* concat_expr  */
#line 818 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6982 "parser_bison.c"
        break;

    case YYSYMBOL_prefix_rhs_expr: /* prefix_rhs_expr  */
#line 800 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6988 "parser_bison.c"
        break;

    case YYSYMBOL_range_rhs_expr: /* range_rhs_expr  */
#line 800 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6994 "parser_bison.c"
        break;

    case YYSYMBOL_multiton_rhs_expr: /* multiton_rhs_expr  */
#line 798 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7000 "parser_bison.c"
        break;

    case YYSYMBOL_map_expr: /* map_expr  */
#line 821 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7006 "parser_bison.c"
        break;

    case YYSYMBOL_expr: /* expr  */
#line 840 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7012 "parser_bison.c"
        break;

    case YYSYMBOL_set_expr: /* set_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7018 "parser_bison.c"
        break;

    case YYSYMBOL_set_list_expr: /* set_list_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7024 "parser_bison.c"
        break;

    case YYSYMBOL_set_list_member_expr: /* set_list_member_expr  */
#line 830 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7030 "parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr: /* meter_key_expr  */
#line 837 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7036 "parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr_alloc: /* meter_key_expr_alloc  */
#line 837 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7042 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr: /* set_elem_expr  */
#line 832 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7048 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_key_expr: /* set_elem_key_expr  */
#line 972 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7054 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_alloc: /* set_elem_expr_alloc  */
#line 832 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7060 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt_list: /* set_elem_stmt_list  */
#line 739 "parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 7066 "parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt: /* set_elem_stmt  */
#line 741 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7072 "parser_bison.c"
        break;

    case YYSYMBOL_set_lhs_expr: /* set_lhs_expr  */
#line 832 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7078 "parser_bison.c"
        break;

    case YYSYMBOL_set_rhs_expr: /* set_rhs_expr  */
#line 832 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7084 "parser_bison.c"
        break;

    case YYSYMBOL_initializer_expr: /* initializer_expr  */
#line 840 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7090 "parser_bison.c"
        break;

    case YYSYMBOL_counter_obj: /* counter_obj  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7096 "parser_bison.c"
        break;

    case YYSYMBOL_quota_obj: /* quota_obj  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7102 "parser_bison.c"
        break;

    case YYSYMBOL_secmark_obj: /* secmark_obj  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7108 "parser_bison.c"
        break;

    case YYSYMBOL_timeout_states: /* timeout_states  */
#line 965 "parser_bison.y"
            { xfree(((*yyvaluep).list)); }
#line 7114 "parser_bison.c"
        break;

    case YYSYMBOL_timeout_state: /* timeout_state  */
#line 965 "parser_bison.y"
            { xfree(((*yyvaluep).list)); }
#line 7120 "parser_bison.c"
        break;

    case YYSYMBOL_ct_obj_alloc: /* ct_obj_alloc  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7126 "parser_bison.c"
        break;

    case YYSYMBOL_limit_obj: /* limit_obj  */
#line 850 "parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7132 "parser_bison.c"
        break;

    case YYSYMBOL_relational_expr: /* relational_expr  */
#line 853 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7138 "parser_bison.c"
        break;

    case YYSYMBOL_list_rhs_expr: /* list_rhs_expr  */
#line 845 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7144 "parser_bison.c"
        break;

    case YYSYMBOL_rhs_expr: /* rhs_expr  */
#line 843 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7150 "parser_bison.c"
        break;

    case YYSYMBOL_shift_rhs_expr: /* shift_rhs_expr  */
#line 845 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7156 "parser_bison.c"
        break;

    case YYSYMBOL_and_rhs_expr: /* and_rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7162 "parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_rhs_expr: /* exclusive_or_rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7168 "parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_rhs_expr: /* inclusive_or_rhs_expr  */
#line 847 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7174 "parser_bison.c"
        break;

    case YYSYMBOL_basic_rhs_expr: /* basic_rhs_expr  */
#line 843 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7180 "parser_bison.c"
        break;

    case YYSYMBOL_concat_rhs_expr: /* concat_rhs_expr  */
#line 843 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7186 "parser_bison.c"
        break;

    case YYSYMBOL_boolean_expr: /* boolean_expr  */
#line 955 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7192 "parser_bison.c"
        break;

    case YYSYMBOL_keyword_expr: /* keyword_expr  */
#line 840 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7198 "parser_bison.c"
        break;

    case YYSYMBOL_primary_rhs_expr: /* primary_rhs_expr  */
#line 845 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7204 "parser_bison.c"
        break;

    case YYSYMBOL_verdict_expr: /* verdict_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7210 "parser_bison.c"
        break;

    case YYSYMBOL_chain_expr: /* chain_expr  */
#line 787 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7216 "parser_bison.c"
        break;

    case YYSYMBOL_meta_expr: /* meta_expr  */
#line 901 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7222 "parser_bison.c"
        break;

    case YYSYMBOL_meta_stmt: /* meta_stmt  */
#line 749 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7228 "parser_bison.c"
        break;

    case YYSYMBOL_socket_expr: /* socket_expr  */
#line 905 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7234 "parser_bison.c"
        break;

    case YYSYMBOL_numgen_expr: /* numgen_expr  */
#line 866 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7240 "parser_bison.c"
        break;

    case YYSYMBOL_xfrm_expr: /* xfrm_expr  */
#line 969 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7246 "parser_bison.c"
        break;

    case YYSYMBOL_hash_expr: /* hash_expr  */
#line 866 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7252 "parser_bison.c"
        break;

    case YYSYMBOL_rt_expr: /* rt_expr  */
#line 911 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7258 "parser_bison.c"
        break;

    case YYSYMBOL_ct_expr: /* ct_expr  */
#line 915 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7264 "parser_bison.c"
        break;

    case YYSYMBOL_symbol_stmt_expr: /* symbol_stmt_expr  */
#line 845 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7270 "parser_bison.c"
        break;

    case YYSYMBOL_list_stmt_expr: /* list_stmt_expr  */
#line 813 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7276 "parser_bison.c"
        break;

    case YYSYMBOL_ct_stmt: /* ct_stmt  */
#line 747 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7282 "parser_bison.c"
        break;

    case YYSYMBOL_payload_stmt: /* payload_stmt  */
#line 745 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7288 "parser_bison.c"
        break;

    case YYSYMBOL_payload_expr: /* payload_expr  */
#line 857 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7294 "parser_bison.c"
        break;

    case YYSYMBOL_payload_raw_expr: /* payload_raw_expr  */
#line 857 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7300 "parser_bison.c"
        break;

    case YYSYMBOL_eth_hdr_expr: /* eth_hdr_expr  */
#line 860 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7306 "parser_bison.c"
        break;

    case YYSYMBOL_vlan_hdr_expr: /* vlan_hdr_expr  */
#line 860 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7312 "parser_bison.c"
        break;

    case YYSYMBOL_arp_hdr_expr: /* arp_hdr_expr  */
#line 863 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7318 "parser_bison.c"
        break;

    case YYSYMBOL_ip_hdr_expr: /* ip_hdr_expr  */
#line 866 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7324 "parser_bison.c"
        break;

    case YYSYMBOL_icmp_hdr_expr: /* icmp_hdr_expr  */
#line 866 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7330 "parser_bison.c"
        break;

    case YYSYMBOL_igmp_hdr_expr: /* igmp_hdr_expr  */
#line 866 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7336 "parser_bison.c"
        break;

    case YYSYMBOL_ip6_hdr_expr: /* ip6_hdr_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7342 "parser_bison.c"
        break;

    case YYSYMBOL_icmp6_hdr_expr: /* icmp6_hdr_expr  */
#line 870 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7348 "parser_bison.c"
        break;

    case YYSYMBOL_auth_hdr_expr: /* auth_hdr_expr  */
#line 873 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7354 "parser_bison.c"
        break;

    case YYSYMBOL_esp_hdr_expr: /* esp_hdr_expr  */
#line 873 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7360 "parser_bison.c"
        break;

    case YYSYMBOL_comp_hdr_expr: /* comp_hdr_expr  */
#line 873 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7366 "parser_bison.c"
        break;

    case YYSYMBOL_udp_hdr_expr: /* udp_hdr_expr  */
#line 876 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7372 "parser_bison.c"
        break;

    case YYSYMBOL_udplite_hdr_expr: /* udplite_hdr_expr  */
#line 876 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7378 "parser_bison.c"
        break;

    case YYSYMBOL_tcp_hdr_expr: /* tcp_hdr_expr  */
#line 934 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7384 "parser_bison.c"
        break;

    case YYSYMBOL_inner_inet_expr: /* inner_inet_expr  */
#line 942 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7390 "parser_bison.c"
        break;

    case YYSYMBOL_inner_eth_expr: /* inner_eth_expr  */
#line 942 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7396 "parser_bison.c"
        break;

    case YYSYMBOL_inner_expr: /* inner_expr  */
#line 942 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7402 "parser_bison.c"
        break;

    case YYSYMBOL_vxlan_hdr_expr: /* vxlan_hdr_expr  */
#line 945 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7408 "parser_bison.c"
        break;

    case YYSYMBOL_geneve_hdr_expr: /* geneve_hdr_expr  */
#line 945 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7414 "parser_bison.c"
        break;

    case YYSYMBOL_gre_hdr_expr: /* gre_hdr_expr  */
#line 945 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7420 "parser_bison.c"
        break;

    case YYSYMBOL_gretap_hdr_expr: /* gretap_hdr_expr  */
#line 945 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7426 "parser_bison.c"
        break;

    case YYSYMBOL_optstrip_stmt: /* optstrip_stmt  */
#line 949 "parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7432 "parser_bison.c"
        break;

    case YYSYMBOL_dccp_hdr_expr: /* dccp_hdr_expr  */
#line 879 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7438 "parser_bison.c"
        break;

    case YYSYMBOL_sctp_chunk_alloc: /* sctp_chunk_alloc  */
#line 879 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7444 "parser_bison.c"
        break;

    case YYSYMBOL_sctp_hdr_expr: /* sctp_hdr_expr  */
#line 879 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7450 "parser_bison.c"
        break;

    case YYSYMBOL_th_hdr_expr: /* th_hdr_expr  */
#line 885 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7456 "parser_bison.c"
        break;

    case YYSYMBOL_exthdr_expr: /* exthdr_expr  */
#line 889 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7462 "parser_bison.c"
        break;

    case YYSYMBOL_hbh_hdr_expr: /* hbh_hdr_expr  */
#line 891 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7468 "parser_bison.c"
        break;

    case YYSYMBOL_rt_hdr_expr: /* rt_hdr_expr  */
#line 894 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7474 "parser_bison.c"
        break;

    case YYSYMBOL_rt0_hdr_expr: /* rt0_hdr_expr  */
#line 894 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7480 "parser_bison.c"
        break;

    case YYSYMBOL_rt2_hdr_expr: /* rt2_hdr_expr  */
#line 894 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7486 "parser_bison.c"
        break;

    case YYSYMBOL_rt4_hdr_expr: /* rt4_hdr_expr  */
#line 894 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7492 "parser_bison.c"
        break;

    case YYSYMBOL_frag_hdr_expr: /* frag_hdr_expr  */
#line 891 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7498 "parser_bison.c"
        break;

    case YYSYMBOL_dst_hdr_expr: /* dst_hdr_expr  */
#line 891 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7504 "parser_bison.c"
        break;

    case YYSYMBOL_mh_hdr_expr: /* mh_hdr_expr  */
#line 897 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7510 "parser_bison.c"
        break;

    case YYSYMBOL_exthdr_exists_expr: /* exthdr_exists_expr  */
#line 959 "parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7516 "parser_bison.c"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */


/* User initialization code.  */
#line 196 "parser_bison.y"
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 7622 "parser_bison.c"

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= TOKEN_EOF)
    {
      yychar = TOKEN_EOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* input: input line  */
#line 978 "parser_bison.y"
                        {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 7840 "parser_bison.c"
    break;

  case 8: /* close_scope_ah: %empty  */
#line 994 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 7846 "parser_bison.c"
    break;

  case 9: /* close_scope_arp: %empty  */
#line 995 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 7852 "parser_bison.c"
    break;

  case 10: /* close_scope_at: %empty  */
#line 996 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 7858 "parser_bison.c"
    break;

  case 11: /* close_scope_comp: %empty  */
#line 997 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 7864 "parser_bison.c"
    break;

  case 12: /* close_scope_ct: %empty  */
#line 998 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 7870 "parser_bison.c"
    break;

  case 13: /* close_scope_counter: %empty  */
#line 999 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 7876 "parser_bison.c"
    break;

  case 14: /* close_scope_last: %empty  */
#line 1000 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LAST); }
#line 7882 "parser_bison.c"
    break;

  case 15: /* close_scope_dccp: %empty  */
#line 1001 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 7888 "parser_bison.c"
    break;

  case 16: /* close_scope_destroy: %empty  */
#line 1002 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_DESTROY); }
#line 7894 "parser_bison.c"
    break;

  case 17: /* close_scope_dst: %empty  */
#line 1003 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 7900 "parser_bison.c"
    break;

  case 18: /* close_scope_dup: %empty  */
#line 1004 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 7906 "parser_bison.c"
    break;

  case 19: /* close_scope_esp: %empty  */
#line 1005 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 7912 "parser_bison.c"
    break;

  case 20: /* close_scope_eth: %empty  */
#line 1006 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 7918 "parser_bison.c"
    break;

  case 21: /* close_scope_export: %empty  */
#line 1007 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 7924 "parser_bison.c"
    break;

  case 22: /* close_scope_fib: %empty  */
#line 1008 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 7930 "parser_bison.c"
    break;

  case 23: /* close_scope_frag: %empty  */
#line 1009 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 7936 "parser_bison.c"
    break;

  case 24: /* close_scope_fwd: %empty  */
#line 1010 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 7942 "parser_bison.c"
    break;

  case 25: /* close_scope_gre: %empty  */
#line 1011 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_GRE); }
#line 7948 "parser_bison.c"
    break;

  case 26: /* close_scope_hash: %empty  */
#line 1012 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 7954 "parser_bison.c"
    break;

  case 27: /* close_scope_hbh: %empty  */
#line 1013 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 7960 "parser_bison.c"
    break;

  case 28: /* close_scope_ip: %empty  */
#line 1014 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 7966 "parser_bison.c"
    break;

  case 29: /* close_scope_ip6: %empty  */
#line 1015 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 7972 "parser_bison.c"
    break;

  case 30: /* close_scope_vlan: %empty  */
#line 1016 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 7978 "parser_bison.c"
    break;

  case 31: /* close_scope_icmp: %empty  */
#line 1017 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 7984 "parser_bison.c"
    break;

  case 32: /* close_scope_igmp: %empty  */
#line 1018 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 7990 "parser_bison.c"
    break;

  case 33: /* close_scope_import: %empty  */
#line 1019 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 7996 "parser_bison.c"
    break;

  case 34: /* close_scope_ipsec: %empty  */
#line 1020 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 8002 "parser_bison.c"
    break;

  case 35: /* close_scope_list: %empty  */
#line 1021 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 8008 "parser_bison.c"
    break;

  case 36: /* close_scope_limit: %empty  */
#line 1022 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 8014 "parser_bison.c"
    break;

  case 37: /* close_scope_meta: %empty  */
#line 1023 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 8020 "parser_bison.c"
    break;

  case 38: /* close_scope_mh: %empty  */
#line 1024 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 8026 "parser_bison.c"
    break;

  case 39: /* close_scope_monitor: %empty  */
#line 1025 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 8032 "parser_bison.c"
    break;

  case 40: /* close_scope_nat: %empty  */
#line 1026 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 8038 "parser_bison.c"
    break;

  case 41: /* close_scope_numgen: %empty  */
#line 1027 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 8044 "parser_bison.c"
    break;

  case 42: /* close_scope_osf: %empty  */
#line 1028 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 8050 "parser_bison.c"
    break;

  case 43: /* close_scope_policy: %empty  */
#line 1029 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 8056 "parser_bison.c"
    break;

  case 44: /* close_scope_quota: %empty  */
#line 1030 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 8062 "parser_bison.c"
    break;

  case 45: /* close_scope_queue: %empty  */
#line 1031 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 8068 "parser_bison.c"
    break;

  case 46: /* close_scope_reject: %empty  */
#line 1032 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 8074 "parser_bison.c"
    break;

  case 47: /* close_scope_reset: %empty  */
#line 1033 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 8080 "parser_bison.c"
    break;

  case 48: /* close_scope_rt: %empty  */
#line 1034 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 8086 "parser_bison.c"
    break;

  case 49: /* close_scope_sctp: %empty  */
#line 1035 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 8092 "parser_bison.c"
    break;

  case 50: /* close_scope_sctp_chunk: %empty  */
#line 1036 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 8098 "parser_bison.c"
    break;

  case 51: /* close_scope_secmark: %empty  */
#line 1037 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 8104 "parser_bison.c"
    break;

  case 52: /* close_scope_socket: %empty  */
#line 1038 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 8110 "parser_bison.c"
    break;

  case 53: /* close_scope_tcp: %empty  */
#line 1039 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 8116 "parser_bison.c"
    break;

  case 54: /* close_scope_tproxy: %empty  */
#line 1040 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 8122 "parser_bison.c"
    break;

  case 55: /* close_scope_type: %empty  */
#line 1041 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 8128 "parser_bison.c"
    break;

  case 56: /* close_scope_th: %empty  */
#line 1042 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 8134 "parser_bison.c"
    break;

  case 57: /* close_scope_udp: %empty  */
#line 1043 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 8140 "parser_bison.c"
    break;

  case 58: /* close_scope_udplite: %empty  */
#line 1044 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 8146 "parser_bison.c"
    break;

  case 59: /* close_scope_log: %empty  */
#line 1046 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 8152 "parser_bison.c"
    break;

  case 60: /* close_scope_synproxy: %empty  */
#line 1047 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 8158 "parser_bison.c"
    break;

  case 61: /* close_scope_xt: %empty  */
#line 1048 "parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_XT); }
#line 8164 "parser_bison.c"
    break;

  case 62: /* common_block: "include" "quoted string" stmt_separator  */
#line 1051 "parser_bison.y"
                        {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 8176 "parser_bison.c"
    break;

  case 63: /* common_block: "define" identifier '=' initializer_expr stmt_separator  */
#line 1059 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 8195 "parser_bison.c"
    break;

  case 64: /* common_block: "redefine" identifier '=' initializer_expr stmt_separator  */
#line 1074 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 8206 "parser_bison.c"
    break;

  case 65: /* common_block: "undefine" identifier stmt_separator  */
#line 1081 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 8222 "parser_bison.c"
    break;

  case 66: /* common_block: error stmt_separator  */
#line 1093 "parser_bison.y"
                        {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 8232 "parser_bison.c"
    break;

  case 67: /* line: common_block  */
#line 1100 "parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8238 "parser_bison.c"
    break;

  case 68: /* line: stmt_separator  */
#line 1101 "parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8244 "parser_bison.c"
    break;

  case 69: /* line: base_cmd stmt_separator  */
#line 1102 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8250 "parser_bison.c"
    break;

  case 70: /* line: base_cmd "end of file"  */
#line 1104 "parser_bison.y"
                        {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 8272 "parser_bison.c"
    break;

  case 71: /* base_cmd: add_cmd  */
#line 1123 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8278 "parser_bison.c"
    break;

  case 72: /* base_cmd: "add" add_cmd  */
#line 1124 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8284 "parser_bison.c"
    break;

  case 73: /* base_cmd: "replace" replace_cmd  */
#line 1125 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8290 "parser_bison.c"
    break;

  case 74: /* base_cmd: "create" create_cmd  */
#line 1126 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8296 "parser_bison.c"
    break;

  case 75: /* base_cmd: "insert" insert_cmd  */
#line 1127 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8302 "parser_bison.c"
    break;

  case 76: /* base_cmd: "delete" delete_cmd  */
#line 1128 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8308 "parser_bison.c"
    break;

  case 77: /* base_cmd: "get" get_cmd  */
#line 1129 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8314 "parser_bison.c"
    break;

  case 78: /* base_cmd: "list" list_cmd close_scope_list  */
#line 1130 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8320 "parser_bison.c"
    break;

  case 79: /* base_cmd: "reset" reset_cmd close_scope_reset  */
#line 1131 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8326 "parser_bison.c"
    break;

  case 80: /* base_cmd: "flush" flush_cmd  */
#line 1132 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8332 "parser_bison.c"
    break;

  case 81: /* base_cmd: "rename" rename_cmd  */
#line 1133 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8338 "parser_bison.c"
    break;

  case 82: /* base_cmd: "import" import_cmd close_scope_import  */
#line 1134 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8344 "parser_bison.c"
    break;

  case 83: /* base_cmd: "export" export_cmd close_scope_export  */
#line 1135 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8350 "parser_bison.c"
    break;

  case 84: /* base_cmd: "monitor" monitor_cmd close_scope_monitor  */
#line 1136 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8356 "parser_bison.c"
    break;

  case 85: /* base_cmd: "describe" describe_cmd  */
#line 1137 "parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8362 "parser_bison.c"
    break;

  case 86: /* base_cmd: "destroy" destroy_cmd close_scope_destroy  */
#line 1138 "parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8368 "parser_bison.c"
    break;

  case 87: /* add_cmd: "table" table_spec  */
#line 1142 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8376 "parser_bison.c"
    break;

  case 88: /* add_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1147 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8386 "parser_bison.c"
    break;

  case 89: /* add_cmd: "chain" chain_spec  */
#line 1153 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8394 "parser_bison.c"
    break;

  case 90: /* add_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1158 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8405 "parser_bison.c"
    break;

  case 91: /* add_cmd: "rule" rule_position rule  */
#line 1165 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8413 "parser_bison.c"
    break;

  case 92: /* add_cmd: rule_position rule  */
#line 1169 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8421 "parser_bison.c"
    break;

  case 93: /* add_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1174 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8431 "parser_bison.c"
    break;

  case 94: /* add_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1181 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8441 "parser_bison.c"
    break;

  case 95: /* add_cmd: "element" set_spec set_block_expr  */
#line 1187 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8449 "parser_bison.c"
    break;

  case 96: /* add_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1192 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8459 "parser_bison.c"
    break;

  case 97: /* add_cmd: "counter" obj_spec close_scope_counter  */
#line 1198 "parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8472 "parser_bison.c"
    break;

  case 98: /* add_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1207 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8480 "parser_bison.c"
    break;

  case 99: /* add_cmd: "counter" obj_spec counter_obj '{' counter_block '}' close_scope_counter  */
#line 1211 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8488 "parser_bison.c"
    break;

  case 100: /* add_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1215 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8496 "parser_bison.c"
    break;

  case 101: /* add_cmd: "quota" obj_spec quota_obj '{' quota_block '}' close_scope_quota  */
#line 1219 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8504 "parser_bison.c"
    break;

  case 102: /* add_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1223 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8512 "parser_bison.c"
    break;

  case 103: /* add_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1227 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8520 "parser_bison.c"
    break;

  case 104: /* add_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1231 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8528 "parser_bison.c"
    break;

  case 105: /* add_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1235 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8536 "parser_bison.c"
    break;

  case 106: /* add_cmd: "limit" obj_spec limit_obj '{' limit_block '}' close_scope_limit  */
#line 1239 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8544 "parser_bison.c"
    break;

  case 107: /* add_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1243 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8552 "parser_bison.c"
    break;

  case 108: /* add_cmd: "secmark" obj_spec secmark_obj '{' secmark_block '}' close_scope_secmark  */
#line 1247 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8560 "parser_bison.c"
    break;

  case 109: /* add_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1251 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8568 "parser_bison.c"
    break;

  case 110: /* add_cmd: "synproxy" obj_spec synproxy_obj '{' synproxy_block '}' close_scope_synproxy  */
#line 1255 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8576 "parser_bison.c"
    break;

  case 111: /* replace_cmd: "rule" ruleid_spec rule  */
#line 1261 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8584 "parser_bison.c"
    break;

  case 112: /* create_cmd: "table" table_spec  */
#line 1267 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8592 "parser_bison.c"
    break;

  case 113: /* create_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1272 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8602 "parser_bison.c"
    break;

  case 114: /* create_cmd: "chain" chain_spec  */
#line 1278 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8610 "parser_bison.c"
    break;

  case 115: /* create_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1283 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8621 "parser_bison.c"
    break;

  case 116: /* create_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1291 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8631 "parser_bison.c"
    break;

  case 117: /* create_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1298 "parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8641 "parser_bison.c"
    break;

  case 118: /* create_cmd: "element" set_spec set_block_expr  */
#line 1304 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8649 "parser_bison.c"
    break;

  case 119: /* create_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1309 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8659 "parser_bison.c"
    break;

  case 120: /* create_cmd: "counter" obj_spec close_scope_counter  */
#line 1315 "parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8672 "parser_bison.c"
    break;

  case 121: /* create_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1324 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8680 "parser_bison.c"
    break;

  case 122: /* create_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1328 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8688 "parser_bison.c"
    break;

  case 123: /* create_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1332 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8696 "parser_bison.c"
    break;

  case 124: /* create_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1336 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8704 "parser_bison.c"
    break;

  case 125: /* create_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1340 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8712 "parser_bison.c"
    break;

  case 126: /* create_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1344 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8720 "parser_bison.c"
    break;

  case 127: /* create_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1348 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8728 "parser_bison.c"
    break;

  case 128: /* create_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1352 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8736 "parser_bison.c"
    break;

  case 129: /* insert_cmd: "rule" rule_position rule  */
#line 1358 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8744 "parser_bison.c"
    break;

  case 138: /* delete_cmd: "table" table_or_id_spec  */
#line 1380 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8752 "parser_bison.c"
    break;

  case 139: /* delete_cmd: "chain" chain_or_id_spec  */
#line 1384 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8760 "parser_bison.c"
    break;

  case 140: /* delete_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1389 "parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8770 "parser_bison.c"
    break;

  case 141: /* delete_cmd: "rule" ruleid_spec  */
#line 1395 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8778 "parser_bison.c"
    break;

  case 142: /* delete_cmd: "set" set_or_id_spec  */
#line 1399 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8786 "parser_bison.c"
    break;

  case 143: /* delete_cmd: "map" set_spec  */
#line 1403 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8794 "parser_bison.c"
    break;

  case 144: /* delete_cmd: "element" set_spec set_block_expr  */
#line 1407 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8802 "parser_bison.c"
    break;

  case 145: /* delete_cmd: "flowtable" flowtable_spec  */
#line 1411 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8810 "parser_bison.c"
    break;

  case 146: /* delete_cmd: "flowtable" flowtableid_spec  */
#line 1415 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8818 "parser_bison.c"
    break;

  case 147: /* delete_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1420 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8828 "parser_bison.c"
    break;

  case 148: /* delete_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1426 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8836 "parser_bison.c"
    break;

  case 149: /* delete_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1430 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8844 "parser_bison.c"
    break;

  case 150: /* delete_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1434 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 8854 "parser_bison.c"
    break;

  case 151: /* delete_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1440 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8862 "parser_bison.c"
    break;

  case 152: /* delete_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1444 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8870 "parser_bison.c"
    break;

  case 153: /* delete_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1448 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8878 "parser_bison.c"
    break;

  case 154: /* destroy_cmd: "table" table_or_id_spec  */
#line 1454 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8886 "parser_bison.c"
    break;

  case 155: /* destroy_cmd: "chain" chain_or_id_spec  */
#line 1458 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8894 "parser_bison.c"
    break;

  case 156: /* destroy_cmd: "rule" ruleid_spec  */
#line 1462 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8902 "parser_bison.c"
    break;

  case 157: /* destroy_cmd: "set" set_or_id_spec  */
#line 1466 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8910 "parser_bison.c"
    break;

  case 158: /* destroy_cmd: "map" set_spec  */
#line 1470 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8918 "parser_bison.c"
    break;

  case 159: /* destroy_cmd: "element" set_spec set_block_expr  */
#line 1474 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8926 "parser_bison.c"
    break;

  case 160: /* destroy_cmd: "flowtable" flowtable_spec  */
#line 1478 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8934 "parser_bison.c"
    break;

  case 161: /* destroy_cmd: "flowtable" flowtableid_spec  */
#line 1482 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8942 "parser_bison.c"
    break;

  case 162: /* destroy_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1487 "parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8952 "parser_bison.c"
    break;

  case 163: /* destroy_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1493 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8960 "parser_bison.c"
    break;

  case 164: /* destroy_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1497 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8968 "parser_bison.c"
    break;

  case 165: /* destroy_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1501 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DESTROY, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 8978 "parser_bison.c"
    break;

  case 166: /* destroy_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1507 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8986 "parser_bison.c"
    break;

  case 167: /* destroy_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1511 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 8994 "parser_bison.c"
    break;

  case 168: /* destroy_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1515 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9002 "parser_bison.c"
    break;

  case 169: /* get_cmd: "element" set_spec set_block_expr  */
#line 1522 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9010 "parser_bison.c"
    break;

  case 170: /* list_cmd: "table" table_spec  */
#line 1528 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9018 "parser_bison.c"
    break;

  case 171: /* list_cmd: "tables" ruleset_spec  */
#line 1532 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9026 "parser_bison.c"
    break;

  case 172: /* list_cmd: "chain" chain_spec  */
#line 1536 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9034 "parser_bison.c"
    break;

  case 173: /* list_cmd: "chains" ruleset_spec  */
#line 1540 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9042 "parser_bison.c"
    break;

  case 174: /* list_cmd: "sets" ruleset_spec  */
#line 1544 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9050 "parser_bison.c"
    break;

  case 175: /* list_cmd: "sets" "table" table_spec  */
#line 1548 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9058 "parser_bison.c"
    break;

  case 176: /* list_cmd: "set" set_spec  */
#line 1552 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9066 "parser_bison.c"
    break;

  case 177: /* list_cmd: "counters" ruleset_spec  */
#line 1556 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9074 "parser_bison.c"
    break;

  case 178: /* list_cmd: "counters" "table" table_spec  */
#line 1560 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9082 "parser_bison.c"
    break;

  case 179: /* list_cmd: "counter" obj_spec close_scope_counter  */
#line 1564 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9090 "parser_bison.c"
    break;

  case 180: /* list_cmd: "quotas" ruleset_spec  */
#line 1568 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9098 "parser_bison.c"
    break;

  case 181: /* list_cmd: "quotas" "table" table_spec  */
#line 1572 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9106 "parser_bison.c"
    break;

  case 182: /* list_cmd: "quota" obj_spec close_scope_quota  */
#line 1576 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9114 "parser_bison.c"
    break;

  case 183: /* list_cmd: "limits" ruleset_spec  */
#line 1580 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9122 "parser_bison.c"
    break;

  case 184: /* list_cmd: "limits" "table" table_spec  */
#line 1584 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9130 "parser_bison.c"
    break;

  case 185: /* list_cmd: "limit" obj_spec close_scope_limit  */
#line 1588 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9138 "parser_bison.c"
    break;

  case 186: /* list_cmd: "secmarks" ruleset_spec  */
#line 1592 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9146 "parser_bison.c"
    break;

  case 187: /* list_cmd: "secmarks" "table" table_spec  */
#line 1596 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9154 "parser_bison.c"
    break;

  case 188: /* list_cmd: "secmark" obj_spec close_scope_secmark  */
#line 1600 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9162 "parser_bison.c"
    break;

  case 189: /* list_cmd: "synproxys" ruleset_spec  */
#line 1604 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9170 "parser_bison.c"
    break;

  case 190: /* list_cmd: "synproxys" "table" table_spec  */
#line 1608 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9178 "parser_bison.c"
    break;

  case 191: /* list_cmd: "synproxy" obj_spec close_scope_synproxy  */
#line 1612 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9186 "parser_bison.c"
    break;

  case 192: /* list_cmd: "ruleset" ruleset_spec  */
#line 1616 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9194 "parser_bison.c"
    break;

  case 193: /* list_cmd: "flow" "tables" ruleset_spec  */
#line 1620 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9202 "parser_bison.c"
    break;

  case 194: /* list_cmd: "flow" "table" set_spec  */
#line 1624 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9210 "parser_bison.c"
    break;

  case 195: /* list_cmd: "meters" ruleset_spec  */
#line 1628 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9218 "parser_bison.c"
    break;

  case 196: /* list_cmd: "meter" set_spec  */
#line 1632 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9226 "parser_bison.c"
    break;

  case 197: /* list_cmd: "flowtables" ruleset_spec  */
#line 1636 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9234 "parser_bison.c"
    break;

  case 198: /* list_cmd: "flowtable" flowtable_spec  */
#line 1640 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9242 "parser_bison.c"
    break;

  case 199: /* list_cmd: "maps" ruleset_spec  */
#line 1644 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9250 "parser_bison.c"
    break;

  case 200: /* list_cmd: "map" set_spec  */
#line 1648 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9258 "parser_bison.c"
    break;

  case 201: /* list_cmd: "ct" ct_obj_type obj_spec close_scope_ct  */
#line 1652 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9266 "parser_bison.c"
    break;

  case 202: /* list_cmd: "ct" ct_cmd_type "table" table_spec close_scope_ct  */
#line 1656 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9274 "parser_bison.c"
    break;

  case 203: /* list_cmd: "hooks" basehook_spec  */
#line 1660 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9282 "parser_bison.c"
    break;

  case 204: /* basehook_device_name: "device" "string"  */
#line 1666 "parser_bison.y"
                        {
				(yyval.string) = (yyvsp[0].string);
			}
#line 9290 "parser_bison.c"
    break;

  case 205: /* basehook_spec: ruleset_spec  */
#line 1672 "parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9298 "parser_bison.c"
    break;

  case 206: /* basehook_spec: ruleset_spec basehook_device_name  */
#line 1676 "parser_bison.y"
                        {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9310 "parser_bison.c"
    break;

  case 207: /* reset_cmd: "counters" ruleset_spec  */
#line 1686 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9318 "parser_bison.c"
    break;

  case 208: /* reset_cmd: "counters" table_spec  */
#line 1690 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9326 "parser_bison.c"
    break;

  case 209: /* reset_cmd: "counters" "table" table_spec  */
#line 1694 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9335 "parser_bison.c"
    break;

  case 210: /* reset_cmd: "counter" obj_spec close_scope_counter  */
#line 1699 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 9343 "parser_bison.c"
    break;

  case 211: /* reset_cmd: "quotas" ruleset_spec  */
#line 1703 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9351 "parser_bison.c"
    break;

  case 212: /* reset_cmd: "quotas" "table" table_spec  */
#line 1707 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9359 "parser_bison.c"
    break;

  case 213: /* reset_cmd: "quotas" table_spec  */
#line 1711 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9368 "parser_bison.c"
    break;

  case 214: /* reset_cmd: "quota" obj_spec close_scope_quota  */
#line 1716 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9376 "parser_bison.c"
    break;

  case 215: /* reset_cmd: "rules" ruleset_spec  */
#line 1720 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9384 "parser_bison.c"
    break;

  case 216: /* reset_cmd: "rules" table_spec  */
#line 1724 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9392 "parser_bison.c"
    break;

  case 217: /* reset_cmd: "rules" "table" table_spec  */
#line 1728 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9401 "parser_bison.c"
    break;

  case 218: /* reset_cmd: "rules" chain_spec  */
#line 1733 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9409 "parser_bison.c"
    break;

  case 219: /* reset_cmd: "rules" "chain" chain_spec  */
#line 1737 "parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9418 "parser_bison.c"
    break;

  case 220: /* reset_cmd: "rule" ruleid_spec  */
#line 1742 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9426 "parser_bison.c"
    break;

  case 221: /* reset_cmd: "element" set_spec set_block_expr  */
#line 1746 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9434 "parser_bison.c"
    break;

  case 222: /* reset_cmd: "set" set_or_id_spec  */
#line 1750 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9442 "parser_bison.c"
    break;

  case 223: /* reset_cmd: "map" set_or_id_spec  */
#line 1754 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9450 "parser_bison.c"
    break;

  case 224: /* flush_cmd: "table" table_spec  */
#line 1760 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9458 "parser_bison.c"
    break;

  case 225: /* flush_cmd: "chain" chain_spec  */
#line 1764 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9466 "parser_bison.c"
    break;

  case 226: /* flush_cmd: "set" set_spec  */
#line 1768 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9474 "parser_bison.c"
    break;

  case 227: /* flush_cmd: "map" set_spec  */
#line 1772 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9482 "parser_bison.c"
    break;

  case 228: /* flush_cmd: "flow" "table" set_spec  */
#line 1776 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9490 "parser_bison.c"
    break;

  case 229: /* flush_cmd: "meter" set_spec  */
#line 1780 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9498 "parser_bison.c"
    break;

  case 230: /* flush_cmd: "ruleset" ruleset_spec  */
#line 1784 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9506 "parser_bison.c"
    break;

  case 231: /* rename_cmd: "chain" chain_spec identifier  */
#line 1790 "parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 9515 "parser_bison.c"
    break;

  case 232: /* import_cmd: "ruleset" markup_format  */
#line 1797 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9525 "parser_bison.c"
    break;

  case 233: /* import_cmd: markup_format  */
#line 1803 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9535 "parser_bison.c"
    break;

  case 234: /* export_cmd: "ruleset" markup_format  */
#line 1811 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9545 "parser_bison.c"
    break;

  case 235: /* export_cmd: markup_format  */
#line 1817 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9555 "parser_bison.c"
    break;

  case 236: /* monitor_cmd: monitor_event monitor_object monitor_format  */
#line 1825 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 9566 "parser_bison.c"
    break;

  case 237: /* monitor_event: %empty  */
#line 1833 "parser_bison.y"
                                                { (yyval.string) = NULL; }
#line 9572 "parser_bison.c"
    break;

  case 238: /* monitor_event: "string"  */
#line 1834 "parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 9578 "parser_bison.c"
    break;

  case 239: /* monitor_object: %empty  */
#line 1837 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 9584 "parser_bison.c"
    break;

  case 240: /* monitor_object: "tables"  */
#line 1838 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 9590 "parser_bison.c"
    break;

  case 241: /* monitor_object: "chains"  */
#line 1839 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 9596 "parser_bison.c"
    break;

  case 242: /* monitor_object: "sets"  */
#line 1840 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 9602 "parser_bison.c"
    break;

  case 243: /* monitor_object: "rules"  */
#line 1841 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 9608 "parser_bison.c"
    break;

  case 244: /* monitor_object: "elements"  */
#line 1842 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 9614 "parser_bison.c"
    break;

  case 245: /* monitor_object: "ruleset"  */
#line 1843 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 9620 "parser_bison.c"
    break;

  case 246: /* monitor_object: "trace"  */
#line 1844 "parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 9626 "parser_bison.c"
    break;

  case 247: /* monitor_format: %empty  */
#line 1847 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 9632 "parser_bison.c"
    break;

  case 249: /* markup_format: "xml"  */
#line 1851 "parser_bison.y"
                                                { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 9638 "parser_bison.c"
    break;

  case 250: /* markup_format: "json"  */
#line 1852 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9644 "parser_bison.c"
    break;

  case 251: /* markup_format: "vm" "json"  */
#line 1853 "parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9650 "parser_bison.c"
    break;

  case 252: /* describe_cmd: primary_expr  */
#line 1857 "parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 9660 "parser_bison.c"
    break;

  case 253: /* table_block_alloc: %empty  */
#line 1865 "parser_bison.y"
                        {
				(yyval.table) = table_alloc();
				if (open_scope(state, &(yyval.table)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9673 "parser_bison.c"
    break;

  case 254: /* table_options: "flags" "string"  */
#line 1876 "parser_bison.y"
                        {
				if (strcmp((yyvsp[0].string), "dormant") == 0) {
					(yyvsp[-2].table)->flags |= TABLE_F_DORMANT;
					xfree((yyvsp[0].string));
				} else if (strcmp((yyvsp[0].string), "owner") == 0) {
					(yyvsp[-2].table)->flags |= TABLE_F_OWNER;
					xfree((yyvsp[0].string));
				} else {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
			}
#line 9692 "parser_bison.c"
    break;

  case 255: /* table_options: comment_spec  */
#line 1891 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 9704 "parser_bison.c"
    break;

  case 256: /* table_block: %empty  */
#line 1900 "parser_bison.y"
                                                { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 9710 "parser_bison.c"
    break;

  case 260: /* table_block: table_block "chain" chain_identifier chain_block_alloc '{' chain_block '}' stmt_separator  */
#line 1907 "parser_bison.y"
                        {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9723 "parser_bison.c"
    break;

  case 261: /* table_block: table_block "set" set_identifier set_block_alloc '{' set_block '}' stmt_separator  */
#line 1918 "parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9735 "parser_bison.c"
    break;

  case 262: /* table_block: table_block "map" set_identifier map_block_alloc '{' map_block '}' stmt_separator  */
#line 1928 "parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9747 "parser_bison.c"
    break;

  case 263: /* table_block: table_block "flowtable" flowtable_identifier flowtable_block_alloc '{' flowtable_block '}' stmt_separator  */
#line 1939 "parser_bison.y"
                        {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9759 "parser_bison.c"
    break;

  case 264: /* table_block: table_block "counter" obj_identifier obj_block_alloc '{' counter_block '}' stmt_separator close_scope_counter  */
#line 1949 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9772 "parser_bison.c"
    break;

  case 265: /* table_block: table_block "quota" obj_identifier obj_block_alloc '{' quota_block '}' stmt_separator close_scope_quota  */
#line 1960 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9785 "parser_bison.c"
    break;

  case 266: /* table_block: table_block "ct" "helper" obj_identifier obj_block_alloc '{' ct_helper_block '}' stmt_separator close_scope_ct  */
#line 1969 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9798 "parser_bison.c"
    break;

  case 267: /* table_block: table_block "ct" "timeout" obj_identifier obj_block_alloc '{' ct_timeout_block '}' stmt_separator close_scope_ct  */
#line 1978 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9811 "parser_bison.c"
    break;

  case 268: /* table_block: table_block "ct" "expectation" obj_identifier obj_block_alloc '{' ct_expect_block '}' stmt_separator close_scope_ct  */
#line 1987 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9824 "parser_bison.c"
    break;

  case 269: /* table_block: table_block "limit" obj_identifier obj_block_alloc '{' limit_block '}' stmt_separator close_scope_limit  */
#line 1998 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9837 "parser_bison.c"
    break;

  case 270: /* table_block: table_block "secmark" obj_identifier obj_block_alloc '{' secmark_block '}' stmt_separator close_scope_secmark  */
#line 2009 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9850 "parser_bison.c"
    break;

  case 271: /* table_block: table_block "synproxy" obj_identifier obj_block_alloc '{' synproxy_block '}' stmt_separator close_scope_synproxy  */
#line 2020 "parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9863 "parser_bison.c"
    break;

  case 272: /* chain_block_alloc: %empty  */
#line 2031 "parser_bison.y"
                        {
				(yyval.chain) = chain_alloc(NULL);
				if (open_scope(state, &(yyval.chain)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9876 "parser_bison.c"
    break;

  case 273: /* chain_block: %empty  */
#line 2041 "parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 9882 "parser_bison.c"
    break;

  case 279: /* chain_block: chain_block rule stmt_separator  */
#line 2048 "parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 9891 "parser_bison.c"
    break;

  case 280: /* chain_block: chain_block "devices" '=' flowtable_expr stmt_separator  */
#line 2053 "parser_bison.y"
                        {
				if ((yyval.chain)->dev_expr) {
					list_splice_init(&(yyvsp[-1].expr)->expressions, &(yyval.chain)->dev_expr->expressions);
					expr_free((yyvsp[-1].expr));
					break;
				}
				(yyval.chain)->dev_expr = (yyvsp[-1].expr);
			}
#line 9904 "parser_bison.c"
    break;

  case 281: /* chain_block: chain_block comment_spec stmt_separator  */
#line 2062 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 9916 "parser_bison.c"
    break;

  case 282: /* subchain_block: %empty  */
#line 2071 "parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 9922 "parser_bison.c"
    break;

  case 284: /* subchain_block: subchain_block rule stmt_separator  */
#line 2074 "parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 9931 "parser_bison.c"
    break;

  case 285: /* typeof_data_expr: primary_expr  */
#line 2081 "parser_bison.y"
                        {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 9956 "parser_bison.c"
    break;

  case 286: /* typeof_data_expr: typeof_expr "." primary_expr  */
#line 2102 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9969 "parser_bison.c"
    break;

  case 287: /* typeof_expr: primary_expr  */
#line 2113 "parser_bison.y"
                        {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 9984 "parser_bison.c"
    break;

  case 288: /* typeof_expr: typeof_expr "." primary_expr  */
#line 2124 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9997 "parser_bison.c"
    break;

  case 289: /* set_block_alloc: %empty  */
#line 2136 "parser_bison.y"
                        {
				(yyval.set) = set_alloc(NULL);
			}
#line 10005 "parser_bison.c"
    break;

  case 290: /* set_block: %empty  */
#line 2141 "parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10011 "parser_bison.c"
    break;

  case 293: /* set_block: set_block "type" data_type_expr stmt_separator close_scope_type  */
#line 2145 "parser_bison.y"
                        {
				(yyvsp[-4].set)->key = (yyvsp[-2].expr);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 10020 "parser_bison.c"
    break;

  case 294: /* set_block: set_block "typeof" typeof_expr stmt_separator  */
#line 2150 "parser_bison.y"
                        {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				datatype_set((yyvsp[-3].set)->key, (yyvsp[-1].expr)->dtype);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10030 "parser_bison.c"
    break;

  case 295: /* set_block: set_block "flags" set_flag_list stmt_separator  */
#line 2156 "parser_bison.y"
                        {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10039 "parser_bison.c"
    break;

  case 296: /* set_block: set_block "timeout" time_spec stmt_separator  */
#line 2161 "parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10048 "parser_bison.c"
    break;

  case 297: /* set_block: set_block "gc-interval" time_spec stmt_separator  */
#line 2166 "parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10057 "parser_bison.c"
    break;

  case 298: /* set_block: set_block stateful_stmt_list stmt_separator  */
#line 2171 "parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10067 "parser_bison.c"
    break;

  case 299: /* set_block: set_block "elements" '=' set_block_expr  */
#line 2177 "parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10076 "parser_bison.c"
    break;

  case 300: /* set_block: set_block "auto-merge"  */
#line 2182 "parser_bison.y"
                        {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 10085 "parser_bison.c"
    break;

  case 302: /* set_block: set_block comment_spec stmt_separator  */
#line 2188 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10098 "parser_bison.c"
    break;

  case 305: /* set_flag_list: set_flag_list "comma" set_flag  */
#line 2203 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10106 "parser_bison.c"
    break;

  case 307: /* set_flag: "constant"  */
#line 2209 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_CONSTANT; }
#line 10112 "parser_bison.c"
    break;

  case 308: /* set_flag: "interval"  */
#line 2210 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_INTERVAL; }
#line 10118 "parser_bison.c"
    break;

  case 309: /* set_flag: "timeout"  */
#line 2211 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_TIMEOUT; }
#line 10124 "parser_bison.c"
    break;

  case 310: /* set_flag: "dynamic"  */
#line 2212 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_EVAL; }
#line 10130 "parser_bison.c"
    break;

  case 311: /* map_block_alloc: %empty  */
#line 2216 "parser_bison.y"
                        {
				(yyval.set) = set_alloc(NULL);
			}
#line 10138 "parser_bison.c"
    break;

  case 312: /* map_block_obj_type: "counter" close_scope_counter  */
#line 2221 "parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 10144 "parser_bison.c"
    break;

  case 313: /* map_block_obj_type: "quota" close_scope_quota  */
#line 2222 "parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 10150 "parser_bison.c"
    break;

  case 314: /* map_block_obj_type: "limit" close_scope_limit  */
#line 2223 "parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 10156 "parser_bison.c"
    break;

  case 315: /* map_block_obj_type: "secmark" close_scope_secmark  */
#line 2224 "parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 10162 "parser_bison.c"
    break;

  case 316: /* map_block_obj_type: "synproxy" close_scope_synproxy  */
#line 2225 "parser_bison.y"
                                                              { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 10168 "parser_bison.c"
    break;

  case 317: /* map_block: %empty  */
#line 2228 "parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10174 "parser_bison.c"
    break;

  case 320: /* map_block: map_block "timeout" time_spec stmt_separator  */
#line 2232 "parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10183 "parser_bison.c"
    break;

  case 321: /* map_block: map_block "type" data_type_expr "colon" data_type_expr stmt_separator close_scope_type  */
#line 2239 "parser_bison.y"
                        {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->data = (yyvsp[-2].expr);

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10195 "parser_bison.c"
    break;

  case 322: /* map_block: map_block "type" data_type_expr "colon" "interval" data_type_expr stmt_separator close_scope_type  */
#line 2249 "parser_bison.y"
                        {
				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 10208 "parser_bison.c"
    break;

  case 323: /* map_block: map_block "typeof" typeof_expr "colon" typeof_data_expr stmt_separator  */
#line 2260 "parser_bison.y"
                        {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				datatype_set((yyvsp[-5].set)->key, (yyvsp[-3].expr)->dtype);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 10221 "parser_bison.c"
    break;

  case 324: /* map_block: map_block "typeof" typeof_expr "colon" "interval" typeof_expr stmt_separator  */
#line 2271 "parser_bison.y"
                        {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				datatype_set((yyvsp[-6].set)->key, (yyvsp[-4].expr)->dtype);
				(yyvsp[-6].set)->data = (yyvsp[-1].expr);
				(yyvsp[-6].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10235 "parser_bison.c"
    break;

  case 325: /* map_block: map_block "type" data_type_expr "colon" map_block_obj_type stmt_separator close_scope_type  */
#line 2283 "parser_bison.y"
                        {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10246 "parser_bison.c"
    break;

  case 326: /* map_block: map_block "flags" set_flag_list stmt_separator  */
#line 2290 "parser_bison.y"
                        {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10255 "parser_bison.c"
    break;

  case 327: /* map_block: map_block stateful_stmt_list stmt_separator  */
#line 2295 "parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10265 "parser_bison.c"
    break;

  case 328: /* map_block: map_block "elements" '=' set_block_expr  */
#line 2301 "parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10274 "parser_bison.c"
    break;

  case 329: /* map_block: map_block comment_spec stmt_separator  */
#line 2306 "parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10287 "parser_bison.c"
    break;

  case 331: /* set_mechanism: "policy" set_policy_spec close_scope_policy  */
#line 2318 "parser_bison.y"
                        {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 10295 "parser_bison.c"
    break;

  case 332: /* set_mechanism: "size" "number"  */
#line 2322 "parser_bison.y"
                        {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 10303 "parser_bison.c"
    break;

  case 333: /* set_policy_spec: "performance"  */
#line 2327 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 10309 "parser_bison.c"
    break;

  case 334: /* set_policy_spec: "memory"  */
#line 2328 "parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 10315 "parser_bison.c"
    break;

  case 335: /* flowtable_block_alloc: %empty  */
#line 2332 "parser_bison.y"
                        {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 10323 "parser_bison.c"
    break;

  case 336: /* flowtable_block: %empty  */
#line 2337 "parser_bison.y"
                                                { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 10329 "parser_bison.c"
    break;

  case 339: /* flowtable_block: flowtable_block "hook" "string" prio_spec stmt_separator  */
#line 2341 "parser_bison.y"
                        {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 10347 "parser_bison.c"
    break;

  case 340: /* flowtable_block: flowtable_block "devices" '=' flowtable_expr stmt_separator  */
#line 2355 "parser_bison.y"
                        {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 10355 "parser_bison.c"
    break;

  case 341: /* flowtable_block: flowtable_block "counter" close_scope_counter  */
#line 2359 "parser_bison.y"
                        {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 10363 "parser_bison.c"
    break;

  case 342: /* flowtable_block: flowtable_block "flags" "offload" stmt_separator  */
#line 2363 "parser_bison.y"
                        {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 10371 "parser_bison.c"
    break;

  case 343: /* flowtable_expr: '{' flowtable_list_expr '}'  */
#line 2369 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10380 "parser_bison.c"
    break;

  case 344: /* flowtable_expr: variable_expr  */
#line 2374 "parser_bison.y"
                        {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10389 "parser_bison.c"
    break;

  case 345: /* flowtable_list_expr: flowtable_expr_member  */
#line 2381 "parser_bison.y"
                        {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10398 "parser_bison.c"
    break;

  case 346: /* flowtable_list_expr: flowtable_list_expr "comma" flowtable_expr_member  */
#line 2386 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10407 "parser_bison.c"
    break;

  case 348: /* flowtable_expr_member: "quoted string"  */
#line 2394 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10420 "parser_bison.c"
    break;

  case 349: /* flowtable_expr_member: "string"  */
#line 2403 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10433 "parser_bison.c"
    break;

  case 350: /* flowtable_expr_member: variable_expr  */
#line 2412 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10442 "parser_bison.c"
    break;

  case 351: /* data_type_atom_expr: type_identifier  */
#line 2419 "parser_bison.y"
                        {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 10459 "parser_bison.c"
    break;

  case 352: /* data_type_atom_expr: "time"  */
#line 2432 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 10468 "parser_bison.c"
    break;

  case 354: /* data_type_expr: data_type_expr "." data_type_atom_expr  */
#line 2440 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10481 "parser_bison.c"
    break;

  case 355: /* obj_block_alloc: %empty  */
#line 2451 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 10489 "parser_bison.c"
    break;

  case 356: /* counter_block: %empty  */
#line 2456 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10495 "parser_bison.c"
    break;

  case 359: /* counter_block: counter_block counter_config  */
#line 2460 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10503 "parser_bison.c"
    break;

  case 360: /* counter_block: counter_block comment_spec  */
#line 2464 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10515 "parser_bison.c"
    break;

  case 361: /* quota_block: %empty  */
#line 2473 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10521 "parser_bison.c"
    break;

  case 364: /* quota_block: quota_block quota_config  */
#line 2477 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10529 "parser_bison.c"
    break;

  case 365: /* quota_block: quota_block comment_spec  */
#line 2481 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10541 "parser_bison.c"
    break;

  case 366: /* ct_helper_block: %empty  */
#line 2490 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10547 "parser_bison.c"
    break;

  case 369: /* ct_helper_block: ct_helper_block ct_helper_config  */
#line 2494 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10555 "parser_bison.c"
    break;

  case 370: /* ct_helper_block: ct_helper_block comment_spec  */
#line 2498 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10567 "parser_bison.c"
    break;

  case 371: /* ct_timeout_block: %empty  */
#line 2508 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
				(yyval.obj)->type = NFT_OBJECT_CT_TIMEOUT;
			}
#line 10577 "parser_bison.c"
    break;

  case 374: /* ct_timeout_block: ct_timeout_block ct_timeout_config  */
#line 2516 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10585 "parser_bison.c"
    break;

  case 375: /* ct_timeout_block: ct_timeout_block comment_spec  */
#line 2520 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10597 "parser_bison.c"
    break;

  case 376: /* ct_expect_block: %empty  */
#line 2529 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10603 "parser_bison.c"
    break;

  case 379: /* ct_expect_block: ct_expect_block ct_expect_config  */
#line 2533 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10611 "parser_bison.c"
    break;

  case 380: /* ct_expect_block: ct_expect_block comment_spec  */
#line 2537 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10623 "parser_bison.c"
    break;

  case 381: /* limit_block: %empty  */
#line 2546 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10629 "parser_bison.c"
    break;

  case 384: /* limit_block: limit_block limit_config  */
#line 2550 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10637 "parser_bison.c"
    break;

  case 385: /* limit_block: limit_block comment_spec  */
#line 2554 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10649 "parser_bison.c"
    break;

  case 386: /* secmark_block: %empty  */
#line 2563 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10655 "parser_bison.c"
    break;

  case 389: /* secmark_block: secmark_block secmark_config  */
#line 2567 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10663 "parser_bison.c"
    break;

  case 390: /* secmark_block: secmark_block comment_spec  */
#line 2571 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10675 "parser_bison.c"
    break;

  case 391: /* synproxy_block: %empty  */
#line 2580 "parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10681 "parser_bison.c"
    break;

  case 394: /* synproxy_block: synproxy_block synproxy_config  */
#line 2584 "parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10689 "parser_bison.c"
    break;

  case 395: /* synproxy_block: synproxy_block comment_spec  */
#line 2588 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10701 "parser_bison.c"
    break;

  case 396: /* type_identifier: "string"  */
#line 2597 "parser_bison.y"
                                        { (yyval.string) = (yyvsp[0].string); }
#line 10707 "parser_bison.c"
    break;

  case 397: /* type_identifier: "mark"  */
#line 2598 "parser_bison.y"
                                        { (yyval.string) = xstrdup("mark"); }
#line 10713 "parser_bison.c"
    break;

  case 398: /* type_identifier: "dscp"  */
#line 2599 "parser_bison.y"
                                        { (yyval.string) = xstrdup("dscp"); }
#line 10719 "parser_bison.c"
    break;

  case 399: /* type_identifier: "ecn"  */
#line 2600 "parser_bison.y"
                                        { (yyval.string) = xstrdup("ecn"); }
#line 10725 "parser_bison.c"
    break;

  case 400: /* type_identifier: "classid"  */
#line 2601 "parser_bison.y"
                                        { (yyval.string) = xstrdup("classid"); }
#line 10731 "parser_bison.c"
    break;

  case 401: /* hook_spec: "type" close_scope_type "string" "hook" "string" dev_spec prio_spec  */
#line 2605 "parser_bison.y"
                        {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 10764 "parser_bison.c"
    break;

  case 402: /* prio_spec: "priority" extended_prio_spec  */
#line 2636 "parser_bison.y"
                        {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 10773 "parser_bison.c"
    break;

  case 403: /* extended_prio_name: "out"  */
#line 2643 "parser_bison.y"
                        {
				(yyval.string) = strdup("out");
			}
#line 10781 "parser_bison.c"
    break;

  case 405: /* extended_prio_spec: int_num  */
#line 2650 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 10795 "parser_bison.c"
    break;

  case 406: /* extended_prio_spec: variable_expr  */
#line 2660 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 10806 "parser_bison.c"
    break;

  case 407: /* extended_prio_spec: extended_prio_name  */
#line 2667 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 10821 "parser_bison.c"
    break;

  case 408: /* extended_prio_spec: extended_prio_name "+" "number"  */
#line 2678 "parser_bison.y"
                        {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 10838 "parser_bison.c"
    break;

  case 409: /* extended_prio_spec: extended_prio_name "-" "number"  */
#line 2691 "parser_bison.y"
                        {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 10855 "parser_bison.c"
    break;

  case 410: /* int_num: "number"  */
#line 2705 "parser_bison.y"
                                                        { (yyval.val32) = (yyvsp[0].val); }
#line 10861 "parser_bison.c"
    break;

  case 411: /* int_num: "-" "number"  */
#line 2706 "parser_bison.y"
                                                        { (yyval.val32) = -(yyvsp[0].val); }
#line 10867 "parser_bison.c"
    break;

  case 412: /* dev_spec: "device" string  */
#line 2710 "parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 10882 "parser_bison.c"
    break;

  case 413: /* dev_spec: "device" variable_expr  */
#line 2721 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10892 "parser_bison.c"
    break;

  case 414: /* dev_spec: "devices" '=' flowtable_expr  */
#line 2727 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10900 "parser_bison.c"
    break;

  case 415: /* dev_spec: %empty  */
#line 2730 "parser_bison.y"
                                                        { (yyval.expr) = NULL; }
#line 10906 "parser_bison.c"
    break;

  case 416: /* flags_spec: "flags" "offload"  */
#line 2734 "parser_bison.y"
                        {
				(yyvsp[-2].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 10914 "parser_bison.c"
    break;

  case 417: /* policy_spec: "policy" policy_expr close_scope_policy  */
#line 2740 "parser_bison.y"
                        {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 10929 "parser_bison.c"
    break;

  case 418: /* policy_expr: variable_expr  */
#line 2753 "parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10938 "parser_bison.c"
    break;

  case 419: /* policy_expr: chain_policy  */
#line 2758 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 10949 "parser_bison.c"
    break;

  case 420: /* chain_policy: "accept"  */
#line 2766 "parser_bison.y"
                                                { (yyval.val32) = NF_ACCEPT; }
#line 10955 "parser_bison.c"
    break;

  case 421: /* chain_policy: "drop"  */
#line 2767 "parser_bison.y"
                                                { (yyval.val32) = NF_DROP;   }
#line 10961 "parser_bison.c"
    break;

  case 423: /* identifier: "last"  */
#line 2771 "parser_bison.y"
                                                { (yyval.string) = xstrdup("last"); }
#line 10967 "parser_bison.c"
    break;

  case 427: /* time_spec: "string"  */
#line 2780 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 10984 "parser_bison.c"
    break;

  case 428: /* family_spec: %empty  */
#line 2794 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 10990 "parser_bison.c"
    break;

  case 430: /* family_spec_explicit: "ip" close_scope_ip  */
#line 2798 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 10996 "parser_bison.c"
    break;

  case 431: /* family_spec_explicit: "ip6" close_scope_ip6  */
#line 2799 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 11002 "parser_bison.c"
    break;

  case 432: /* family_spec_explicit: "inet"  */
#line 2800 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_INET; }
#line 11008 "parser_bison.c"
    break;

  case 433: /* family_spec_explicit: "arp" close_scope_arp  */
#line 2801 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_ARP; }
#line 11014 "parser_bison.c"
    break;

  case 434: /* family_spec_explicit: "bridge"  */
#line 2802 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_BRIDGE; }
#line 11020 "parser_bison.c"
    break;

  case 435: /* family_spec_explicit: "netdev"  */
#line 2803 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_NETDEV; }
#line 11026 "parser_bison.c"
    break;

  case 436: /* table_spec: family_spec identifier  */
#line 2807 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 11037 "parser_bison.c"
    break;

  case 437: /* tableid_spec: family_spec "handle" "number"  */
#line 2816 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 11048 "parser_bison.c"
    break;

  case 438: /* chain_spec: table_spec identifier  */
#line 2825 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 11058 "parser_bison.c"
    break;

  case 439: /* chainid_spec: table_spec "handle" "number"  */
#line 2833 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11068 "parser_bison.c"
    break;

  case 440: /* chain_identifier: identifier  */
#line 2841 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 11078 "parser_bison.c"
    break;

  case 441: /* set_spec: table_spec identifier  */
#line 2849 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11088 "parser_bison.c"
    break;

  case 442: /* setid_spec: table_spec "handle" "number"  */
#line 2857 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11098 "parser_bison.c"
    break;

  case 443: /* set_identifier: identifier  */
#line 2865 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11108 "parser_bison.c"
    break;

  case 444: /* flowtable_spec: table_spec identifier  */
#line 2873 "parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11118 "parser_bison.c"
    break;

  case 445: /* flowtableid_spec: table_spec "handle" "number"  */
#line 2881 "parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11128 "parser_bison.c"
    break;

  case 446: /* flowtable_identifier: identifier  */
#line 2889 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11138 "parser_bison.c"
    break;

  case 447: /* obj_spec: table_spec identifier  */
#line 2897 "parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 11148 "parser_bison.c"
    break;

  case 448: /* objid_spec: table_spec "handle" "number"  */
#line 2905 "parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11158 "parser_bison.c"
    break;

  case 449: /* obj_identifier: identifier  */
#line 2913 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 11168 "parser_bison.c"
    break;

  case 450: /* handle_spec: "handle" "number"  */
#line 2921 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11178 "parser_bison.c"
    break;

  case 451: /* position_spec: "position" "number"  */
#line 2929 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 11188 "parser_bison.c"
    break;

  case 452: /* index_spec: "index" "number"  */
#line 2937 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 11198 "parser_bison.c"
    break;

  case 453: /* rule_position: chain_spec  */
#line 2945 "parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 11206 "parser_bison.c"
    break;

  case 454: /* rule_position: chain_spec position_spec  */
#line 2949 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11215 "parser_bison.c"
    break;

  case 455: /* rule_position: chain_spec handle_spec  */
#line 2954 "parser_bison.y"
                        {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11227 "parser_bison.c"
    break;

  case 456: /* rule_position: chain_spec index_spec  */
#line 2962 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11236 "parser_bison.c"
    break;

  case 457: /* ruleid_spec: chain_spec handle_spec  */
#line 2969 "parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11245 "parser_bison.c"
    break;

  case 458: /* comment_spec: "comment" string  */
#line 2976 "parser_bison.y"
                        {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 11260 "parser_bison.c"
    break;

  case 459: /* ruleset_spec: %empty  */
#line 2989 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 11269 "parser_bison.c"
    break;

  case 460: /* ruleset_spec: family_spec_explicit  */
#line 2994 "parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 11278 "parser_bison.c"
    break;

  case 461: /* rule: rule_alloc  */
#line 3001 "parser_bison.y"
                        {
				(yyval.rule)->comment = NULL;
			}
#line 11286 "parser_bison.c"
    break;

  case 462: /* rule: rule_alloc comment_spec  */
#line 3005 "parser_bison.y"
                        {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 11294 "parser_bison.c"
    break;

  case 463: /* rule_alloc: stmt_list  */
#line 3011 "parser_bison.y"
                        {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 11308 "parser_bison.c"
    break;

  case 464: /* stmt_list: stmt  */
#line 3023 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11318 "parser_bison.c"
    break;

  case 465: /* stmt_list: stmt_list stmt  */
#line 3029 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11327 "parser_bison.c"
    break;

  case 466: /* stateful_stmt_list: stateful_stmt  */
#line 3036 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11337 "parser_bison.c"
    break;

  case 467: /* stateful_stmt_list: stateful_stmt_list stateful_stmt  */
#line 3042 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11346 "parser_bison.c"
    break;

  case 495: /* xt_stmt: "xt" "string" string  */
#line 3080 "parser_bison.y"
                        {
				(yyval.stmt) = NULL;
				xfree((yyvsp[-1].string));
				xfree((yyvsp[0].string));
				erec_queue(error(&(yyloc), "unsupported xtables compat expression, use iptables-nft with this ruleset"),
					   state->msgs);
				YYERROR;
			}
#line 11359 "parser_bison.c"
    break;

  case 496: /* chain_stmt_type: "jump"  */
#line 3090 "parser_bison.y"
                                        { (yyval.val) = NFT_JUMP; }
#line 11365 "parser_bison.c"
    break;

  case 497: /* chain_stmt_type: "goto"  */
#line 3091 "parser_bison.y"
                                        { (yyval.val) = NFT_GOTO; }
#line 11371 "parser_bison.c"
    break;

  case 498: /* chain_stmt: chain_stmt_type chain_block_alloc '{' subchain_block '}'  */
#line 3095 "parser_bison.y"
                        {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 11382 "parser_bison.c"
    break;

  case 499: /* verdict_stmt: verdict_expr  */
#line 3104 "parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11390 "parser_bison.c"
    break;

  case 500: /* verdict_stmt: verdict_map_stmt  */
#line 3108 "parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11398 "parser_bison.c"
    break;

  case 501: /* verdict_map_stmt: concat_expr "vmap" verdict_map_expr  */
#line 3114 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11406 "parser_bison.c"
    break;

  case 502: /* verdict_map_expr: '{' verdict_map_list_expr '}'  */
#line 3120 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11415 "parser_bison.c"
    break;

  case 504: /* verdict_map_list_expr: verdict_map_list_member_expr  */
#line 3128 "parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11424 "parser_bison.c"
    break;

  case 505: /* verdict_map_list_expr: verdict_map_list_expr "comma" verdict_map_list_member_expr  */
#line 3133 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11433 "parser_bison.c"
    break;

  case 507: /* verdict_map_list_member_expr: opt_newline set_elem_expr "colon" verdict_expr opt_newline  */
#line 3141 "parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11441 "parser_bison.c"
    break;

  case 508: /* connlimit_stmt: "ct" "count" "number" close_scope_ct  */
#line 3147 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 11450 "parser_bison.c"
    break;

  case 509: /* connlimit_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 3152 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 11460 "parser_bison.c"
    break;

  case 512: /* counter_stmt_alloc: "counter"  */
#line 3163 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 11468 "parser_bison.c"
    break;

  case 513: /* counter_stmt_alloc: "counter" "name" stmt_expr  */
#line 3167 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 11478 "parser_bison.c"
    break;

  case 514: /* counter_args: counter_arg  */
#line 3175 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11486 "parser_bison.c"
    break;

  case 516: /* counter_arg: "packets" "number"  */
#line 3182 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 11494 "parser_bison.c"
    break;

  case 517: /* counter_arg: "bytes" "number"  */
#line 3186 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 11502 "parser_bison.c"
    break;

  case 518: /* last_stmt: "last"  */
#line 3192 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11510 "parser_bison.c"
    break;

  case 519: /* last_stmt: "last" "used" "never"  */
#line 3196 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11518 "parser_bison.c"
    break;

  case 520: /* last_stmt: "last" "used" time_spec  */
#line 3200 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[0].val);
				(yyval.stmt)->last.set = true;
			}
#line 11528 "parser_bison.c"
    break;

  case 523: /* log_stmt_alloc: "log"  */
#line 3212 "parser_bison.y"
                        {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 11536 "parser_bison.c"
    break;

  case 524: /* log_args: log_arg  */
#line 3218 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11544 "parser_bison.c"
    break;

  case 526: /* log_arg: "prefix" string  */
#line 3225 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				bool done = false, another_var = false;
				char *start, *end, scratch = '\0';
				struct expr *expr, *item;
				struct symbol *sym;
				enum {
					PARSE_TEXT,
					PARSE_VAR,
				} prefix_state;

				/* No variables in log prefix, skip. */
				if (!strchr((yyvsp[0].string), '$')) {
					expr = constant_expr_alloc(&(yyloc), &string_type,
								   BYTEORDER_HOST_ENDIAN,
								   (strlen((yyvsp[0].string)) + 1) * BITS_PER_BYTE, (yyvsp[0].string));
					xfree((yyvsp[0].string));
					(yyvsp[-2].stmt)->log.prefix = expr;
					(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
					break;
				}

				/* Parse variables in log prefix string using a
				 * state machine parser with two states. This
				 * parser creates list of expressions composed
				 * of constant and variable expressions.
				 */
				expr = compound_expr_alloc(&(yyloc), EXPR_LIST);

				start = (char *)(yyvsp[0].string);

				if (*start != '$') {
					prefix_state = PARSE_TEXT;
				} else {
					prefix_state = PARSE_VAR;
					start++;
				}
				end = start;

				/* Not nice, but works. */
				while (!done) {
					switch (prefix_state) {
					case PARSE_TEXT:
						while (*end != '\0' && *end != '$')
							end++;

						if (*end == '\0')
							done = true;

						*end = '\0';
						item = constant_expr_alloc(&(yyloc), &string_type,
									   BYTEORDER_HOST_ENDIAN,
									   (strlen(start) + 1) * BITS_PER_BYTE,
									   start);
						compound_expr_add(expr, item);

						if (done)
							break;

						start = end + 1;
						end = start;

						/* fall through */
					case PARSE_VAR:
						while (isalnum(*end) || *end == '_')
							end++;

						if (*end == '\0')
							done = true;
						else if (*end == '$')
							another_var = true;
						else
							scratch = *end;

						*end = '\0';

						sym = symbol_get(scope, start);
						if (!sym) {
							sym = symbol_lookup_fuzzy(scope, start);
							if (sym) {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
										 "did you mean identifier ‘%s’?",
										 start, sym->identifier),
									   state->msgs);
							} else {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'",
										 start),
									   state->msgs);
							}
							expr_free(expr);
							xfree((yyvsp[0].string));
							YYERROR;
						}
						item = variable_expr_alloc(&(yyloc), scope, sym);
						compound_expr_add(expr, item);

						if (done)
							break;

						/* Restore original byte after
						 * symbol lookup.
						 */
						if (scratch) {
							*end = scratch;
							scratch = '\0';
						}

						start = end;
						if (another_var) {
							another_var = false;
							start++;
							prefix_state = PARSE_VAR;
						} else {
							prefix_state = PARSE_TEXT;
						}
						end = start;
						break;
					}
				}

				xfree((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix	 = expr;
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 11673 "parser_bison.c"
    break;

  case 527: /* log_arg: "group" "number"  */
#line 3350 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 11682 "parser_bison.c"
    break;

  case 528: /* log_arg: "snaplen" "number"  */
#line 3355 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 11691 "parser_bison.c"
    break;

  case 529: /* log_arg: "queue-threshold" "number"  */
#line 3360 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 11700 "parser_bison.c"
    break;

  case 530: /* log_arg: "level" level_type  */
#line 3365 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 11709 "parser_bison.c"
    break;

  case 531: /* log_arg: "flags" log_flags  */
#line 3370 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 11717 "parser_bison.c"
    break;

  case 532: /* level_type: string  */
#line 3376 "parser_bison.y"
                        {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 11749 "parser_bison.c"
    break;

  case 533: /* log_flags: "tcp" log_flags_tcp close_scope_tcp  */
#line 3406 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 11757 "parser_bison.c"
    break;

  case 534: /* log_flags: "ip" "options" close_scope_ip  */
#line 3410 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 11765 "parser_bison.c"
    break;

  case 535: /* log_flags: "skuid"  */
#line 3414 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_UID;
			}
#line 11773 "parser_bison.c"
    break;

  case 536: /* log_flags: "ether" close_scope_eth  */
#line 3418 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 11781 "parser_bison.c"
    break;

  case 537: /* log_flags: "all"  */
#line 3422 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MASK;
			}
#line 11789 "parser_bison.c"
    break;

  case 538: /* log_flags_tcp: log_flags_tcp "comma" log_flag_tcp  */
#line 3428 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11797 "parser_bison.c"
    break;

  case 540: /* log_flag_tcp: "seq"  */
#line 3435 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 11805 "parser_bison.c"
    break;

  case 541: /* log_flag_tcp: "options"  */
#line 3439 "parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 11813 "parser_bison.c"
    break;

  case 542: /* limit_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 3445 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "packet limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11831 "parser_bison.c"
    break;

  case 543: /* limit_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 3459 "parser_bison.y"
                        {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11844 "parser_bison.c"
    break;

  case 544: /* limit_stmt: "limit" "name" stmt_expr close_scope_limit  */
#line 3468 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11854 "parser_bison.c"
    break;

  case 545: /* quota_mode: "over"  */
#line 3475 "parser_bison.y"
                                                { (yyval.val) = NFT_QUOTA_F_INV; }
#line 11860 "parser_bison.c"
    break;

  case 546: /* quota_mode: "until"  */
#line 3476 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11866 "parser_bison.c"
    break;

  case 547: /* quota_mode: %empty  */
#line 3477 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11872 "parser_bison.c"
    break;

  case 548: /* quota_unit: "bytes"  */
#line 3480 "parser_bison.y"
                                                { (yyval.string) = xstrdup("bytes"); }
#line 11878 "parser_bison.c"
    break;

  case 549: /* quota_unit: "string"  */
#line 3481 "parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 11884 "parser_bison.c"
    break;

  case 550: /* quota_used: %empty  */
#line 3484 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 11890 "parser_bison.c"
    break;

  case 551: /* quota_used: "used" "number" quota_unit  */
#line 3486 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 11907 "parser_bison.c"
    break;

  case 552: /* quota_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 3501 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 11927 "parser_bison.c"
    break;

  case 553: /* quota_stmt: "quota" "name" stmt_expr close_scope_quota  */
#line 3517 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11937 "parser_bison.c"
    break;

  case 554: /* limit_mode: "over"  */
#line 3524 "parser_bison.y"
                                                                { (yyval.val) = NFT_LIMIT_F_INV; }
#line 11943 "parser_bison.c"
    break;

  case 555: /* limit_mode: "until"  */
#line 3525 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 11949 "parser_bison.c"
    break;

  case 556: /* limit_mode: %empty  */
#line 3526 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 11955 "parser_bison.c"
    break;

  case 557: /* limit_burst_pkts: %empty  */
#line 3529 "parser_bison.y"
                                                                { (yyval.val) = 5; }
#line 11961 "parser_bison.c"
    break;

  case 558: /* limit_burst_pkts: "burst" "number" "packets"  */
#line 3530 "parser_bison.y"
                                                                { (yyval.val) = (yyvsp[-1].val); }
#line 11967 "parser_bison.c"
    break;

  case 559: /* limit_rate_pkts: "number" "/" time_unit  */
#line 3534 "parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 11976 "parser_bison.c"
    break;

  case 560: /* limit_burst_bytes: %empty  */
#line 3540 "parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 11982 "parser_bison.c"
    break;

  case 561: /* limit_burst_bytes: "burst" limit_bytes  */
#line 3541 "parser_bison.y"
                                                                { (yyval.val) = (yyvsp[0].val); }
#line 11988 "parser_bison.c"
    break;

  case 562: /* limit_rate_bytes: "number" "string"  */
#line 3545 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 12006 "parser_bison.c"
    break;

  case 563: /* limit_rate_bytes: limit_bytes "/" time_unit  */
#line 3559 "parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12015 "parser_bison.c"
    break;

  case 564: /* limit_bytes: "number" "bytes"  */
#line 3565 "parser_bison.y"
                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 12021 "parser_bison.c"
    break;

  case 565: /* limit_bytes: "number" "string"  */
#line 3567 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12038 "parser_bison.c"
    break;

  case 566: /* time_unit: "second"  */
#line 3581 "parser_bison.y"
                                                { (yyval.val) = 1ULL; }
#line 12044 "parser_bison.c"
    break;

  case 567: /* time_unit: "minute"  */
#line 3582 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60; }
#line 12050 "parser_bison.c"
    break;

  case 568: /* time_unit: "hour"  */
#line 3583 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60; }
#line 12056 "parser_bison.c"
    break;

  case 569: /* time_unit: "day"  */
#line 3584 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 12062 "parser_bison.c"
    break;

  case 570: /* time_unit: "week"  */
#line 3585 "parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 12068 "parser_bison.c"
    break;

  case 572: /* reject_stmt_alloc: "reject"  */
#line 3592 "parser_bison.y"
                        {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 12076 "parser_bison.c"
    break;

  case 573: /* reject_with_expr: "string"  */
#line 3598 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 12086 "parser_bison.c"
    break;

  case 574: /* reject_with_expr: integer_expr  */
#line 3603 "parser_bison.y"
                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12092 "parser_bison.c"
    break;

  case 575: /* reject_opts: %empty  */
#line 3607 "parser_bison.y"
                        {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 12101 "parser_bison.c"
    break;

  case 576: /* reject_opts: "with" "icmp" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3612 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmp_code_type);
			}
#line 12112 "parser_bison.c"
    break;

  case 577: /* reject_opts: "with" "icmp" reject_with_expr  */
#line 3619 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmp_code_type);
			}
#line 12123 "parser_bison.c"
    break;

  case 578: /* reject_opts: "with" "icmpv6" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3626 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 12134 "parser_bison.c"
    break;

  case 579: /* reject_opts: "with" "icmpv6" reject_with_expr  */
#line 3633 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 12145 "parser_bison.c"
    break;

  case 580: /* reject_opts: "with" "icmpx" "type" reject_with_expr close_scope_type  */
#line 3640 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &icmpx_code_type);
			}
#line 12155 "parser_bison.c"
    break;

  case 581: /* reject_opts: "with" "icmpx" reject_with_expr  */
#line 3646 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpx_code_type);
			}
#line 12165 "parser_bison.c"
    break;

  case 582: /* reject_opts: "with" "tcp" close_scope_tcp "reset" close_scope_reset  */
#line 3652 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 12173 "parser_bison.c"
    break;

  case 584: /* nat_stmt_alloc: "snat"  */
#line 3660 "parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 12179 "parser_bison.c"
    break;

  case 585: /* nat_stmt_alloc: "dnat"  */
#line 3661 "parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 12185 "parser_bison.c"
    break;

  case 586: /* tproxy_stmt: "tproxy" "to" stmt_expr  */
#line 3665 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12195 "parser_bison.c"
    break;

  case 587: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr  */
#line 3671 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12205 "parser_bison.c"
    break;

  case 588: /* tproxy_stmt: "tproxy" "to" "colon" stmt_expr  */
#line 3677 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12215 "parser_bison.c"
    break;

  case 589: /* tproxy_stmt: "tproxy" "to" stmt_expr "colon" stmt_expr  */
#line 3683 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12226 "parser_bison.c"
    break;

  case 590: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3690 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12237 "parser_bison.c"
    break;

  case 591: /* tproxy_stmt: "tproxy" nf_key_proto "to" "colon" stmt_expr  */
#line 3697 "parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12247 "parser_bison.c"
    break;

  case 594: /* synproxy_stmt_alloc: "synproxy"  */
#line 3709 "parser_bison.y"
                        {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 12255 "parser_bison.c"
    break;

  case 595: /* synproxy_stmt_alloc: "synproxy" "name" stmt_expr  */
#line 3713 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 12265 "parser_bison.c"
    break;

  case 596: /* synproxy_args: synproxy_arg  */
#line 3721 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12273 "parser_bison.c"
    break;

  case 598: /* synproxy_arg: "mss" "number"  */
#line 3728 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 12282 "parser_bison.c"
    break;

  case 599: /* synproxy_arg: "wscale" "number"  */
#line 3733 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 12291 "parser_bison.c"
    break;

  case 600: /* synproxy_arg: "timestamp"  */
#line 3738 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12299 "parser_bison.c"
    break;

  case 601: /* synproxy_arg: "sack-permitted"  */
#line 3742 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12307 "parser_bison.c"
    break;

  case 602: /* synproxy_config: "mss" "number" "wscale" "number" synproxy_ts synproxy_sack  */
#line 3748 "parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12327 "parser_bison.c"
    break;

  case 603: /* synproxy_config: "mss" "number" stmt_separator "wscale" "number" stmt_separator synproxy_ts synproxy_sack  */
#line 3764 "parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12347 "parser_bison.c"
    break;

  case 604: /* synproxy_obj: %empty  */
#line 3782 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 12356 "parser_bison.c"
    break;

  case 605: /* synproxy_ts: %empty  */
#line 3788 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12362 "parser_bison.c"
    break;

  case 606: /* synproxy_ts: "timestamp"  */
#line 3790 "parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12370 "parser_bison.c"
    break;

  case 607: /* synproxy_sack: %empty  */
#line 3795 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12376 "parser_bison.c"
    break;

  case 608: /* synproxy_sack: "sack-permitted"  */
#line 3797 "parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12384 "parser_bison.c"
    break;

  case 609: /* primary_stmt_expr: symbol_expr  */
#line 3802 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12390 "parser_bison.c"
    break;

  case 610: /* primary_stmt_expr: integer_expr  */
#line 3803 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12396 "parser_bison.c"
    break;

  case 611: /* primary_stmt_expr: boolean_expr  */
#line 3804 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12402 "parser_bison.c"
    break;

  case 612: /* primary_stmt_expr: meta_expr  */
#line 3805 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12408 "parser_bison.c"
    break;

  case 613: /* primary_stmt_expr: rt_expr  */
#line 3806 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12414 "parser_bison.c"
    break;

  case 614: /* primary_stmt_expr: ct_expr  */
#line 3807 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12420 "parser_bison.c"
    break;

  case 615: /* primary_stmt_expr: numgen_expr  */
#line 3808 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12426 "parser_bison.c"
    break;

  case 616: /* primary_stmt_expr: hash_expr  */
#line 3809 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12432 "parser_bison.c"
    break;

  case 617: /* primary_stmt_expr: payload_expr  */
#line 3810 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12438 "parser_bison.c"
    break;

  case 618: /* primary_stmt_expr: keyword_expr  */
#line 3811 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12444 "parser_bison.c"
    break;

  case 619: /* primary_stmt_expr: socket_expr  */
#line 3812 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12450 "parser_bison.c"
    break;

  case 620: /* primary_stmt_expr: osf_expr  */
#line 3813 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12456 "parser_bison.c"
    break;

  case 621: /* primary_stmt_expr: '(' basic_stmt_expr ')'  */
#line 3814 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 12462 "parser_bison.c"
    break;

  case 623: /* shift_stmt_expr: shift_stmt_expr "<<" primary_stmt_expr  */
#line 3819 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12470 "parser_bison.c"
    break;

  case 624: /* shift_stmt_expr: shift_stmt_expr ">>" primary_stmt_expr  */
#line 3823 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12478 "parser_bison.c"
    break;

  case 626: /* and_stmt_expr: and_stmt_expr "&" shift_stmt_expr  */
#line 3830 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12486 "parser_bison.c"
    break;

  case 628: /* exclusive_or_stmt_expr: exclusive_or_stmt_expr "^" and_stmt_expr  */
#line 3837 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12494 "parser_bison.c"
    break;

  case 630: /* inclusive_or_stmt_expr: inclusive_or_stmt_expr '|' exclusive_or_stmt_expr  */
#line 3844 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12502 "parser_bison.c"
    break;

  case 633: /* concat_stmt_expr: concat_stmt_expr "." primary_stmt_expr  */
#line 3854 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12515 "parser_bison.c"
    break;

  case 636: /* map_stmt_expr: concat_stmt_expr "map" map_stmt_expr_set  */
#line 3869 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12523 "parser_bison.c"
    break;

  case 637: /* map_stmt_expr: concat_stmt_expr  */
#line 3872 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 12529 "parser_bison.c"
    break;

  case 638: /* prefix_stmt_expr: basic_stmt_expr "/" "number"  */
#line 3876 "parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 12537 "parser_bison.c"
    break;

  case 639: /* range_stmt_expr: basic_stmt_expr "-" basic_stmt_expr  */
#line 3882 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12545 "parser_bison.c"
    break;

  case 645: /* nat_stmt_args: stmt_expr  */
#line 3897 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12553 "parser_bison.c"
    break;

  case 646: /* nat_stmt_args: "to" stmt_expr  */
#line 3901 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12561 "parser_bison.c"
    break;

  case 647: /* nat_stmt_args: nf_key_proto "to" stmt_expr  */
#line 3905 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12570 "parser_bison.c"
    break;

  case 648: /* nat_stmt_args: stmt_expr "colon" stmt_expr  */
#line 3910 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12579 "parser_bison.c"
    break;

  case 649: /* nat_stmt_args: "to" stmt_expr "colon" stmt_expr  */
#line 3915 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12588 "parser_bison.c"
    break;

  case 650: /* nat_stmt_args: nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3920 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12598 "parser_bison.c"
    break;

  case 651: /* nat_stmt_args: "colon" stmt_expr  */
#line 3926 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12606 "parser_bison.c"
    break;

  case 652: /* nat_stmt_args: "to" "colon" stmt_expr  */
#line 3930 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12614 "parser_bison.c"
    break;

  case 653: /* nat_stmt_args: nat_stmt_args nf_nat_flags  */
#line 3934 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12622 "parser_bison.c"
    break;

  case 654: /* nat_stmt_args: nf_key_proto "addr" "." "port" "to" stmt_expr  */
#line 3938 "parser_bison.y"
                        {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 12632 "parser_bison.c"
    break;

  case 655: /* nat_stmt_args: nf_key_proto "interval" "to" stmt_expr  */
#line 3944 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12641 "parser_bison.c"
    break;

  case 656: /* nat_stmt_args: "interval" "to" stmt_expr  */
#line 3949 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12649 "parser_bison.c"
    break;

  case 657: /* nat_stmt_args: nf_key_proto "prefix" "to" stmt_expr  */
#line 3953 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12661 "parser_bison.c"
    break;

  case 658: /* nat_stmt_args: "prefix" "to" stmt_expr  */
#line 3961 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12672 "parser_bison.c"
    break;

  case 661: /* masq_stmt_alloc: "masquerade"  */
#line 3973 "parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 12678 "parser_bison.c"
    break;

  case 662: /* masq_stmt_args: "to" "colon" stmt_expr  */
#line 3977 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12686 "parser_bison.c"
    break;

  case 663: /* masq_stmt_args: "to" "colon" stmt_expr nf_nat_flags  */
#line 3981 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12695 "parser_bison.c"
    break;

  case 664: /* masq_stmt_args: nf_nat_flags  */
#line 3986 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12703 "parser_bison.c"
    break;

  case 667: /* redir_stmt_alloc: "redirect"  */
#line 3995 "parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 12709 "parser_bison.c"
    break;

  case 668: /* redir_stmt_arg: "to" stmt_expr  */
#line 3999 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12717 "parser_bison.c"
    break;

  case 669: /* redir_stmt_arg: "to" "colon" stmt_expr  */
#line 4003 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12725 "parser_bison.c"
    break;

  case 670: /* redir_stmt_arg: nf_nat_flags  */
#line 4007 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12733 "parser_bison.c"
    break;

  case 671: /* redir_stmt_arg: "to" stmt_expr nf_nat_flags  */
#line 4011 "parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12742 "parser_bison.c"
    break;

  case 672: /* redir_stmt_arg: "to" "colon" stmt_expr nf_nat_flags  */
#line 4016 "parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12751 "parser_bison.c"
    break;

  case 673: /* dup_stmt: "dup" "to" stmt_expr  */
#line 4023 "parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 12760 "parser_bison.c"
    break;

  case 674: /* dup_stmt: "dup" "to" stmt_expr "device" stmt_expr  */
#line 4028 "parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 12770 "parser_bison.c"
    break;

  case 675: /* fwd_stmt: "fwd" "to" stmt_expr  */
#line 4036 "parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12779 "parser_bison.c"
    break;

  case 676: /* fwd_stmt: "fwd" nf_key_proto "to" stmt_expr "device" stmt_expr  */
#line 4041 "parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 12790 "parser_bison.c"
    break;

  case 678: /* nf_nat_flags: nf_nat_flags "comma" nf_nat_flag  */
#line 4051 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12798 "parser_bison.c"
    break;

  case 679: /* nf_nat_flag: "random"  */
#line 4056 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 12804 "parser_bison.c"
    break;

  case 680: /* nf_nat_flag: "fully-random"  */
#line 4057 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 12810 "parser_bison.c"
    break;

  case 681: /* nf_nat_flag: "persistent"  */
#line 4058 "parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 12816 "parser_bison.c"
    break;

  case 683: /* queue_stmt: "queue" "to" queue_stmt_expr close_scope_queue  */
#line 4063 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 12824 "parser_bison.c"
    break;

  case 684: /* queue_stmt: "queue" "flags" queue_stmt_flags "to" queue_stmt_expr close_scope_queue  */
#line 4067 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 12832 "parser_bison.c"
    break;

  case 685: /* queue_stmt: "queue" "flags" queue_stmt_flags "num" queue_stmt_expr_simple close_scope_queue  */
#line 4071 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 12840 "parser_bison.c"
    break;

  case 688: /* queue_stmt_alloc: "queue"  */
#line 4081 "parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 12848 "parser_bison.c"
    break;

  case 689: /* queue_stmt_args: queue_stmt_arg  */
#line 4087 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12856 "parser_bison.c"
    break;

  case 691: /* queue_stmt_arg: "num" queue_stmt_expr_simple  */
#line 4094 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 12865 "parser_bison.c"
    break;

  case 692: /* queue_stmt_arg: queue_stmt_flags  */
#line 4099 "parser_bison.y"
                        {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 12873 "parser_bison.c"
    break;

  case 697: /* queue_stmt_expr_simple: queue_expr "-" queue_expr  */
#line 4111 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12881 "parser_bison.c"
    break;

  case 703: /* queue_stmt_flags: queue_stmt_flags "comma" queue_stmt_flag  */
#line 4124 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12889 "parser_bison.c"
    break;

  case 704: /* queue_stmt_flag: "bypass"  */
#line 4129 "parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 12895 "parser_bison.c"
    break;

  case 705: /* queue_stmt_flag: "fanout"  */
#line 4130 "parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 12901 "parser_bison.c"
    break;

  case 708: /* set_elem_expr_stmt_alloc: concat_expr  */
#line 4138 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 12909 "parser_bison.c"
    break;

  case 709: /* set_stmt: "set" set_stmt_op set_elem_expr_stmt set_ref_expr  */
#line 4144 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 12920 "parser_bison.c"
    break;

  case 710: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt '}'  */
#line 4151 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 12931 "parser_bison.c"
    break;

  case 711: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list '}'  */
#line 4158 "parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 12944 "parser_bison.c"
    break;

  case 712: /* set_stmt_op: "add"  */
#line 4168 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 12950 "parser_bison.c"
    break;

  case 713: /* set_stmt_op: "update"  */
#line 4169 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 12956 "parser_bison.c"
    break;

  case 714: /* set_stmt_op: "delete"  */
#line 4170 "parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 12962 "parser_bison.c"
    break;

  case 715: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt "colon" set_elem_expr_stmt '}'  */
#line 4174 "parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 12974 "parser_bison.c"
    break;

  case 716: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list "colon" set_elem_expr_stmt '}'  */
#line 4182 "parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 12988 "parser_bison.c"
    break;

  case 717: /* meter_stmt: flow_stmt_legacy_alloc flow_stmt_opts '{' meter_key_expr stmt '}'  */
#line 4194 "parser_bison.y"
                        {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 12999 "parser_bison.c"
    break;

  case 718: /* meter_stmt: meter_stmt_alloc  */
#line 4200 "parser_bison.y"
                                                                { (yyval.stmt) = (yyvsp[0].stmt); }
#line 13005 "parser_bison.c"
    break;

  case 719: /* flow_stmt_legacy_alloc: "flow"  */
#line 4204 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 13013 "parser_bison.c"
    break;

  case 720: /* flow_stmt_opts: flow_stmt_opt  */
#line 4210 "parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 13021 "parser_bison.c"
    break;

  case 722: /* flow_stmt_opt: "table" identifier  */
#line 4217 "parser_bison.y"
                        {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 13029 "parser_bison.c"
    break;

  case 723: /* meter_stmt_alloc: "meter" identifier '{' meter_key_expr stmt '}'  */
#line 4223 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13042 "parser_bison.c"
    break;

  case 724: /* meter_stmt_alloc: "meter" identifier "size" "number" '{' meter_key_expr stmt '}'  */
#line 4232 "parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13055 "parser_bison.c"
    break;

  case 725: /* match_stmt: relational_expr  */
#line 4243 "parser_bison.y"
                        {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 13063 "parser_bison.c"
    break;

  case 726: /* variable_expr: '$' identifier  */
#line 4249 "parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 13091 "parser_bison.c"
    break;

  case 728: /* symbol_expr: string  */
#line 4276 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 13102 "parser_bison.c"
    break;

  case 731: /* set_ref_symbol_expr: "@" identifier close_scope_at  */
#line 4289 "parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				xfree((yyvsp[-1].string));
			}
#line 13113 "parser_bison.c"
    break;

  case 732: /* integer_expr: "number"  */
#line 4298 "parser_bison.y"
                        {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 13126 "parser_bison.c"
    break;

  case 733: /* primary_expr: symbol_expr  */
#line 4308 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13132 "parser_bison.c"
    break;

  case 734: /* primary_expr: integer_expr  */
#line 4309 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13138 "parser_bison.c"
    break;

  case 735: /* primary_expr: payload_expr  */
#line 4310 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13144 "parser_bison.c"
    break;

  case 736: /* primary_expr: exthdr_expr  */
#line 4311 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13150 "parser_bison.c"
    break;

  case 737: /* primary_expr: exthdr_exists_expr  */
#line 4312 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13156 "parser_bison.c"
    break;

  case 738: /* primary_expr: meta_expr  */
#line 4313 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13162 "parser_bison.c"
    break;

  case 739: /* primary_expr: socket_expr  */
#line 4314 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13168 "parser_bison.c"
    break;

  case 740: /* primary_expr: rt_expr  */
#line 4315 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13174 "parser_bison.c"
    break;

  case 741: /* primary_expr: ct_expr  */
#line 4316 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13180 "parser_bison.c"
    break;

  case 742: /* primary_expr: numgen_expr  */
#line 4317 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13186 "parser_bison.c"
    break;

  case 743: /* primary_expr: hash_expr  */
#line 4318 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13192 "parser_bison.c"
    break;

  case 744: /* primary_expr: fib_expr  */
#line 4319 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13198 "parser_bison.c"
    break;

  case 745: /* primary_expr: osf_expr  */
#line 4320 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13204 "parser_bison.c"
    break;

  case 746: /* primary_expr: xfrm_expr  */
#line 4321 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13210 "parser_bison.c"
    break;

  case 747: /* primary_expr: '(' basic_expr ')'  */
#line 4322 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 13216 "parser_bison.c"
    break;

  case 748: /* fib_expr: "fib" fib_tuple fib_result close_scope_fib  */
#line 4326 "parser_bison.y"
                        {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13241 "parser_bison.c"
    break;

  case 749: /* fib_result: "oif"  */
#line 4348 "parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 13247 "parser_bison.c"
    break;

  case 750: /* fib_result: "oifname"  */
#line 4349 "parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 13253 "parser_bison.c"
    break;

  case 751: /* fib_result: "type" close_scope_type  */
#line 4350 "parser_bison.y"
                                                                { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 13259 "parser_bison.c"
    break;

  case 752: /* fib_flag: "saddr"  */
#line 4353 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 13265 "parser_bison.c"
    break;

  case 753: /* fib_flag: "daddr"  */
#line 4354 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 13271 "parser_bison.c"
    break;

  case 754: /* fib_flag: "mark"  */
#line 4355 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_MARK; }
#line 13277 "parser_bison.c"
    break;

  case 755: /* fib_flag: "iif"  */
#line 4356 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_IIF; }
#line 13283 "parser_bison.c"
    break;

  case 756: /* fib_flag: "oif"  */
#line 4357 "parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_OIF; }
#line 13289 "parser_bison.c"
    break;

  case 757: /* fib_tuple: fib_flag "." fib_tuple  */
#line 4361 "parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13297 "parser_bison.c"
    break;

  case 759: /* osf_expr: "osf" osf_ttl "version" close_scope_osf  */
#line 4368 "parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 13305 "parser_bison.c"
    break;

  case 760: /* osf_expr: "osf" osf_ttl "name" close_scope_osf  */
#line 4372 "parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 13313 "parser_bison.c"
    break;

  case 761: /* osf_ttl: %empty  */
#line 4378 "parser_bison.y"
                        {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 13321 "parser_bison.c"
    break;

  case 762: /* osf_ttl: "ttl" "string"  */
#line 4382 "parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13339 "parser_bison.c"
    break;

  case 764: /* shift_expr: shift_expr "<<" primary_rhs_expr  */
#line 4399 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13347 "parser_bison.c"
    break;

  case 765: /* shift_expr: shift_expr ">>" primary_rhs_expr  */
#line 4403 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13355 "parser_bison.c"
    break;

  case 767: /* and_expr: and_expr "&" shift_rhs_expr  */
#line 4410 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13363 "parser_bison.c"
    break;

  case 769: /* exclusive_or_expr: exclusive_or_expr "^" and_rhs_expr  */
#line 4417 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13371 "parser_bison.c"
    break;

  case 771: /* inclusive_or_expr: inclusive_or_expr '|' exclusive_or_rhs_expr  */
#line 4424 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13379 "parser_bison.c"
    break;

  case 774: /* concat_expr: concat_expr "." basic_expr  */
#line 4434 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 13392 "parser_bison.c"
    break;

  case 775: /* prefix_rhs_expr: basic_rhs_expr "/" "number"  */
#line 4445 "parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 13400 "parser_bison.c"
    break;

  case 776: /* range_rhs_expr: basic_rhs_expr "-" basic_rhs_expr  */
#line 4451 "parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13408 "parser_bison.c"
    break;

  case 779: /* map_expr: concat_expr "map" rhs_expr  */
#line 4461 "parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13416 "parser_bison.c"
    break;

  case 783: /* set_expr: '{' set_list_expr '}'  */
#line 4472 "parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13425 "parser_bison.c"
    break;

  case 784: /* set_list_expr: set_list_member_expr  */
#line 4479 "parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13434 "parser_bison.c"
    break;

  case 785: /* set_list_expr: set_list_expr "comma" set_list_member_expr  */
#line 4484 "parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13443 "parser_bison.c"
    break;

  case 787: /* set_list_member_expr: opt_newline set_expr opt_newline  */
#line 4492 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13451 "parser_bison.c"
    break;

  case 788: /* set_list_member_expr: opt_newline set_elem_expr opt_newline  */
#line 4496 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13459 "parser_bison.c"
    break;

  case 789: /* set_list_member_expr: opt_newline set_elem_expr "colon" set_rhs_expr opt_newline  */
#line 4500 "parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 13467 "parser_bison.c"
    break;

  case 791: /* meter_key_expr: meter_key_expr_alloc set_elem_options  */
#line 4507 "parser_bison.y"
                        {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13476 "parser_bison.c"
    break;

  case 792: /* meter_key_expr_alloc: concat_expr  */
#line 4514 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13484 "parser_bison.c"
    break;

  case 795: /* set_elem_key_expr: set_lhs_expr  */
#line 4523 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 13490 "parser_bison.c"
    break;

  case 796: /* set_elem_key_expr: "*"  */
#line 4524 "parser_bison.y"
                                                        { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 13496 "parser_bison.c"
    break;

  case 797: /* set_elem_expr_alloc: set_elem_key_expr set_elem_stmt_list  */
#line 4528 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 13506 "parser_bison.c"
    break;

  case 798: /* set_elem_expr_alloc: set_elem_key_expr  */
#line 4534 "parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13514 "parser_bison.c"
    break;

  case 799: /* set_elem_options: set_elem_option  */
#line 4540 "parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13522 "parser_bison.c"
    break;

  case 801: /* set_elem_option: "timeout" time_spec  */
#line 4547 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13530 "parser_bison.c"
    break;

  case 802: /* set_elem_option: "expires" time_spec  */
#line 4551 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13538 "parser_bison.c"
    break;

  case 803: /* set_elem_option: comment_spec  */
#line 4555 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13550 "parser_bison.c"
    break;

  case 804: /* set_elem_expr_options: set_elem_expr_option  */
#line 4565 "parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13558 "parser_bison.c"
    break;

  case 806: /* set_elem_stmt_list: set_elem_stmt  */
#line 4572 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 13568 "parser_bison.c"
    break;

  case 807: /* set_elem_stmt_list: set_elem_stmt_list set_elem_stmt  */
#line 4578 "parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 13577 "parser_bison.c"
    break;

  case 808: /* set_elem_stmt: "counter" close_scope_counter  */
#line 4585 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 13585 "parser_bison.c"
    break;

  case 809: /* set_elem_stmt: "counter" "packets" "number" "bytes" "number" close_scope_counter  */
#line 4589 "parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 13595 "parser_bison.c"
    break;

  case 810: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 4595 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13613 "parser_bison.c"
    break;

  case 811: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 4609 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[0]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13631 "parser_bison.c"
    break;

  case 812: /* set_elem_stmt: "ct" "count" "number" close_scope_ct  */
#line 4623 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 13640 "parser_bison.c"
    break;

  case 813: /* set_elem_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 4628 "parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 13650 "parser_bison.c"
    break;

  case 814: /* set_elem_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 4634 "parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 13670 "parser_bison.c"
    break;

  case 815: /* set_elem_stmt: "last" "used" "never" close_scope_last  */
#line 4650 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 13678 "parser_bison.c"
    break;

  case 816: /* set_elem_stmt: "last" "used" time_spec close_scope_last  */
#line 4654 "parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[-1].val);
				(yyval.stmt)->last.set = true;
			}
#line 13688 "parser_bison.c"
    break;

  case 817: /* set_elem_expr_option: "timeout" time_spec  */
#line 4662 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13696 "parser_bison.c"
    break;

  case 818: /* set_elem_expr_option: "expires" time_spec  */
#line 4666 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13704 "parser_bison.c"
    break;

  case 819: /* set_elem_expr_option: comment_spec  */
#line 4670 "parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13716 "parser_bison.c"
    break;

  case 825: /* initializer_expr: '{' '}'  */
#line 4688 "parser_bison.y"
                                                { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 13722 "parser_bison.c"
    break;

  case 826: /* initializer_expr: "-" "number"  */
#line 4690 "parser_bison.y"
                        {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 13735 "parser_bison.c"
    break;

  case 827: /* counter_config: "packets" "number" "bytes" "number"  */
#line 4701 "parser_bison.y"
                        {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 13747 "parser_bison.c"
    break;

  case 828: /* counter_obj: %empty  */
#line 4711 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 13756 "parser_bison.c"
    break;

  case 829: /* quota_config: quota_mode "number" quota_unit quota_used  */
#line 4718 "parser_bison.y"
                        {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 13778 "parser_bison.c"
    break;

  case 830: /* quota_obj: %empty  */
#line 4738 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 13787 "parser_bison.c"
    break;

  case 831: /* secmark_config: string  */
#line 4745 "parser_bison.y"
                        {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13805 "parser_bison.c"
    break;

  case 832: /* secmark_obj: %empty  */
#line 4761 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 13814 "parser_bison.c"
    break;

  case 833: /* ct_obj_type: "helper"  */
#line 4767 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 13820 "parser_bison.c"
    break;

  case 834: /* ct_obj_type: "timeout"  */
#line 4768 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 13826 "parser_bison.c"
    break;

  case 835: /* ct_obj_type: "expectation"  */
#line 4769 "parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 13832 "parser_bison.c"
    break;

  case 836: /* ct_cmd_type: "helpers"  */
#line 4772 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 13838 "parser_bison.c"
    break;

  case 837: /* ct_cmd_type: "timeout"  */
#line 4773 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_TIMEOUTS; }
#line 13844 "parser_bison.c"
    break;

  case 838: /* ct_cmd_type: "expectation"  */
#line 4774 "parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_EXPECT; }
#line 13850 "parser_bison.c"
    break;

  case 839: /* ct_l4protoname: "tcp" close_scope_tcp  */
#line 4777 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_TCP; }
#line 13856 "parser_bison.c"
    break;

  case 840: /* ct_l4protoname: "udp" close_scope_udp  */
#line 4778 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_UDP; }
#line 13862 "parser_bison.c"
    break;

  case 841: /* ct_helper_config: "type" "quoted string" "protocol" ct_l4protoname stmt_separator close_scope_type  */
#line 4782 "parser_bison.y"
                        {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				if (ct->l4proto) {
					erec_queue(error(&(yylsp[-4]), "You can only specify this once. This statement is already set for %s.", ct->name), state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				xfree((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 13889 "parser_bison.c"
    break;

  case 842: /* ct_helper_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4805 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 13897 "parser_bison.c"
    break;

  case 843: /* timeout_states: timeout_state  */
#line 4811 "parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 13907 "parser_bison.c"
    break;

  case 844: /* timeout_states: timeout_states "comma" timeout_state  */
#line 4817 "parser_bison.y"
                        {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 13916 "parser_bison.c"
    break;

  case 845: /* timeout_state: "string" "colon" "number"  */
#line 4825 "parser_bison.y"
                        {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 13931 "parser_bison.c"
    break;

  case 846: /* ct_timeout_config: "protocol" ct_l4protoname stmt_separator  */
#line 4838 "parser_bison.y"
                        {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 13943 "parser_bison.c"
    break;

  case 847: /* ct_timeout_config: "policy" '=' '{' timeout_states '}' stmt_separator close_scope_policy  */
#line 4846 "parser_bison.y"
                        {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				xfree((yyvsp[-3].list));
			}
#line 13955 "parser_bison.c"
    break;

  case 848: /* ct_timeout_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4854 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 13963 "parser_bison.c"
    break;

  case 849: /* ct_expect_config: "protocol" ct_l4protoname stmt_separator  */
#line 4860 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 13971 "parser_bison.c"
    break;

  case 850: /* ct_expect_config: "dport" "number" stmt_separator  */
#line 4864 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 13979 "parser_bison.c"
    break;

  case 851: /* ct_expect_config: "timeout" time_spec stmt_separator  */
#line 4868 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 13987 "parser_bison.c"
    break;

  case 852: /* ct_expect_config: "size" "number" stmt_separator  */
#line 4872 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 13995 "parser_bison.c"
    break;

  case 853: /* ct_expect_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4876 "parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 14003 "parser_bison.c"
    break;

  case 854: /* ct_obj_alloc: %empty  */
#line 4882 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 14011 "parser_bison.c"
    break;

  case 855: /* limit_config: "rate" limit_mode limit_rate_pkts limit_burst_pkts  */
#line 4888 "parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14026 "parser_bison.c"
    break;

  case 856: /* limit_config: "rate" limit_mode limit_rate_bytes limit_burst_bytes  */
#line 4899 "parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14041 "parser_bison.c"
    break;

  case 857: /* limit_obj: %empty  */
#line 4912 "parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 14050 "parser_bison.c"
    break;

  case 858: /* relational_expr: expr rhs_expr  */
#line 4919 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14058 "parser_bison.c"
    break;

  case 859: /* relational_expr: expr list_rhs_expr  */
#line 4923 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14066 "parser_bison.c"
    break;

  case 860: /* relational_expr: expr basic_rhs_expr "/" list_rhs_expr  */
#line 4927 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14074 "parser_bison.c"
    break;

  case 861: /* relational_expr: expr list_rhs_expr "/" list_rhs_expr  */
#line 4931 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14082 "parser_bison.c"
    break;

  case 862: /* relational_expr: expr relational_op basic_rhs_expr "/" list_rhs_expr  */
#line 4935 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14090 "parser_bison.c"
    break;

  case 863: /* relational_expr: expr relational_op list_rhs_expr "/" list_rhs_expr  */
#line 4939 "parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14098 "parser_bison.c"
    break;

  case 864: /* relational_expr: expr relational_op rhs_expr  */
#line 4943 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14106 "parser_bison.c"
    break;

  case 865: /* relational_expr: expr relational_op list_rhs_expr  */
#line 4947 "parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14114 "parser_bison.c"
    break;

  case 866: /* list_rhs_expr: basic_rhs_expr "comma" basic_rhs_expr  */
#line 4953 "parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 14124 "parser_bison.c"
    break;

  case 867: /* list_rhs_expr: list_rhs_expr "comma" basic_rhs_expr  */
#line 4959 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 14134 "parser_bison.c"
    break;

  case 868: /* rhs_expr: concat_rhs_expr  */
#line 4966 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14140 "parser_bison.c"
    break;

  case 869: /* rhs_expr: set_expr  */
#line 4967 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14146 "parser_bison.c"
    break;

  case 870: /* rhs_expr: set_ref_symbol_expr  */
#line 4968 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14152 "parser_bison.c"
    break;

  case 872: /* shift_rhs_expr: shift_rhs_expr "<<" primary_rhs_expr  */
#line 4973 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14160 "parser_bison.c"
    break;

  case 873: /* shift_rhs_expr: shift_rhs_expr ">>" primary_rhs_expr  */
#line 4977 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14168 "parser_bison.c"
    break;

  case 875: /* and_rhs_expr: and_rhs_expr "&" shift_rhs_expr  */
#line 4984 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14176 "parser_bison.c"
    break;

  case 877: /* exclusive_or_rhs_expr: exclusive_or_rhs_expr "^" and_rhs_expr  */
#line 4991 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14184 "parser_bison.c"
    break;

  case 879: /* inclusive_or_rhs_expr: inclusive_or_rhs_expr '|' exclusive_or_rhs_expr  */
#line 4998 "parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14192 "parser_bison.c"
    break;

  case 883: /* concat_rhs_expr: concat_rhs_expr "." multiton_rhs_expr  */
#line 5009 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14205 "parser_bison.c"
    break;

  case 884: /* concat_rhs_expr: concat_rhs_expr "." basic_rhs_expr  */
#line 5018 "parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14218 "parser_bison.c"
    break;

  case 885: /* boolean_keys: "exists"  */
#line 5028 "parser_bison.y"
                                                { (yyval.val8) = true; }
#line 14224 "parser_bison.c"
    break;

  case 886: /* boolean_keys: "missing"  */
#line 5029 "parser_bison.y"
                                                { (yyval.val8) = false; }
#line 14230 "parser_bison.c"
    break;

  case 887: /* boolean_expr: boolean_keys  */
#line 5033 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 14240 "parser_bison.c"
    break;

  case 888: /* keyword_expr: "ether" close_scope_eth  */
#line 5040 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 14246 "parser_bison.c"
    break;

  case 889: /* keyword_expr: "ip" close_scope_ip  */
#line 5041 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 14252 "parser_bison.c"
    break;

  case 890: /* keyword_expr: "ip6" close_scope_ip6  */
#line 5042 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 14258 "parser_bison.c"
    break;

  case 891: /* keyword_expr: "vlan" close_scope_vlan  */
#line 5043 "parser_bison.y"
                                                         { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 14264 "parser_bison.c"
    break;

  case 892: /* keyword_expr: "arp" close_scope_arp  */
#line 5044 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 14270 "parser_bison.c"
    break;

  case 893: /* keyword_expr: "dnat" close_scope_nat  */
#line 5045 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 14276 "parser_bison.c"
    break;

  case 894: /* keyword_expr: "snat" close_scope_nat  */
#line 5046 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 14282 "parser_bison.c"
    break;

  case 895: /* keyword_expr: "ecn"  */
#line 5047 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 14288 "parser_bison.c"
    break;

  case 896: /* keyword_expr: "reset" close_scope_reset  */
#line 5048 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 14294 "parser_bison.c"
    break;

  case 897: /* keyword_expr: "destroy" close_scope_destroy  */
#line 5049 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "destroy"); }
#line 14300 "parser_bison.c"
    break;

  case 898: /* keyword_expr: "original"  */
#line 5050 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 14306 "parser_bison.c"
    break;

  case 899: /* keyword_expr: "reply"  */
#line 5051 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 14312 "parser_bison.c"
    break;

  case 900: /* keyword_expr: "label"  */
#line 5052 "parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 14318 "parser_bison.c"
    break;

  case 901: /* keyword_expr: "last" close_scope_last  */
#line 5053 "parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "last"); }
#line 14324 "parser_bison.c"
    break;

  case 902: /* primary_rhs_expr: symbol_expr  */
#line 5056 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14330 "parser_bison.c"
    break;

  case 903: /* primary_rhs_expr: integer_expr  */
#line 5057 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14336 "parser_bison.c"
    break;

  case 904: /* primary_rhs_expr: boolean_expr  */
#line 5058 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14342 "parser_bison.c"
    break;

  case 905: /* primary_rhs_expr: keyword_expr  */
#line 5059 "parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14348 "parser_bison.c"
    break;

  case 906: /* primary_rhs_expr: "tcp" close_scope_tcp  */
#line 5061 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14359 "parser_bison.c"
    break;

  case 907: /* primary_rhs_expr: "udp" close_scope_udp  */
#line 5068 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14370 "parser_bison.c"
    break;

  case 908: /* primary_rhs_expr: "udplite" close_scope_udplite  */
#line 5075 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14381 "parser_bison.c"
    break;

  case 909: /* primary_rhs_expr: "esp" close_scope_esp  */
#line 5082 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14392 "parser_bison.c"
    break;

  case 910: /* primary_rhs_expr: "ah" close_scope_ah  */
#line 5089 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14403 "parser_bison.c"
    break;

  case 911: /* primary_rhs_expr: "icmp" close_scope_icmp  */
#line 5096 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14414 "parser_bison.c"
    break;

  case 912: /* primary_rhs_expr: "igmp"  */
#line 5103 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14425 "parser_bison.c"
    break;

  case 913: /* primary_rhs_expr: "icmpv6" close_scope_icmp  */
#line 5110 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14436 "parser_bison.c"
    break;

  case 914: /* primary_rhs_expr: "gre" close_scope_gre  */
#line 5117 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_GRE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14447 "parser_bison.c"
    break;

  case 915: /* primary_rhs_expr: "comp" close_scope_comp  */
#line 5124 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14458 "parser_bison.c"
    break;

  case 916: /* primary_rhs_expr: "dccp" close_scope_dccp  */
#line 5131 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14469 "parser_bison.c"
    break;

  case 917: /* primary_rhs_expr: "sctp" close_scope_sctp  */
#line 5138 "parser_bison.y"
                        {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14480 "parser_bison.c"
    break;

  case 918: /* primary_rhs_expr: "redirect" close_scope_nat  */
#line 5145 "parser_bison.y"
                        {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14491 "parser_bison.c"
    break;

  case 919: /* primary_rhs_expr: '(' basic_rhs_expr ')'  */
#line 5151 "parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 14497 "parser_bison.c"
    break;

  case 920: /* relational_op: "=="  */
#line 5154 "parser_bison.y"
                                                { (yyval.val) = OP_EQ; }
#line 14503 "parser_bison.c"
    break;

  case 921: /* relational_op: "!="  */
#line 5155 "parser_bison.y"
                                                { (yyval.val) = OP_NEQ; }
#line 14509 "parser_bison.c"
    break;

  case 922: /* relational_op: "<"  */
#line 5156 "parser_bison.y"
                                                { (yyval.val) = OP_LT; }
#line 14515 "parser_bison.c"
    break;

  case 923: /* relational_op: ">"  */
#line 5157 "parser_bison.y"
                                                { (yyval.val) = OP_GT; }
#line 14521 "parser_bison.c"
    break;

  case 924: /* relational_op: ">="  */
#line 5158 "parser_bison.y"
                                                { (yyval.val) = OP_GTE; }
#line 14527 "parser_bison.c"
    break;

  case 925: /* relational_op: "<="  */
#line 5159 "parser_bison.y"
                                                { (yyval.val) = OP_LTE; }
#line 14533 "parser_bison.c"
    break;

  case 926: /* relational_op: "!"  */
#line 5160 "parser_bison.y"
                                                { (yyval.val) = OP_NEG; }
#line 14539 "parser_bison.c"
    break;

  case 927: /* verdict_expr: "accept"  */
#line 5164 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 14547 "parser_bison.c"
    break;

  case 928: /* verdict_expr: "drop"  */
#line 5168 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 14555 "parser_bison.c"
    break;

  case 929: /* verdict_expr: "continue"  */
#line 5172 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 14563 "parser_bison.c"
    break;

  case 930: /* verdict_expr: "jump" chain_expr  */
#line 5176 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 14571 "parser_bison.c"
    break;

  case 931: /* verdict_expr: "goto" chain_expr  */
#line 5180 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 14579 "parser_bison.c"
    break;

  case 932: /* verdict_expr: "return"  */
#line 5184 "parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 14587 "parser_bison.c"
    break;

  case 934: /* chain_expr: identifier  */
#line 5191 "parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 14599 "parser_bison.c"
    break;

  case 935: /* meta_expr: "meta" meta_key close_scope_meta  */
#line 5201 "parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 14607 "parser_bison.c"
    break;

  case 936: /* meta_expr: meta_key_unqualified  */
#line 5205 "parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 14615 "parser_bison.c"
    break;

  case 937: /* meta_expr: "meta" "string" close_scope_meta  */
#line 5209 "parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 14633 "parser_bison.c"
    break;

  case 940: /* meta_key_qualified: "length"  */
#line 5228 "parser_bison.y"
                                                { (yyval.val) = NFT_META_LEN; }
#line 14639 "parser_bison.c"
    break;

  case 941: /* meta_key_qualified: "protocol"  */
#line 5229 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PROTOCOL; }
#line 14645 "parser_bison.c"
    break;

  case 942: /* meta_key_qualified: "priority"  */
#line 5230 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PRIORITY; }
#line 14651 "parser_bison.c"
    break;

  case 943: /* meta_key_qualified: "random"  */
#line 5231 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PRANDOM; }
#line 14657 "parser_bison.c"
    break;

  case 944: /* meta_key_qualified: "secmark" close_scope_secmark  */
#line 5232 "parser_bison.y"
                                                            { (yyval.val) = NFT_META_SECMARK; }
#line 14663 "parser_bison.c"
    break;

  case 945: /* meta_key_unqualified: "mark"  */
#line 5235 "parser_bison.y"
                                                { (yyval.val) = NFT_META_MARK; }
#line 14669 "parser_bison.c"
    break;

  case 946: /* meta_key_unqualified: "iif"  */
#line 5236 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIF; }
#line 14675 "parser_bison.c"
    break;

  case 947: /* meta_key_unqualified: "iifname"  */
#line 5237 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFNAME; }
#line 14681 "parser_bison.c"
    break;

  case 948: /* meta_key_unqualified: "iiftype"  */
#line 5238 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFTYPE; }
#line 14687 "parser_bison.c"
    break;

  case 949: /* meta_key_unqualified: "oif"  */
#line 5239 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIF; }
#line 14693 "parser_bison.c"
    break;

  case 950: /* meta_key_unqualified: "oifname"  */
#line 5240 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFNAME; }
#line 14699 "parser_bison.c"
    break;

  case 951: /* meta_key_unqualified: "oiftype"  */
#line 5241 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFTYPE; }
#line 14705 "parser_bison.c"
    break;

  case 952: /* meta_key_unqualified: "skuid"  */
#line 5242 "parser_bison.y"
                                                { (yyval.val) = NFT_META_SKUID; }
#line 14711 "parser_bison.c"
    break;

  case 953: /* meta_key_unqualified: "skgid"  */
#line 5243 "parser_bison.y"
                                                { (yyval.val) = NFT_META_SKGID; }
#line 14717 "parser_bison.c"
    break;

  case 954: /* meta_key_unqualified: "nftrace"  */
#line 5244 "parser_bison.y"
                                                { (yyval.val) = NFT_META_NFTRACE; }
#line 14723 "parser_bison.c"
    break;

  case 955: /* meta_key_unqualified: "rtclassid"  */
#line 5245 "parser_bison.y"
                                                { (yyval.val) = NFT_META_RTCLASSID; }
#line 14729 "parser_bison.c"
    break;

  case 956: /* meta_key_unqualified: "ibriport"  */
#line 5246 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14735 "parser_bison.c"
    break;

  case 957: /* meta_key_unqualified: "obriport"  */
#line 5247 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14741 "parser_bison.c"
    break;

  case 958: /* meta_key_unqualified: "ibrname"  */
#line 5248 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 14747 "parser_bison.c"
    break;

  case 959: /* meta_key_unqualified: "obrname"  */
#line 5249 "parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 14753 "parser_bison.c"
    break;

  case 960: /* meta_key_unqualified: "pkttype"  */
#line 5250 "parser_bison.y"
                                                { (yyval.val) = NFT_META_PKTTYPE; }
#line 14759 "parser_bison.c"
    break;

  case 961: /* meta_key_unqualified: "cpu"  */
#line 5251 "parser_bison.y"
                                                { (yyval.val) = NFT_META_CPU; }
#line 14765 "parser_bison.c"
    break;

  case 962: /* meta_key_unqualified: "iifgroup"  */
#line 5252 "parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFGROUP; }
#line 14771 "parser_bison.c"
    break;

  case 963: /* meta_key_unqualified: "oifgroup"  */
#line 5253 "parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFGROUP; }
#line 14777 "parser_bison.c"
    break;

  case 964: /* meta_key_unqualified: "cgroup"  */
#line 5254 "parser_bison.y"
                                                { (yyval.val) = NFT_META_CGROUP; }
#line 14783 "parser_bison.c"
    break;

  case 965: /* meta_key_unqualified: "ipsec" close_scope_ipsec  */
#line 5255 "parser_bison.y"
                                                          { (yyval.val) = NFT_META_SECPATH; }
#line 14789 "parser_bison.c"
    break;

  case 966: /* meta_key_unqualified: "time"  */
#line 5256 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_NS; }
#line 14795 "parser_bison.c"
    break;

  case 967: /* meta_key_unqualified: "day"  */
#line 5257 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_DAY; }
#line 14801 "parser_bison.c"
    break;

  case 968: /* meta_key_unqualified: "hour"  */
#line 5258 "parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_HOUR; }
#line 14807 "parser_bison.c"
    break;

  case 969: /* meta_stmt: "meta" meta_key "set" stmt_expr close_scope_meta  */
#line 5262 "parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 14831 "parser_bison.c"
    break;

  case 970: /* meta_stmt: meta_key_unqualified "set" stmt_expr  */
#line 5282 "parser_bison.y"
                        {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 14839 "parser_bison.c"
    break;

  case 971: /* meta_stmt: "meta" "string" "set" stmt_expr close_scope_meta  */
#line 5286 "parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				xfree((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 14858 "parser_bison.c"
    break;

  case 972: /* meta_stmt: "notrack"  */
#line 5301 "parser_bison.y"
                        {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 14866 "parser_bison.c"
    break;

  case 973: /* meta_stmt: "flow" "offload" "@" string close_scope_at  */
#line 5305 "parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 14874 "parser_bison.c"
    break;

  case 974: /* meta_stmt: "flow" "add" "@" string close_scope_at  */
#line 5309 "parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 14882 "parser_bison.c"
    break;

  case 975: /* socket_expr: "socket" socket_key close_scope_socket  */
#line 5315 "parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 14890 "parser_bison.c"
    break;

  case 976: /* socket_expr: "socket" "cgroupv2" "level" "number" close_scope_socket  */
#line 5319 "parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 14898 "parser_bison.c"
    break;

  case 977: /* socket_key: "transparent"  */
#line 5324 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 14904 "parser_bison.c"
    break;

  case 978: /* socket_key: "mark"  */
#line 5325 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_MARK; }
#line 14910 "parser_bison.c"
    break;

  case 979: /* socket_key: "wildcard"  */
#line 5326 "parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 14916 "parser_bison.c"
    break;

  case 980: /* offset_opt: %empty  */
#line 5329 "parser_bison.y"
                                                { (yyval.val) = 0; }
#line 14922 "parser_bison.c"
    break;

  case 981: /* offset_opt: "offset" "number"  */
#line 5330 "parser_bison.y"
                                                { (yyval.val) = (yyvsp[0].val); }
#line 14928 "parser_bison.c"
    break;

  case 982: /* numgen_type: "inc"  */
#line 5333 "parser_bison.y"
                                                { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 14934 "parser_bison.c"
    break;

  case 983: /* numgen_type: "random"  */
#line 5334 "parser_bison.y"
                                                { (yyval.val) = NFT_NG_RANDOM; }
#line 14940 "parser_bison.c"
    break;

  case 984: /* numgen_expr: "numgen" numgen_type "mod" "number" offset_opt close_scope_numgen  */
#line 5338 "parser_bison.y"
                        {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 14948 "parser_bison.c"
    break;

  case 985: /* xfrm_spnum: "spnum" "number"  */
#line 5343 "parser_bison.y"
                                            { (yyval.val) = (yyvsp[0].val); }
#line 14954 "parser_bison.c"
    break;

  case 986: /* xfrm_spnum: %empty  */
#line 5344 "parser_bison.y"
                                            { (yyval.val) = 0; }
#line 14960 "parser_bison.c"
    break;

  case 987: /* xfrm_dir: "in"  */
#line 5347 "parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_IN; }
#line 14966 "parser_bison.c"
    break;

  case 988: /* xfrm_dir: "out"  */
#line 5348 "parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_OUT; }
#line 14972 "parser_bison.c"
    break;

  case 989: /* xfrm_state_key: "spi"  */
#line 5351 "parser_bison.y"
                                    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 14978 "parser_bison.c"
    break;

  case 990: /* xfrm_state_key: "reqid"  */
#line 5352 "parser_bison.y"
                                      { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 14984 "parser_bison.c"
    break;

  case 991: /* xfrm_state_proto_key: "daddr"  */
#line 5355 "parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 14990 "parser_bison.c"
    break;

  case 992: /* xfrm_state_proto_key: "saddr"  */
#line 5356 "parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 14996 "parser_bison.c"
    break;

  case 993: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum xfrm_state_key close_scope_ipsec  */
#line 5360 "parser_bison.y"
                        {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15008 "parser_bison.c"
    break;

  case 994: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum nf_key_proto xfrm_state_proto_key close_scope_ipsec  */
#line 5368 "parser_bison.y"
                        {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 15037 "parser_bison.c"
    break;

  case 995: /* hash_expr: "jhash" expr "mod" "number" "seed" "number" offset_opt close_scope_hash  */
#line 5395 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 15046 "parser_bison.c"
    break;

  case 996: /* hash_expr: "jhash" expr "mod" "number" offset_opt close_scope_hash  */
#line 5400 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 15055 "parser_bison.c"
    break;

  case 997: /* hash_expr: "symhash" "mod" "number" offset_opt close_scope_hash  */
#line 5405 "parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 15063 "parser_bison.c"
    break;

  case 998: /* nf_key_proto: "ip" close_scope_ip  */
#line 5410 "parser_bison.y"
                                                       { (yyval.val) = NFPROTO_IPV4; }
#line 15069 "parser_bison.c"
    break;

  case 999: /* nf_key_proto: "ip6" close_scope_ip6  */
#line 5411 "parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 15075 "parser_bison.c"
    break;

  case 1000: /* rt_expr: "rt" rt_key close_scope_rt  */
#line 5415 "parser_bison.y"
                        {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 15083 "parser_bison.c"
    break;

  case 1001: /* rt_expr: "rt" nf_key_proto rt_key close_scope_rt  */
#line 5419 "parser_bison.y"
                        {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 15105 "parser_bison.c"
    break;

  case 1002: /* rt_key: "classid"  */
#line 5438 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_CLASSID; }
#line 15111 "parser_bison.c"
    break;

  case 1003: /* rt_key: "nexthop"  */
#line 5439 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 15117 "parser_bison.c"
    break;

  case 1004: /* rt_key: "mtu"  */
#line 5440 "parser_bison.y"
                                                { (yyval.val) = NFT_RT_TCPMSS; }
#line 15123 "parser_bison.c"
    break;

  case 1005: /* rt_key: "ipsec" close_scope_ipsec  */
#line 5441 "parser_bison.y"
                                                          { (yyval.val) = NFT_RT_XFRM; }
#line 15129 "parser_bison.c"
    break;

  case 1006: /* ct_expr: "ct" ct_key close_scope_ct  */
#line 5445 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 15137 "parser_bison.c"
    break;

  case 1007: /* ct_expr: "ct" ct_dir ct_key_dir close_scope_ct  */
#line 5449 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15145 "parser_bison.c"
    break;

  case 1008: /* ct_expr: "ct" ct_dir ct_key_proto_field close_scope_ct  */
#line 5453 "parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15153 "parser_bison.c"
    break;

  case 1009: /* ct_dir: "original"  */
#line 5458 "parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 15159 "parser_bison.c"
    break;

  case 1010: /* ct_dir: "reply"  */
#line 5459 "parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_REPLY; }
#line 15165 "parser_bison.c"
    break;

  case 1011: /* ct_key: "l3proto"  */
#line 5462 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15171 "parser_bison.c"
    break;

  case 1012: /* ct_key: "protocol"  */
#line 5463 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15177 "parser_bison.c"
    break;

  case 1013: /* ct_key: "mark"  */
#line 5464 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_MARK; }
#line 15183 "parser_bison.c"
    break;

  case 1014: /* ct_key: "state"  */
#line 5465 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATE; }
#line 15189 "parser_bison.c"
    break;

  case 1015: /* ct_key: "direction"  */
#line 5466 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DIRECTION; }
#line 15195 "parser_bison.c"
    break;

  case 1016: /* ct_key: "status"  */
#line 5467 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATUS; }
#line 15201 "parser_bison.c"
    break;

  case 1017: /* ct_key: "expiration"  */
#line 5468 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_EXPIRATION; }
#line 15207 "parser_bison.c"
    break;

  case 1018: /* ct_key: "helper"  */
#line 5469 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_HELPER; }
#line 15213 "parser_bison.c"
    break;

  case 1019: /* ct_key: "saddr"  */
#line 5470 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15219 "parser_bison.c"
    break;

  case 1020: /* ct_key: "daddr"  */
#line 5471 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15225 "parser_bison.c"
    break;

  case 1021: /* ct_key: "proto-src"  */
#line 5472 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15231 "parser_bison.c"
    break;

  case 1022: /* ct_key: "proto-dst"  */
#line 5473 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15237 "parser_bison.c"
    break;

  case 1023: /* ct_key: "label"  */
#line 5474 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_LABELS; }
#line 15243 "parser_bison.c"
    break;

  case 1024: /* ct_key: "event"  */
#line 5475 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_EVENTMASK; }
#line 15249 "parser_bison.c"
    break;

  case 1025: /* ct_key: "secmark" close_scope_secmark  */
#line 5476 "parser_bison.y"
                                                            { (yyval.val) = NFT_CT_SECMARK; }
#line 15255 "parser_bison.c"
    break;

  case 1026: /* ct_key: "id"  */
#line 5477 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_ID; }
#line 15261 "parser_bison.c"
    break;

  case 1028: /* ct_key_dir: "saddr"  */
#line 5481 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15267 "parser_bison.c"
    break;

  case 1029: /* ct_key_dir: "daddr"  */
#line 5482 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15273 "parser_bison.c"
    break;

  case 1030: /* ct_key_dir: "l3proto"  */
#line 5483 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15279 "parser_bison.c"
    break;

  case 1031: /* ct_key_dir: "protocol"  */
#line 5484 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15285 "parser_bison.c"
    break;

  case 1032: /* ct_key_dir: "proto-src"  */
#line 5485 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15291 "parser_bison.c"
    break;

  case 1033: /* ct_key_dir: "proto-dst"  */
#line 5486 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15297 "parser_bison.c"
    break;

  case 1035: /* ct_key_proto_field: "ip" "saddr" close_scope_ip  */
#line 5490 "parser_bison.y"
                                                               { (yyval.val) = NFT_CT_SRC_IP; }
#line 15303 "parser_bison.c"
    break;

  case 1036: /* ct_key_proto_field: "ip" "daddr" close_scope_ip  */
#line 5491 "parser_bison.y"
                                                               { (yyval.val) = NFT_CT_DST_IP; }
#line 15309 "parser_bison.c"
    break;

  case 1037: /* ct_key_proto_field: "ip6" "saddr" close_scope_ip6  */
#line 5492 "parser_bison.y"
                                                                { (yyval.val) = NFT_CT_SRC_IP6; }
#line 15315 "parser_bison.c"
    break;

  case 1038: /* ct_key_proto_field: "ip6" "daddr" close_scope_ip6  */
#line 5493 "parser_bison.y"
                                                                { (yyval.val) = NFT_CT_DST_IP6; }
#line 15321 "parser_bison.c"
    break;

  case 1039: /* ct_key_dir_optional: "bytes"  */
#line 5496 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_BYTES; }
#line 15327 "parser_bison.c"
    break;

  case 1040: /* ct_key_dir_optional: "packets"  */
#line 5497 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_PKTS; }
#line 15333 "parser_bison.c"
    break;

  case 1041: /* ct_key_dir_optional: "avgpkt"  */
#line 5498 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_AVGPKT; }
#line 15339 "parser_bison.c"
    break;

  case 1042: /* ct_key_dir_optional: "zone"  */
#line 5499 "parser_bison.y"
                                                { (yyval.val) = NFT_CT_ZONE; }
#line 15345 "parser_bison.c"
    break;

  case 1045: /* list_stmt_expr: symbol_stmt_expr "comma" symbol_stmt_expr  */
#line 5507 "parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 15355 "parser_bison.c"
    break;

  case 1046: /* list_stmt_expr: list_stmt_expr "comma" symbol_stmt_expr  */
#line 5513 "parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15365 "parser_bison.c"
    break;

  case 1047: /* ct_stmt: "ct" ct_key "set" stmt_expr close_scope_ct  */
#line 5521 "parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 15382 "parser_bison.c"
    break;

  case 1048: /* ct_stmt: "ct" "timeout" "set" stmt_expr close_scope_ct  */
#line 5534 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 15393 "parser_bison.c"
    break;

  case 1049: /* ct_stmt: "ct" "expectation" "set" stmt_expr close_scope_ct  */
#line 5541 "parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 15403 "parser_bison.c"
    break;

  case 1050: /* ct_stmt: "ct" ct_dir ct_key_dir_optional "set" stmt_expr close_scope_ct  */
#line 5547 "parser_bison.y"
                        {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 15411 "parser_bison.c"
    break;

  case 1051: /* payload_stmt: payload_expr "set" stmt_expr  */
#line 5553 "parser_bison.y"
                        {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 15422 "parser_bison.c"
    break;

  case 1074: /* payload_raw_expr: "@" payload_base_spec "comma" "number" "comma" "number" close_scope_at  */
#line 5586 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 15433 "parser_bison.c"
    break;

  case 1075: /* payload_base_spec: "ll"  */
#line 5594 "parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 15439 "parser_bison.c"
    break;

  case 1076: /* payload_base_spec: "nh"  */
#line 5595 "parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 15445 "parser_bison.c"
    break;

  case 1077: /* payload_base_spec: "th" close_scope_th  */
#line 5596 "parser_bison.y"
                                                                { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 15451 "parser_bison.c"
    break;

  case 1078: /* payload_base_spec: "string"  */
#line 5598 "parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 15466 "parser_bison.c"
    break;

  case 1079: /* eth_hdr_expr: "ether" eth_hdr_field close_scope_eth  */
#line 5611 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 15474 "parser_bison.c"
    break;

  case 1080: /* eth_hdr_field: "saddr"  */
#line 5616 "parser_bison.y"
                                                { (yyval.val) = ETHHDR_SADDR; }
#line 15480 "parser_bison.c"
    break;

  case 1081: /* eth_hdr_field: "daddr"  */
#line 5617 "parser_bison.y"
                                                { (yyval.val) = ETHHDR_DADDR; }
#line 15486 "parser_bison.c"
    break;

  case 1082: /* eth_hdr_field: "type" close_scope_type  */
#line 5618 "parser_bison.y"
                                                                        { (yyval.val) = ETHHDR_TYPE; }
#line 15492 "parser_bison.c"
    break;

  case 1083: /* vlan_hdr_expr: "vlan" vlan_hdr_field close_scope_vlan  */
#line 5622 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 15500 "parser_bison.c"
    break;

  case 1084: /* vlan_hdr_field: "id"  */
#line 5627 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_VID; }
#line 15506 "parser_bison.c"
    break;

  case 1085: /* vlan_hdr_field: "cfi"  */
#line 5628 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_CFI; }
#line 15512 "parser_bison.c"
    break;

  case 1086: /* vlan_hdr_field: "dei"  */
#line 5629 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_DEI; }
#line 15518 "parser_bison.c"
    break;

  case 1087: /* vlan_hdr_field: "pcp"  */
#line 5630 "parser_bison.y"
                                                { (yyval.val) = VLANHDR_PCP; }
#line 15524 "parser_bison.c"
    break;

  case 1088: /* vlan_hdr_field: "type" close_scope_type  */
#line 5631 "parser_bison.y"
                                                                        { (yyval.val) = VLANHDR_TYPE; }
#line 15530 "parser_bison.c"
    break;

  case 1089: /* arp_hdr_expr: "arp" arp_hdr_field close_scope_arp  */
#line 5635 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 15538 "parser_bison.c"
    break;

  case 1090: /* arp_hdr_field: "htype"  */
#line 5640 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_HRD; }
#line 15544 "parser_bison.c"
    break;

  case 1091: /* arp_hdr_field: "ptype"  */
#line 5641 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_PRO; }
#line 15550 "parser_bison.c"
    break;

  case 1092: /* arp_hdr_field: "hlen"  */
#line 5642 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_HLN; }
#line 15556 "parser_bison.c"
    break;

  case 1093: /* arp_hdr_field: "plen"  */
#line 5643 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_PLN; }
#line 15562 "parser_bison.c"
    break;

  case 1094: /* arp_hdr_field: "operation"  */
#line 5644 "parser_bison.y"
                                                { (yyval.val) = ARPHDR_OP; }
#line 15568 "parser_bison.c"
    break;

  case 1095: /* arp_hdr_field: "saddr" "ether" close_scope_eth  */
#line 5645 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 15574 "parser_bison.c"
    break;

  case 1096: /* arp_hdr_field: "daddr" "ether" close_scope_eth  */
#line 5646 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 15580 "parser_bison.c"
    break;

  case 1097: /* arp_hdr_field: "saddr" "ip" close_scope_ip  */
#line 5647 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_IP; }
#line 15586 "parser_bison.c"
    break;

  case 1098: /* arp_hdr_field: "daddr" "ip" close_scope_ip  */
#line 5648 "parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_IP; }
#line 15592 "parser_bison.c"
    break;

  case 1099: /* ip_hdr_expr: "ip" ip_hdr_field close_scope_ip  */
#line 5652 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 15600 "parser_bison.c"
    break;

  case 1100: /* ip_hdr_expr: "ip" "option" ip_option_type ip_option_field close_scope_ip  */
#line 5656 "parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 15612 "parser_bison.c"
    break;

  case 1101: /* ip_hdr_expr: "ip" "option" ip_option_type close_scope_ip  */
#line 5664 "parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15621 "parser_bison.c"
    break;

  case 1102: /* ip_hdr_field: "version"  */
#line 5670 "parser_bison.y"
                                                { (yyval.val) = IPHDR_VERSION; }
#line 15627 "parser_bison.c"
    break;

  case 1103: /* ip_hdr_field: "hdrlength"  */
#line 5671 "parser_bison.y"
                                                { (yyval.val) = IPHDR_HDRLENGTH; }
#line 15633 "parser_bison.c"
    break;

  case 1104: /* ip_hdr_field: "dscp"  */
#line 5672 "parser_bison.y"
                                                { (yyval.val) = IPHDR_DSCP; }
#line 15639 "parser_bison.c"
    break;

  case 1105: /* ip_hdr_field: "ecn"  */
#line 5673 "parser_bison.y"
                                                { (yyval.val) = IPHDR_ECN; }
#line 15645 "parser_bison.c"
    break;

  case 1106: /* ip_hdr_field: "length"  */
#line 5674 "parser_bison.y"
                                                { (yyval.val) = IPHDR_LENGTH; }
#line 15651 "parser_bison.c"
    break;

  case 1107: /* ip_hdr_field: "id"  */
#line 5675 "parser_bison.y"
                                                { (yyval.val) = IPHDR_ID; }
#line 15657 "parser_bison.c"
    break;

  case 1108: /* ip_hdr_field: "frag-off"  */
#line 5676 "parser_bison.y"
                                                { (yyval.val) = IPHDR_FRAG_OFF; }
#line 15663 "parser_bison.c"
    break;

  case 1109: /* ip_hdr_field: "ttl"  */
#line 5677 "parser_bison.y"
                                                { (yyval.val) = IPHDR_TTL; }
#line 15669 "parser_bison.c"
    break;

  case 1110: /* ip_hdr_field: "protocol"  */
#line 5678 "parser_bison.y"
                                                { (yyval.val) = IPHDR_PROTOCOL; }
#line 15675 "parser_bison.c"
    break;

  case 1111: /* ip_hdr_field: "checksum"  */
#line 5679 "parser_bison.y"
                                                { (yyval.val) = IPHDR_CHECKSUM; }
#line 15681 "parser_bison.c"
    break;

  case 1112: /* ip_hdr_field: "saddr"  */
#line 5680 "parser_bison.y"
                                                { (yyval.val) = IPHDR_SADDR; }
#line 15687 "parser_bison.c"
    break;

  case 1113: /* ip_hdr_field: "daddr"  */
#line 5681 "parser_bison.y"
                                                { (yyval.val) = IPHDR_DADDR; }
#line 15693 "parser_bison.c"
    break;

  case 1114: /* ip_option_type: "lsrr"  */
#line 5684 "parser_bison.y"
                                                { (yyval.val) = IPOPT_LSRR; }
#line 15699 "parser_bison.c"
    break;

  case 1115: /* ip_option_type: "rr"  */
#line 5685 "parser_bison.y"
                                                { (yyval.val) = IPOPT_RR; }
#line 15705 "parser_bison.c"
    break;

  case 1116: /* ip_option_type: "ssrr"  */
#line 5686 "parser_bison.y"
                                                { (yyval.val) = IPOPT_SSRR; }
#line 15711 "parser_bison.c"
    break;

  case 1117: /* ip_option_type: "ra"  */
#line 5687 "parser_bison.y"
                                                { (yyval.val) = IPOPT_RA; }
#line 15717 "parser_bison.c"
    break;

  case 1118: /* ip_option_field: "type" close_scope_type  */
#line 5690 "parser_bison.y"
                                                                        { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 15723 "parser_bison.c"
    break;

  case 1119: /* ip_option_field: "length"  */
#line 5691 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 15729 "parser_bison.c"
    break;

  case 1120: /* ip_option_field: "value"  */
#line 5692 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 15735 "parser_bison.c"
    break;

  case 1121: /* ip_option_field: "ptr"  */
#line 5693 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_PTR; }
#line 15741 "parser_bison.c"
    break;

  case 1122: /* ip_option_field: "addr"  */
#line 5694 "parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 15747 "parser_bison.c"
    break;

  case 1123: /* icmp_hdr_expr: "icmp" icmp_hdr_field close_scope_icmp  */
#line 5698 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 15755 "parser_bison.c"
    break;

  case 1124: /* icmp_hdr_field: "type" close_scope_type  */
#line 5703 "parser_bison.y"
                                                                        { (yyval.val) = ICMPHDR_TYPE; }
#line 15761 "parser_bison.c"
    break;

  case 1125: /* icmp_hdr_field: "code"  */
#line 5704 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CODE; }
#line 15767 "parser_bison.c"
    break;

  case 1126: /* icmp_hdr_field: "checksum"  */
#line 5705 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 15773 "parser_bison.c"
    break;

  case 1127: /* icmp_hdr_field: "id"  */
#line 5706 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_ID; }
#line 15779 "parser_bison.c"
    break;

  case 1128: /* icmp_hdr_field: "seq"  */
#line 5707 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_SEQ; }
#line 15785 "parser_bison.c"
    break;

  case 1129: /* icmp_hdr_field: "gateway"  */
#line 5708 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_GATEWAY; }
#line 15791 "parser_bison.c"
    break;

  case 1130: /* icmp_hdr_field: "mtu"  */
#line 5709 "parser_bison.y"
                                                { (yyval.val) = ICMPHDR_MTU; }
#line 15797 "parser_bison.c"
    break;

  case 1131: /* igmp_hdr_expr: "igmp" igmp_hdr_field close_scope_igmp  */
#line 5713 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 15805 "parser_bison.c"
    break;

  case 1132: /* igmp_hdr_field: "type" close_scope_type  */
#line 5718 "parser_bison.y"
                                                                        { (yyval.val) = IGMPHDR_TYPE; }
#line 15811 "parser_bison.c"
    break;

  case 1133: /* igmp_hdr_field: "checksum"  */
#line 5719 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 15817 "parser_bison.c"
    break;

  case 1134: /* igmp_hdr_field: "mrt"  */
#line 5720 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_MRT; }
#line 15823 "parser_bison.c"
    break;

  case 1135: /* igmp_hdr_field: "group"  */
#line 5721 "parser_bison.y"
                                                { (yyval.val) = IGMPHDR_GROUP; }
#line 15829 "parser_bison.c"
    break;

  case 1136: /* ip6_hdr_expr: "ip6" ip6_hdr_field close_scope_ip6  */
#line 5725 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 15837 "parser_bison.c"
    break;

  case 1137: /* ip6_hdr_field: "version"  */
#line 5730 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_VERSION; }
#line 15843 "parser_bison.c"
    break;

  case 1138: /* ip6_hdr_field: "dscp"  */
#line 5731 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_DSCP; }
#line 15849 "parser_bison.c"
    break;

  case 1139: /* ip6_hdr_field: "ecn"  */
#line 5732 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_ECN; }
#line 15855 "parser_bison.c"
    break;

  case 1140: /* ip6_hdr_field: "flowlabel"  */
#line 5733 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 15861 "parser_bison.c"
    break;

  case 1141: /* ip6_hdr_field: "length"  */
#line 5734 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_LENGTH; }
#line 15867 "parser_bison.c"
    break;

  case 1142: /* ip6_hdr_field: "nexthdr"  */
#line 5735 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_NEXTHDR; }
#line 15873 "parser_bison.c"
    break;

  case 1143: /* ip6_hdr_field: "hoplimit"  */
#line 5736 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 15879 "parser_bison.c"
    break;

  case 1144: /* ip6_hdr_field: "saddr"  */
#line 5737 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_SADDR; }
#line 15885 "parser_bison.c"
    break;

  case 1145: /* ip6_hdr_field: "daddr"  */
#line 5738 "parser_bison.y"
                                                { (yyval.val) = IP6HDR_DADDR; }
#line 15891 "parser_bison.c"
    break;

  case 1146: /* icmp6_hdr_expr: "icmpv6" icmp6_hdr_field close_scope_icmp  */
#line 5741 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 15899 "parser_bison.c"
    break;

  case 1147: /* icmp6_hdr_field: "type" close_scope_type  */
#line 5746 "parser_bison.y"
                                                                        { (yyval.val) = ICMP6HDR_TYPE; }
#line 15905 "parser_bison.c"
    break;

  case 1148: /* icmp6_hdr_field: "code"  */
#line 5747 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CODE; }
#line 15911 "parser_bison.c"
    break;

  case 1149: /* icmp6_hdr_field: "checksum"  */
#line 5748 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 15917 "parser_bison.c"
    break;

  case 1150: /* icmp6_hdr_field: "param-problem"  */
#line 5749 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_PPTR; }
#line 15923 "parser_bison.c"
    break;

  case 1151: /* icmp6_hdr_field: "mtu"  */
#line 5750 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MTU; }
#line 15929 "parser_bison.c"
    break;

  case 1152: /* icmp6_hdr_field: "id"  */
#line 5751 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_ID; }
#line 15935 "parser_bison.c"
    break;

  case 1153: /* icmp6_hdr_field: "seq"  */
#line 5752 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_SEQ; }
#line 15941 "parser_bison.c"
    break;

  case 1154: /* icmp6_hdr_field: "max-delay"  */
#line 5753 "parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 15947 "parser_bison.c"
    break;

  case 1155: /* auth_hdr_expr: "ah" auth_hdr_field close_scope_ah  */
#line 5757 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 15955 "parser_bison.c"
    break;

  case 1156: /* auth_hdr_field: "nexthdr"  */
#line 5762 "parser_bison.y"
                                                { (yyval.val) = AHHDR_NEXTHDR; }
#line 15961 "parser_bison.c"
    break;

  case 1157: /* auth_hdr_field: "hdrlength"  */
#line 5763 "parser_bison.y"
                                                { (yyval.val) = AHHDR_HDRLENGTH; }
#line 15967 "parser_bison.c"
    break;

  case 1158: /* auth_hdr_field: "reserved"  */
#line 5764 "parser_bison.y"
                                                { (yyval.val) = AHHDR_RESERVED; }
#line 15973 "parser_bison.c"
    break;

  case 1159: /* auth_hdr_field: "spi"  */
#line 5765 "parser_bison.y"
                                                { (yyval.val) = AHHDR_SPI; }
#line 15979 "parser_bison.c"
    break;

  case 1160: /* auth_hdr_field: "seq"  */
#line 5766 "parser_bison.y"
                                                { (yyval.val) = AHHDR_SEQUENCE; }
#line 15985 "parser_bison.c"
    break;

  case 1161: /* esp_hdr_expr: "esp" esp_hdr_field close_scope_esp  */
#line 5770 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 15993 "parser_bison.c"
    break;

  case 1162: /* esp_hdr_field: "spi"  */
#line 5775 "parser_bison.y"
                                                { (yyval.val) = ESPHDR_SPI; }
#line 15999 "parser_bison.c"
    break;

  case 1163: /* esp_hdr_field: "seq"  */
#line 5776 "parser_bison.y"
                                                { (yyval.val) = ESPHDR_SEQUENCE; }
#line 16005 "parser_bison.c"
    break;

  case 1164: /* comp_hdr_expr: "comp" comp_hdr_field close_scope_comp  */
#line 5780 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 16013 "parser_bison.c"
    break;

  case 1165: /* comp_hdr_field: "nexthdr"  */
#line 5785 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_NEXTHDR; }
#line 16019 "parser_bison.c"
    break;

  case 1166: /* comp_hdr_field: "flags"  */
#line 5786 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_FLAGS; }
#line 16025 "parser_bison.c"
    break;

  case 1167: /* comp_hdr_field: "cpi"  */
#line 5787 "parser_bison.y"
                                                { (yyval.val) = COMPHDR_CPI; }
#line 16031 "parser_bison.c"
    break;

  case 1168: /* udp_hdr_expr: "udp" udp_hdr_field close_scope_udp  */
#line 5791 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 16039 "parser_bison.c"
    break;

  case 1169: /* udp_hdr_field: "sport"  */
#line 5796 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16045 "parser_bison.c"
    break;

  case 1170: /* udp_hdr_field: "dport"  */
#line 5797 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16051 "parser_bison.c"
    break;

  case 1171: /* udp_hdr_field: "length"  */
#line 5798 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16057 "parser_bison.c"
    break;

  case 1172: /* udp_hdr_field: "checksum"  */
#line 5799 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16063 "parser_bison.c"
    break;

  case 1173: /* udplite_hdr_expr: "udplite" udplite_hdr_field close_scope_udplite  */
#line 5803 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 16071 "parser_bison.c"
    break;

  case 1174: /* udplite_hdr_field: "sport"  */
#line 5808 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16077 "parser_bison.c"
    break;

  case 1175: /* udplite_hdr_field: "dport"  */
#line 5809 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16083 "parser_bison.c"
    break;

  case 1176: /* udplite_hdr_field: "csumcov"  */
#line 5810 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16089 "parser_bison.c"
    break;

  case 1177: /* udplite_hdr_field: "checksum"  */
#line 5811 "parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16095 "parser_bison.c"
    break;

  case 1178: /* tcp_hdr_expr: "tcp" tcp_hdr_field  */
#line 5815 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 16103 "parser_bison.c"
    break;

  case 1179: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_type  */
#line 5819 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16112 "parser_bison.c"
    break;

  case 1180: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_kind_and_field  */
#line 5824 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
			}
#line 16120 "parser_bison.c"
    break;

  case 1181: /* tcp_hdr_expr: "tcp" "option" "@" close_scope_at tcp_hdr_option_type "comma" "number" "comma" "number"  */
#line 5828 "parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 16129 "parser_bison.c"
    break;

  case 1201: /* vxlan_hdr_expr: "vxlan" vxlan_hdr_field  */
#line 5860 "parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_vxlan, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_vxlan;
				(yyval.expr) = expr;
			}
#line 16141 "parser_bison.c"
    break;

  case 1202: /* vxlan_hdr_expr: "vxlan" inner_expr  */
#line 5868 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_vxlan;
			}
#line 16151 "parser_bison.c"
    break;

  case 1203: /* vxlan_hdr_field: "vni"  */
#line 5875 "parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_VNI; }
#line 16157 "parser_bison.c"
    break;

  case 1204: /* vxlan_hdr_field: "flags"  */
#line 5876 "parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_FLAGS; }
#line 16163 "parser_bison.c"
    break;

  case 1205: /* geneve_hdr_expr: "geneve" geneve_hdr_field  */
#line 5880 "parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_geneve, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_geneve;
				(yyval.expr) = expr;
			}
#line 16175 "parser_bison.c"
    break;

  case 1206: /* geneve_hdr_expr: "geneve" inner_expr  */
#line 5888 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_geneve;
			}
#line 16185 "parser_bison.c"
    break;

  case 1207: /* geneve_hdr_field: "vni"  */
#line 5895 "parser_bison.y"
                                                        { (yyval.val) = GNVHDR_VNI; }
#line 16191 "parser_bison.c"
    break;

  case 1208: /* geneve_hdr_field: "type"  */
#line 5896 "parser_bison.y"
                                                        { (yyval.val) = GNVHDR_TYPE; }
#line 16197 "parser_bison.c"
    break;

  case 1209: /* gre_hdr_expr: "gre" gre_hdr_field close_scope_gre  */
#line 5900 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_gre, (yyvsp[-1].val));
			}
#line 16205 "parser_bison.c"
    break;

  case 1210: /* gre_hdr_expr: "gre" close_scope_gre inner_inet_expr  */
#line 5904 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gre;
			}
#line 16214 "parser_bison.c"
    break;

  case 1211: /* gre_hdr_field: "version"  */
#line 5910 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_VERSION;	}
#line 16220 "parser_bison.c"
    break;

  case 1212: /* gre_hdr_field: "flags"  */
#line 5911 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_FLAGS; }
#line 16226 "parser_bison.c"
    break;

  case 1213: /* gre_hdr_field: "protocol"  */
#line 5912 "parser_bison.y"
                                                        { (yyval.val) = GREHDR_PROTOCOL; }
#line 16232 "parser_bison.c"
    break;

  case 1214: /* gretap_hdr_expr: "gretap" close_scope_gre inner_expr  */
#line 5916 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gretap;
			}
#line 16241 "parser_bison.c"
    break;

  case 1215: /* optstrip_stmt: "reset" "tcp" "option" tcp_hdr_option_type close_scope_tcp  */
#line 5923 "parser_bison.y"
                        {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 16250 "parser_bison.c"
    break;

  case 1216: /* tcp_hdr_field: "sport"  */
#line 5929 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_SPORT; }
#line 16256 "parser_bison.c"
    break;

  case 1217: /* tcp_hdr_field: "dport"  */
#line 5930 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_DPORT; }
#line 16262 "parser_bison.c"
    break;

  case 1218: /* tcp_hdr_field: "seq"  */
#line 5931 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_SEQ; }
#line 16268 "parser_bison.c"
    break;

  case 1219: /* tcp_hdr_field: "ackseq"  */
#line 5932 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_ACKSEQ; }
#line 16274 "parser_bison.c"
    break;

  case 1220: /* tcp_hdr_field: "doff"  */
#line 5933 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_DOFF; }
#line 16280 "parser_bison.c"
    break;

  case 1221: /* tcp_hdr_field: "reserved"  */
#line 5934 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_RESERVED; }
#line 16286 "parser_bison.c"
    break;

  case 1222: /* tcp_hdr_field: "flags"  */
#line 5935 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_FLAGS; }
#line 16292 "parser_bison.c"
    break;

  case 1223: /* tcp_hdr_field: "window"  */
#line 5936 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_WINDOW; }
#line 16298 "parser_bison.c"
    break;

  case 1224: /* tcp_hdr_field: "checksum"  */
#line 5937 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_CHECKSUM; }
#line 16304 "parser_bison.c"
    break;

  case 1225: /* tcp_hdr_field: "urgptr"  */
#line 5938 "parser_bison.y"
                                                { (yyval.val) = TCPHDR_URGPTR; }
#line 16310 "parser_bison.c"
    break;

  case 1226: /* tcp_hdr_option_kind_and_field: "mss" tcpopt_field_maxseg  */
#line 5942 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16319 "parser_bison.c"
    break;

  case 1227: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_sack tcpopt_field_sack  */
#line 5947 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16328 "parser_bison.c"
    break;

  case 1228: /* tcp_hdr_option_kind_and_field: "window" tcpopt_field_window  */
#line 5952 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16337 "parser_bison.c"
    break;

  case 1229: /* tcp_hdr_option_kind_and_field: "timestamp" tcpopt_field_tsopt  */
#line 5957 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16346 "parser_bison.c"
    break;

  case 1230: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_type "length"  */
#line 5962 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16355 "parser_bison.c"
    break;

  case 1231: /* tcp_hdr_option_kind_and_field: "mptcp" tcpopt_field_mptcp  */
#line 5967 "parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16364 "parser_bison.c"
    break;

  case 1232: /* tcp_hdr_option_sack: "sack"  */
#line 5973 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16370 "parser_bison.c"
    break;

  case 1233: /* tcp_hdr_option_sack: "sack0"  */
#line 5974 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16376 "parser_bison.c"
    break;

  case 1234: /* tcp_hdr_option_sack: "sack1"  */
#line 5975 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 16382 "parser_bison.c"
    break;

  case 1235: /* tcp_hdr_option_sack: "sack2"  */
#line 5976 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 16388 "parser_bison.c"
    break;

  case 1236: /* tcp_hdr_option_sack: "sack3"  */
#line 5977 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 16394 "parser_bison.c"
    break;

  case 1237: /* tcp_hdr_option_type: "echo"  */
#line 5980 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 16400 "parser_bison.c"
    break;

  case 1238: /* tcp_hdr_option_type: "eol"  */
#line 5981 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_EOL; }
#line 16406 "parser_bison.c"
    break;

  case 1239: /* tcp_hdr_option_type: "fastopen"  */
#line 5982 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 16412 "parser_bison.c"
    break;

  case 1240: /* tcp_hdr_option_type: "md5sig"  */
#line 5983 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 16418 "parser_bison.c"
    break;

  case 1241: /* tcp_hdr_option_type: "mptcp"  */
#line 5984 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 16424 "parser_bison.c"
    break;

  case 1242: /* tcp_hdr_option_type: "mss"  */
#line 5985 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 16430 "parser_bison.c"
    break;

  case 1243: /* tcp_hdr_option_type: "nop"  */
#line 5986 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_NOP; }
#line 16436 "parser_bison.c"
    break;

  case 1244: /* tcp_hdr_option_type: "sack-permitted"  */
#line 5987 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 16442 "parser_bison.c"
    break;

  case 1245: /* tcp_hdr_option_type: "timestamp"  */
#line 5988 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 16448 "parser_bison.c"
    break;

  case 1246: /* tcp_hdr_option_type: "window"  */
#line 5989 "parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 16454 "parser_bison.c"
    break;

  case 1247: /* tcp_hdr_option_type: tcp_hdr_option_sack  */
#line 5990 "parser_bison.y"
                                                        { (yyval.val) = (yyvsp[0].val); }
#line 16460 "parser_bison.c"
    break;

  case 1248: /* tcp_hdr_option_type: "number"  */
#line 5991 "parser_bison.y"
                                                        {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 16472 "parser_bison.c"
    break;

  case 1249: /* tcpopt_field_sack: "left"  */
#line 6000 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 16478 "parser_bison.c"
    break;

  case 1250: /* tcpopt_field_sack: "right"  */
#line 6001 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 16484 "parser_bison.c"
    break;

  case 1251: /* tcpopt_field_window: "count"  */
#line 6004 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 16490 "parser_bison.c"
    break;

  case 1252: /* tcpopt_field_tsopt: "tsval"  */
#line 6007 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 16496 "parser_bison.c"
    break;

  case 1253: /* tcpopt_field_tsopt: "tsecr"  */
#line 6008 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSECR; }
#line 16502 "parser_bison.c"
    break;

  case 1254: /* tcpopt_field_maxseg: "size"  */
#line 6011 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 16508 "parser_bison.c"
    break;

  case 1255: /* tcpopt_field_mptcp: "subtype"  */
#line 6014 "parser_bison.y"
                                                { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 16514 "parser_bison.c"
    break;

  case 1256: /* dccp_hdr_expr: "dccp" dccp_hdr_field close_scope_dccp  */
#line 6018 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 16522 "parser_bison.c"
    break;

  case 1257: /* dccp_hdr_expr: "dccp" "option" "number" close_scope_dccp  */
#line 6022 "parser_bison.y"
                        {
				if ((yyvsp[-1].val) > DCCPOPT_TYPE_MAX) {
					erec_queue(error(&(yylsp[-3]), "value too large"),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = dccpopt_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 16535 "parser_bison.c"
    break;

  case 1258: /* dccp_hdr_field: "sport"  */
#line 6032 "parser_bison.y"
                                                { (yyval.val) = DCCPHDR_SPORT; }
#line 16541 "parser_bison.c"
    break;

  case 1259: /* dccp_hdr_field: "dport"  */
#line 6033 "parser_bison.y"
                                                { (yyval.val) = DCCPHDR_DPORT; }
#line 16547 "parser_bison.c"
    break;

  case 1260: /* dccp_hdr_field: "type" close_scope_type  */
#line 6034 "parser_bison.y"
                                                                        { (yyval.val) = DCCPHDR_TYPE; }
#line 16553 "parser_bison.c"
    break;

  case 1261: /* sctp_chunk_type: "data"  */
#line 6037 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 16559 "parser_bison.c"
    break;

  case 1262: /* sctp_chunk_type: "init"  */
#line 6038 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 16565 "parser_bison.c"
    break;

  case 1263: /* sctp_chunk_type: "init-ack"  */
#line 6039 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 16571 "parser_bison.c"
    break;

  case 1264: /* sctp_chunk_type: "sack"  */
#line 6040 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 16577 "parser_bison.c"
    break;

  case 1265: /* sctp_chunk_type: "heartbeat"  */
#line 6041 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 16583 "parser_bison.c"
    break;

  case 1266: /* sctp_chunk_type: "heartbeat-ack"  */
#line 6042 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 16589 "parser_bison.c"
    break;

  case 1267: /* sctp_chunk_type: "abort"  */
#line 6043 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 16595 "parser_bison.c"
    break;

  case 1268: /* sctp_chunk_type: "shutdown"  */
#line 6044 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 16601 "parser_bison.c"
    break;

  case 1269: /* sctp_chunk_type: "shutdown-ack"  */
#line 6045 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 16607 "parser_bison.c"
    break;

  case 1270: /* sctp_chunk_type: "error"  */
#line 6046 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 16613 "parser_bison.c"
    break;

  case 1271: /* sctp_chunk_type: "cookie-echo"  */
#line 6047 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 16619 "parser_bison.c"
    break;

  case 1272: /* sctp_chunk_type: "cookie-ack"  */
#line 6048 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 16625 "parser_bison.c"
    break;

  case 1273: /* sctp_chunk_type: "ecne"  */
#line 6049 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 16631 "parser_bison.c"
    break;

  case 1274: /* sctp_chunk_type: "cwr"  */
#line 6050 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 16637 "parser_bison.c"
    break;

  case 1275: /* sctp_chunk_type: "shutdown-complete"  */
#line 6051 "parser_bison.y"
                                                  { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 16643 "parser_bison.c"
    break;

  case 1276: /* sctp_chunk_type: "asconf-ack"  */
#line 6052 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 16649 "parser_bison.c"
    break;

  case 1277: /* sctp_chunk_type: "forward-tsn"  */
#line 6053 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 16655 "parser_bison.c"
    break;

  case 1278: /* sctp_chunk_type: "asconf"  */
#line 6054 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 16661 "parser_bison.c"
    break;

  case 1279: /* sctp_chunk_common_field: "type" close_scope_type  */
#line 6057 "parser_bison.y"
                                                                { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 16667 "parser_bison.c"
    break;

  case 1280: /* sctp_chunk_common_field: "flags"  */
#line 6058 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 16673 "parser_bison.c"
    break;

  case 1281: /* sctp_chunk_common_field: "length"  */
#line 6059 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 16679 "parser_bison.c"
    break;

  case 1282: /* sctp_chunk_data_field: "tsn"  */
#line 6062 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 16685 "parser_bison.c"
    break;

  case 1283: /* sctp_chunk_data_field: "stream"  */
#line 6063 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 16691 "parser_bison.c"
    break;

  case 1284: /* sctp_chunk_data_field: "ssn"  */
#line 6064 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 16697 "parser_bison.c"
    break;

  case 1285: /* sctp_chunk_data_field: "ppid"  */
#line 6065 "parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 16703 "parser_bison.c"
    break;

  case 1286: /* sctp_chunk_init_field: "init-tag"  */
#line 6068 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 16709 "parser_bison.c"
    break;

  case 1287: /* sctp_chunk_init_field: "a-rwnd"  */
#line 6069 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 16715 "parser_bison.c"
    break;

  case 1288: /* sctp_chunk_init_field: "num-outbound-streams"  */
#line 6070 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 16721 "parser_bison.c"
    break;

  case 1289: /* sctp_chunk_init_field: "num-inbound-streams"  */
#line 6071 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 16727 "parser_bison.c"
    break;

  case 1290: /* sctp_chunk_init_field: "initial-tsn"  */
#line 6072 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 16733 "parser_bison.c"
    break;

  case 1291: /* sctp_chunk_sack_field: "cum-tsn-ack"  */
#line 6075 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 16739 "parser_bison.c"
    break;

  case 1292: /* sctp_chunk_sack_field: "a-rwnd"  */
#line 6076 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 16745 "parser_bison.c"
    break;

  case 1293: /* sctp_chunk_sack_field: "num-gap-ack-blocks"  */
#line 6077 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 16751 "parser_bison.c"
    break;

  case 1294: /* sctp_chunk_sack_field: "num-dup-tsns"  */
#line 6078 "parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 16757 "parser_bison.c"
    break;

  case 1295: /* sctp_chunk_alloc: sctp_chunk_type  */
#line 6082 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16766 "parser_bison.c"
    break;

  case 1296: /* sctp_chunk_alloc: sctp_chunk_type sctp_chunk_common_field  */
#line 6087 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 16774 "parser_bison.c"
    break;

  case 1297: /* sctp_chunk_alloc: "data" sctp_chunk_data_field  */
#line 6091 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 16782 "parser_bison.c"
    break;

  case 1298: /* sctp_chunk_alloc: "init" sctp_chunk_init_field  */
#line 6095 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 16790 "parser_bison.c"
    break;

  case 1299: /* sctp_chunk_alloc: "init-ack" sctp_chunk_init_field  */
#line 6099 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 16798 "parser_bison.c"
    break;

  case 1300: /* sctp_chunk_alloc: "sack" sctp_chunk_sack_field  */
#line 6103 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 16806 "parser_bison.c"
    break;

  case 1301: /* sctp_chunk_alloc: "shutdown" "cum-tsn-ack"  */
#line 6107 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 16815 "parser_bison.c"
    break;

  case 1302: /* sctp_chunk_alloc: "ecne" "lowest-tsn"  */
#line 6112 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 16824 "parser_bison.c"
    break;

  case 1303: /* sctp_chunk_alloc: "cwr" "lowest-tsn"  */
#line 6117 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 16833 "parser_bison.c"
    break;

  case 1304: /* sctp_chunk_alloc: "asconf-ack" "seqno"  */
#line 6122 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 16842 "parser_bison.c"
    break;

  case 1305: /* sctp_chunk_alloc: "forward-tsn" "new-cum-tsn"  */
#line 6127 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 16851 "parser_bison.c"
    break;

  case 1306: /* sctp_chunk_alloc: "asconf" "seqno"  */
#line 6132 "parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 16860 "parser_bison.c"
    break;

  case 1307: /* sctp_hdr_expr: "sctp" sctp_hdr_field close_scope_sctp  */
#line 6139 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 16868 "parser_bison.c"
    break;

  case 1308: /* sctp_hdr_expr: "sctp" "chunk" sctp_chunk_alloc close_scope_sctp_chunk close_scope_sctp  */
#line 6143 "parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 16876 "parser_bison.c"
    break;

  case 1309: /* sctp_hdr_field: "sport"  */
#line 6148 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_SPORT; }
#line 16882 "parser_bison.c"
    break;

  case 1310: /* sctp_hdr_field: "dport"  */
#line 6149 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_DPORT; }
#line 16888 "parser_bison.c"
    break;

  case 1311: /* sctp_hdr_field: "vtag"  */
#line 6150 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_VTAG; }
#line 16894 "parser_bison.c"
    break;

  case 1312: /* sctp_hdr_field: "checksum"  */
#line 6151 "parser_bison.y"
                                                { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 16900 "parser_bison.c"
    break;

  case 1313: /* th_hdr_expr: "th" th_hdr_field close_scope_th  */
#line 6155 "parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 16910 "parser_bison.c"
    break;

  case 1314: /* th_hdr_field: "sport"  */
#line 6162 "parser_bison.y"
                                                { (yyval.val) = THDR_SPORT; }
#line 16916 "parser_bison.c"
    break;

  case 1315: /* th_hdr_field: "dport"  */
#line 6163 "parser_bison.y"
                                                { (yyval.val) = THDR_DPORT; }
#line 16922 "parser_bison.c"
    break;

  case 1324: /* hbh_hdr_expr: "hbh" hbh_hdr_field close_scope_hbh  */
#line 6177 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 16930 "parser_bison.c"
    break;

  case 1325: /* hbh_hdr_field: "nexthdr"  */
#line 6182 "parser_bison.y"
                                                { (yyval.val) = HBHHDR_NEXTHDR; }
#line 16936 "parser_bison.c"
    break;

  case 1326: /* hbh_hdr_field: "hdrlength"  */
#line 6183 "parser_bison.y"
                                                { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 16942 "parser_bison.c"
    break;

  case 1327: /* rt_hdr_expr: "rt" rt_hdr_field close_scope_rt  */
#line 6187 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 16950 "parser_bison.c"
    break;

  case 1328: /* rt_hdr_field: "nexthdr"  */
#line 6192 "parser_bison.y"
                                                { (yyval.val) = RTHDR_NEXTHDR; }
#line 16956 "parser_bison.c"
    break;

  case 1329: /* rt_hdr_field: "hdrlength"  */
#line 6193 "parser_bison.y"
                                                { (yyval.val) = RTHDR_HDRLENGTH; }
#line 16962 "parser_bison.c"
    break;

  case 1330: /* rt_hdr_field: "type" close_scope_type  */
#line 6194 "parser_bison.y"
                                                                        { (yyval.val) = RTHDR_TYPE; }
#line 16968 "parser_bison.c"
    break;

  case 1331: /* rt_hdr_field: "seg-left"  */
#line 6195 "parser_bison.y"
                                                { (yyval.val) = RTHDR_SEG_LEFT; }
#line 16974 "parser_bison.c"
    break;

  case 1332: /* rt0_hdr_expr: "rt0" rt0_hdr_field close_scope_rt  */
#line 6199 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 16982 "parser_bison.c"
    break;

  case 1333: /* rt0_hdr_field: "addr" '[' "number" ']'  */
#line 6205 "parser_bison.y"
                        {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 16990 "parser_bison.c"
    break;

  case 1334: /* rt2_hdr_expr: "rt2" rt2_hdr_field close_scope_rt  */
#line 6211 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 16998 "parser_bison.c"
    break;

  case 1335: /* rt2_hdr_field: "addr"  */
#line 6216 "parser_bison.y"
                                                { (yyval.val) = RT2HDR_ADDR; }
#line 17004 "parser_bison.c"
    break;

  case 1336: /* rt4_hdr_expr: "srh" rt4_hdr_field close_scope_rt  */
#line 6220 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 17012 "parser_bison.c"
    break;

  case 1337: /* rt4_hdr_field: "last-entry"  */
#line 6225 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_LASTENT; }
#line 17018 "parser_bison.c"
    break;

  case 1338: /* rt4_hdr_field: "flags"  */
#line 6226 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_FLAGS; }
#line 17024 "parser_bison.c"
    break;

  case 1339: /* rt4_hdr_field: "tag"  */
#line 6227 "parser_bison.y"
                                                { (yyval.val) = RT4HDR_TAG; }
#line 17030 "parser_bison.c"
    break;

  case 1340: /* rt4_hdr_field: "sid" '[' "number" ']'  */
#line 6229 "parser_bison.y"
                        {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 17038 "parser_bison.c"
    break;

  case 1341: /* frag_hdr_expr: "frag" frag_hdr_field close_scope_frag  */
#line 6235 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 17046 "parser_bison.c"
    break;

  case 1342: /* frag_hdr_field: "nexthdr"  */
#line 6240 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 17052 "parser_bison.c"
    break;

  case 1343: /* frag_hdr_field: "reserved"  */
#line 6241 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED; }
#line 17058 "parser_bison.c"
    break;

  case 1344: /* frag_hdr_field: "frag-off"  */
#line 6242 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 17064 "parser_bison.c"
    break;

  case 1345: /* frag_hdr_field: "reserved2"  */
#line 6243 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED2; }
#line 17070 "parser_bison.c"
    break;

  case 1346: /* frag_hdr_field: "more-fragments"  */
#line 6244 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_MFRAGS; }
#line 17076 "parser_bison.c"
    break;

  case 1347: /* frag_hdr_field: "id"  */
#line 6245 "parser_bison.y"
                                                { (yyval.val) = FRAGHDR_ID; }
#line 17082 "parser_bison.c"
    break;

  case 1348: /* dst_hdr_expr: "dst" dst_hdr_field close_scope_dst  */
#line 6249 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 17090 "parser_bison.c"
    break;

  case 1349: /* dst_hdr_field: "nexthdr"  */
#line 6254 "parser_bison.y"
                                                { (yyval.val) = DSTHDR_NEXTHDR; }
#line 17096 "parser_bison.c"
    break;

  case 1350: /* dst_hdr_field: "hdrlength"  */
#line 6255 "parser_bison.y"
                                                { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 17102 "parser_bison.c"
    break;

  case 1351: /* mh_hdr_expr: "mh" mh_hdr_field close_scope_mh  */
#line 6259 "parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 17110 "parser_bison.c"
    break;

  case 1352: /* mh_hdr_field: "nexthdr"  */
#line 6264 "parser_bison.y"
                                                { (yyval.val) = MHHDR_NEXTHDR; }
#line 17116 "parser_bison.c"
    break;

  case 1353: /* mh_hdr_field: "hdrlength"  */
#line 6265 "parser_bison.y"
                                                { (yyval.val) = MHHDR_HDRLENGTH; }
#line 17122 "parser_bison.c"
    break;

  case 1354: /* mh_hdr_field: "type" close_scope_type  */
#line 6266 "parser_bison.y"
                                                                        { (yyval.val) = MHHDR_TYPE; }
#line 17128 "parser_bison.c"
    break;

  case 1355: /* mh_hdr_field: "reserved"  */
#line 6267 "parser_bison.y"
                                                { (yyval.val) = MHHDR_RESERVED; }
#line 17134 "parser_bison.c"
    break;

  case 1356: /* mh_hdr_field: "checksum"  */
#line 6268 "parser_bison.y"
                                                { (yyval.val) = MHHDR_CHECKSUM; }
#line 17140 "parser_bison.c"
    break;

  case 1357: /* exthdr_exists_expr: "exthdr" exthdr_key  */
#line 6272 "parser_bison.y"
                        {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the first one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 17156 "parser_bison.c"
    break;

  case 1358: /* exthdr_key: "hbh" close_scope_hbh  */
#line 6285 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_HOPOPTS; }
#line 17162 "parser_bison.c"
    break;

  case 1359: /* exthdr_key: "rt" close_scope_rt  */
#line 6286 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_ROUTING; }
#line 17168 "parser_bison.c"
    break;

  case 1360: /* exthdr_key: "frag" close_scope_frag  */
#line 6287 "parser_bison.y"
                                                                { (yyval.val) = IPPROTO_FRAGMENT; }
#line 17174 "parser_bison.c"
    break;

  case 1361: /* exthdr_key: "dst" close_scope_dst  */
#line 6288 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_DSTOPTS; }
#line 17180 "parser_bison.c"
    break;

  case 1362: /* exthdr_key: "mh" close_scope_mh  */
#line 6289 "parser_bison.y"
                                                        { (yyval.val) = IPPROTO_MH; }
#line 17186 "parser_bison.c"
    break;


#line 17190 "parser_bison.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= TOKEN_EOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == TOKEN_EOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 6292 "parser_bison.y"

